SystemOrganization addCategory: #'CreativeCorsetry-Site'!
SystemOrganization addCategory: #'CreativeCorsetry-Core'!

WAApplication subclass: #CCApplication
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCApplication class methodsFor: 'as yet unclassified' stamp: 'srh 4/14/2009 14:48'!
description
	^'CC Application'! !

!CCApplication methodsFor: 'as yet unclassified' stamp: 'srh 4/19/2009 16:22'!
defaultLibraries
	^#()! !

!CCApplication methodsFor: 'request handling' stamp: 'srh 4/14/2009 15:25'!
handleExpiredRequest: aRequest
	| url |
	aRequest isXmlHttpRequest
		ifTrue: [ ^ WAResponse new forbidden ].
	"Remove the seaside fields and cookies, so that it looks like a default session"
	url := WAUrl new.
	aRequest isGet ifTrue: [
		aRequest fields keysAndValuesRemove: [ :key :value |
			(url isSeasideField: key)]].
	aRequest cookies removeKey: self handlerCookieName ifAbsent: nil.
	^ self handleDefaultRequest: aRequest.! !

WSObject subclass: #CCSizes
	instanceVariableNames: 'bust waist hips'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Core'!

WSForm subclass: #CCSizesEditor
	instanceVariableNames: 'option label'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCSizesEditor class methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:13'!
on: sizesOption
	^self basicNew
		initializeWithOption: sizesOption;
		yourself.! !

!CCSizesEditor methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:47'!
beRequired
	fields do: [ :f | f beRequired ]! !

!CCSizesEditor methodsFor: 'as yet unclassified' stamp: 'srh 3/27/2009 19:32'!
initializeWithOption: anOption
	option := anOption.
	self initialize.
	self add: (WSField numeric on: #bust of: option).
	self add: (WSField numeric on: #underBust of: option).
	self add: (WSField numeric on: #waist of: option).
	self add: (WSField numeric on: #hips of: option).! !

!CCSizesEditor methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:31'!
label
	^label! !

!CCSizesEditor methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:29'!
label: aLabel
	label := aLabel.! !

!CCSizesEditor methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 21:05'!
renderContentOn: html
	html fieldSet class: 'cc-sizes-editor'; with: [
		html legend: label.
		self renderMessagesOn: html.
		fields do: [ :f | html render: f ]]! !

WSRoot subclass: #CCRoot
	instanceVariableNames: 'pages current cartWidget background'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCRoot class methodsFor: 'as yet unclassified' stamp: 'srh 4/14/2009 14:35'!
applicationNamed: aString
	| application |
	application := CCApplication named: aString.
	application configuration addAncestor: WARenderLoopConfiguration new.
	application preferenceAt: #rootComponent put: self.
	^ application! !

!CCRoot class methodsFor: 'as yet unclassified' stamp: 'srh 2/7/2009 18:17'!
canBeRoot
	^true! !

!CCRoot class methodsFor: 'as yet unclassified' stamp: 'srh 3/30/2009 13:36'!
isDeployed
	^true! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 3/2/2009 23:12'!
children
	^OrderedCollection new addAll: pages values; add: cartWidget;yourself.! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:57'!
initialRequest: aRequest
	| pathItems |
	pathItems := aRequest url findTokens: '/'.
	" First item wil be the /seaside prefix, second will be this app.  
	If there's a third then that will be the name of the page to view"
	(pathItems size > 2) ifTrue: [
		pages at: pathItems third asSymbol 
			ifPresent: [ :page | current := page].
	].! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/14/2009 20:00'!
initialize
	super initialize.
	pages := Dictionary new.
	pages at: #home put: CCHome new.
	pages at: #store put: CCStore new.
	pages at: #history put: CCHistory new.
	cartWidget := WSCartWidget new.
	current := pages at: #home.
	background := CCBackground new.
	self addListener: (WSCartListener cart: self session cart).
	self session root: self.! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/6/2009 18:02'!
menu: aSymbol labelled: label on: html
	html listItem: [html anchor url: 
		(self session baseUrl addToPath: aSymbol); with: label].! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/18/2009 20:28'!
renderContentOn: html
	html div id: 'heading'; with: [html heading level: 1; with: 'Creative Corsetry'].
	html div id: 'nav-bg'; with: [
		html div class: 'tl'. html div class: 'tr'.
		html div class: 'l'. html div class: 'r'.
		html div class: 'bl'. html div class: 'br'.
		].
	html div id: 'nav'; with: [self renderNavOn: html].
	current = (pages at: #home) 
		ifTrue: [ html render: current]
		ifFalse: [ html render: background.
			html div id: 'contents'; with: [
				html div class: 'tl'. html div class: 't'. html div class: 'tr'.
				html div class: 'l'. html div class: 'm'; with: 	current. html div class: 'r'.
				html div class: 'bl'. html div class: 'b'. html div class: 'br']]! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/18/2009 16:27'!
renderNavOn: html
	html unorderedList: [
		self menu: #home labelled: 'Home' on: html.
		self menu: #store labelled: 'Our Corsets' on: html.
		self menu: #history labelled: 'Corset History' on: html.
		self menu: #faq labelled: 'FAQ' on: html.
		self menu: #care labelled: 'Corset Care' on: html.
	].
html render: cartWidget.! !

!CCRoot methodsFor: 'as yet unclassified' stamp: 'srh 4/18/2009 23:03'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot title: 'Creative Corsetry'.! !

WSOption subclass: #CCSizesOption
	instanceVariableNames: 'bust waist hips underbust'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCSizesOption class methodsFor: 'as yet unclassified' stamp: 'srh 3/8/2009 10:36'!
label
	^'Sizes'! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:38'!
bust
	^bust! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:39'!
bust: aMeasurement
	bust := aMeasurement! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:11'!
editField
	^ CCSizesEditor on: self! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:38'!
hips
	^hips! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:39'!
hips: aMeasurement
	hips := aMeasurement! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'srh 3/27/2009 19:32'!
underBust
	^underbust ! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'srh 3/27/2009 19:31'!
underBust: aMeasurement
	underbust := aMeasurement! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:38'!
waist
	^waist! !

!CCSizesOption methodsFor: 'as yet unclassified' stamp: 'srh 3/11/2009 14:39'!
waist: aMeasurement
	waist := aMeasurement! !

WAFileLibrary subclass: #CCLibrary
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCLibrary methodsFor: 'uploaded' stamp: ''!
background11Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 40 8 6 0 0 0 140 254 184 109 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 3 49 27 184 11 174 148 0 0 1 99 73 68 65 84 88 195 237 152 59 78 195 64 16 134 191 181 150 52 200 17 162 0 41 164 136 160 164 77 77 65 133 34 197 238 160 130 150 3 132 34 77 74 31 128 67 68 162 78 199 25 114 0 26 224 2 28 98 41 24 75 60 130 240 99 119 51 72 254 37 151 94 127 250 103 118 30 54 206 57 98 235 230 40 235 1 99 96 8 12 126 121 82 0 27 17 106 15 152 0 57 112 1 244 171 188 103 3 67 141 4 40 3 206 154 124 207 6 2 59 1 10 224 18 48 109 206 178 158 193 14 128 5 112 11 236 248 56 211 122 2 219 5 102 192 93 153 220 190 100 61 192 93 1 247 192 97 136 116 177 45 192 18 201 179 121 200 139 102 27 194 165 192 18 152 134 46 79 182 1 220 49 176 2 78 99 212 207 164 38 220 57 176 142 5 87 203 65 129 123 140 217 125 0 76 149 94 44 97 93 3 251 177 251 118 82 241 66 172 182 1 247 39 160 148 146 101 204 156 171 235 96 17 163 148 52 202 65 233 16 15 108 89 27 1 165 183 190 132 106 95 62 66 60 211 0 183 209 65 25 153 158 125 79 37 62 29 92 104 129 251 225 160 76 194 79 190 134 205 16 14 22 154 224 190 56 40 11 206 107 219 29 34 164 131 185 54 184 239 128 25 10 101 156 115 229 82 253 22 123 148 170 227 224 68 35 220 103 192 28 165 50 215 131 105 79 194 219 215 234 224 88 43 92 9 56 68 177 18 62 254 197 117 128 29 96 7 248 159 1 83 237 128 170 245 14 80 13 67 213 63 139 29 252 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
background13Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 40 8 6 0 0 0 140 254 184 109 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 3 49 27 184 11 174 148 0 0 1 93 73 68 65 84 88 195 237 215 191 75 149 81 24 7 240 207 21 155 226 74 8 37 120 26 164 198 86 103 7 199 192 227 86 147 103 245 15 176 65 144 134 136 104 209 161 209 245 5 65 108 201 119 16 91 91 28 236 95 16 28 124 27 154 194 104 49 65 135 120 225 18 248 11 127 220 71 184 95 56 235 225 195 57 207 243 28 78 103 110 124 230 196 191 252 198 143 51 214 1 190 87 77 125 228 142 211 233 1 94 148 67 108 99 19 91 85 83 255 138 6 236 205 49 190 161 198 102 213 212 251 209 128 189 57 193 6 150 170 166 222 139 8 108 243 23 171 120 95 53 245 207 136 64 61 205 182 140 149 170 169 255 92 119 179 161 91 40 155 46 222 97 175 164 252 58 34 176 205 24 214 75 202 31 75 202 67 17 129 109 22 241 165 164 220 141 10 132 25 236 148 148 159 69 5 194 11 236 150 148 167 163 2 97 20 95 175 130 188 107 32 12 227 243 101 175 187 31 192 246 36 235 203 52 78 191 128 109 77 174 93 52 130 250 9 108 187 251 67 100 32 44 158 247 226 68 0 194 167 146 242 195 200 192 49 44 68 6 194 155 146 242 147 200 192 46 222 70 6 194 124 73 249 121 100 224 131 255 199 78 52 32 188 42 41 79 68 6 118 48 27 25 8 57 58 112 170 164 252 40 50 112 24 47 35 3 181 117 120 27 255 226 155 202 33 30 71 62 193 17 76 70 6 194 211 232 192 241 1 112 0 28 0 239 57 176 27 29 232 20 190 18 83 149 182 174 165 8 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
background41Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 40 8 6 0 0 0 140 254 184 109 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 3 49 30 200 97 90 27 0 0 1 81 73 68 65 84 88 195 237 216 173 75 29 80 24 7 224 231 202 180 140 59 196 160 224 22 100 139 86 203 138 85 17 252 40 186 164 213 104 216 154 152 68 48 108 193 104 61 77 155 71 16 147 193 98 208 127 65 89 216 25 204 32 226 197 178 13 174 229 10 23 191 80 195 245 21 238 129 211 31 248 157 143 247 125 43 179 253 227 117 129 87 135 224 171 3 181 232 192 223 109 96 27 216 6 190 114 224 175 232 192 35 92 132 5 166 146 255 98 55 250 87 183 21 29 184 131 255 97 129 169 228 115 236 71 175 102 114 116 224 22 234 97 129 169 228 159 216 140 94 176 46 226 95 88 96 42 249 24 235 209 75 254 229 72 85 246 45 96 42 249 20 223 163 55 77 63 240 39 44 48 149 124 137 133 208 109 103 42 121 3 171 209 251 226 69 108 191 36 176 82 175 63 252 121 204 189 159 168 226 0 131 33 129 13 228 71 28 162 39 90 196 215 231 241 4 211 47 81 146 61 122 54 147 74 222 195 8 206 194 69 124 71 220 185 85 103 242 201 211 173 70 220 159 91 117 187 159 53 126 75 37 215 48 213 138 119 242 201 17 223 17 249 23 172 161 47 36 176 129 124 139 175 248 134 106 56 96 19 180 23 75 152 71 103 56 96 19 244 19 86 48 131 74 56 96 19 116 0 147 152 192 48 222 132 2 222 192 118 99 172 1 30 197 187 80 192 27 216 46 12 225 3 250 239 217 85 184 2 226 91 111 142 23 244 114 144 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
background43Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 40 8 6 0 0 0 140 254 184 109 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 3 49 31 191 102 106 141 0 0 1 52 73 68 65 84 88 195 237 216 177 106 194 0 16 198 241 127 197 167 232 155 244 9 58 85 186 116 42 125 134 62 128 163 139 131 62 128 235 109 186 121 130 56 117 112 118 237 216 210 193 19 236 80 138 161 139 134 166 75 132 18 42 164 20 147 175 224 65 182 36 252 184 92 114 119 57 187 59 191 202 16 142 6 226 161 14 76 212 129 171 19 240 4 60 1 255 57 112 169 12 220 0 11 101 224 204 194 183 202 192 177 114 171 75 129 169 50 112 110 225 239 202 64 87 158 102 178 125 253 169 2 71 22 254 162 10 220 1 109 229 129 117 96 225 79 170 192 4 232 40 143 252 61 11 127 85 5 174 129 190 242 210 116 111 225 31 170 192 174 133 15 85 215 206 73 241 179 162 4 124 4 110 45 252 83 17 248 6 180 44 60 81 252 179 144 2 55 22 254 92 230 228 70 13 153 187 180 240 135 178 23 52 43 174 185 86 217 204 85 157 193 9 112 241 91 92 85 192 46 112 93 230 133 168 250 17 175 243 14 49 252 203 77 142 1 76 128 30 208 63 212 190 234 2 238 128 1 208 249 105 42 169 19 152 1 35 160 93 28 54 235 4 166 192 60 223 190 198 223 119 136 58 129 27 96 150 111 92 211 253 222 122 236 104 22 138 123 117 224 88 2 11 11 223 86 221 23 191 0 194 33 120 169 77 125 177 233 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
frontpageJpg
	| cache |
	cache := #(nil) beMutable.
	(cache at: 1) isNil ifTrue: [
		cache at: 1 put: #(255 216 255 224 0 16 74 70 73 70 0 1 1 1 0 240 0 240 0 0 255 226 12 88 73 67 67 95 80 82 79 70 73 76 69 0 1 1 0 0 12 72 76 105 110 111 2 16 0 0 109 110 116 114 82 71 66 32 88 89 90 32 7 206 0 2 0 9 0 6 0 49 0 0 97 99 115 112 77 83 70 84 0 0 0 0 73 69 67 32 115 82 71 66 0 0 0 0 0 0 0 0 0 0 0 0 0 0 246 214 0 1 0 0 0 0 211 45 72 80 32 32 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 17 99 112 114 116 0 0 1 80 0 0 0 51 100 101 115 99 0 0 1 132 0 0 0 108 119 116 112 116 0 0 1 240 0 0 0 20 98 107 112 116 0 0 2 4 0 0 0 20 114 88 89 90 0 0 2 24 0 0 0 20 103 88 89 90 0 0 2 44 0 0 0 20 98 88 89 90 0 0 2 64 0 0 0 20 100 109 110 100 0 0 2 84 0 0 0 112 100 109 100 100 0 0 2 196 0 0 0 136 118 117 101 100 0 0 3 76 0 0 0 134 118 105 101 119 0 0 3 212 0 0 0 36 108 117 109 105 0 0 3 248 0 0 0 20 109 101 97 115 0 0 4 12 0 0 0 36 116 101 99 104 0 0 4 48 0 0 0 12 114 84 82 67 0 0 4 60 0 0 8 12 103 84 82 67 0 0 4 60 0 0 8 12 98 84 82 67 0 0 4 60 0 0 8 12 116 101 120 116 0 0 0 0 67 111 112 121 114 105 103 104 116 32 40 99 41 32 49 57 57 56 32 72 101 119 108 101 116 116 45 80 97 99 107 97 114 100 32 67 111 109 112 97 110 121 0 0 100 101 115 99 0 0 0 0 0 0 0 18 115 82 71 66 32 73 69 67 54 49 57 54 54 45 50 46 49 0 0 0 0 0 0 0 0 0 0 0 18 115 82 71 66 32 73 69 67 54 49 57 54 54 45 50 46 49 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 88 89 90 32 0 0 0 0 0 0 243 81 0 1 0 0 0 1 22 204 88 89 90 32 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 88 89 90 32 0 0 0 0 0 0 111 162 0 0 56 245 0 0 3 144 88 89 90 32 0 0 0 0 0 0 98 153 0 0 183 133 0 0 24 218 88 89 90 32 0 0 0 0 0 0 36 160 0 0 15 132 0 0 182 207 100 101 115 99 0 0 0 0 0 0 0 22 73 69 67 32 104 116 116 112 58 47 47 119 119 119 46 105 101 99 46 99 104 0 0 0 0 0 0 0 0 0 0 0 22 73 69 67 32 104 116 116 112 58 47 47 119 119 119 46 105 101 99 46 99 104 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100 101 115 99 0 0 0 0 0 0 0 46 73 69 67 32 54 49 57 54 54 45 50 46 49 32 68 101 102 97 117 108 116 32 82 71 66 32 99 111 108 111 117 114 32 115 112 97 99 101 32 45 32 115 82 71 66 0 0 0 0 0 0 0 0 0 0 0 46 73 69 67 32 54 49 57 54 54 45 50 46 49 32 68 101 102 97 117 108 116 32 82 71 66 32 99 111 108 111 117 114 32 115 112 97 99 101 32 45 32 115 82 71 66 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 100 101 115 99 0 0 0 0 0 0 0 44 82 101 102 101 114 101 110 99 101 32 86 105 101 119 105 110 103 32 67 111 110 100 105 116 105 111 110 32 105 110 32 73 69 67 54 49 57 54 54 45 50 46 49 0 0 0 0 0 0 0 0 0 0 0 44 82 101 102 101 114 101 110 99 101 32 86 105 101 119 105 110 103 32 67 111 110 100 105 116 105 111 110 32 105 110 32 73 69 67 54 49 57 54 54 45 50 46 49 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 118 105 101 119 0 0 0 0 0 19 164 254 0 20 95 46 0 16 207 20 0 3 237 204 0 4 19 11 0 3 92 158 0 0 0 1 88 89 90 32 0 0 0 0 0 76 9 86 0 80 0 0 0 87 31 231 109 101 97 115 0 0 0 0 0 0 0 1 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 2 143 0 0 0 2 115 105 103 32 0 0 0 0 67 82 84 32 99 117 114 118 0 0 0 0 0 0 4 0 0 0 0 5 0 10 0 15 0 20 0 25 0 30 0 35 0 40 0 45 0 50 0 55 0 59 0 64 0 69 0 74 0 79 0 84 0 89 0 94 0 99 0 104 0 109 0 114 0 119 0 124 0 129 0 134 0 139 0 144 0 149 0 154 0 159 0 164 0 169 0 174 0 178 0 183 0 188 0 193 0 198 0 203 0 208 0 213 0 219 0 224 0 229 0 235 0 240 0 246 0 251 1 1 1 7 1 13 1 19 1 25 1 31 1 37 1 43 1 50 1 56 1 62 1 69 1 76 1 82 1 89 1 96 1 103 1 110 1 117 1 124 1 131 1 139 1 146 1 154 1 161 1 169 1 177 1 185 1 193 1 201 1 209 1 217 1 225 1 233 1 242 1 250 2 3 2 12 2 20 2 29 2 38 2 47 2 56 2 65 2 75 2 84 2 93 2 103 2 113 2 122 2 132 2 142 2 152 2 162 2 172 2 182 2 193 2 203 2 213 2 224 2 235 2 245 3 0 3 11 3 22 3 33 3 45 3 56 3 67 3 79 3 90 3 102 3 114 3 126 3 138 3 150 3 162 3 174 3 186 3 199 3 211 3 224 3 236 3 249 4 6 4 19 4 32 4 45 4 59 4 72 4 85 4 99 4 113 4 126 4 140 4 154 4 168 4 182 4 196 4 211 4 225 4 240 4 254 5 13 5 28 5 43 5 58 5 73 5 88 5 103 5 119 5 134 5 150 5 166 5 181 5 197 5 213 5 229 5 246 6 6 6 22 6 39 6 55 6 72 6 89 6 106 6 123 6 140 6 157 6 175 6 192 6 209 6 227 6 245 7 7 7 25 7 43 7 61 7 79 7 97 7 116 7 134 7 153 7 172 7 191 7 210 7 229 7 248 8 11 8 31 8 50 8 70 8 90 8 110 8 130 8 150 8 170 8 190 8 210 8 231 8 251 9 16 9 37 9 58 9 79 9 100 9 121 9 143 9 164 9 186 9 207 9 229 9 251 10 17 10 39 10 61 10 84 10 106 10 129 10 152 10 174 10 197 10 220 10 243 11 11 11 34 11 57 11 81 11 105 11 128 11 152 11 176 11 200 11 225 11 249 12 18 12 42 12 67 12 92 12 117 12 142 12 167 12 192 12 217 12 243 13 13 13 38 13 64 13 90 13 116 13 142 13 169 13 195 13 222 13 248 14 19 14 46 14 73 14 100 14 127 14 155 14 182 14 210 14 238 15 9 15 37 15 65 15 94 15 122 15 150 15 179 15 207 15 236 16 9 16 38 16 67 16 97 16 126 16 155 16 185 16 215 16 245 17 19 17 49 17 79 17 109 17 140 17 170 17 201 17 232 18 7 18 38 18 69 18 100 18 132 18 163 18 195 18 227 19 3 19 35 19 67 19 99 19 131 19 164 19 197 19 229 20 6 20 39 20 73 20 106 20 139 20 173 20 206 20 240 21 18 21 52 21 86 21 120 21 155 21 189 21 224 22 3 22 38 22 73 22 108 22 143 22 178 22 214 22 250 23 29 23 65 23 101 23 137 23 174 23 210 23 247 24 27 24 64 24 101 24 138 24 175 24 213 24 250 25 32 25 69 25 107 25 145 25 183 25 221 26 4 26 42 26 81 26 119 26 158 26 197 26 236 27 20 27 59 27 99 27 138 27 178 27 218 28 2 28 42 28 82 28 123 28 163 28 204 28 245 29 30 29 71 29 112 29 153 29 195 29 236 30 22 30 64 30 106 30 148 30 190 30 233 31 19 31 62 31 105 31 148 31 191 31 234 32 21 32 65 32 108 32 152 32 196 32 240 33 28 33 72 33 117 33 161 33 206 33 251 34 39 34 85 34 130 34 175 34 221 35 10 35 56 35 102 35 148 35 194 35 240 36 31 36 77 36 124 36 171 36 218 37 9 37 56 37 104 37 151 37 199 37 247 38 39 38 87 38 135 38 183 38 232 39 24 39 73 39 122 39 171 39 220 40 13 40 63 40 113 40 162 40 212 41 6 41 56 41 107 41 157 41 208 42 2 42 53 42 104 42 155 42 207 43 2 43 54 43 105 43 157 43 209 44 5 44 57 44 110 44 162 44 215 45 12 45 65 45 118 45 171 45 225 46 22 46 76 46 130 46 183 46 238 47 36 47 90 47 145 47 199 47 254 48 53 48 108 48 164 48 219 49 18 49 74 49 130 49 186 49 242 50 42 50 99 50 155 50 212 51 13 51 70 51 127 51 184 51 241 52 43 52 101 52 158 52 216 53 19 53 77 53 135 53 194 53 253 54 55 54 114 54 174 54 233 55 36 55 96 55 156 55 215 56 20 56 80 56 140 56 200 57 5 57 66 57 127 57 188 57 249 58 54 58 116 58 178 58 239 59 45 59 107 59 170 59 232 60 39 60 101 60 164 60 227 61 34 61 97 61 161 61 224 62 32 62 96 62 160 62 224 63 33 63 97 63 162 63 226 64 35 64 100 64 166 64 231 65 41 65 106 65 172 65 238 66 48 66 114 66 181 66 247 67 58 67 125 67 192 68 3 68 71 68 138 68 206 69 18 69 85 69 154 69 222 70 34 70 103 70 171 70 240 71 53 71 123 71 192 72 5 72 75 72 145 72 215 73 29 73 99 73 169 73 240 74 55 74 125 74 196 75 12 75 83 75 154 75 226 76 42 76 114 76 186 77 2 77 74 77 147 77 220 78 37 78 110 78 183 79 0 79 73 79 147 79 221 80 39 80 113 80 187 81 6 81 80 81 155 81 230 82 49 82 124 82 199 83 19 83 95 83 170 83 246 84 66 84 143 84 219 85 40 85 117 85 194 86 15 86 92 86 169 86 247 87 68 87 146 87 224 88 47 88 125 88 203 89 26 89 105 89 184 90 7 90 86 90 166 90 245 91 69 91 149 91 229 92 53 92 134 92 214 93 39 93 120 93 201 94 26 94 108 94 189 95 15 95 97 95 179 96 5 96 87 96 170 96 252 97 79 97 162 97 245 98 73 98 156 98 240 99 67 99 151 99 235 100 64 100 148 100 233 101 61 101 146 101 231 102 61 102 146 102 232 103 61 103 147 103 233 104 63 104 150 104 236 105 67 105 154 105 241 106 72 106 159 106 247 107 79 107 167 107 255 108 87 108 175 109 8 109 96 109 185 110 18 110 107 110 196 111 30 111 120 111 209 112 43 112 134 112 224 113 58 113 149 113 240 114 75 114 166 115 1 115 93 115 184 116 20 116 112 116 204 117 40 117 133 117 225 118 62 118 155 118 248 119 86 119 179 120 17 120 110 120 204 121 42 121 137 121 231 122 70 122 165 123 4 123 99 123 194 124 33 124 129 124 225 125 65 125 161 126 1 126 98 126 194 127 35 127 132 127 229 128 71 128 168 129 10 129 107 129 205 130 48 130 146 130 244 131 87 131 186 132 29 132 128 132 227 133 71 133 171 134 14 134 114 134 215 135 59 135 159 136 4 136 105 136 206 137 51 137 153 137 254 138 100 138 202 139 48 139 150 139 252 140 99 140 202 141 49 141 152 141 255 142 102 142 206 143 54 143 158 144 6 144 110 144 214 145 63 145 168 146 17 146 122 146 227 147 77 147 182 148 32 148 138 148 244 149 95 149 201 150 52 150 159 151 10 151 117 151 224 152 76 152 184 153 36 153 144 153 252 154 104 154 213 155 66 155 175 156 28 156 137 156 247 157 100 157 210 158 64 158 174 159 29 159 139 159 250 160 105 160 216 161 71 161 182 162 38 162 150 163 6 163 118 163 230 164 86 164 199 165 56 165 169 166 26 166 139 166 253 167 110 167 224 168 82 168 196 169 55 169 169 170 28 170 143 171 2 171 117 171 233 172 92 172 208 173 68 173 184 174 45 174 161 175 22 175 139 176 0 176 117 176 234 177 96 177 214 178 75 178 194 179 56 179 174 180 37 180 156 181 19 181 138 182 1 182 121 182 240 183 104 183 224 184 89 184 209 185 74 185 194 186 59 186 181 187 46 187 167 188 33 188 155 189 21 189 143 190 10 190 132 190 255 191 122 191 245 192 112 192 236 193 103 193 227 194 95 194 219 195 88 195 212 196 81 196 206 197 75 197 200 198 70 198 195 199 65 199 191 200 61 200 188 201 58 201 185 202 56 202 183 203 54 203 182 204 53 204 181 205 53 205 181 206 54 206 182 207 55 207 184 208 57 208 186 209 60 209 190 210 63 210 193 211 68 211 198 212 73 212 203 213 78 213 209 214 85 214 216 215 92 215 224 216 100 216 232 217 108 217 241 218 118 218 251 219 128 220 5 220 138 221 16 221 150 222 28 222 162 223 41 223 175 224 54 224 189 225 68 225 204 226 83 226 219 227 99 227 235 228 115 228 252 229 132 230 13 230 150 231 31 231 169 232 50 232 188 233 70 233 208 234 91 234 229 235 112 235 251 236 134 237 17 237 156 238 40 238 180 239 64 239 204 240 88 240 229 241 114 241 255 242 140 243 25 243 167 244 52 244 194 245 80 245 222 246 109 246 251 247 138 248 25 248 168 249 56 249 199 250 87 250 231 251 119 252 7 252 152 253 41 253 186 254 75 254 220 255 109 255 255 255 219 0 67 0 5 3 4 4 4 3 5 4 4 4 5 5 5 6 7 12 8 7 7 7 7 15 11 11 9 12 17 15 18 18 17 15 17 17 19 22 28 23 19 20 26 21 17 17 24 33 24 26 29 29 31 31 31 19 23 34 36 34 30 36 28 30 31 30 255 219 0 67 1 5 5 5 7 6 7 14 8 8 14 30 20 17 20 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 30 255 192 0 17 8 2 117 1 144 3 1 34 0 2 17 1 3 17 1 255 196 0 29 0 0 2 2 3 1 1 1 0 0 0 0 0 0 0 0 0 0 5 4 6 2 3 7 1 8 9 255 196 0 67 16 0 1 3 3 3 2 4 4 4 3 7 2 6 1 5 0 1 0 2 3 4 5 17 18 33 49 6 65 19 34 81 97 7 20 50 113 35 66 82 129 51 145 161 8 21 36 98 114 177 209 67 193 22 37 52 130 225 241 53 23 83 99 115 147 255 196 0 26 1 0 2 3 1 1 0 0 0 0 0 0 0 0 0 0 0 0 3 1 2 4 5 6 255 196 0 42 17 0 2 2 2 3 0 1 3 3 5 1 1 0 0 0 0 0 1 2 17 3 33 4 18 49 65 5 34 50 19 35 81 20 51 66 97 113 82 129 255 218 0 12 3 1 0 2 17 3 17 0 63 0 224 168 66 23 88 245 192 132 33 0 8 66 16 0 132 33 0 8 66 16 0 132 33 0 8 66 16 0 132 32 169 36 17 178 241 100 214 147 236 143 54 195 195 21 238 9 225 72 134 149 239 35 13 33 55 182 216 170 170 156 25 20 46 121 246 89 178 114 241 99 245 145 107 228 70 214 23 118 91 99 166 145 220 5 125 183 116 92 199 122 135 54 47 110 83 154 62 154 182 69 145 35 94 247 118 60 46 118 79 171 69 61 10 150 84 142 97 21 190 87 112 1 82 25 104 157 206 192 141 223 233 11 167 75 71 71 4 69 177 64 198 63 28 227 117 237 170 164 83 31 2 168 53 186 254 151 227 112 178 207 234 153 95 226 41 242 82 57 179 108 85 68 109 11 191 146 240 216 234 199 253 23 127 37 215 140 147 67 38 12 135 65 250 74 194 161 207 148 31 197 120 56 219 116 152 253 83 51 116 195 245 217 199 159 104 156 29 227 112 253 148 121 40 36 111 151 73 31 117 211 167 109 76 46 116 147 147 35 1 198 15 10 13 207 229 222 232 204 112 198 253 92 140 45 112 231 228 94 147 28 246 206 115 37 52 141 59 181 105 115 28 57 24 93 18 231 110 161 138 152 204 248 156 221 179 206 82 38 208 82 213 195 226 83 202 51 198 28 49 186 211 15 168 197 233 142 83 69 95 27 123 172 119 9 221 93 166 72 198 195 62 227 116 182 106 105 25 185 110 61 86 252 124 152 205 105 151 84 200 232 89 22 144 119 11 20 228 211 36 16 132 32 1 8 66 8 4 33 8 0 66 16 128 4 33 8 0 66 16 128 4 33 8 0 66 16 128 4 33 8 0 66 16 128 4 33 8 0 66 16 128 4 33 8 0 66 16 164 1 27 161 121 130 80 73 238 81 130 72 24 229 103 28 101 199 0 39 22 155 68 245 82 181 145 196 92 74 70 108 241 196 182 69 164 45 167 166 116 174 242 140 227 159 101 99 177 116 205 93 124 128 71 17 32 243 157 128 93 19 165 190 30 195 13 52 85 151 71 135 159 203 27 57 31 127 248 91 238 76 125 5 210 51 75 136 152 54 13 104 192 112 92 46 71 212 220 159 88 136 158 95 224 85 106 233 42 74 72 132 147 3 80 71 45 29 147 248 77 60 108 13 138 54 65 143 70 224 255 0 53 174 166 176 248 95 49 6 218 119 145 158 138 36 87 106 122 130 51 164 19 234 185 51 201 57 236 207 41 182 52 148 54 161 164 53 205 50 15 77 148 2 199 151 144 73 14 111 99 221 14 139 196 112 150 157 250 95 233 149 34 3 52 206 240 166 99 154 224 62 176 147 181 233 11 210 13 64 138 103 140 0 217 128 224 237 148 186 227 78 231 66 60 65 230 63 209 89 37 182 186 77 37 206 203 129 200 42 29 67 29 37 59 154 246 225 236 59 41 83 162 28 108 85 103 174 44 99 104 170 206 172 156 49 197 55 150 19 140 122 30 202 169 122 212 34 107 162 24 123 29 150 171 7 79 221 225 172 135 195 149 192 76 193 135 101 90 113 149 218 42 181 233 186 90 103 58 55 106 243 3 182 18 217 45 173 107 178 209 164 142 50 173 20 222 20 184 33 192 149 178 90 22 74 50 224 48 175 139 145 78 164 89 197 165 104 164 117 21 60 130 212 247 114 113 192 42 153 78 199 71 66 242 90 238 252 149 214 46 150 193 37 59 153 131 130 170 87 59 63 129 110 154 48 195 151 103 5 109 139 140 182 138 119 117 178 169 105 171 153 177 150 235 212 220 240 119 76 31 13 45 72 195 153 225 60 247 27 133 162 134 223 242 236 2 70 145 234 84 177 24 102 15 44 245 86 86 188 99 225 147 90 19 220 108 206 140 107 96 212 223 81 194 77 61 51 227 62 96 175 209 189 190 25 210 65 251 240 151 212 81 65 88 231 53 173 211 39 162 219 135 157 40 186 99 227 150 253 41 46 24 40 202 109 113 182 75 78 242 11 123 242 149 189 133 174 32 174 190 44 240 201 224 228 239 195 20 33 29 211 222 128 16 132 40 0 66 16 128 4 33 8 0 66 16 128 4 33 8 0 66 16 128 4 33 8 0 66 16 128 4 33 8 0 66 16 128 4 33 10 64 16 142 232 199 162 9 60 3 176 82 41 160 116 142 1 160 231 223 133 157 37 51 165 112 3 185 216 227 178 233 159 14 250 18 91 148 177 212 214 3 21 24 119 126 95 236 23 63 149 203 142 40 148 148 148 68 61 37 210 117 87 39 9 3 11 98 7 205 33 27 5 210 223 101 162 179 90 162 101 52 96 185 231 205 41 228 171 101 198 138 11 101 28 52 244 240 54 40 134 218 64 231 211 41 111 80 211 58 75 31 144 121 129 200 246 94 119 47 38 89 94 252 49 229 155 111 70 198 72 225 106 13 31 145 38 184 134 212 68 31 141 90 127 221 54 183 191 85 59 35 121 7 83 119 75 116 136 42 31 11 183 4 146 22 75 73 217 68 191 145 5 92 115 83 56 85 83 224 142 28 211 220 122 37 149 148 212 213 36 212 211 60 196 227 252 70 14 197 91 106 169 154 98 211 141 157 223 208 170 197 210 138 72 31 169 155 1 245 99 186 20 247 178 40 211 71 20 208 189 185 169 37 165 201 171 170 76 82 128 39 118 125 86 135 196 200 97 128 145 206 231 42 45 220 104 170 212 28 116 237 183 101 106 182 30 15 161 168 156 16 91 231 111 168 83 252 90 41 152 60 96 34 119 169 72 45 181 111 107 176 205 37 128 118 118 74 104 192 202 232 92 28 193 158 217 236 171 56 36 90 46 200 183 11 52 114 180 190 2 215 183 29 149 38 190 142 182 219 89 36 209 48 156 12 233 245 86 122 89 167 161 174 48 62 71 52 246 4 166 117 98 42 168 117 189 128 188 34 23 31 248 81 236 173 88 47 236 145 173 100 196 131 249 191 203 236 172 143 170 168 100 94 45 43 188 70 158 197 86 238 246 120 92 29 81 70 60 41 219 185 104 225 202 95 77 206 247 130 28 78 199 4 43 205 198 96 156 188 101 150 207 115 109 124 36 59 103 179 234 8 171 141 128 147 160 105 119 170 73 44 102 138 245 226 177 218 26 254 71 100 226 165 254 37 48 112 231 149 157 55 9 104 189 39 232 182 186 142 25 78 60 32 61 194 174 92 104 100 166 123 134 51 25 86 150 204 225 140 224 142 249 81 238 45 100 208 61 188 158 203 102 60 173 148 174 165 90 7 52 52 228 40 239 193 46 49 249 86 231 198 232 220 230 149 27 112 237 242 180 54 104 73 53 104 108 202 120 171 40 26 39 110 224 99 82 170 93 237 1 133 230 19 172 3 202 184 82 0 218 118 140 157 37 87 47 114 62 142 224 247 197 230 97 27 180 238 19 49 102 148 29 162 221 156 10 148 208 186 51 164 228 45 92 21 100 146 40 46 52 254 61 56 243 143 169 157 194 71 83 76 248 220 114 10 239 113 249 49 200 169 250 104 132 148 145 29 8 223 186 22 187 45 64 132 33 0 8 66 16 64 33 8 64 2 16 132 0 33 8 64 2 16 132 0 33 8 64 2 16 132 0 33 8 64 2 50 133 225 67 116 7 184 39 133 46 142 153 210 59 24 202 198 146 3 35 128 11 163 116 39 76 54 119 178 166 174 50 24 62 150 126 181 135 151 202 253 40 145 41 82 33 244 245 130 88 217 12 210 66 227 173 250 88 204 114 187 245 182 141 180 80 80 211 6 6 103 0 251 21 95 233 59 84 117 55 104 195 188 204 140 135 48 99 233 194 186 92 99 211 80 115 182 141 36 47 49 202 205 41 200 201 38 228 41 235 184 140 114 82 188 3 135 59 7 221 42 186 72 216 237 225 219 105 35 249 43 87 196 40 9 180 211 212 180 100 108 66 170 220 90 198 81 144 230 235 139 109 67 209 102 135 130 222 133 205 209 134 188 187 78 7 1 21 81 197 87 0 154 12 23 48 97 216 94 212 192 200 132 93 227 145 187 37 140 21 54 202 176 230 53 198 39 157 199 98 165 109 0 69 84 204 26 121 157 130 14 2 137 87 23 159 75 252 223 167 221 75 189 211 54 70 178 186 157 160 135 125 77 31 149 105 105 21 17 176 59 203 35 126 149 91 249 37 63 129 39 80 151 71 75 20 163 178 139 169 243 66 36 7 80 60 132 210 241 28 115 83 190 7 59 204 120 73 45 133 244 149 62 12 143 4 1 182 83 226 211 136 169 105 147 169 233 204 21 145 78 204 24 228 216 140 110 19 54 137 168 171 221 164 234 142 79 232 178 181 62 10 166 134 48 130 224 119 76 43 33 13 102 28 54 245 73 201 43 27 21 72 69 212 196 10 218 122 134 128 75 142 249 229 76 13 112 36 140 232 44 7 42 29 123 29 85 95 20 108 110 166 131 230 62 137 141 81 142 22 6 190 76 109 128 20 89 13 11 229 110 170 198 103 109 61 253 82 187 83 139 46 37 236 217 174 113 212 20 218 170 150 194 233 92 195 168 224 0 181 217 162 203 201 45 221 174 201 76 170 141 148 249 54 117 62 175 154 131 4 231 25 217 51 167 121 54 248 201 228 255 0 178 194 229 78 217 37 108 174 237 178 135 81 82 88 246 83 199 245 59 100 191 75 93 27 92 247 9 15 233 90 106 6 48 246 29 138 12 135 46 136 242 57 90 252 76 176 198 121 9 248 162 68 228 37 172 57 168 119 162 141 165 166 55 147 251 41 85 76 121 113 200 221 106 120 107 98 211 220 173 141 12 132 174 36 234 34 31 72 55 27 5 90 190 197 35 231 144 180 236 2 176 219 0 240 29 236 145 222 200 101 99 137 118 9 10 35 252 23 200 190 209 37 145 206 100 133 204 56 115 121 255 0 55 221 53 173 162 101 101 57 154 33 231 31 83 71 100 162 212 8 158 71 30 19 90 90 147 20 135 75 176 93 192 253 94 201 209 148 160 237 10 197 54 153 91 170 129 209 187 24 81 241 133 110 185 81 54 170 19 52 99 14 31 83 125 10 172 84 64 99 113 202 237 241 121 43 34 163 124 101 104 208 132 35 43 97 96 66 16 130 1 8 66 0 16 132 32 1 8 66 0 16 132 32 1 8 66 0 16 132 32 1 5 8 65 33 140 149 186 154 34 247 128 7 60 173 113 180 184 236 172 86 11 118 183 135 188 97 189 214 126 70 101 8 21 150 134 125 43 101 241 8 149 237 242 131 176 43 171 244 221 62 34 141 204 192 193 84 250 50 34 141 130 49 134 129 178 188 244 156 145 150 48 105 254 107 205 228 202 242 54 216 169 118 146 209 211 58 114 218 216 104 219 57 140 120 143 194 131 213 178 124 157 88 155 24 107 142 151 43 125 150 54 190 201 78 224 6 118 85 159 137 81 199 21 4 238 115 78 144 246 184 250 247 92 249 197 185 25 162 218 211 36 215 177 151 46 140 200 25 49 55 24 247 84 90 210 91 105 108 132 112 52 185 93 186 26 81 81 108 153 142 112 44 112 225 38 171 181 137 33 171 163 206 11 242 88 61 210 211 234 201 235 98 27 72 101 125 179 68 127 197 102 250 10 198 72 35 150 44 72 0 32 233 32 118 91 45 180 178 211 213 50 104 135 156 108 246 167 213 118 216 228 133 243 49 161 165 195 46 104 84 155 72 188 81 82 249 111 151 6 51 130 215 112 149 205 76 5 112 118 166 180 53 90 46 22 247 186 141 174 28 176 130 62 202 149 213 50 203 12 70 80 63 46 248 245 86 197 21 34 178 84 38 234 18 230 85 182 72 14 89 194 130 239 6 105 245 185 216 216 19 149 54 130 81 83 76 90 246 141 64 228 110 181 203 70 36 24 100 39 78 6 8 43 79 227 161 15 100 238 144 160 124 85 115 84 56 131 25 221 169 229 210 80 216 11 164 57 46 250 71 162 211 104 143 228 104 3 166 254 73 125 214 173 173 123 167 152 232 97 250 114 179 211 148 198 233 35 92 213 145 209 83 25 48 24 227 194 170 87 87 84 79 62 169 31 177 225 65 186 93 159 112 184 57 173 7 193 140 239 238 165 138 99 86 216 220 50 223 64 61 22 216 193 99 70 121 79 179 39 75 35 164 161 116 142 250 159 134 133 96 182 232 166 166 107 228 242 146 0 74 160 108 97 177 194 90 15 134 55 83 89 27 166 120 145 238 252 48 115 132 137 250 50 45 144 238 87 42 137 170 76 48 198 94 238 113 232 166 211 49 148 84 191 49 90 224 102 120 206 61 22 183 203 4 47 116 173 1 173 110 238 119 114 171 213 183 118 214 86 22 52 151 1 191 236 175 24 185 17 41 83 44 22 199 25 231 154 103 31 47 101 228 128 56 189 217 229 43 21 223 39 65 36 142 32 23 108 213 155 170 195 40 131 220 119 114 108 33 76 171 146 102 85 142 242 53 227 124 37 239 1 206 214 213 188 188 248 3 190 86 1 129 129 196 241 132 249 161 152 95 218 72 182 19 161 224 164 253 64 200 204 225 206 229 58 182 238 221 210 158 163 136 154 150 129 202 162 244 209 57 46 180 85 232 156 91 43 154 166 131 191 42 13 51 72 172 120 62 170 97 3 205 167 177 77 98 34 227 99 10 73 204 96 59 145 193 30 161 105 188 208 53 241 252 196 45 203 31 219 244 172 1 252 60 128 114 10 153 65 81 168 24 158 50 215 114 21 177 228 120 216 232 207 172 138 140 241 150 63 4 45 120 86 11 237 191 194 112 112 220 30 10 67 32 210 236 16 187 252 108 171 42 179 92 93 152 161 8 90 1 2 16 132 0 33 8 64 2 16 132 0 33 8 64 2 16 132 0 33 8 82 137 4 0 74 59 236 164 209 196 100 147 74 164 229 214 54 192 153 103 163 116 210 180 99 57 42 210 221 17 1 78 192 60 188 159 117 18 146 19 69 73 172 1 173 195 43 109 188 106 30 52 135 119 31 234 188 239 43 51 200 204 242 201 186 44 118 224 100 208 210 118 28 43 229 138 0 218 19 164 128 224 185 245 189 239 105 14 254 74 251 211 207 113 161 212 238 235 12 134 198 45 249 225 218 250 50 79 31 165 98 126 172 144 6 82 223 137 17 23 209 77 30 144 124 88 78 62 225 106 248 73 51 167 233 234 186 119 28 233 127 151 236 154 117 187 53 90 32 172 3 34 55 13 95 100 189 119 71 58 118 166 209 82 232 57 12 93 53 53 71 4 63 31 178 103 86 26 250 161 52 125 128 43 95 72 80 186 94 151 171 166 13 195 140 153 10 116 20 114 193 3 3 198 72 56 42 153 97 166 94 18 254 69 21 148 76 142 172 84 55 44 14 25 217 48 141 176 203 8 149 131 58 121 10 116 148 194 74 118 146 50 88 112 86 154 104 91 79 59 152 209 228 119 101 134 80 237 233 165 104 135 85 71 12 180 146 57 131 5 195 249 46 93 215 80 54 38 185 173 28 158 10 234 108 105 167 173 117 59 201 209 38 72 251 170 159 95 90 93 52 15 33 153 112 225 91 3 235 45 139 200 173 104 229 182 93 76 148 234 104 44 59 3 142 201 172 148 115 65 35 37 99 139 162 39 233 1 99 111 130 38 207 225 60 31 55 9 220 49 9 1 132 228 17 176 90 242 251 161 49 75 228 141 56 241 35 107 157 179 64 224 174 93 214 119 137 106 238 47 167 137 231 195 140 227 1 116 187 228 130 58 83 12 121 200 27 185 113 250 136 204 183 151 140 105 110 173 202 103 22 55 247 10 204 254 12 169 35 153 210 54 22 183 147 207 170 181 190 88 232 169 217 24 243 75 142 201 53 36 209 54 64 230 17 171 58 26 165 120 82 62 169 193 199 37 156 159 116 247 30 207 98 226 233 13 40 156 64 203 251 238 125 83 130 246 178 12 191 12 104 25 41 77 171 18 184 200 124 218 118 31 117 15 168 107 37 150 104 233 32 57 47 56 112 244 72 148 109 143 82 164 105 188 214 124 195 29 225 157 48 179 184 238 148 244 248 241 76 181 26 60 167 130 182 95 164 108 116 114 83 196 224 214 68 50 239 117 58 197 3 89 104 105 216 106 25 77 79 170 19 235 34 223 75 166 49 192 14 204 193 43 10 218 175 59 32 105 216 96 45 213 108 51 56 61 163 110 50 161 213 210 226 87 73 157 193 9 144 154 43 40 177 206 237 162 97 228 242 177 97 146 114 26 208 177 113 44 167 141 167 209 20 179 201 30 209 51 46 61 213 230 236 209 134 53 13 140 160 104 105 12 111 32 110 149 117 14 160 240 225 200 77 41 35 124 120 116 135 204 237 210 254 163 193 96 194 167 201 161 61 20 230 200 27 88 252 250 169 173 140 233 116 132 145 168 236 160 198 98 109 193 230 78 197 79 168 157 178 184 54 45 154 212 213 179 44 245 35 127 240 254 160 112 66 223 74 6 160 230 162 167 68 148 109 123 78 227 101 166 220 73 144 2 85 100 54 59 219 25 199 27 107 24 250 103 129 168 12 180 170 165 210 149 209 72 240 90 118 86 218 48 89 92 215 123 121 86 29 69 70 218 136 188 88 192 15 3 204 22 142 38 119 142 84 107 132 138 33 24 194 55 91 170 227 240 222 70 57 90 87 161 140 187 43 67 80 33 8 86 36 16 132 40 32 16 132 32 1 8 66 0 16 132 32 1 8 64 220 225 4 153 70 194 231 12 114 172 189 57 66 30 227 44 131 12 111 212 147 91 41 221 44 173 3 185 192 87 120 233 188 11 119 132 220 7 99 204 185 95 80 207 75 170 244 92 153 95 125 68 213 149 143 107 220 124 48 239 165 88 104 34 136 0 93 230 3 186 172 64 36 51 185 172 56 57 201 41 181 20 143 113 210 28 78 235 146 234 140 169 57 72 177 211 73 169 195 79 3 128 175 93 55 41 20 71 199 225 83 44 177 134 201 24 217 196 242 174 214 167 49 204 115 14 156 0 148 208 245 61 210 58 151 194 70 196 216 158 198 156 7 130 2 179 92 233 197 103 79 84 211 119 102 91 133 66 248 125 89 29 45 214 158 155 94 91 128 236 143 117 209 233 219 166 182 174 2 118 120 212 63 116 172 177 113 154 57 243 252 155 42 221 16 93 29 20 176 188 96 131 140 39 242 195 227 50 102 134 249 90 53 15 186 79 35 13 5 227 67 70 26 233 50 172 118 241 43 171 76 58 124 133 156 173 56 226 164 157 148 148 169 88 162 145 164 196 230 16 178 125 56 115 114 70 225 77 125 35 161 169 227 202 86 225 22 3 129 31 101 139 55 22 182 141 48 206 153 90 189 83 147 16 157 163 204 205 210 251 150 138 154 70 200 71 45 195 130 180 87 83 135 1 144 112 118 42 181 86 25 9 44 59 53 217 4 21 141 193 165 161 247 103 46 189 218 60 26 215 190 17 159 54 173 148 184 244 199 73 226 16 91 36 156 229 89 174 84 45 107 93 82 198 164 85 120 48 153 100 27 142 221 147 35 46 232 92 163 78 202 143 82 7 10 119 54 54 229 206 219 43 155 94 124 27 99 94 67 196 213 82 236 72 225 129 95 58 150 180 200 247 183 196 12 110 49 182 203 152 95 101 241 107 76 48 141 90 182 62 235 171 198 133 68 197 150 87 163 206 154 168 146 106 183 135 29 152 118 86 9 235 3 117 6 187 119 118 85 171 3 126 93 242 70 231 126 33 223 10 69 166 87 84 86 79 36 191 76 68 224 39 202 59 19 25 104 184 91 164 249 91 121 123 142 9 25 37 46 161 145 206 18 214 145 171 205 229 74 93 123 31 39 80 36 217 184 56 9 151 78 84 69 45 170 32 208 72 39 43 36 160 227 177 234 73 232 91 213 45 116 116 49 198 223 226 79 32 46 86 43 115 49 105 12 61 154 2 69 120 123 36 169 203 183 12 250 85 138 206 224 250 0 61 70 114 169 59 162 99 233 141 154 38 75 66 248 193 221 143 220 44 42 105 24 94 246 99 144 162 218 42 13 39 81 84 83 59 62 19 251 251 149 96 169 167 107 129 119 127 81 220 44 241 147 79 101 214 196 147 180 2 198 16 14 129 178 220 226 214 81 151 6 0 226 138 157 30 51 30 27 144 54 112 81 43 92 247 202 35 27 55 0 133 208 95 141 149 198 190 250 27 70 224 68 99 59 145 186 95 212 13 26 50 22 84 47 118 188 56 228 173 119 189 227 202 167 201 179 165 45 21 31 2 39 85 61 238 113 24 236 167 180 69 242 133 204 110 18 234 186 134 195 51 219 140 151 114 189 109 86 41 116 100 151 20 228 101 148 91 102 214 72 226 194 1 217 78 181 59 50 132 174 39 29 36 97 78 182 109 40 85 99 146 164 88 97 115 5 107 75 198 66 46 146 58 9 60 80 223 32 231 237 221 20 65 172 153 146 74 51 236 179 191 73 27 162 112 28 225 71 205 147 109 61 21 139 213 35 70 36 136 101 142 220 125 138 68 241 130 65 86 59 116 130 162 23 209 188 249 219 146 207 248 73 110 16 152 229 112 32 142 195 238 186 252 28 237 253 140 215 142 93 145 17 29 215 135 43 208 186 131 1 8 66 8 4 33 8 0 66 16 128 4 33 8 0 89 194 210 231 12 5 128 231 9 133 166 159 197 157 160 3 185 194 166 92 159 167 22 193 143 250 102 132 15 197 120 217 188 125 211 122 199 31 10 67 157 214 109 132 209 67 12 58 119 198 74 242 174 48 105 95 41 56 11 203 228 200 242 77 201 137 147 43 150 249 60 42 153 28 70 64 229 53 142 54 7 182 72 92 210 29 190 1 72 233 229 16 212 151 17 150 159 169 90 109 34 132 71 226 198 70 121 193 71 168 204 229 213 216 194 213 57 132 17 143 49 24 10 209 99 145 198 153 222 33 35 61 213 90 144 248 243 106 216 12 43 53 188 145 74 65 73 123 54 99 171 166 88 108 215 38 210 117 13 9 100 160 53 209 232 43 188 70 240 249 41 171 27 131 226 48 106 194 249 66 229 84 232 230 100 176 231 196 133 250 255 0 101 244 71 194 139 219 111 221 35 19 179 248 208 96 57 43 46 215 99 22 88 117 147 99 238 164 163 241 36 138 118 140 28 246 86 27 43 91 224 137 61 64 221 70 168 140 75 77 131 186 149 107 31 225 52 247 91 56 158 24 115 63 183 70 117 148 205 115 201 199 217 105 20 251 110 59 38 122 117 179 29 215 154 1 236 181 203 18 146 51 44 141 49 13 77 56 210 90 125 118 84 222 169 162 33 206 123 114 0 57 253 151 70 168 128 18 118 72 58 162 135 93 190 93 35 124 46 126 126 61 45 27 176 231 179 157 219 167 101 93 52 176 53 193 206 105 45 253 213 78 182 161 206 51 195 36 101 186 51 182 21 182 199 107 168 137 179 212 22 96 74 117 12 42 239 85 22 67 89 36 172 192 107 251 21 141 99 233 42 53 185 90 56 183 91 205 45 37 97 36 56 181 199 96 170 116 178 153 107 124 66 204 97 91 62 35 54 90 187 147 99 129 164 148 151 251 162 162 134 218 102 44 37 229 117 177 63 180 230 206 236 92 208 35 172 124 192 100 72 194 7 177 81 45 50 200 201 101 140 135 100 147 147 133 62 154 134 170 115 30 168 136 9 213 39 76 212 153 3 218 206 121 251 38 61 21 171 41 183 42 121 165 46 240 193 211 220 123 43 31 71 144 203 84 140 36 128 206 50 173 3 167 49 14 52 12 227 115 133 160 218 91 67 67 32 107 55 114 94 74 104 188 19 76 164 190 169 210 215 72 194 64 110 227 117 107 233 42 166 205 68 91 156 238 64 5 85 106 108 23 29 114 78 200 30 71 57 89 244 185 169 163 168 240 223 169 160 59 112 82 242 99 184 147 6 211 45 211 68 215 205 81 80 208 6 70 1 247 9 141 158 179 197 45 130 95 168 55 111 117 6 139 252 77 170 105 99 57 1 251 162 22 136 171 33 118 121 11 26 134 205 23 70 219 140 79 167 157 196 12 177 202 44 184 44 4 243 234 152 205 41 145 175 141 222 96 59 165 85 121 210 48 49 186 214 191 2 49 126 102 218 12 120 133 97 120 201 98 206 223 229 144 2 139 190 8 36 112 149 242 116 10 45 120 255 0 30 65 27 33 228 52 12 45 151 0 62 117 197 71 123 137 25 79 94 25 36 190 234 38 55 248 89 62 138 93 177 195 196 28 168 17 203 170 61 37 49 161 110 151 53 67 45 9 15 169 93 254 33 165 199 35 209 97 121 250 93 141 182 217 99 64 51 40 36 172 174 231 45 217 46 246 104 165 69 97 146 24 170 60 86 156 57 135 63 117 58 237 19 42 33 109 67 6 67 134 79 177 80 100 4 78 112 50 115 144 61 84 219 91 218 246 201 70 231 121 93 187 15 249 191 249 79 197 145 227 146 101 49 207 116 87 228 110 9 4 112 177 10 117 202 3 20 206 80 123 175 71 142 125 162 108 4 33 10 228 2 16 132 0 33 8 64 1 229 8 40 28 169 37 30 198 208 78 2 188 116 37 179 230 43 26 247 183 44 96 212 229 82 183 194 100 144 12 110 78 203 171 116 157 17 130 131 75 54 145 195 36 174 63 212 51 124 33 121 39 72 129 120 199 205 151 17 140 240 61 148 122 151 180 64 248 207 230 106 149 123 107 219 84 3 135 61 212 26 209 226 83 151 14 90 55 92 133 232 185 83 128 150 42 58 120 155 170 160 229 203 125 31 134 106 0 136 121 84 90 216 241 31 139 36 158 99 244 133 182 210 237 47 4 133 121 9 198 139 53 172 232 151 140 39 246 247 254 3 193 245 85 202 98 230 184 59 4 231 112 66 176 219 139 13 51 156 227 143 100 169 35 68 90 177 29 222 97 13 91 156 119 99 134 151 46 137 253 159 111 46 180 117 7 200 205 41 117 13 111 150 51 157 154 254 203 153 223 114 102 127 166 48 23 157 35 117 169 183 215 197 225 201 228 107 193 199 113 238 21 92 110 52 87 52 123 35 237 200 128 240 203 15 101 157 52 130 22 63 45 242 165 29 45 114 109 218 197 71 112 3 6 104 90 72 247 9 139 221 135 31 66 167 133 46 169 196 228 78 63 6 235 93 202 26 172 152 123 28 144 121 77 90 6 0 25 253 215 58 183 76 234 14 167 169 133 206 115 152 230 130 50 123 110 172 118 43 213 77 85 242 123 124 173 111 135 27 53 53 253 207 178 223 139 50 122 100 114 56 206 43 178 240 176 150 140 168 87 10 118 203 19 154 167 143 126 86 185 64 25 37 54 74 204 144 147 76 175 212 218 226 101 35 98 107 56 92 227 174 236 12 157 132 51 103 158 10 234 119 41 240 194 26 170 23 72 245 234 115 142 162 86 28 152 82 118 116 49 205 213 51 143 205 210 84 177 144 94 221 111 252 199 221 106 155 167 161 123 116 152 134 23 68 169 165 110 251 37 242 209 180 156 171 197 210 43 40 217 70 143 166 169 88 60 177 5 62 43 76 108 0 6 96 43 40 165 0 240 22 98 149 160 112 167 177 29 74 204 150 182 233 217 138 19 236 77 123 179 35 54 87 81 78 49 194 197 212 254 202 59 150 80 41 198 203 16 110 209 12 21 92 189 116 164 38 111 18 24 192 115 178 14 203 169 26 48 70 113 186 208 251 123 92 73 115 66 158 214 71 90 57 61 179 165 234 40 237 178 210 49 216 47 57 94 71 210 117 65 140 26 198 176 121 93 85 246 246 147 144 208 181 186 128 122 5 84 146 100 108 229 247 30 153 185 6 235 166 120 46 244 72 106 232 174 52 248 109 93 51 154 7 112 23 107 117 24 28 55 10 45 77 4 114 55 76 140 14 7 212 101 76 146 99 49 203 169 200 105 89 170 86 253 182 202 206 243 76 25 78 75 156 9 87 219 135 75 211 61 250 225 26 28 171 61 69 102 168 166 165 113 208 233 126 201 78 38 200 230 77 28 166 237 181 105 7 184 81 102 3 192 106 109 119 162 116 149 65 195 202 255 0 210 82 186 200 103 138 44 57 135 72 239 132 216 248 37 189 217 141 35 137 242 251 38 118 185 73 151 195 119 100 158 153 199 80 32 167 22 208 223 31 80 228 242 134 93 43 44 84 196 54 96 81 114 32 133 141 57 6 102 128 182 92 129 209 186 79 201 162 58 69 98 171 45 168 39 43 79 140 99 152 74 195 187 86 234 237 230 201 81 165 102 1 57 27 166 163 59 211 177 165 226 54 79 78 218 134 15 43 198 79 221 87 222 211 234 159 89 93 243 20 146 82 147 146 55 110 82 170 230 120 114 145 140 110 186 188 28 186 234 109 199 59 68 95 100 35 185 71 117 212 67 1 8 66 8 4 33 8 0 238 128 50 112 130 183 82 183 84 138 36 234 45 146 63 233 138 79 18 118 56 140 134 141 71 43 162 216 228 107 161 214 92 91 232 61 149 62 208 209 73 111 36 141 223 183 252 171 109 130 48 250 44 187 234 225 121 174 70 78 211 179 62 68 165 160 190 70 201 98 241 26 65 115 85 102 166 66 218 103 99 147 202 125 41 44 168 116 78 224 130 171 215 86 233 15 3 133 157 187 43 21 74 132 149 174 241 33 99 142 11 154 84 187 94 114 55 206 121 75 90 243 146 49 144 157 218 33 58 75 200 198 202 207 194 177 214 139 21 170 167 195 96 99 152 31 232 159 211 22 58 45 126 22 8 228 97 86 173 218 132 141 44 25 35 178 179 209 62 87 66 239 17 152 42 140 191 233 239 69 87 168 164 204 132 53 191 116 158 157 178 50 65 43 54 32 236 83 126 160 99 155 57 10 4 20 210 77 52 113 180 56 135 16 54 245 80 152 213 173 51 233 207 236 253 116 168 174 233 111 10 168 225 205 121 240 193 244 93 34 118 146 207 47 43 137 252 20 154 177 151 16 200 226 123 105 226 195 6 70 197 118 249 30 204 187 39 25 75 138 112 203 246 156 172 170 153 79 234 99 162 227 13 94 160 221 108 49 159 184 89 244 84 159 53 127 146 190 54 75 25 12 210 73 27 57 59 150 142 146 66 60 70 137 116 156 130 84 138 99 20 12 209 19 27 24 246 79 233 247 91 28 243 175 208 233 67 214 212 141 57 45 193 81 170 106 50 220 101 64 117 73 198 253 148 90 138 159 41 221 107 121 44 231 199 17 149 116 219 17 148 134 172 140 29 212 154 186 140 147 186 85 83 48 245 73 148 141 10 36 121 240 73 80 164 104 223 108 173 243 72 10 140 249 55 217 47 181 23 163 89 104 207 11 208 204 163 32 175 88 85 59 22 163 38 70 179 240 243 217 120 199 99 117 185 142 4 42 182 236 148 141 110 136 99 96 181 58 63 80 48 165 185 195 11 75 202 178 101 89 17 205 25 216 5 169 248 207 10 76 128 40 175 229 94 200 48 115 1 88 120 25 251 45 172 107 137 82 35 136 225 13 149 161 108 180 195 31 72 80 170 233 26 230 144 230 130 15 178 125 36 124 168 21 165 145 183 46 42 174 116 89 68 231 157 77 209 150 235 167 156 176 193 40 225 236 92 254 247 210 55 106 16 224 223 241 48 246 61 215 102 169 169 99 158 72 62 85 16 179 198 14 63 253 43 99 200 165 162 37 107 103 206 21 244 82 209 205 248 140 116 121 236 225 141 212 171 57 34 92 59 98 187 109 227 167 237 247 24 203 106 41 154 115 220 13 213 42 183 160 165 163 149 211 91 229 241 24 127 233 187 148 198 134 99 201 252 138 168 24 124 110 55 11 101 192 229 135 59 21 41 148 210 211 202 214 201 17 107 135 43 85 222 1 167 83 15 41 84 106 190 203 69 82 226 60 217 236 161 74 9 111 59 41 247 55 100 52 122 37 179 188 134 132 200 136 153 38 223 81 242 181 49 188 28 111 165 223 101 50 251 0 15 241 26 60 164 100 36 141 118 162 117 125 135 221 88 227 205 85 157 185 222 72 188 167 236 159 130 93 38 154 29 130 84 232 173 145 130 80 182 84 52 53 231 220 173 75 208 197 218 84 108 61 66 2 20 144 8 71 116 41 0 76 236 208 120 149 13 217 46 96 203 128 86 59 3 68 81 62 119 143 165 191 213 99 230 100 233 2 179 116 135 77 33 239 48 55 134 13 138 179 216 152 233 41 26 214 108 85 94 137 173 240 67 137 201 33 91 108 79 108 116 205 212 48 49 202 243 171 205 153 187 63 130 37 124 102 58 156 184 110 1 221 87 46 153 112 123 187 21 106 187 212 49 238 209 19 114 79 36 170 229 222 25 60 34 26 221 145 72 188 102 254 74 208 140 182 97 232 83 219 57 243 185 174 236 54 75 102 140 180 134 247 96 201 78 173 52 194 118 54 70 108 72 221 75 242 202 255 0 178 193 211 241 70 214 58 121 8 216 236 21 150 133 206 168 137 206 12 13 244 42 187 108 167 112 195 79 11 174 116 31 73 124 245 35 42 37 105 108 61 207 170 83 183 164 62 163 142 61 228 115 186 126 147 184 117 5 91 162 165 128 134 147 230 121 27 53 116 206 142 248 113 103 179 54 57 106 155 243 115 14 92 237 219 149 120 130 134 158 138 47 6 154 33 27 59 129 221 100 118 27 109 132 252 113 234 182 115 243 114 30 71 246 248 110 163 142 42 120 195 97 137 145 51 176 102 193 73 241 118 229 64 214 57 219 62 168 241 79 170 151 42 51 245 178 105 151 221 98 101 57 216 168 102 95 117 137 151 100 167 63 228 106 75 228 148 249 142 55 42 44 243 236 119 90 100 151 101 14 121 187 101 66 147 100 209 149 76 220 238 150 207 41 57 221 123 60 222 234 28 143 10 91 32 242 71 56 173 126 108 175 60 64 177 50 0 170 217 38 97 203 32 239 69 28 201 142 232 18 251 168 216 18 3 142 174 84 136 156 113 202 128 36 203 148 168 72 35 186 9 36 19 149 143 108 47 1 5 100 125 66 155 32 213 32 217 107 44 207 101 35 30 171 91 198 234 108 12 99 96 11 112 11 24 150 110 56 238 20 54 74 70 169 78 199 217 86 186 162 109 48 57 128 238 209 149 96 170 120 0 253 149 31 171 106 100 134 87 61 205 214 199 140 16 57 75 125 129 180 138 235 46 140 18 56 144 112 215 121 179 221 61 180 214 50 177 174 120 192 111 0 42 52 205 113 159 75 142 24 231 41 208 213 75 73 38 35 120 59 240 19 146 235 232 151 34 240 246 2 51 133 162 88 179 217 101 105 152 84 209 181 231 234 198 225 73 123 125 150 132 213 21 161 37 194 223 13 75 11 95 30 79 98 169 61 71 109 158 141 174 115 65 116 107 165 75 30 196 37 23 58 118 201 19 152 246 229 164 40 104 180 50 202 46 142 35 115 104 214 78 48 148 204 2 181 245 133 185 244 85 47 219 240 221 184 42 171 80 194 209 145 220 101 85 42 53 185 38 180 96 6 150 131 221 62 233 215 103 196 167 63 76 173 207 238 18 26 70 135 200 117 59 202 19 171 59 200 126 182 156 22 187 109 148 183 91 41 22 211 33 93 97 44 157 217 238 151 251 43 31 81 66 210 255 0 17 185 195 134 161 251 170 233 24 43 189 194 201 223 21 157 24 254 32 56 66 7 8 90 137 14 232 66 59 41 241 18 109 166 105 115 194 179 190 63 6 214 192 114 12 174 254 137 37 162 47 18 102 0 51 146 155 215 184 190 165 177 179 36 48 6 227 220 46 47 63 38 250 138 200 244 51 177 198 100 4 185 195 75 125 85 178 147 104 25 129 176 28 42 165 166 146 103 49 174 126 90 208 119 86 202 49 138 81 220 101 114 230 35 19 106 68 122 183 178 55 234 35 36 240 2 79 115 170 105 107 178 56 78 164 132 72 94 239 64 112 171 181 140 204 161 174 236 119 85 67 36 147 244 211 103 133 181 53 110 50 253 47 27 123 166 118 200 157 77 86 88 206 1 225 47 172 119 128 234 121 34 26 11 14 192 119 79 172 14 21 149 205 124 173 198 127 221 18 242 136 197 30 204 191 124 58 233 249 111 215 136 105 218 195 160 28 200 123 97 125 18 202 8 40 40 89 73 78 192 216 227 26 64 3 146 171 95 5 58 124 90 172 38 178 86 143 18 125 218 113 190 21 202 183 233 193 219 124 146 181 71 26 140 118 96 230 114 127 83 39 85 226 16 212 55 114 161 76 224 54 83 235 28 6 82 106 169 50 236 37 201 149 74 140 139 200 60 172 75 202 212 29 143 186 240 185 38 76 186 70 195 33 88 153 118 229 104 145 196 45 46 147 109 210 157 140 70 233 37 217 68 154 92 238 188 124 128 247 90 36 112 45 40 139 162 89 166 103 3 234 162 74 243 217 108 153 219 149 21 206 206 83 144 167 160 241 14 86 183 200 86 18 57 105 115 138 157 21 179 105 147 126 80 30 84 114 227 158 81 172 132 5 50 99 36 220 41 244 239 219 9 59 31 184 83 224 127 10 42 201 76 98 215 133 144 118 119 236 163 49 217 91 67 182 80 209 41 153 189 248 25 90 193 46 60 175 30 114 55 68 88 202 130 198 230 108 22 19 63 75 86 89 217 64 188 74 89 74 224 57 127 149 39 36 169 89 100 133 55 91 195 67 92 200 178 95 156 112 171 23 151 190 118 71 46 173 142 228 21 54 165 226 9 254 108 183 240 190 131 247 10 167 113 173 172 149 197 145 145 225 228 145 246 81 195 148 167 63 244 47 43 73 108 137 121 146 49 27 176 230 151 3 182 157 214 170 22 120 174 141 219 146 78 229 66 107 37 125 65 45 115 113 31 212 159 88 225 108 174 208 55 46 57 4 45 211 185 72 207 4 158 203 141 158 149 148 244 205 211 147 145 156 169 132 5 141 35 12 112 70 195 203 70 235 57 8 10 145 150 198 181 163 68 158 170 5 108 122 154 237 185 76 28 65 10 45 71 24 76 76 175 165 15 173 173 255 0 51 110 151 13 203 152 50 23 36 169 212 60 167 145 182 23 123 185 198 30 28 210 54 33 113 174 165 166 109 13 198 102 22 101 197 218 135 217 88 180 36 33 134 57 60 76 238 0 229 55 164 113 141 224 48 236 70 234 4 142 44 133 161 199 4 169 52 143 14 153 186 78 112 55 80 214 135 71 242 44 21 237 241 173 140 32 130 88 52 159 183 101 84 157 184 126 21 202 134 49 37 36 145 122 141 74 171 113 139 68 135 30 171 119 211 178 111 169 191 27 180 67 8 64 66 236 140 5 235 121 11 197 148 67 47 30 136 110 147 100 173 33 247 78 192 29 40 46 56 111 114 182 138 135 58 119 128 50 249 29 185 82 44 80 180 81 200 231 29 156 52 133 162 225 3 32 123 92 199 249 156 115 202 243 156 137 118 155 102 92 178 221 22 26 119 182 26 49 25 57 57 86 91 107 90 250 102 234 250 64 202 163 219 53 73 135 56 146 174 180 36 182 133 184 60 172 178 35 28 107 195 76 141 115 245 232 56 35 112 145 94 89 51 220 101 49 233 0 110 83 154 182 78 28 31 27 78 197 65 184 214 107 141 209 186 63 57 24 62 138 168 188 211 239 217 8 231 168 21 15 137 128 16 0 87 175 134 246 215 220 110 244 212 145 140 190 73 26 2 167 81 178 57 38 17 232 199 101 220 127 179 109 151 198 234 135 213 60 7 50 154 35 219 130 120 255 0 100 204 113 239 58 45 223 244 161 41 127 7 209 52 48 54 146 130 26 118 0 4 108 13 254 74 29 123 182 41 140 199 75 112 147 215 191 98 182 102 127 7 3 18 183 98 107 132 152 37 39 145 219 149 58 229 32 201 73 103 159 7 149 133 155 81 36 59 221 120 247 5 7 230 70 118 43 215 84 109 202 92 147 44 168 219 44 128 40 178 202 61 86 185 230 24 229 66 150 109 249 71 82 221 137 111 126 123 173 110 114 142 217 114 121 89 23 100 34 130 207 36 57 10 28 250 181 130 56 82 100 59 40 211 56 171 173 11 147 52 202 237 200 238 163 63 36 173 178 243 156 173 46 56 42 214 84 243 56 88 185 193 120 231 108 181 231 37 8 150 111 136 249 182 76 169 73 192 74 225 32 166 116 163 202 166 68 69 19 99 217 102 78 203 86 160 7 186 26 243 167 204 119 81 90 37 250 108 202 205 174 3 101 28 187 208 160 56 227 57 84 113 178 201 146 156 237 185 80 46 1 210 249 57 111 43 107 159 238 180 202 255 0 116 169 99 178 234 66 27 157 24 146 219 36 35 234 221 192 46 89 121 125 84 50 24 137 115 75 78 197 117 234 152 72 155 197 201 227 24 206 201 37 210 215 73 87 171 92 99 39 146 163 20 127 73 218 21 146 10 76 229 84 50 79 36 206 58 176 123 251 171 207 70 120 85 116 236 46 26 37 143 250 173 53 182 42 106 42 7 120 67 205 221 199 116 215 167 169 91 77 64 195 167 14 231 62 203 100 159 117 98 163 30 172 120 101 0 123 168 211 85 13 120 202 209 81 54 1 57 73 93 89 226 85 136 193 251 169 140 73 108 177 54 80 119 5 99 38 237 81 41 221 229 194 152 198 151 55 112 173 68 88 182 182 50 114 125 55 92 179 226 125 30 131 21 91 7 125 215 92 171 103 148 170 39 196 26 79 30 205 51 113 146 221 194 9 139 166 113 231 201 36 210 229 206 76 109 164 9 61 82 214 0 210 93 232 112 152 91 29 153 113 142 234 25 170 46 203 93 157 216 145 132 157 134 233 63 80 65 225 212 16 123 21 62 144 233 28 144 87 189 68 207 18 49 55 234 0 159 186 191 18 93 114 26 241 178 170 121 66 201 227 14 194 196 47 73 23 104 120 45 212 141 213 32 30 171 74 157 107 102 185 71 221 43 52 186 227 176 111 69 149 176 136 237 3 46 211 151 127 178 83 38 162 240 231 18 236 113 148 234 228 221 52 177 179 128 214 130 126 229 41 151 78 129 133 230 219 182 204 146 182 236 119 106 99 91 76 28 173 214 166 107 100 77 237 133 78 182 63 85 59 88 61 85 218 213 131 20 68 122 97 46 68 167 91 51 186 212 199 20 101 140 110 79 174 21 90 164 58 87 151 144 172 183 211 27 34 108 76 110 238 57 37 87 100 113 14 35 10 182 51 20 117 102 171 75 216 202 198 248 141 219 56 95 82 255 0 103 91 115 34 176 212 92 154 205 63 48 253 32 159 65 255 0 218 249 110 54 1 83 27 125 127 221 125 149 240 110 151 229 126 31 91 24 70 11 162 14 43 87 17 125 206 66 57 242 235 130 95 238 139 61 83 142 231 182 54 72 174 114 0 211 186 113 92 240 6 59 5 90 187 76 3 78 234 217 125 57 88 86 132 23 74 140 19 186 175 86 213 28 29 212 235 188 219 157 213 90 229 83 128 119 73 140 77 18 100 209 90 117 1 171 117 37 149 4 183 36 170 120 172 63 48 209 158 233 211 38 242 242 167 161 94 227 25 106 50 14 234 47 204 106 119 42 44 147 110 119 90 99 126 94 119 80 226 74 144 214 41 50 84 150 187 100 186 152 238 166 181 222 80 150 198 35 41 78 202 44 199 33 111 148 236 162 202 121 86 137 89 50 45 67 157 217 105 47 46 11 116 135 25 37 71 113 192 42 104 139 60 123 183 67 8 35 37 107 113 221 102 195 128 20 81 38 232 182 114 103 76 112 208 149 196 114 224 152 192 124 184 81 86 9 209 36 187 221 120 94 115 202 212 92 61 86 58 134 85 168 130 64 119 186 240 191 108 101 106 14 24 94 23 4 80 89 155 164 43 83 228 37 98 247 45 18 72 6 114 168 213 151 176 158 77 138 91 59 185 194 223 60 163 116 186 121 70 232 140 72 108 242 93 46 4 56 7 52 242 210 176 115 195 91 129 176 27 0 180 190 82 180 77 54 220 167 70 52 42 77 179 93 124 229 173 59 164 214 7 120 243 75 49 220 23 96 45 183 105 241 3 206 120 8 233 24 139 104 218 123 187 37 74 216 120 89 40 216 78 19 54 51 13 81 233 34 1 161 78 13 242 171 21 161 125 91 50 10 170 245 28 97 244 210 48 140 234 10 223 84 223 41 85 171 195 1 105 202 130 78 1 88 223 14 121 161 224 181 248 91 237 206 211 51 81 212 204 116 55 250 145 167 203 226 45 84 15 204 227 110 84 51 86 55 162 209 19 218 231 53 78 184 198 36 181 180 183 125 36 229 45 166 105 100 90 220 153 82 19 37 36 241 122 55 33 46 46 165 104 215 23 69 66 165 164 72 66 212 165 215 183 76 174 81 59 175 77 137 220 44 210 120 59 39 93 63 30 186 168 198 59 164 236 229 89 186 70 32 234 182 28 112 114 126 203 63 54 85 142 136 126 12 175 36 151 185 158 152 74 105 163 18 74 88 227 135 30 233 133 205 238 125 68 132 242 74 91 32 208 241 140 135 47 62 189 50 201 63 7 118 234 90 136 142 116 236 173 244 110 209 76 199 122 42 165 134 106 169 27 167 83 113 223 42 213 17 252 22 140 125 212 77 147 141 92 169 158 222 200 123 25 32 220 17 184 72 180 234 156 2 155 213 18 6 57 5 64 168 140 49 141 61 201 229 47 211 74 93 85 26 225 167 112 184 197 11 192 14 47 199 223 117 246 215 73 83 10 62 152 161 167 28 50 22 143 232 190 75 176 219 205 109 109 9 141 173 146 72 228 104 206 57 25 238 190 193 128 8 168 34 102 48 3 0 199 236 183 113 93 70 206 103 212 223 217 24 144 46 18 121 74 169 94 38 192 59 171 21 210 64 1 194 167 94 101 229 68 246 204 144 84 87 110 211 18 78 234 163 119 152 134 149 97 186 72 117 29 213 74 242 243 161 197 66 209 111 88 174 58 156 220 34 110 127 50 179 9 116 140 42 29 52 250 175 176 199 159 204 173 175 151 108 229 77 178 26 162 81 168 105 118 203 101 59 242 228 183 197 26 182 82 169 95 186 171 65 224 238 148 240 167 199 132 170 149 249 0 101 48 137 227 100 137 38 254 7 69 232 206 65 144 163 200 6 119 82 30 123 115 238 181 60 109 146 127 117 49 215 164 50 13 68 64 187 42 44 231 108 38 18 181 206 105 13 105 113 237 132 186 187 196 141 250 30 205 36 13 242 173 105 186 43 186 178 48 147 81 242 240 182 196 125 56 81 181 0 86 216 220 165 129 54 19 184 83 226 112 56 74 225 62 100 194 28 0 10 169 38 217 14 2 95 112 146 173 178 68 105 177 167 62 127 178 154 242 180 200 118 32 114 172 136 54 182 67 167 124 103 178 193 210 111 202 142 53 52 28 144 177 46 118 93 177 216 118 86 106 138 217 189 242 236 162 203 46 197 120 247 237 176 39 250 40 21 82 150 228 238 162 137 179 26 154 128 28 70 188 251 37 211 212 111 202 215 87 46 28 72 75 106 39 221 89 70 189 42 217 57 211 228 114 163 205 54 70 50 161 124 199 186 197 243 103 190 221 212 217 41 26 47 51 98 145 227 59 187 100 255 0 166 153 162 142 45 92 140 42 141 205 230 73 160 167 206 239 120 39 236 175 22 56 143 134 192 120 217 8 153 15 233 216 112 10 146 70 192 175 32 96 13 193 89 191 1 187 34 200 74 200 85 103 98 171 183 97 150 149 96 171 224 170 253 207 112 66 44 40 226 157 110 241 13 241 204 240 245 135 111 148 170 54 179 83 101 96 193 61 147 207 137 204 146 43 188 82 198 221 220 220 113 178 65 109 159 94 99 123 119 1 12 108 44 177 209 179 91 90 247 63 1 52 142 72 225 153 145 52 96 189 186 117 36 148 143 31 43 130 119 202 151 28 219 179 86 250 78 65 74 249 53 173 33 117 230 50 218 135 37 105 247 80 199 137 115 142 82 39 13 215 160 225 202 241 155 83 213 132 99 47 87 30 147 143 13 145 224 110 35 37 84 96 25 147 10 245 210 236 13 161 149 223 102 255 0 53 159 234 50 168 149 153 14 188 121 243 234 114 151 213 127 17 164 114 155 92 64 46 35 209 40 144 254 56 202 226 196 206 222 172 113 100 167 152 249 198 71 238 174 116 76 213 3 67 149 78 138 187 32 71 11 112 21 198 218 3 226 137 163 146 119 81 50 32 233 217 22 182 39 49 218 115 177 80 94 4 145 136 179 184 41 205 197 131 75 157 250 95 132 158 178 50 211 227 71 194 91 52 167 104 178 252 47 241 105 122 238 221 73 171 92 114 76 208 114 190 188 168 58 105 135 217 124 147 240 98 150 106 175 136 22 205 76 46 107 94 93 159 182 23 213 247 39 134 194 26 59 5 187 6 177 156 191 169 126 81 66 11 156 155 57 82 238 210 229 197 90 110 175 242 157 213 54 236 252 229 46 79 98 234 138 237 201 219 149 86 187 156 198 112 172 149 231 46 42 187 116 25 4 41 32 164 9 132 61 73 76 73 192 46 194 184 153 75 154 61 213 15 169 115 75 60 117 99 254 155 178 173 182 105 31 112 133 134 158 55 72 92 2 134 232 42 201 205 119 155 10 109 57 57 29 148 235 119 79 84 202 3 166 123 97 111 161 229 60 167 180 80 81 128 231 102 82 147 62 78 56 254 37 163 133 177 85 19 101 118 52 49 199 236 19 138 90 58 135 97 207 104 96 255 0 49 194 242 122 183 196 52 193 27 35 111 217 43 170 125 202 164 249 60 70 143 94 201 47 51 151 205 23 88 218 44 31 47 76 195 153 234 154 61 154 114 188 125 77 162 34 1 6 67 234 74 174 67 108 127 51 204 242 255 0 186 194 74 2 207 59 26 231 251 101 41 211 255 0 34 229 174 59 133 48 218 22 68 61 48 21 15 174 43 94 203 203 29 171 45 145 185 192 82 27 36 172 144 136 227 112 237 133 92 235 169 37 49 193 86 90 70 135 233 63 186 190 12 125 103 109 149 201 39 40 82 25 83 77 226 70 9 42 99 29 194 67 100 168 18 193 144 83 136 222 7 43 108 132 33 132 46 193 10 124 79 1 160 37 17 200 50 2 155 28 131 101 66 228 183 184 45 110 61 214 189 121 238 177 47 28 21 107 162 181 103 174 35 238 74 149 107 150 42 120 103 170 156 7 1 182 28 151 77 40 110 86 6 1 87 66 12 147 22 69 157 241 221 43 43 101 160 143 42 111 86 247 188 248 148 216 247 105 90 229 117 190 169 153 138 99 25 35 135 112 161 182 211 77 54 76 47 44 111 229 212 180 203 106 158 55 105 108 141 151 108 224 42 39 31 241 145 45 72 215 93 67 56 5 204 196 141 245 105 202 65 88 215 53 199 83 72 251 167 167 196 129 250 93 226 48 250 103 100 74 246 77 229 154 38 202 61 185 79 140 159 203 177 110 45 149 93 100 115 178 30 243 164 166 213 150 112 242 100 163 144 100 127 211 114 171 222 39 150 151 44 123 75 8 231 42 234 119 162 84 104 217 107 6 178 252 93 203 98 217 116 187 68 88 104 217 80 186 10 159 196 137 213 56 207 136 236 174 151 110 139 75 85 145 86 79 136 28 44 37 216 45 236 105 13 90 103 80 76 69 213 103 98 145 92 123 167 149 125 210 75 137 216 168 36 229 159 19 203 99 108 114 145 146 221 130 163 91 229 213 62 162 49 234 175 127 21 99 213 109 7 184 114 164 82 68 209 27 30 6 234 126 6 193 208 226 140 13 92 157 206 201 189 76 12 101 40 112 35 62 201 60 12 148 176 60 12 0 20 191 18 105 98 17 52 156 148 179 67 218 55 94 72 150 154 57 134 224 183 82 174 191 234 37 88 164 96 54 152 216 55 209 229 42 189 38 206 43 181 192 149 192 215 137 220 13 148 163 47 3 221 95 173 13 209 99 118 217 46 112 199 236 168 148 45 204 205 30 235 161 208 70 241 99 132 181 164 184 146 179 253 73 219 45 37 162 21 124 58 98 255 0 51 183 73 166 195 134 159 204 19 154 152 228 96 47 144 157 182 193 72 170 114 101 47 28 31 69 203 70 103 77 140 172 191 198 105 62 171 161 90 67 35 129 210 31 171 27 46 119 105 250 219 247 93 14 201 7 140 198 57 199 97 217 13 88 52 137 108 132 75 79 41 120 201 118 248 85 201 203 152 31 11 134 0 42 197 116 148 211 84 135 51 211 4 36 21 95 142 249 37 27 15 66 148 216 252 73 157 83 251 58 82 199 83 212 145 78 15 154 8 143 253 151 120 188 188 128 64 237 178 226 223 217 114 147 252 125 194 164 157 131 64 31 190 87 98 190 188 106 118 56 91 225 246 225 57 124 197 121 235 253 21 155 164 135 7 42 165 116 118 114 172 151 71 115 186 170 220 142 229 32 31 130 42 227 146 82 74 214 131 156 167 85 135 36 165 53 97 93 11 145 75 234 122 54 203 4 129 205 212 210 55 10 249 208 108 129 150 154 118 194 208 214 120 120 42 177 122 135 92 47 7 130 19 126 133 169 31 220 49 177 132 25 24 72 43 63 38 61 160 51 27 58 3 52 53 185 13 121 62 220 45 114 134 147 153 94 26 61 26 55 81 40 5 100 172 212 249 28 214 122 13 148 192 249 26 124 145 7 123 174 103 90 53 154 218 98 7 16 209 185 231 245 61 107 157 243 29 142 166 143 70 169 6 74 163 255 0 77 163 246 94 177 149 175 62 88 218 223 114 20 55 176 162 27 129 104 3 78 20 87 185 241 146 90 15 185 202 97 35 72 118 151 59 81 80 43 241 16 50 57 158 32 102 229 131 243 43 91 248 42 209 30 162 118 185 237 62 27 118 247 221 86 58 227 85 93 142 178 54 51 76 154 60 165 37 234 30 174 189 182 186 92 88 217 78 198 3 225 150 156 237 239 178 171 215 245 237 193 208 200 38 162 136 249 113 141 103 254 23 75 139 195 201 146 54 79 232 78 112 211 29 244 156 229 244 249 36 99 211 10 196 217 176 49 186 249 249 221 69 212 116 211 184 211 86 54 22 57 199 72 240 243 128 181 187 171 186 189 187 139 136 112 255 0 66 233 62 30 70 180 103 92 76 136 250 46 41 247 27 169 145 212 12 133 243 47 254 55 235 6 28 138 230 254 241 166 84 61 109 215 18 140 178 225 76 7 249 162 75 254 139 41 63 211 228 122 62 141 249 129 250 135 242 88 62 113 140 229 112 168 58 203 172 26 1 154 225 70 126 209 15 249 83 63 241 213 233 172 204 181 84 206 192 253 24 87 92 25 252 140 92 28 181 233 214 234 166 46 107 128 60 236 166 65 12 142 134 40 245 141 12 25 199 186 226 67 226 69 84 47 107 228 240 94 26 114 71 170 149 31 198 44 17 154 38 238 120 15 63 240 145 200 225 229 173 34 171 142 241 189 157 183 202 240 198 96 7 31 69 44 49 172 97 107 88 90 238 229 115 62 144 248 140 251 213 80 165 164 181 22 234 63 137 43 143 211 246 217 116 248 29 248 44 46 203 137 31 153 114 37 25 70 91 47 68 81 70 217 36 212 255 0 56 198 20 90 155 51 8 46 133 218 10 109 35 157 4 68 197 30 162 125 18 247 86 188 184 135 51 79 221 76 37 39 181 225 86 144 150 170 150 106 103 126 35 75 125 28 222 10 172 245 140 112 85 91 95 28 209 130 247 96 53 195 178 232 1 194 119 0 237 218 222 202 157 213 84 209 207 124 162 138 0 64 46 37 227 177 225 109 195 146 221 8 148 26 217 51 164 40 62 86 223 12 64 108 214 236 125 85 206 138 48 26 18 155 68 33 172 24 227 27 4 254 157 184 1 104 177 45 27 49 134 40 181 63 73 83 31 179 84 26 172 96 168 44 133 117 78 221 87 238 46 147 91 134 124 169 253 89 229 87 174 39 33 216 59 161 150 71 56 248 161 255 0 226 73 30 171 159 91 30 249 36 99 94 124 161 95 126 39 184 139 102 159 87 46 123 69 180 216 25 217 31 5 226 172 180 186 165 190 27 98 140 253 214 214 78 248 153 248 35 126 229 68 179 192 37 107 164 144 128 198 142 234 193 3 99 109 3 228 240 91 176 242 228 42 86 199 202 93 80 182 128 189 246 185 196 187 185 178 146 146 212 12 60 143 68 230 206 243 36 53 205 63 168 17 253 82 154 209 137 157 143 85 213 250 123 166 106 192 238 6 219 110 243 3 238 186 125 30 127 186 105 34 104 199 151 81 43 154 90 91 153 199 250 151 75 115 221 5 190 159 72 255 0 162 22 95 169 75 239 162 243 86 40 187 188 126 35 115 159 117 95 212 1 13 60 101 54 174 212 237 103 60 238 149 56 52 184 101 97 136 135 26 68 251 91 79 136 8 220 46 139 99 112 16 197 157 187 238 185 229 168 248 79 223 118 225 94 173 121 124 12 214 253 32 12 161 186 40 163 223 76 147 118 115 100 152 144 118 29 210 121 1 18 112 155 213 196 215 55 240 223 148 181 199 68 184 114 79 201 189 106 52 119 143 236 203 77 162 211 93 62 49 170 76 2 186 5 245 249 115 149 83 251 60 55 79 70 201 33 192 14 144 171 45 245 222 119 46 140 191 183 71 23 51 190 76 153 86 186 187 36 170 205 192 238 83 251 155 252 197 87 43 142 73 89 162 137 144 154 171 146 149 212 145 202 101 85 131 148 158 181 210 53 224 49 185 7 146 152 41 139 238 120 116 110 206 227 10 63 195 250 143 10 162 178 148 227 83 95 144 61 148 138 204 16 71 161 73 122 110 95 149 235 39 194 227 252 118 100 42 228 90 162 96 246 117 106 42 186 137 70 131 134 183 213 51 167 149 163 99 184 245 72 169 29 33 140 53 199 13 76 35 132 60 6 54 66 185 57 18 54 197 232 103 37 125 52 95 151 83 148 89 174 21 53 30 88 98 13 31 124 47 98 182 198 0 46 118 74 222 248 224 129 158 103 225 45 164 188 44 155 33 176 24 134 101 33 228 168 245 14 97 36 232 246 210 164 197 51 37 148 150 55 32 40 247 6 23 177 205 208 208 92 63 117 30 173 3 18 95 62 74 158 95 6 71 83 58 71 141 218 195 194 172 222 108 118 106 168 220 38 164 139 36 126 92 2 177 184 244 84 174 174 154 178 150 186 88 159 38 73 212 236 225 82 186 131 167 186 194 141 178 72 202 167 84 199 216 198 78 87 91 137 141 78 63 220 162 240 133 175 78 87 212 113 205 67 212 87 26 88 101 107 99 134 108 70 15 112 151 138 217 218 239 52 58 254 193 48 184 213 203 77 115 123 171 169 124 73 195 142 178 228 198 219 212 180 12 13 108 148 177 55 111 210 187 189 231 142 63 201 51 148 148 109 10 169 164 116 231 122 25 79 217 171 108 244 13 112 214 97 154 35 246 194 184 80 117 37 173 172 207 134 208 125 134 23 149 157 89 17 242 195 110 200 253 78 57 85 142 76 205 237 21 132 243 124 162 129 83 71 88 7 225 84 151 15 124 165 179 252 244 103 18 2 229 112 184 117 27 101 36 26 88 155 143 210 212 171 231 97 169 144 97 128 149 165 118 126 141 105 189 183 70 238 129 162 162 187 222 91 69 114 143 192 132 176 184 200 118 227 178 235 22 174 154 232 42 39 105 2 41 29 159 173 238 92 202 130 213 119 174 144 54 221 73 35 156 127 71 56 255 0 133 100 179 124 59 234 57 222 215 85 215 252 171 28 120 27 185 115 249 74 63 51 161 82 81 255 0 209 217 122 113 221 48 214 181 182 243 70 233 51 141 49 143 51 85 155 195 206 237 7 31 117 66 232 174 141 138 196 221 77 168 146 161 217 243 56 242 175 44 108 128 106 39 110 6 15 101 231 103 15 190 211 177 108 149 3 219 11 112 243 140 250 173 117 80 83 204 220 135 55 42 61 76 49 206 208 225 33 212 59 37 210 248 177 28 7 18 20 71 31 103 104 173 163 115 218 218 86 201 32 58 180 133 75 181 213 186 233 212 21 18 126 88 9 104 62 253 213 146 186 175 193 183 203 36 175 27 131 178 174 116 115 90 246 203 60 109 3 196 144 149 208 193 10 86 204 211 123 46 214 214 241 190 192 108 156 193 217 41 160 219 246 77 33 60 39 209 67 100 220 20 190 168 236 84 233 14 114 160 85 119 85 178 104 83 90 238 112 171 247 19 128 237 249 79 171 121 42 191 115 198 10 9 57 191 196 183 3 111 201 236 229 64 182 188 10 162 93 193 87 191 137 216 22 230 183 185 114 160 208 189 173 170 99 92 6 130 112 174 188 44 152 246 156 150 200 0 113 44 39 56 236 157 87 220 124 74 81 12 77 13 1 184 81 42 31 76 202 102 197 24 5 206 193 202 246 154 29 81 234 35 102 242 151 123 30 146 148 109 153 244 235 245 73 86 194 48 116 140 255 0 84 190 185 184 145 202 103 78 159 252 226 165 174 239 11 143 242 81 110 67 19 59 238 186 28 23 251 148 105 227 249 70 235 51 115 80 193 254 96 186 85 196 31 149 132 127 252 109 92 222 199 255 0 168 105 247 93 46 232 52 197 30 56 208 2 201 245 39 251 212 54 95 232 173 220 129 14 1 40 168 30 124 166 247 92 185 224 142 2 87 56 203 117 44 232 76 159 242 79 182 68 208 67 181 228 229 94 45 199 85 40 115 189 48 168 86 178 117 12 250 171 245 157 186 224 96 59 140 42 200 136 105 146 216 214 186 28 231 5 42 169 105 116 133 199 132 194 98 79 27 118 10 52 204 205 59 200 237 202 74 244 214 180 143 164 254 5 196 216 122 2 23 183 243 19 255 0 100 206 248 255 0 59 178 151 252 15 46 255 0 244 226 152 185 164 28 158 223 101 42 246 239 196 122 232 228 252 81 196 146 253 249 21 123 155 183 42 187 90 237 202 121 114 57 37 87 171 142 229 37 22 98 170 167 110 82 202 147 156 166 21 92 148 182 164 242 172 80 95 83 236 170 243 203 242 253 85 65 32 56 201 210 173 53 3 32 142 234 155 213 80 201 253 237 111 145 155 105 152 106 40 123 33 122 117 90 71 146 0 4 166 212 206 115 27 245 37 150 232 228 115 24 225 141 36 103 41 189 32 131 80 212 237 78 28 133 206 154 70 168 51 108 76 154 67 146 227 165 107 168 36 73 224 68 195 35 148 199 212 192 27 161 158 95 94 235 40 42 41 88 205 77 221 254 184 89 221 175 129 168 213 20 114 197 24 116 209 181 163 244 181 105 156 243 162 34 220 239 230 91 204 173 154 108 177 248 244 202 194 174 57 158 194 29 35 92 59 28 240 151 109 189 3 41 253 77 213 118 27 117 67 104 197 91 159 57 25 144 6 236 211 223 116 154 183 171 45 77 107 124 58 182 188 30 197 62 188 244 205 182 177 207 150 166 157 192 59 39 56 198 127 117 76 189 124 62 179 212 197 152 42 164 129 231 140 238 23 67 139 30 45 125 247 101 226 177 127 147 57 71 93 48 87 245 109 91 169 216 39 109 64 14 107 135 0 238 149 179 162 46 53 24 115 252 40 67 185 199 42 111 86 83 85 216 122 137 214 152 94 37 120 104 45 123 125 20 25 111 151 122 64 67 203 128 236 73 202 244 48 197 251 127 183 43 9 98 115 141 194 68 232 254 29 201 225 237 114 45 127 175 101 10 175 164 111 212 7 92 53 176 200 222 216 118 10 134 238 170 185 59 45 116 207 31 99 133 18 91 212 242 156 190 98 79 185 81 143 14 88 237 200 172 49 77 45 200 201 243 93 34 119 131 83 0 144 250 229 106 154 133 178 238 208 34 121 27 224 238 87 162 119 76 236 153 72 10 77 52 80 62 70 226 103 57 196 237 157 150 232 197 73 109 154 99 24 181 178 193 209 87 234 174 153 241 223 60 239 171 214 208 26 28 253 154 21 174 159 226 172 12 143 83 168 154 231 158 194 79 254 21 34 151 164 238 183 96 199 81 82 179 194 115 190 162 237 149 243 164 62 22 82 81 202 218 155 188 241 205 39 104 227 198 203 149 203 254 157 122 172 68 255 0 77 63 11 247 64 245 73 234 58 65 60 84 47 166 111 234 42 212 231 180 188 101 135 63 238 150 218 40 105 168 163 16 83 68 216 192 252 173 9 131 131 192 217 188 122 47 60 227 21 43 136 150 47 184 215 136 102 32 64 225 143 204 161 139 147 30 14 174 233 164 175 100 141 44 149 155 158 229 37 171 166 100 79 212 27 144 181 98 81 177 51 127 36 46 172 156 58 216 232 201 199 149 121 210 52 254 13 182 8 199 96 171 157 93 87 35 99 13 116 153 113 56 86 238 157 255 0 211 197 254 144 181 198 42 40 67 118 89 104 198 48 153 70 56 75 233 49 128 152 70 237 148 217 100 123 41 217 64 170 59 21 54 83 202 93 84 238 85 11 138 171 78 50 171 247 23 114 157 215 56 238 171 215 23 236 84 144 115 95 138 85 26 41 227 104 238 229 70 182 194 38 153 206 115 136 13 221 90 254 40 191 92 144 70 62 248 85 58 34 255 0 1 248 216 231 114 174 188 1 237 35 24 99 214 204 236 112 158 80 185 162 217 35 146 122 9 152 40 139 7 33 78 162 144 124 180 144 29 154 225 183 221 41 250 104 255 0 26 53 244 204 158 39 80 60 17 204 15 255 0 178 194 233 252 103 15 69 159 76 177 205 234 65 176 193 133 255 0 246 88 221 191 142 255 0 186 219 194 149 100 52 241 188 55 88 199 248 134 251 149 210 239 45 34 38 18 60 186 6 235 154 216 127 245 76 30 235 169 87 78 214 194 214 74 208 230 105 11 63 212 63 191 255 0 193 147 209 82 173 221 167 27 165 83 241 167 177 79 174 49 67 43 28 248 14 15 233 72 228 45 198 29 200 72 248 16 217 46 212 26 92 1 229 95 108 100 182 48 14 55 27 42 29 165 174 116 160 14 193 116 27 11 98 154 157 177 188 233 112 27 21 13 89 85 58 97 32 112 105 200 193 5 71 168 15 105 107 90 54 127 41 141 100 15 139 44 126 249 27 21 22 55 70 52 135 131 144 147 227 55 197 246 137 244 215 194 104 164 143 225 237 19 102 4 18 9 198 62 203 11 219 124 239 56 217 76 248 110 28 58 22 132 23 107 118 133 22 246 48 92 183 228 252 78 21 254 252 191 233 79 185 55 25 85 218 238 74 178 92 249 42 183 95 201 74 69 216 154 164 238 84 9 134 118 83 234 6 229 67 115 73 114 177 66 35 161 37 195 3 116 150 255 0 98 168 174 116 82 197 144 216 164 5 234 223 71 1 145 205 219 43 161 244 103 75 69 85 107 168 123 226 18 57 228 96 31 221 85 178 99 36 189 42 22 202 71 124 148 56 7 97 130 19 138 58 88 90 48 97 57 63 153 89 162 233 255 0 150 58 29 30 52 246 90 171 40 228 3 13 139 75 66 199 155 176 248 11 35 162 164 104 46 115 70 86 186 136 233 128 195 67 24 22 154 214 84 107 44 137 174 37 105 167 178 212 74 237 117 114 57 141 251 172 178 139 143 220 216 196 193 206 167 14 240 195 129 113 244 90 103 100 99 36 50 76 251 240 20 243 79 71 70 0 142 49 171 212 110 84 73 230 137 224 199 19 37 201 57 115 143 63 100 181 247 109 34 199 62 235 122 190 175 154 173 162 134 71 58 142 32 64 141 131 98 169 21 157 125 81 66 126 90 235 66 224 230 126 197 117 235 197 85 182 223 67 243 117 149 240 68 231 146 27 25 62 111 186 231 157 73 116 232 203 172 126 29 127 131 80 227 249 177 133 212 224 101 132 163 215 165 175 244 54 45 127 226 206 73 214 55 74 123 213 237 183 59 115 226 15 49 233 45 123 176 66 129 75 102 171 173 0 201 91 11 51 219 86 72 82 122 222 147 167 41 47 44 22 182 202 234 87 179 46 104 144 146 28 171 241 82 221 101 195 168 34 155 73 220 111 133 223 140 162 177 85 81 14 73 67 202 45 148 157 9 71 46 31 85 89 171 215 27 38 63 248 103 165 105 34 112 151 195 115 189 73 221 86 40 237 157 86 246 143 32 32 118 115 148 75 155 111 20 89 53 118 231 52 126 160 236 132 184 193 73 254 98 33 8 73 219 152 206 237 103 233 182 2 105 103 149 142 244 28 36 71 229 98 58 88 215 206 240 118 223 10 43 234 100 152 109 75 32 255 0 222 188 142 138 178 103 130 205 80 129 193 47 91 35 8 197 127 38 196 156 87 219 177 181 29 246 237 73 1 167 164 121 138 48 114 26 94 154 244 251 250 178 237 112 111 202 84 84 103 185 99 206 2 215 105 146 199 111 162 140 85 219 25 85 86 207 174 73 29 150 255 0 44 43 167 71 252 67 178 69 88 202 10 170 49 70 199 125 50 183 112 63 110 203 7 45 184 199 81 21 145 181 254 39 75 233 8 107 40 237 204 138 178 119 205 47 230 115 185 86 1 35 240 67 55 62 234 37 178 74 122 186 102 204 201 49 27 248 121 91 103 123 96 110 160 239 19 29 194 243 158 179 55 132 106 161 62 73 112 223 217 39 186 62 118 209 201 35 93 184 77 13 201 143 56 45 199 221 45 186 202 215 81 75 131 178 209 137 83 21 55 104 230 157 81 51 229 99 92 247 12 235 194 233 61 51 255 0 164 139 60 233 11 147 93 131 167 186 152 117 249 67 137 93 107 166 0 249 40 127 210 22 203 21 215 69 150 151 133 58 51 128 161 210 133 53 131 101 12 149 19 25 79 41 101 83 185 76 38 60 165 149 71 98 170 92 85 94 121 85 187 155 176 211 186 125 94 121 85 187 161 26 74 146 25 201 126 35 74 95 120 104 46 56 104 72 32 121 208 230 2 156 245 195 115 119 145 228 240 21 122 157 249 148 250 19 178 98 240 148 89 108 19 71 28 195 196 3 67 134 14 85 130 75 54 168 124 74 121 195 178 114 6 85 110 145 172 142 22 235 110 92 120 9 181 11 229 145 165 141 168 49 254 233 79 209 205 58 209 187 166 163 150 46 163 17 202 220 17 19 247 63 178 141 120 24 157 248 245 83 108 166 65 212 176 199 35 252 71 8 157 147 252 148 43 199 241 223 247 90 184 127 220 99 248 175 70 203 25 255 0 18 207 186 233 119 60 24 198 113 141 1 115 59 30 62 105 158 153 93 58 174 51 51 98 3 188 96 148 175 168 47 223 95 240 209 47 4 50 203 16 192 198 151 113 148 158 175 30 59 182 202 119 120 142 24 198 157 181 141 242 18 58 179 231 7 219 117 158 62 35 43 91 38 90 157 134 128 193 165 217 87 187 20 209 199 19 76 159 205 115 235 94 93 33 35 213 116 59 27 98 52 77 18 1 151 34 90 45 22 188 101 134 118 67 85 64 75 29 151 1 144 171 177 180 154 166 177 195 57 59 166 214 231 120 85 33 153 242 157 176 151 213 249 46 155 7 31 62 54 9 31 38 156 48 105 82 62 165 232 22 181 189 25 64 214 157 188 32 161 223 193 14 118 221 211 94 144 1 189 43 65 134 22 15 9 185 31 178 93 127 207 152 157 251 174 134 69 72 225 69 222 89 20 139 183 46 85 170 211 185 86 27 212 165 164 144 194 119 85 186 227 171 39 24 89 211 52 189 161 93 64 244 90 152 194 92 22 217 113 148 66 50 240 175 116 87 174 199 22 26 64 233 154 113 221 117 174 141 105 130 190 74 64 63 12 64 199 254 231 57 92 239 164 163 14 168 140 17 156 149 209 44 245 208 197 213 173 160 199 226 73 76 28 62 193 78 63 204 172 163 113 151 252 29 213 210 7 146 82 106 250 28 3 156 253 149 169 237 7 178 141 81 27 113 187 65 83 151 5 163 62 46 67 78 138 21 68 76 132 156 140 37 85 114 106 4 2 173 215 171 115 166 144 185 155 5 89 172 179 201 147 151 144 185 25 113 168 189 157 60 115 236 172 71 60 126 109 68 234 90 103 198 141 227 57 245 76 42 41 68 28 187 126 217 42 52 254 63 135 169 239 141 177 255 0 84 133 254 139 178 147 213 125 45 71 123 14 241 156 3 143 117 200 58 203 160 111 244 141 46 160 142 57 225 105 219 31 82 237 157 85 212 19 218 41 222 202 123 88 170 26 117 58 79 210 59 170 92 61 123 111 154 153 207 107 71 137 250 73 193 5 117 126 155 62 83 95 180 180 59 10 203 93 98 124 249 119 161 175 165 152 10 184 36 130 76 228 234 238 149 203 85 93 27 203 163 168 146 63 76 112 186 71 196 187 180 87 250 216 30 198 136 157 8 221 190 170 141 45 5 75 221 187 219 164 250 47 67 142 18 156 111 33 105 99 109 125 228 72 250 142 247 19 116 252 219 200 245 91 25 126 158 115 138 169 94 225 234 156 91 186 114 146 124 120 245 205 97 60 132 202 167 163 108 194 32 89 113 57 84 140 161 9 210 70 88 181 7 73 9 233 95 4 204 214 199 180 149 177 190 17 120 111 136 221 246 35 41 109 194 208 202 57 180 211 85 61 227 216 127 242 163 182 129 166 64 233 170 76 120 193 227 114 182 60 174 180 141 107 36 146 45 12 232 174 169 185 202 12 20 173 142 39 112 231 112 174 221 37 240 205 144 84 199 87 120 151 196 154 62 26 209 229 80 105 190 39 65 12 109 130 158 7 145 24 210 52 239 148 246 193 213 221 71 123 185 195 79 71 111 52 244 167 235 145 236 229 112 185 121 121 85 226 163 30 73 74 76 233 116 112 138 120 26 193 8 115 63 74 148 199 141 7 96 209 158 61 22 20 243 57 176 129 165 174 247 81 174 80 205 35 53 198 236 15 64 185 41 91 40 213 34 53 209 144 128 94 91 198 251 42 207 82 84 252 173 156 181 174 33 196 228 4 218 89 231 103 225 61 133 222 185 85 63 136 242 97 144 225 216 36 99 0 173 80 141 8 147 178 139 36 175 125 91 165 207 212 66 237 29 40 49 110 135 253 33 113 184 97 14 13 57 26 178 23 104 233 214 22 81 66 223 242 132 244 246 90 106 145 99 165 225 170 99 79 149 67 166 224 41 64 225 168 101 81 170 160 227 41 93 83 182 41 133 65 39 41 101 79 5 84 145 61 127 124 42 213 199 57 42 203 90 121 85 219 128 201 42 200 134 113 142 184 115 155 123 151 41 37 54 60 65 178 177 245 220 67 251 238 64 127 78 82 10 118 128 252 43 252 19 31 75 9 24 138 39 14 48 153 208 208 207 83 14 160 8 5 39 132 184 50 54 63 233 86 135 93 34 134 137 176 64 207 48 111 41 79 209 174 77 45 16 250 122 7 193 212 237 107 206 113 11 255 0 236 180 222 63 142 245 179 166 36 124 221 64 233 94 119 249 121 8 254 139 85 212 230 103 253 214 206 18 253 211 87 27 195 43 49 196 237 255 0 82 233 211 204 230 210 66 230 108 76 77 229 114 219 89 34 112 125 215 79 203 101 179 192 79 212 35 9 127 81 95 185 216 116 196 21 108 116 242 63 46 254 105 85 94 65 32 241 140 108 155 77 40 141 228 227 35 132 178 163 206 73 198 22 88 153 230 154 122 55 90 94 26 226 61 85 246 192 199 76 198 70 56 43 159 91 180 137 134 175 167 43 162 116 244 236 141 204 120 25 26 85 101 254 194 54 182 135 113 82 203 13 75 115 130 24 221 89 27 236 176 180 64 42 239 81 181 212 230 66 249 0 111 155 10 117 69 115 36 167 48 193 30 30 240 1 62 201 199 64 80 50 110 167 160 166 154 55 9 4 153 4 42 70 55 42 70 143 212 105 41 72 250 26 223 17 167 182 65 22 195 68 96 96 113 194 174 223 207 148 239 194 179 212 29 49 224 118 10 165 127 113 45 113 91 243 51 129 133 183 38 255 0 146 157 118 35 81 201 85 138 243 130 113 191 221 88 110 174 243 21 93 173 25 202 202 141 140 85 41 36 175 105 243 226 5 236 163 14 88 196 239 54 21 145 31 37 215 163 221 137 216 83 139 133 95 201 124 82 182 63 56 107 233 195 127 101 95 233 57 116 202 204 158 235 47 136 243 58 46 176 182 76 28 65 240 155 130 161 186 216 236 17 82 147 139 249 71 115 14 203 65 237 140 175 29 184 194 139 103 168 109 101 174 158 113 249 216 10 150 70 203 161 169 35 135 36 226 218 22 92 105 203 178 91 207 162 167 222 226 173 46 32 63 194 30 165 94 234 216 92 204 12 254 202 181 120 166 141 217 241 156 226 23 35 153 142 182 116 184 147 189 50 139 83 69 25 126 106 43 245 251 101 71 154 58 127 255 0 101 206 192 217 217 217 60 172 164 161 107 137 108 122 221 234 151 204 52 180 143 151 113 244 199 101 205 111 224 232 83 126 10 159 75 12 250 181 120 123 52 147 172 128 23 62 234 46 140 176 221 31 60 240 71 29 52 239 228 199 140 57 91 186 163 167 93 123 97 46 145 209 184 12 12 56 181 161 83 170 186 90 241 109 167 44 167 174 19 6 254 87 21 179 233 206 73 182 178 117 255 0 76 102 29 202 211 166 113 143 136 253 53 93 99 168 141 165 173 145 178 108 199 177 217 39 238 169 14 154 174 35 161 208 203 145 236 186 207 92 92 170 237 181 48 54 239 67 150 177 222 66 237 210 120 122 174 202 225 151 210 196 51 207 149 122 88 207 43 135 242 203 229 150 79 250 115 167 214 188 236 75 131 189 14 197 106 150 178 176 55 2 89 26 62 235 162 84 222 58 106 114 75 232 34 127 221 161 41 173 127 79 61 165 241 219 203 63 247 97 90 19 148 189 141 8 132 165 47 99 69 21 226 162 71 100 189 197 110 182 211 205 53 206 146 18 205 65 242 134 144 70 114 158 22 91 221 46 25 190 120 1 77 163 180 221 39 149 130 223 71 153 117 3 22 251 229 50 112 251 119 162 242 198 235 103 100 181 218 186 66 129 177 129 111 164 141 224 110 116 140 146 172 148 21 246 86 74 218 104 38 167 107 221 244 196 211 186 228 182 222 130 234 186 167 25 46 21 238 135 36 101 135 125 189 21 235 163 58 2 154 205 83 243 174 157 245 19 158 239 25 210 188 223 42 48 95 140 236 67 84 95 255 0 21 177 226 56 225 211 253 84 42 137 42 224 243 59 64 103 221 74 146 23 136 8 107 91 147 223 41 29 117 174 189 237 46 19 184 255 0 151 59 44 248 210 111 209 115 116 106 172 171 138 105 67 92 225 171 61 151 52 235 58 211 83 115 146 28 108 195 128 174 243 67 53 28 83 84 74 6 99 105 56 92 237 175 109 77 215 197 157 192 2 237 69 109 138 75 193 10 219 52 82 65 41 172 167 99 163 115 114 240 55 225 118 139 80 2 24 192 29 130 230 84 149 49 215 245 13 28 17 1 161 174 4 236 186 141 188 97 141 251 43 47 70 229 254 6 208 28 0 165 114 213 14 18 165 3 229 82 216 180 105 168 28 165 85 92 20 206 119 108 82 154 183 108 84 22 72 85 89 201 72 235 27 146 83 154 183 110 82 170 129 156 169 43 242 114 47 138 17 24 238 77 145 191 157 187 42 213 20 101 216 39 234 59 171 231 197 138 55 26 88 170 24 55 140 224 170 45 165 207 109 64 124 188 29 176 152 182 138 222 203 29 11 35 168 165 210 72 214 2 197 129 204 14 97 56 56 194 139 77 173 174 241 35 200 25 229 76 105 47 203 136 203 146 205 112 122 24 244 243 63 243 33 35 123 83 63 63 209 68 185 144 101 119 221 111 233 129 39 207 84 60 31 43 98 35 249 168 183 3 153 92 125 214 222 18 251 236 211 199 90 11 113 252 113 236 87 73 165 203 172 112 74 6 70 48 185 157 17 211 40 35 213 116 187 28 237 54 22 49 195 33 174 40 250 151 182 50 108 73 90 55 113 237 148 182 119 147 128 19 91 128 1 175 57 238 148 207 128 198 72 209 247 5 115 162 38 78 201 214 122 113 36 205 99 221 130 121 10 249 104 136 49 129 173 24 1 80 236 147 68 201 29 43 252 207 236 175 253 62 255 0 22 149 239 112 194 140 158 21 195 125 208 250 139 195 142 39 74 253 220 14 25 143 85 210 62 9 65 45 109 226 74 153 88 194 33 27 59 243 101 115 219 5 56 169 170 96 145 193 172 3 32 251 174 213 240 126 210 45 150 154 170 135 97 206 149 249 14 28 225 28 101 114 178 220 233 168 226 149 23 106 249 3 91 177 84 203 252 199 14 221 88 43 106 51 157 213 63 168 37 193 231 149 167 51 57 60 120 215 165 118 226 252 184 164 85 123 146 154 214 201 146 82 122 151 115 148 132 107 100 25 202 212 220 107 5 103 59 130 212 193 151 41 35 228 179 244 187 137 168 140 3 249 150 223 138 3 61 65 108 126 248 240 2 211 210 172 113 157 152 231 59 38 159 19 154 198 213 91 9 27 152 244 141 149 36 157 80 222 63 247 14 135 240 210 103 201 211 209 178 71 234 45 59 123 43 73 85 47 134 16 190 59 0 149 199 105 78 91 183 101 109 236 183 225 191 211 166 114 185 117 250 210 163 23 140 130 61 149 122 246 208 88 66 177 63 132 162 230 35 210 114 220 172 252 184 220 73 226 202 164 81 170 163 156 63 240 162 200 245 81 102 109 110 147 248 129 160 115 178 127 91 52 96 150 180 60 37 85 44 123 190 153 100 104 244 206 2 243 249 61 59 81 86 189 42 61 75 125 150 204 9 146 129 245 131 65 59 28 97 84 233 122 202 211 89 27 165 158 39 66 242 124 172 113 225 116 90 250 104 36 99 155 52 102 109 178 67 134 118 84 14 170 233 238 157 169 99 204 205 20 142 198 206 110 24 181 112 22 6 218 154 109 177 144 140 95 230 142 91 241 142 231 79 118 168 161 134 223 43 36 45 113 46 105 60 42 52 125 7 91 90 124 71 79 12 109 246 221 49 248 129 96 165 138 183 93 174 237 227 55 187 179 140 36 49 73 119 161 140 190 27 158 176 7 13 60 47 87 139 4 161 133 71 27 209 121 224 151 248 186 30 82 252 57 165 140 131 81 89 35 207 163 118 9 144 232 11 99 154 52 203 80 15 250 149 80 117 77 209 211 182 152 120 178 206 209 146 252 237 238 165 86 117 133 123 88 24 14 26 237 152 224 118 207 161 74 120 179 55 93 140 139 22 94 213 216 109 89 208 214 184 90 79 247 137 167 112 238 78 82 170 6 139 7 80 81 86 255 0 126 190 166 158 9 67 159 27 7 32 126 234 191 83 120 170 173 56 146 71 183 215 78 74 147 103 147 167 155 82 215 220 91 90 246 15 172 13 178 127 154 37 135 237 251 165 101 158 53 254 82 58 109 103 197 150 195 152 232 173 175 127 102 185 195 124 250 171 47 64 245 53 227 168 106 154 250 171 120 166 133 188 146 62 181 84 233 75 167 195 169 165 99 75 227 167 112 192 252 81 185 253 215 88 177 182 222 248 218 218 23 194 246 29 218 88 118 199 236 184 188 168 227 138 251 98 47 75 194 117 67 98 208 92 214 101 195 128 171 183 42 235 172 100 134 193 165 167 97 133 106 169 137 197 133 166 86 52 15 242 227 250 164 149 181 148 180 160 176 72 102 119 169 25 89 112 201 95 133 102 138 79 82 220 39 167 183 152 230 214 101 144 119 227 11 159 76 91 172 145 201 93 19 172 106 29 61 191 45 131 124 236 79 162 231 245 240 152 94 199 100 29 67 140 173 255 0 2 241 43 99 222 140 161 156 93 35 169 123 11 35 3 98 87 82 164 198 144 112 6 87 42 232 234 217 100 190 66 201 101 37 184 56 110 118 93 66 154 79 40 42 209 240 182 109 72 111 19 128 194 221 175 101 2 41 6 22 241 32 194 134 85 30 78 254 82 154 199 29 211 10 137 6 14 233 53 124 195 7 5 69 146 188 23 214 200 6 119 75 245 107 39 11 93 210 169 172 126 1 202 194 141 229 205 201 86 173 20 126 137 250 214 152 79 101 149 164 100 143 50 228 5 219 56 103 135 46 227 120 143 198 162 150 51 190 99 43 134 77 19 227 175 150 51 192 121 76 139 33 45 150 107 4 177 58 51 12 188 16 165 77 72 99 155 67 119 107 187 168 86 74 104 103 140 151 56 135 118 193 78 96 14 138 65 28 219 180 112 85 24 251 164 22 70 8 29 88 0 252 163 254 233 77 105 204 133 60 163 112 240 42 103 28 57 218 127 100 130 168 229 231 209 116 126 158 183 102 206 63 227 103 180 206 1 225 116 94 151 149 143 178 79 27 251 17 143 221 115 120 79 157 94 250 66 70 154 73 218 241 145 167 87 242 83 245 40 232 188 209 174 229 130 247 180 110 209 186 93 224 178 72 203 139 240 7 100 198 232 230 121 204 103 157 146 105 152 248 226 4 184 238 185 49 51 73 25 208 239 83 161 188 101 116 206 149 110 184 91 15 3 62 98 87 52 178 255 0 235 6 125 87 79 233 151 1 78 240 209 231 81 144 156 110 217 104 178 177 174 171 146 154 50 50 225 134 19 234 187 231 75 50 74 30 144 165 18 55 76 142 110 235 231 251 5 60 245 85 176 182 22 184 157 91 145 219 221 125 7 116 63 39 101 167 167 14 39 76 96 2 123 149 110 62 149 149 250 148 119 24 255 0 34 218 138 209 226 22 185 224 21 94 234 51 150 135 3 182 20 11 220 242 189 250 216 226 8 43 89 170 51 80 226 93 220 20 185 118 50 40 245 98 170 135 115 186 87 86 224 1 82 42 102 243 59 9 109 84 185 7 117 84 53 154 100 114 32 201 120 81 159 46 235 117 51 242 240 165 129 118 233 8 193 149 164 128 113 186 183 95 250 74 94 162 189 208 151 188 197 71 78 204 189 195 185 246 85 94 140 32 202 207 76 174 201 109 218 149 153 216 227 132 220 49 236 196 102 203 44 107 178 51 183 82 67 67 73 29 44 13 211 28 109 195 84 156 108 188 94 229 109 252 81 204 109 201 219 60 118 49 130 151 215 8 240 114 50 166 77 32 198 18 186 201 9 39 11 31 39 42 74 141 24 35 108 85 86 98 223 203 143 184 74 106 216 8 62 102 145 232 155 85 28 253 76 202 131 51 24 127 233 243 217 121 220 179 217 218 199 27 69 23 174 173 247 90 154 87 50 217 89 52 4 183 99 25 198 15 223 209 114 234 190 135 234 10 172 27 197 219 230 49 222 71 18 187 87 82 221 45 214 122 39 84 92 106 12 17 106 12 200 25 220 240 170 181 23 219 21 107 29 43 46 1 241 225 105 224 114 114 99 127 178 155 99 148 166 191 19 231 79 138 157 59 45 170 170 146 158 154 164 61 179 253 122 70 193 84 190 74 56 95 12 44 113 13 46 212 239 113 238 186 247 198 123 133 191 229 161 146 159 65 112 200 105 11 139 217 106 157 81 83 83 226 28 184 12 53 123 14 22 108 185 49 39 63 77 24 228 218 74 66 122 218 215 211 94 228 116 110 33 186 187 118 9 245 254 190 205 93 107 107 168 41 252 58 147 135 73 182 1 119 174 18 74 170 9 164 146 74 198 179 49 235 193 78 163 178 66 203 36 55 6 202 28 101 118 11 64 225 41 244 238 232 231 40 165 149 171 52 82 221 162 166 149 146 58 153 147 156 110 29 194 178 116 53 77 31 81 245 124 84 83 217 105 91 78 34 116 143 210 221 206 49 236 169 212 214 201 37 170 214 24 215 51 86 54 59 43 191 64 49 214 30 176 23 10 201 35 138 149 176 61 190 94 252 36 231 85 22 227 232 74 41 61 29 22 126 129 233 138 214 58 33 107 240 206 55 120 219 10 193 240 231 164 89 211 141 120 137 196 180 157 156 29 184 9 37 71 196 203 53 44 33 204 132 200 90 78 195 243 43 87 195 206 173 255 0 197 13 50 199 67 45 36 67 215 186 224 114 127 94 41 60 139 64 160 88 170 132 34 60 72 12 141 253 0 40 19 199 79 35 114 45 218 91 234 66 177 150 56 125 45 213 158 248 90 170 104 106 36 110 94 253 176 178 199 47 86 75 142 142 105 214 20 2 106 23 134 254 30 55 217 81 173 180 116 115 75 162 165 129 196 108 9 43 175 222 168 6 151 198 239 48 35 11 155 222 45 50 81 212 56 134 224 101 117 112 201 74 38 73 92 25 95 153 212 20 61 75 76 104 118 195 192 118 56 93 46 7 254 27 78 115 157 242 185 69 226 222 248 94 42 224 7 13 57 114 233 214 41 91 81 105 166 151 214 48 155 84 203 100 149 236 98 217 176 57 91 5 80 3 149 10 163 202 14 248 74 231 173 108 100 130 245 12 132 199 19 212 228 29 194 79 95 54 90 113 202 142 107 154 253 131 214 200 154 217 119 39 42 26 38 244 35 158 7 203 54 79 10 125 52 69 173 27 108 152 58 157 131 128 179 208 26 56 86 126 11 249 21 85 179 49 227 191 117 197 250 154 152 193 212 83 52 16 3 142 64 93 194 177 160 52 253 215 33 248 141 15 203 222 155 48 31 80 10 208 44 64 182 202 246 56 24 156 90 78 217 86 32 43 37 167 30 43 3 155 234 21 122 54 136 233 34 118 55 118 249 77 41 46 51 71 14 140 151 15 69 86 57 109 13 227 104 138 205 164 114 231 170 244 167 47 42 193 90 252 90 160 35 108 179 82 175 73 245 21 213 250 124 116 110 194 190 192 103 215 149 111 233 9 50 247 179 245 48 183 249 170 115 78 8 86 62 149 151 69 100 100 157 178 153 206 141 192 187 240 97 92 63 20 142 217 41 117 123 137 156 7 112 6 201 189 120 6 73 6 56 57 73 110 47 204 205 207 0 108 184 81 50 205 171 54 91 156 25 84 215 15 85 211 58 103 205 8 57 192 118 196 174 121 101 130 10 151 181 174 127 134 236 247 43 167 244 173 32 129 166 50 240 246 145 156 170 228 39 28 146 150 142 177 209 52 148 241 73 69 76 198 98 105 72 46 199 162 233 157 73 17 123 52 131 195 70 21 63 225 197 44 98 182 158 103 97 242 56 2 9 236 21 242 234 209 175 39 176 78 197 27 129 135 149 63 221 40 85 180 62 82 226 48 171 87 73 89 3 72 105 199 178 184 117 12 224 53 193 187 46 121 123 144 60 187 37 84 180 118 41 174 171 12 121 193 217 40 170 173 105 113 195 150 55 48 194 78 36 112 253 210 99 78 231 72 72 149 223 205 5 155 24 154 173 88 1 77 161 121 113 75 97 128 183 148 198 136 134 148 5 217 208 186 24 234 175 137 135 187 130 237 177 185 172 107 70 216 104 95 62 244 197 209 148 21 76 157 227 56 225 117 123 45 218 74 154 113 44 153 5 253 189 149 150 85 140 207 151 27 200 91 252 86 227 149 173 243 99 59 165 49 212 147 221 102 233 178 57 84 159 51 66 191 166 166 111 154 66 115 186 133 51 137 28 161 242 18 180 61 203 153 159 63 115 86 60 116 106 155 86 78 20 41 155 35 178 68 141 111 177 10 100 132 242 10 143 43 135 7 33 97 114 102 216 39 240 87 122 142 207 5 218 153 209 85 6 189 184 227 11 158 222 122 34 203 3 75 90 217 227 219 115 25 194 185 252 73 150 253 29 141 206 233 249 161 138 163 32 230 65 156 142 225 114 187 149 255 0 171 40 162 119 207 193 35 94 91 245 57 153 110 87 67 233 56 242 205 203 244 178 87 255 0 104 213 138 50 255 0 15 78 73 241 78 146 146 119 129 21 83 225 163 166 156 211 130 123 191 191 253 149 23 167 227 100 53 83 6 206 37 7 109 251 166 189 105 120 171 158 58 154 42 152 217 131 84 101 36 237 230 62 202 183 96 151 255 0 51 192 104 104 119 161 94 179 143 217 74 242 187 16 156 214 107 147 61 169 154 161 178 202 195 49 100 122 206 201 205 178 227 36 212 205 183 7 23 66 209 145 247 75 106 89 77 243 147 137 229 32 103 32 45 246 147 20 114 196 98 27 106 229 55 172 94 77 19 73 229 51 189 212 73 111 153 173 102 160 215 140 167 31 14 109 131 172 46 179 83 85 85 73 4 116 237 15 115 135 124 246 43 14 161 130 9 169 153 44 160 233 110 249 11 71 76 207 87 12 178 197 102 21 13 146 108 7 248 96 130 239 101 78 76 36 162 233 209 124 209 113 150 142 205 98 248 109 211 134 70 185 240 205 82 198 240 100 119 148 159 96 186 151 78 218 104 45 112 54 10 58 104 224 24 225 159 149 112 187 95 75 252 64 185 6 22 205 83 72 220 13 38 73 200 112 30 193 118 111 135 86 59 165 178 141 162 227 81 36 175 227 50 187 37 197 121 62 124 165 105 57 118 16 239 228 182 49 152 250 157 164 55 176 88 200 101 159 45 129 133 163 245 21 50 33 27 65 212 91 183 35 149 42 60 74 208 24 205 45 92 199 42 101 146 180 84 110 148 4 53 206 113 212 85 118 231 64 202 152 30 215 51 50 52 121 87 65 186 178 48 215 12 12 225 85 170 97 34 82 224 23 67 143 150 149 136 201 15 224 228 85 182 202 152 91 52 146 68 68 77 121 200 245 9 231 75 57 162 214 35 97 192 103 3 217 89 250 150 147 230 45 146 24 218 50 6 28 7 117 65 233 10 151 197 116 158 130 92 180 184 249 51 232 186 176 159 117 102 58 234 203 60 227 57 219 57 9 77 101 35 95 146 90 157 17 156 129 192 217 106 146 48 114 48 162 134 58 101 125 177 49 174 243 49 170 109 56 140 55 202 208 62 202 76 148 140 39 233 94 182 22 176 108 16 65 131 23 146 0 182 16 0 43 68 164 246 64 124 16 170 176 65 92 211 226 132 77 255 0 15 41 245 193 93 46 164 108 87 62 248 152 208 235 107 29 250 94 174 138 50 171 28 172 125 3 99 216 57 135 101 42 142 158 89 216 29 22 159 178 133 79 71 36 172 241 89 198 50 83 43 22 177 114 133 131 35 83 240 71 178 137 26 34 198 247 163 225 195 20 125 216 220 42 241 229 59 234 25 53 84 57 36 59 149 218 224 198 160 116 96 169 1 77 108 178 105 157 135 60 20 169 75 183 187 76 184 245 32 38 242 163 219 29 22 126 23 11 166 1 149 227 135 52 16 171 243 249 240 125 19 202 247 25 109 240 200 61 52 148 132 255 0 19 74 243 169 83 50 205 27 173 228 120 160 251 242 186 247 68 6 73 76 52 185 197 173 105 201 62 171 146 89 160 53 21 130 38 240 10 235 221 53 79 242 212 134 40 157 187 155 230 84 201 224 99 220 168 238 63 7 156 106 25 25 120 243 196 8 207 178 188 94 157 165 175 201 220 5 67 248 26 75 190 97 206 236 6 149 113 191 202 90 231 238 159 7 88 147 48 243 33 92 134 151 193 74 234 25 126 160 168 23 135 57 238 45 10 233 124 126 162 85 62 224 209 146 85 11 221 34 185 81 68 30 236 147 149 172 83 50 61 244 132 206 93 178 162 76 78 16 209 11 68 87 52 101 108 136 134 30 121 88 59 157 214 19 203 28 52 238 145 195 202 221 202 128 108 107 211 205 146 231 125 142 153 153 240 161 243 72 125 61 151 99 182 126 28 109 104 59 55 111 217 115 191 135 22 233 40 45 95 55 51 115 81 82 239 17 231 208 46 137 107 115 37 107 125 15 43 159 202 200 220 171 224 118 40 252 142 160 113 42 64 126 216 81 226 198 22 220 108 178 119 178 100 140 181 2 176 112 202 243 5 120 114 148 9 24 57 164 119 11 92 128 99 113 183 117 177 231 43 84 228 181 186 134 238 28 15 85 87 127 5 214 202 255 0 81 92 173 182 186 102 203 93 81 28 45 113 33 186 143 213 246 85 155 157 202 211 52 111 121 172 128 198 225 144 221 124 132 235 173 44 148 151 251 99 104 106 226 15 211 157 46 238 220 174 63 127 248 99 88 221 109 164 185 200 232 218 112 209 147 178 217 244 220 88 50 167 223 39 86 105 130 140 189 149 28 151 227 244 54 163 112 18 80 54 34 233 36 14 47 143 209 114 219 118 170 122 248 136 28 29 202 190 252 72 179 87 216 107 4 55 39 7 135 255 0 12 170 3 37 209 86 50 118 14 193 94 183 12 22 56 46 143 176 140 177 235 45 49 149 117 5 69 125 198 72 233 200 215 140 238 179 165 165 154 136 70 217 137 200 118 22 235 133 67 168 174 108 150 153 216 214 193 149 182 190 71 200 35 115 129 39 149 167 13 185 183 69 177 41 60 150 52 241 37 249 119 70 246 106 104 227 42 195 240 142 246 218 11 253 84 181 158 29 60 62 27 90 211 140 111 191 116 134 18 36 216 105 110 125 84 142 158 233 217 175 215 193 110 109 194 56 124 165 216 27 231 246 75 231 194 46 31 115 208 238 85 105 179 177 201 241 63 167 237 210 97 210 62 178 76 100 232 104 32 46 147 209 221 71 106 234 11 116 53 52 15 147 75 255 0 44 131 112 125 151 44 233 127 132 54 104 102 107 171 101 146 168 140 18 62 150 146 186 215 74 244 245 21 161 141 20 218 218 1 217 132 225 173 94 55 158 184 241 75 244 222 204 233 211 164 172 176 65 20 65 219 70 15 169 43 124 146 72 241 225 194 221 35 213 17 180 140 6 133 32 189 145 181 96 110 198 16 36 161 4 101 231 39 186 75 117 134 56 193 211 185 79 231 150 89 50 35 27 37 149 148 135 73 115 202 126 25 239 98 229 26 90 42 239 104 201 14 225 252 133 64 235 10 56 237 183 8 235 98 104 111 152 110 23 69 175 110 9 3 178 169 245 245 17 172 177 189 205 217 205 25 254 75 175 134 84 98 200 172 215 27 196 145 181 237 59 56 2 23 132 238 148 116 141 81 168 180 51 94 117 51 202 114 156 30 50 181 63 74 35 23 227 11 67 206 2 222 78 66 210 246 229 200 162 108 210 237 214 151 169 15 110 20 121 118 42 2 200 85 92 21 69 248 128 208 251 99 193 253 149 218 173 222 82 169 29 116 227 253 220 239 76 171 34 140 167 90 124 103 194 232 227 147 24 228 123 43 23 77 208 186 58 131 83 41 4 177 132 133 90 179 109 44 131 86 156 180 171 55 78 202 243 71 82 247 59 32 16 209 251 161 171 149 15 199 110 84 66 187 191 84 238 41 127 117 34 185 250 166 114 142 23 160 227 174 176 58 200 22 218 82 3 214 165 147 14 28 8 76 149 59 15 130 223 74 239 26 212 73 57 198 201 61 67 113 35 139 125 54 76 44 47 47 166 146 33 185 115 72 3 221 69 173 107 163 113 118 54 96 193 251 175 55 146 61 102 209 147 54 152 90 106 100 130 163 84 126 87 250 174 171 208 78 150 165 225 206 118 162 57 92 166 156 177 239 5 188 229 117 79 135 19 54 29 69 217 221 184 219 213 35 47 133 177 42 105 159 67 124 22 128 69 75 82 224 220 100 13 255 0 154 115 212 82 97 207 251 168 223 9 33 49 216 93 43 179 169 237 5 123 212 239 195 157 178 114 214 36 96 205 46 252 153 50 153 119 121 46 59 170 189 113 220 167 247 103 249 138 173 214 63 114 170 136 110 136 19 247 80 103 36 119 83 38 112 220 37 213 15 231 117 36 35 23 59 140 242 87 182 186 47 239 142 160 166 161 220 195 31 226 74 62 220 45 14 149 173 136 188 159 167 159 178 182 252 47 162 13 162 146 225 40 2 74 151 101 185 228 55 178 94 105 116 137 104 125 204 189 218 233 72 107 90 221 128 24 199 251 171 5 45 43 88 65 28 168 54 248 192 3 177 238 156 69 182 50 184 114 147 108 217 84 140 216 28 22 224 78 55 88 130 179 194 157 11 103 155 47 28 1 94 150 175 55 85 160 48 45 90 42 128 13 25 227 215 209 73 228 224 168 213 64 145 128 112 79 113 200 75 158 163 233 104 179 154 124 69 234 91 245 150 245 75 79 67 104 21 84 178 48 57 211 151 99 14 244 85 107 191 196 25 105 233 63 30 214 99 147 7 36 188 227 253 151 83 189 124 136 126 106 93 14 166 141 181 227 101 71 234 23 116 215 130 69 75 233 28 79 98 65 93 46 12 248 253 18 201 11 191 147 110 54 162 183 27 62 108 248 185 126 119 82 77 29 68 48 8 252 35 131 158 55 92 209 241 64 233 139 159 35 181 234 244 217 116 175 138 140 162 117 206 181 150 191 14 58 118 57 164 22 240 78 249 92 194 173 207 108 190 98 79 162 244 176 81 81 139 134 145 155 58 141 216 237 241 177 250 37 118 11 25 128 152 87 68 199 70 11 120 24 33 44 164 112 146 133 237 119 37 185 91 25 82 231 52 52 158 2 233 227 105 69 215 200 252 77 37 161 173 11 245 193 38 59 45 253 33 116 158 211 212 34 225 70 209 36 237 97 96 102 51 156 251 40 118 119 54 70 77 25 56 200 82 122 86 148 219 250 190 211 86 201 129 97 169 104 147 60 99 190 82 57 105 60 91 86 91 54 226 181 103 79 164 234 143 136 149 205 107 45 214 252 135 240 239 15 26 87 76 248 97 87 214 77 151 228 186 130 97 82 78 250 112 73 103 238 86 118 251 245 165 146 0 251 165 36 109 110 54 15 194 177 89 250 175 167 170 107 27 69 5 210 154 89 222 112 35 7 58 151 136 231 229 83 143 246 210 163 58 118 245 162 214 198 3 185 91 91 3 92 114 66 214 210 210 192 112 72 246 43 116 178 120 113 12 12 231 133 207 255 0 133 232 198 99 20 44 36 144 48 145 214 205 45 81 45 133 167 74 104 40 228 153 218 229 36 131 217 108 125 59 88 220 0 7 217 90 50 81 219 34 138 109 109 36 141 201 33 35 186 209 26 218 71 211 228 183 39 42 241 114 107 0 61 213 86 180 254 48 228 12 246 93 28 25 123 81 151 36 104 231 180 177 69 111 186 75 72 210 65 121 206 254 201 147 28 71 62 169 7 95 212 62 135 168 105 106 248 102 172 59 30 133 58 100 141 123 24 236 242 50 186 235 106 204 171 211 115 183 11 91 157 133 158 173 150 183 99 117 22 90 141 111 113 33 67 168 42 76 133 67 168 118 234 74 178 13 89 216 170 103 91 55 85 189 216 237 186 184 213 17 164 170 127 88 156 80 60 158 56 86 72 171 69 14 141 133 222 109 122 27 194 181 208 53 180 246 22 156 97 210 56 156 251 42 196 80 74 247 183 13 37 185 225 90 110 64 211 208 211 211 30 89 24 103 238 173 137 118 153 183 140 173 216 146 115 151 172 23 164 146 87 139 208 69 84 104 232 2 1 193 8 71 112 173 243 64 60 233 217 252 58 134 100 227 117 42 230 67 77 64 121 250 252 205 247 73 109 178 22 76 223 186 113 212 110 47 134 150 97 128 11 116 126 225 112 249 144 235 144 207 154 63 36 42 38 150 200 15 108 242 186 215 195 71 197 173 140 149 195 73 112 63 178 229 54 217 8 195 94 223 46 87 90 248 117 70 202 183 50 61 97 140 46 25 61 214 9 43 69 49 201 39 179 233 239 135 19 178 107 68 162 48 68 108 58 70 220 168 93 80 112 231 111 221 51 248 119 73 29 47 79 134 70 117 14 115 234 148 245 87 212 228 231 172 103 53 184 188 242 40 151 111 168 170 221 87 212 85 130 232 226 28 85 110 186 64 50 82 226 54 72 91 89 32 105 59 165 53 51 129 156 149 190 227 54 199 28 170 181 242 224 41 224 46 37 93 43 116 83 193 133 198 177 210 136 232 169 252 210 206 240 194 7 102 247 43 174 116 185 104 165 138 18 221 26 26 3 112 190 70 111 90 215 208 245 116 87 26 103 135 178 3 167 195 63 153 189 215 210 95 11 186 206 207 212 84 113 186 150 162 54 85 99 50 83 188 224 131 236 178 243 83 140 108 182 9 166 232 235 244 81 200 27 207 41 156 81 191 28 164 214 201 70 60 164 111 253 19 88 67 139 115 226 144 184 202 86 206 131 90 38 54 51 234 86 109 14 28 45 12 107 199 15 37 109 97 120 62 101 100 37 163 104 39 186 54 40 107 129 59 175 72 4 108 164 161 143 124 168 213 3 46 30 229 74 198 202 21 206 97 77 71 60 229 143 147 195 97 121 99 62 167 99 176 74 202 190 210 240 116 206 59 214 63 15 43 234 250 150 225 115 130 237 84 96 169 230 55 72 116 176 251 5 65 189 252 59 187 82 82 200 214 230 172 242 28 233 14 203 168 143 137 17 220 237 198 166 146 211 82 221 47 45 115 100 24 115 112 168 253 95 241 30 170 40 165 12 182 105 203 121 119 101 232 56 15 157 143 28 105 42 58 112 89 98 173 31 62 94 92 216 169 235 34 120 33 208 74 88 252 156 224 170 140 145 186 114 30 214 185 192 251 43 205 108 6 122 58 233 162 137 175 116 175 50 73 167 124 185 82 181 212 186 92 73 39 135 163 57 28 97 119 103 217 106 70 78 83 255 0 209 62 158 55 198 52 184 99 44 194 241 222 70 184 142 112 139 121 146 72 227 146 71 235 212 112 10 202 180 104 99 253 149 211 214 130 45 40 232 97 98 112 214 224 121 45 90 13 83 34 156 137 94 246 55 86 196 122 251 44 172 174 213 44 71 35 113 186 157 35 104 100 153 205 145 173 115 178 49 236 153 52 220 6 183 39 13 29 55 167 254 22 190 186 146 10 153 107 139 132 141 15 216 158 10 233 29 19 240 186 217 103 173 138 189 178 184 206 211 157 88 206 23 31 180 117 229 242 138 56 226 164 169 123 163 99 64 13 115 114 0 87 171 15 197 219 180 47 100 117 54 102 86 123 194 116 159 246 94 103 234 56 185 93 92 93 80 151 22 189 62 131 129 205 142 32 8 56 111 117 34 35 171 125 59 30 50 149 116 237 120 185 91 163 171 108 126 24 127 253 55 38 141 14 35 24 194 243 105 217 99 100 178 6 236 10 129 83 43 137 217 74 116 121 229 107 150 54 129 146 143 182 59 96 37 169 97 57 37 87 47 45 107 6 90 55 86 107 132 172 104 59 170 197 213 205 147 35 57 56 90 240 74 87 127 2 114 43 71 55 248 149 74 42 168 195 192 193 13 206 79 170 91 209 215 63 156 180 179 81 203 216 52 187 62 161 54 235 217 127 242 231 66 15 152 133 203 250 50 240 202 43 252 214 215 63 248 135 80 221 119 241 110 39 58 78 153 214 53 133 139 158 20 56 39 14 28 172 204 155 40 24 157 153 74 252 101 65 168 147 117 186 89 55 80 231 57 42 200 134 141 19 156 180 170 151 88 145 242 15 212 118 86 105 158 70 85 83 172 157 170 222 225 238 172 45 177 23 79 212 178 106 200 160 13 201 206 78 221 130 153 125 155 92 239 246 63 213 66 232 200 180 190 178 181 195 205 16 208 223 223 255 0 165 237 123 195 230 119 175 37 107 225 67 180 206 159 18 63 109 145 123 229 8 66 236 154 129 24 238 132 32 13 144 18 36 0 108 78 201 236 216 170 178 151 143 170 51 172 15 110 234 190 222 83 235 12 141 118 98 127 208 241 130 23 59 159 143 180 108 172 213 166 106 182 84 48 185 173 112 201 202 235 95 12 234 27 21 115 114 75 98 211 168 143 112 185 13 43 95 77 94 88 246 143 35 183 93 87 161 170 98 168 99 98 211 161 231 3 33 113 167 225 147 28 126 234 62 173 248 114 237 125 56 199 147 144 230 12 37 93 84 6 167 125 211 63 134 208 54 14 158 107 26 242 225 140 238 150 245 102 114 228 233 127 110 38 10 253 249 28 234 238 236 18 170 87 41 113 149 104 190 187 4 225 83 46 210 96 21 68 58 66 107 173 64 107 73 7 117 204 122 246 235 225 211 57 161 222 98 174 215 234 128 200 222 114 184 207 89 86 153 235 196 96 231 116 220 104 207 150 84 133 16 12 187 81 76 173 181 213 86 250 150 84 209 207 36 18 176 229 174 140 224 254 233 124 65 110 206 201 237 38 169 171 50 69 191 131 186 252 56 248 239 95 110 124 84 157 70 207 153 135 143 29 155 57 191 117 244 95 72 117 173 139 168 105 25 53 186 225 12 173 61 139 176 225 251 47 128 1 33 79 181 93 174 22 185 219 81 65 87 53 60 141 57 14 99 136 92 206 71 211 113 228 119 141 211 54 97 230 78 58 103 232 220 83 3 140 29 207 124 41 45 144 247 194 248 203 163 62 62 245 45 158 56 226 186 105 175 128 29 203 246 114 237 29 33 241 227 164 47 37 177 85 76 109 243 59 179 254 159 230 185 89 56 153 241 238 74 205 145 207 12 158 29 160 57 167 217 100 61 146 59 101 234 134 227 11 101 162 170 138 165 174 224 196 240 83 40 230 254 156 164 44 139 198 49 227 111 198 77 206 66 211 35 114 51 146 62 203 193 48 194 28 236 158 81 39 217 104 170 77 9 235 44 246 231 57 242 26 86 61 206 220 185 195 124 174 67 253 160 91 110 178 116 37 198 118 211 67 226 57 133 140 242 247 43 182 212 56 0 73 253 215 205 159 219 14 236 200 172 118 251 75 29 153 42 39 215 143 102 255 0 246 180 241 39 147 245 98 145 124 217 28 49 156 111 225 196 206 138 215 113 33 197 210 22 144 195 232 185 237 224 72 219 132 205 145 196 187 81 206 85 203 162 106 12 52 245 76 29 198 79 221 86 122 153 190 37 81 156 12 23 29 215 182 203 27 227 194 107 210 156 143 220 226 66 107 210 93 174 34 219 108 111 228 106 11 14 160 37 173 112 31 156 133 54 209 135 90 131 125 20 30 164 206 32 119 169 221 95 36 107 19 101 242 125 152 44 145 99 36 54 1 238 163 86 212 190 27 156 184 198 1 56 207 25 89 89 229 192 140 250 21 18 241 255 0 228 166 244 207 5 103 114 188 74 157 9 203 154 75 2 113 59 167 246 126 163 178 245 37 182 177 151 58 54 203 87 76 240 73 29 218 236 227 253 138 238 86 14 148 233 234 99 174 27 108 32 251 140 175 155 191 179 37 197 148 253 95 61 3 222 24 218 152 142 144 123 145 194 250 178 212 90 221 36 99 7 144 188 151 212 114 228 89 90 114 244 103 31 43 201 15 184 109 67 79 21 60 45 138 8 155 28 99 176 82 178 73 201 217 69 134 76 157 136 3 236 189 150 65 140 235 36 142 203 151 70 155 55 79 59 33 105 61 210 26 219 133 84 206 45 130 60 123 169 149 50 52 144 100 254 65 40 185 87 178 22 28 57 141 199 124 171 71 170 248 217 14 223 206 136 117 81 184 18 250 153 206 221 149 126 235 92 214 52 136 88 78 59 231 132 131 173 62 33 88 237 13 112 146 168 79 48 27 198 199 101 113 46 175 248 157 117 186 23 69 65 154 104 93 182 71 56 93 78 63 30 89 61 70 44 185 227 13 34 205 241 79 170 233 168 163 116 49 74 217 170 156 63 41 217 171 139 210 220 103 167 188 197 94 231 230 65 46 167 44 106 231 124 207 123 164 123 158 231 29 201 59 168 51 158 87 119 30 62 177 163 151 146 110 78 207 162 44 53 237 171 163 138 102 184 16 90 155 182 64 185 143 194 235 153 154 214 33 46 203 162 56 93 14 25 1 238 147 53 70 172 114 178 68 143 81 167 114 216 226 10 143 55 42 131 72 117 78 229 85 58 193 228 91 157 238 224 2 181 85 99 7 42 179 126 129 245 98 56 27 249 164 0 253 189 85 144 186 183 68 58 8 254 79 167 161 105 24 116 185 145 195 238 149 74 253 78 217 57 190 76 53 248 109 0 1 176 30 152 72 207 43 175 194 135 88 217 217 197 30 184 250 130 16 16 183 23 4 33 8 0 239 178 157 108 152 178 80 125 20 21 178 7 233 122 94 88 118 139 64 199 247 104 154 106 161 170 104 242 202 220 31 245 46 131 240 210 39 154 234 119 145 150 158 112 168 80 17 87 108 44 31 84 120 120 87 95 134 245 14 101 64 201 62 82 2 243 89 151 91 70 100 170 71 215 127 14 102 18 244 240 112 219 217 43 234 199 121 156 167 252 49 192 233 166 110 14 91 148 171 172 28 3 221 132 201 127 110 39 57 175 223 145 205 58 129 231 89 84 155 188 153 206 234 223 126 121 203 181 42 21 238 93 58 149 80 201 232 165 245 117 96 142 7 156 246 92 118 170 71 79 91 35 206 251 236 175 253 125 86 91 11 155 149 206 233 178 92 29 234 86 140 106 145 139 43 178 83 118 89 101 120 2 247 27 39 8 160 202 53 149 137 43 28 238 128 123 55 7 247 255 0 113 149 225 119 29 143 114 181 228 163 39 209 69 34 86 188 30 216 122 175 168 44 82 182 75 93 210 166 156 55 134 182 67 143 228 187 79 64 127 104 234 250 87 199 77 213 20 191 49 24 24 241 163 30 111 228 190 121 201 244 94 100 112 72 36 122 172 217 184 152 179 42 104 100 115 78 27 76 253 9 233 14 186 233 238 166 160 101 93 174 227 12 173 119 229 46 195 135 220 43 31 205 2 60 167 39 217 126 111 218 174 215 43 77 71 204 219 171 38 166 151 57 46 99 180 159 232 186 135 72 252 122 234 139 80 108 87 61 55 8 125 95 179 151 35 47 210 231 11 233 225 191 31 58 50 85 35 236 10 202 193 165 217 118 195 149 241 191 246 147 234 72 111 253 113 242 212 238 215 29 3 60 61 95 230 239 143 228 23 65 185 124 120 180 86 116 197 68 177 120 177 87 120 100 54 39 250 159 69 243 109 93 76 149 21 114 207 33 38 73 28 92 231 19 201 78 250 119 18 88 229 218 127 5 121 121 212 227 81 25 244 213 71 135 95 225 234 242 200 48 87 183 170 63 52 131 73 32 19 132 174 134 95 10 178 55 131 195 149 234 104 33 168 132 59 108 185 139 216 113 34 179 99 175 224 219 244 232 254 190 46 175 224 171 88 92 76 114 67 157 218 20 110 161 57 165 132 250 59 9 133 61 59 168 111 143 132 143 44 140 74 250 128 184 1 31 163 213 115 42 196 211 39 144 171 12 147 53 91 94 90 193 247 11 203 137 215 112 115 191 154 211 74 75 90 125 176 179 170 57 156 149 206 237 246 209 204 156 175 10 67 94 144 187 62 201 212 148 55 38 146 60 25 1 56 244 95 106 116 221 218 154 190 130 10 234 121 3 162 158 48 65 7 159 111 186 248 72 156 142 50 186 239 193 175 137 177 217 104 95 103 188 74 77 60 99 84 18 254 146 185 95 82 226 254 173 56 173 162 56 121 186 58 103 213 236 174 96 25 212 0 74 111 61 79 109 183 66 233 42 106 163 141 163 114 73 11 230 158 176 248 215 114 169 145 244 246 80 216 99 227 198 147 149 205 110 183 251 189 217 229 215 26 233 167 7 242 185 222 85 207 197 244 204 146 123 240 213 147 155 21 225 244 95 88 124 112 181 210 151 197 108 105 171 144 108 28 209 229 92 119 170 190 37 245 37 249 197 143 171 52 240 19 252 56 142 63 170 162 151 100 228 227 80 224 172 30 252 46 174 30 14 44 107 195 14 78 84 242 27 230 168 116 178 23 189 196 184 242 226 114 84 119 187 39 36 231 209 107 123 193 90 203 189 22 196 146 240 67 109 153 72 237 74 52 220 45 165 105 144 236 85 136 178 213 240 210 173 209 92 95 22 112 28 114 187 21 27 131 216 8 59 46 27 209 13 120 174 123 218 55 140 110 187 13 146 160 190 8 243 220 36 100 70 140 110 135 157 148 121 78 251 173 236 193 11 85 67 118 72 166 105 66 202 151 18 112 160 185 172 141 178 78 254 90 8 105 76 39 4 187 203 201 217 40 234 41 132 48 54 157 188 52 101 223 117 120 71 179 73 12 193 14 210 43 119 9 75 228 36 242 84 78 222 235 41 93 169 228 255 0 37 137 94 135 28 84 96 145 214 248 0 132 4 43 144 8 66 16 0 119 217 122 221 151 136 82 252 162 71 118 26 144 217 128 63 73 217 116 190 134 138 24 171 3 9 57 152 225 167 220 174 67 73 41 100 153 93 51 161 107 195 229 132 19 231 99 178 210 184 95 80 197 214 86 133 78 59 179 235 143 133 108 209 210 228 191 33 224 150 156 251 36 253 99 55 226 56 103 186 127 209 17 73 55 72 177 255 0 75 220 208 118 238 85 103 169 169 42 203 136 49 56 159 93 150 92 154 132 81 202 142 243 73 156 214 252 252 185 196 174 125 212 147 6 177 231 86 54 93 19 169 40 234 161 212 102 140 70 220 114 74 228 253 100 248 221 79 35 98 151 196 144 118 111 3 247 81 6 78 71 163 146 245 205 112 154 169 209 131 156 20 142 152 121 27 236 164 95 89 138 210 28 237 79 39 39 217 99 8 192 11 100 124 48 79 108 200 4 17 178 200 2 135 13 208 81 26 156 48 176 60 173 146 108 181 18 114 166 201 2 87 154 143 101 230 71 170 240 224 112 164 139 61 212 123 175 117 44 50 128 130 25 158 125 151 135 36 172 87 161 71 132 223 242 27 175 29 194 247 101 225 66 240 44 243 36 28 142 202 237 107 121 158 215 17 14 201 3 24 84 135 156 183 238 173 93 27 43 164 164 124 71 114 211 178 232 253 58 77 101 234 190 78 191 209 242 56 230 235 240 201 151 120 192 170 167 152 141 244 233 254 105 7 80 69 180 135 28 43 13 229 185 158 34 73 242 165 23 236 120 111 62 161 109 230 67 237 104 233 115 161 246 201 34 187 78 112 86 202 131 184 90 99 62 101 148 199 36 101 112 151 135 2 95 219 60 202 247 37 96 14 23 163 10 61 244 201 243 163 44 163 86 22 25 247 94 23 41 182 180 137 51 47 221 96 231 101 98 74 240 227 10 0 9 40 7 60 175 50 189 206 202 64 241 197 106 147 233 91 10 215 34 8 44 127 15 229 107 107 228 105 219 83 74 233 93 54 246 190 38 181 238 32 112 8 229 114 94 150 155 194 172 14 244 216 174 147 211 115 150 187 78 114 211 184 72 159 180 107 132 93 89 120 137 146 49 163 56 112 236 66 198 98 95 182 255 0 101 133 36 197 173 26 15 236 120 91 106 42 30 230 228 198 210 61 134 18 219 216 212 180 67 115 67 3 164 118 205 104 207 238 169 55 186 163 44 238 36 231 37 90 186 138 179 195 161 17 1 165 206 250 135 117 68 169 126 167 156 254 203 111 11 23 105 118 58 60 88 117 142 205 39 114 87 139 212 46 199 201 172 16 132 32 128 66 16 160 1 5 8 67 36 245 174 32 251 171 79 71 92 133 37 124 78 118 237 206 8 85 81 234 165 80 76 99 147 32 239 254 197 102 230 99 83 137 13 31 160 63 15 230 3 225 229 44 194 81 40 146 61 65 192 228 28 250 42 143 83 84 203 174 66 38 118 123 5 87 254 207 93 106 202 222 139 169 233 185 228 252 122 79 60 0 159 200 121 31 182 63 170 157 212 21 39 83 206 87 7 39 169 28 149 30 179 145 81 234 121 164 169 37 213 18 186 87 122 188 229 114 254 179 168 240 169 222 27 129 178 190 245 4 248 14 57 92 131 226 13 120 108 78 105 118 59 41 130 217 76 158 28 230 187 50 215 189 248 192 36 173 140 28 44 234 52 62 163 200 114 24 208 211 247 89 70 220 149 177 120 96 151 160 198 236 177 144 28 169 69 152 106 143 39 40 32 143 33 90 93 202 219 34 212 244 80 24 146 66 197 199 101 145 220 44 79 5 73 83 196 12 160 47 71 40 0 193 71 27 21 234 240 250 160 3 101 225 70 87 133 69 1 227 184 194 178 116 75 139 75 199 234 56 85 163 192 42 203 211 64 69 76 37 245 113 91 190 159 172 232 233 253 47 89 208 207 168 36 195 198 54 41 101 200 120 148 185 246 91 250 142 96 75 79 170 135 36 154 225 210 63 74 233 114 165 217 179 177 204 149 185 21 222 30 80 247 100 175 9 252 66 176 39 117 193 122 103 157 111 237 104 200 157 145 149 142 125 145 159 101 6 111 147 37 225 94 18 188 37 0 122 133 224 94 160 15 50 87 153 66 16 7 135 209 98 239 69 145 229 98 238 80 4 203 27 180 212 150 158 234 251 211 242 248 47 105 115 182 206 2 160 216 11 91 115 102 191 211 133 117 110 99 165 4 13 218 228 140 159 145 191 6 241 157 18 138 77 76 24 3 96 166 49 205 210 75 182 104 72 108 117 30 37 59 78 174 193 76 189 213 10 106 19 24 217 207 75 106 244 59 12 59 72 174 117 37 105 158 161 206 254 65 87 221 185 251 169 21 146 235 149 217 42 48 93 222 54 37 142 20 117 162 186 170 61 28 33 8 79 0 66 16 128 4 33 8 0 66 16 128 5 235 29 165 224 175 23 132 158 200 171 209 37 211 225 239 80 84 89 47 52 245 176 191 26 29 230 31 169 189 194 239 117 85 113 86 208 178 174 7 234 142 86 235 107 189 90 123 175 150 168 165 49 202 215 106 198 235 166 244 199 87 207 71 97 117 55 203 73 84 89 252 54 48 239 143 79 178 225 114 240 56 202 204 156 136 58 208 239 170 37 107 88 242 78 48 184 55 196 59 128 150 173 209 70 236 238 175 61 81 124 234 11 147 94 34 183 58 154 51 249 158 185 85 222 154 161 181 101 211 146 231 19 185 75 198 145 201 202 217 149 27 8 140 18 152 193 16 3 43 77 190 34 226 26 154 24 67 70 48 155 39 78 140 169 89 22 81 178 137 47 117 62 118 108 160 74 14 232 138 37 145 37 90 156 182 202 181 61 92 169 139 184 94 35 149 238 15 100 1 137 250 151 139 45 59 238 188 45 8 3 204 35 11 210 2 240 160 15 63 54 87 132 160 147 149 137 202 0 245 199 59 251 43 61 137 186 172 192 142 117 170 183 217 90 186 72 25 173 115 199 249 154 114 22 239 167 255 0 123 255 0 135 75 233 114 172 204 129 125 148 154 134 177 206 201 202 215 20 152 203 114 151 214 76 95 92 240 227 157 46 194 217 22 239 36 38 202 110 217 179 46 94 210 116 65 127 241 92 176 60 173 135 121 79 185 90 164 33 178 17 232 87 57 250 114 50 25 3 232 87 185 247 88 103 117 232 10 4 179 36 1 221 120 61 209 156 108 160 131 44 225 96 226 188 39 249 175 57 59 160 15 90 189 94 53 4 156 160 15 15 43 195 190 203 213 143 230 64 27 104 60 181 177 159 243 5 209 65 20 243 150 78 204 199 35 65 7 221 115 120 159 225 200 217 63 75 129 93 26 233 87 5 69 178 138 86 144 94 224 1 30 169 57 21 179 78 25 86 135 253 52 230 56 150 180 249 25 185 251 40 125 69 90 102 149 222 111 46 112 209 236 182 210 52 219 173 56 118 210 75 187 190 201 21 84 166 73 9 245 78 226 225 239 59 58 252 92 85 27 102 151 28 149 226 2 23 103 205 27 24 33 8 65 0 132 33 0 8 66 16 0 132 33 0 11 206 235 212 41 0 105 32 236 113 251 101 62 233 187 148 148 117 140 154 51 164 179 140 30 82 18 182 65 39 134 252 229 35 145 139 245 17 18 93 189 58 253 193 144 221 40 27 89 31 210 70 237 207 11 143 245 229 51 99 173 104 28 231 211 10 241 210 23 112 198 58 150 71 147 20 156 103 179 149 23 175 42 12 183 223 0 118 118 235 136 163 40 203 175 201 199 229 67 161 162 199 0 115 181 16 152 212 195 135 125 215 182 8 188 128 145 223 10 85 196 6 206 35 86 149 54 97 94 9 167 110 196 37 211 128 50 155 214 55 73 194 81 87 176 37 50 37 88 190 99 186 212 229 156 155 255 0 53 131 149 138 158 0 87 160 28 47 64 89 1 178 9 163 29 215 132 44 176 17 128 128 48 88 187 209 108 217 120 66 8 53 17 149 225 247 89 119 88 187 148 1 129 217 61 233 58 179 4 146 51 63 83 82 55 169 54 185 4 85 77 63 168 16 180 113 114 60 121 44 213 196 159 233 228 108 140 243 170 186 95 245 146 84 250 86 16 194 228 188 159 10 224 252 240 74 107 27 192 140 227 209 107 196 187 93 155 225 187 19 183 121 127 117 170 163 248 228 173 145 130 249 116 142 203 76 191 197 62 199 11 157 36 211 103 50 119 187 51 28 140 44 130 196 118 94 228 250 170 216 147 220 236 177 60 35 39 209 4 236 128 4 119 66 59 160 0 108 142 232 71 116 1 226 195 243 45 135 186 215 249 144 6 71 125 177 144 119 86 190 135 167 146 227 92 201 38 39 229 169 70 78 123 159 101 91 162 166 150 174 162 56 32 206 167 157 45 93 46 158 158 27 53 174 58 40 64 15 198 100 119 169 84 174 210 232 189 54 241 49 60 147 191 131 203 205 89 150 87 105 59 96 0 18 135 103 186 219 43 245 28 254 165 175 149 214 195 137 66 52 119 82 165 71 139 208 132 39 150 4 33 10 8 4 33 8 0 66 16 128 4 33 8 0 66 16 130 65 8 66 54 4 219 117 75 161 148 56 28 150 172 186 146 221 243 154 46 116 237 212 90 0 149 138 0 39 33 55 181 86 24 222 26 239 48 59 22 250 133 131 151 133 223 120 136 207 137 100 142 205 214 40 252 145 251 145 168 168 119 73 7 247 235 162 7 96 172 84 212 108 0 77 9 5 156 224 118 84 171 156 218 58 132 188 157 156 236 46 124 118 112 50 65 193 211 37 94 241 29 72 56 229 170 191 88 118 86 62 171 1 178 66 225 221 153 85 122 167 231 100 212 41 145 159 185 88 224 172 142 63 116 97 73 0 2 244 5 144 106 247 30 234 40 177 142 54 94 17 234 179 253 215 152 247 65 20 96 224 176 194 216 224 188 198 200 10 53 187 133 173 193 110 35 183 101 173 193 1 70 167 172 90 237 39 35 145 186 205 225 107 225 75 109 108 59 83 179 42 210 215 190 57 27 233 191 221 110 130 163 49 157 247 88 65 27 100 7 88 56 7 178 99 21 29 11 124 254 35 177 140 144 182 98 237 90 58 184 35 41 43 70 22 26 65 224 84 86 205 229 108 108 33 153 72 252 206 121 119 169 78 174 55 22 190 159 228 233 134 152 187 165 3 99 177 73 202 211 240 199 200 113 111 71 135 32 47 65 56 94 175 120 9 52 101 60 94 59 133 239 117 225 25 69 0 55 133 234 240 12 47 74 40 1 122 56 88 3 186 247 62 232 160 61 61 190 235 88 39 144 0 32 255 0 53 153 212 70 219 250 171 47 68 88 69 92 223 222 117 131 252 44 71 200 28 63 136 125 20 55 74 203 227 131 201 46 168 115 209 150 145 108 162 254 243 172 110 154 137 91 248 77 253 13 245 91 171 103 50 60 156 243 219 211 217 73 186 86 120 142 32 29 134 192 14 195 209 45 39 97 133 179 139 135 252 159 167 162 193 133 98 141 35 194 132 123 161 111 30 8 66 20 16 8 66 16 0 132 33 0 8 66 16 0 132 33 0 8 66 16 0 131 194 16 164 147 206 22 113 188 181 192 131 140 110 177 64 194 135 20 214 192 177 88 238 38 35 161 199 200 239 169 87 186 198 144 211 93 34 149 187 197 33 203 92 22 112 72 90 238 127 249 78 32 125 61 194 148 210 213 140 183 177 63 149 114 185 24 58 75 178 240 197 202 227 41 198 208 179 172 142 35 165 119 3 195 10 172 243 151 18 71 117 109 235 168 124 24 233 90 195 173 158 30 197 84 220 55 59 229 38 47 182 206 20 162 224 250 179 91 134 78 200 1 100 6 74 200 0 172 84 199 4 47 86 68 44 120 40 44 24 94 47 87 131 146 128 60 33 99 130 182 16 188 194 172 188 4 106 114 193 227 101 181 193 96 225 178 132 200 102 135 45 78 29 214 247 141 150 163 221 93 135 180 74 161 25 136 227 108 169 82 51 77 52 174 59 12 122 44 45 172 203 20 234 246 129 110 151 3 178 233 99 135 237 217 218 193 20 177 217 88 220 143 79 178 10 207 11 194 23 57 250 206 52 235 179 49 70 80 80 130 161 221 120 118 94 175 15 56 64 0 221 122 188 239 142 200 217 67 96 7 132 55 29 200 247 246 70 2 109 211 150 89 238 245 65 140 26 32 105 252 73 15 96 161 202 139 70 46 110 145 183 165 172 82 93 234 117 73 152 233 163 57 123 253 125 130 187 215 84 71 12 13 165 167 104 100 49 140 53 160 127 95 186 38 125 61 13 35 40 168 219 162 40 198 49 220 159 82 148 202 242 231 18 74 119 31 3 201 46 239 195 189 197 227 44 80 167 232 61 218 137 62 171 17 238 132 46 162 165 164 108 4 33 8 0 66 16 130 1 8 66 0 16 132 32 1 8 66 0 16 132 32 1 8 66 0 16 132 32 1 24 66 16 72 13 142 203 108 50 185 143 90 187 163 61 208 227 217 83 5 232 241 143 167 185 82 124 149 89 0 31 161 223 165 84 175 54 201 237 211 105 148 19 25 62 73 59 20 214 25 11 92 10 111 79 83 13 85 59 169 171 24 31 17 231 60 143 178 229 230 192 224 237 24 121 92 63 212 87 18 138 26 115 191 244 224 175 113 132 234 245 98 150 132 120 212 228 203 74 119 4 114 212 148 157 192 245 225 103 140 183 179 139 56 75 27 169 30 160 240 189 56 236 177 119 10 74 152 158 74 245 155 28 163 0 141 215 160 12 40 96 122 120 88 225 100 120 88 231 1 0 96 237 138 196 140 172 206 255 0 117 137 10 200 131 67 194 210 71 152 41 15 11 75 193 255 0 132 2 91 67 27 91 127 4 31 117 42 228 113 109 122 213 109 110 41 128 94 221 94 62 69 205 93 117 42 194 206 238 55 88 132 29 151 152 217 102 126 149 142 248 217 114 111 195 137 63 201 152 227 116 59 133 234 240 160 161 224 94 119 202 247 5 120 120 223 249 160 3 221 28 175 113 183 178 178 116 207 75 203 92 209 85 93 154 122 94 217 229 202 178 117 224 204 120 229 149 245 137 11 166 236 85 23 137 179 187 41 70 239 149 222 158 222 234 244 231 83 91 232 155 69 66 205 44 104 231 187 189 207 186 42 42 33 167 166 109 45 35 27 28 77 224 0 149 75 35 158 226 73 206 86 140 24 28 221 179 185 198 226 172 59 126 158 204 242 247 231 63 117 175 186 17 221 116 226 186 170 54 2 16 133 32 8 66 20 16 8 66 16 0 132 33 0 8 66 16 0 132 33 0 8 66 16 0 132 33 0 8 66 16 0 132 33 0 5 120 189 66 146 67 43 56 220 90 67 129 35 11 4 123 40 105 53 64 55 161 175 115 70 137 0 115 78 197 167 130 162 93 186 126 42 152 221 85 107 56 119 47 132 241 251 40 129 197 189 212 170 90 185 33 120 112 46 110 57 193 88 51 241 31 177 51 230 193 28 158 149 153 163 146 9 29 28 172 115 28 222 65 28 44 9 202 188 212 54 130 235 16 109 91 7 137 249 100 102 207 111 223 254 21 126 233 211 181 116 160 203 9 19 195 217 205 231 249 44 91 142 164 113 179 113 50 67 107 193 48 7 28 47 71 11 194 8 118 8 32 250 21 232 82 145 150 192 240 176 35 186 200 175 20 58 13 152 119 94 28 172 244 163 72 69 129 165 193 106 147 140 5 33 195 101 165 237 200 86 64 189 67 90 6 147 78 222 22 187 203 64 164 207 234 216 41 118 216 255 0 1 170 63 81 141 48 70 193 234 186 114 214 35 183 248 226 16 30 48 188 236 178 33 121 133 204 56 211 220 180 120 23 133 103 140 161 145 185 238 210 208 73 244 3 42 95 253 43 87 164 96 112 61 86 202 90 105 170 231 100 52 241 62 89 9 217 173 31 213 88 44 221 39 89 85 137 170 220 40 224 119 234 220 159 217 90 105 155 110 180 67 225 80 194 26 225 203 206 238 113 246 244 85 182 221 35 94 30 36 242 49 93 135 165 233 168 26 42 174 164 75 48 226 33 192 251 166 85 245 229 254 86 144 26 54 104 28 5 18 170 165 242 184 234 36 254 252 40 185 56 225 109 195 197 119 114 59 24 120 241 196 169 25 61 229 199 43 17 206 232 71 117 185 107 72 208 8 66 16 0 132 33 4 2 16 132 0 33 8 64 2 16 132 0 33 8 64 2 16 132 0 33 8 64 2 16 132 0 33 8 64 2 16 132 0 33 8 64 2 16 132 18 8 70 17 133 33 163 54 72 230 187 41 133 37 202 72 142 206 45 245 247 75 16 149 147 12 114 122 67 75 193 205 68 22 203 147 115 81 78 35 144 254 102 108 82 170 190 152 152 121 168 231 142 118 159 203 193 11 22 200 230 156 229 74 134 182 70 110 30 86 12 156 54 191 19 46 78 30 57 236 174 212 209 85 210 184 137 233 228 103 237 144 163 131 182 14 21 230 43 161 115 116 202 208 230 158 197 99 36 22 106 166 226 106 86 179 255 0 235 242 255 0 178 206 227 56 173 163 14 79 167 201 126 37 40 115 185 63 101 225 238 173 178 244 245 182 83 152 42 223 16 247 25 90 31 210 153 222 43 141 63 254 252 143 246 10 150 255 0 131 60 184 185 34 85 93 221 107 112 201 86 131 209 183 3 197 125 187 255 0 244 119 252 44 71 70 87 235 26 171 237 216 28 225 238 207 251 33 101 133 173 148 143 31 39 101 163 11 108 68 83 180 123 37 125 93 150 201 19 85 222 150 207 5 60 77 108 213 177 156 12 29 27 168 119 59 29 166 174 86 201 81 60 143 107 120 13 217 117 50 231 198 241 82 244 236 79 27 150 42 249 57 209 198 113 177 251 108 164 209 91 43 171 29 166 10 105 31 232 72 194 189 193 73 100 163 111 225 82 49 228 112 95 230 63 213 109 146 233 134 233 141 173 99 71 0 12 46 124 33 146 94 35 20 62 159 41 126 69 126 223 209 211 16 31 112 168 108 13 238 209 185 79 105 41 173 86 182 127 131 167 107 158 57 149 251 185 68 154 182 71 146 117 17 251 168 206 144 147 158 15 170 209 14 27 151 228 110 197 195 199 141 104 157 87 112 146 87 110 229 6 73 11 143 170 196 238 142 203 118 60 49 198 170 38 181 173 35 206 87 168 70 233 138 208 85 2 59 161 8 0 66 16 130 1 8 66 0 16 132 32 1 8 66 0 16 132 32 1 8 66 0 16 132 32 1 8 66 0 16 132 32 1 8 66 0 16 132 32 1 8 66 0 16 132 32 1 8 66 0 16 132 32 1 8 66 148 0 29 236 189 241 8 220 103 249 161 8 113 69 145 181 179 72 6 206 43 49 83 40 31 83 191 99 132 33 103 156 80 52 140 205 84 195 186 243 231 37 206 51 202 16 163 244 225 252 20 111 102 18 84 200 222 227 249 44 12 239 119 155 39 249 161 9 138 17 191 11 75 104 195 89 119 43 19 159 84 33 51 230 129 120 121 217 122 132 40 96 8 66 20 144 8 66 16 0 132 33 0 8 66 16 0 132 33 0 8 66 16 0 132 33 0 8 66 16 0 132 33 0 127 255 217) asByteArray ].
	^ cache at: 1! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glass15Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 40 8 6 0 0 0 140 254 184 109 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 11 21 12 196 35 155 77 0 0 3 12 73 68 65 84 88 195 237 151 187 110 212 64 20 134 207 57 51 30 219 227 219 172 215 187 17 138 144 64 192 27 32 68 10 36 58 42 68 1 13 162 165 162 225 25 168 87 202 70 88 145 136 242 94 136 130 58 18 85 234 20 153 67 177 158 213 236 224 141 16 235 13 32 249 52 214 94 172 249 252 255 231 102 128 49 198 24 99 140 49 198 24 99 140 255 57 240 95 103 186 117 192 229 114 41 149 82 143 149 82 119 136 8 133 16 64 68 43 24 68 64 196 191 163 224 233 233 105 163 181 126 171 181 126 21 199 241 133 82 202 74 41 13 34 166 68 20 35 98 12 0 209 173 3 182 109 219 148 101 249 190 40 138 23 121 158 127 215 90 231 113 28 63 18 66 144 148 146 157 106 136 200 225 189 204 140 123 5 60 63 63 127 105 140 249 88 85 213 215 162 40 30 102 89 118 16 199 49 42 165 32 138 34 32 34 7 230 115 240 222 1 151 203 165 174 235 250 83 93 215 247 141 49 182 44 203 7 121 158 67 0 135 78 61 102 222 80 205 135 149 67 195 157 156 156 152 166 105 62 79 167 211 203 186 174 77 85 85 19 173 53 166 105 10 74 41 16 66 32 17 1 17 57 24 116 96 220 145 250 144 131 2 30 31 31 231 77 211 124 153 205 102 23 211 233 244 169 49 70 105 173 33 77 83 86 74 1 17 33 17 57 75 201 129 120 64 180 183 62 184 88 44 112 62 159 47 230 243 57 206 102 179 163 186 174 85 150 101 152 36 9 56 184 238 60 4 0 176 214 82 167 26 134 160 221 149 7 85 208 24 243 102 50 153 28 214 117 221 24 99 84 150 101 206 86 198 85 0 51 131 181 22 61 48 242 0 29 56 122 249 56 12 96 219 182 166 170 170 15 198 152 31 85 85 213 157 173 27 202 49 51 90 107 177 3 116 96 4 0 238 187 208 238 225 0 139 162 120 87 85 213 183 178 44 159 116 5 193 81 20 185 169 128 204 140 215 215 215 27 150 122 22 211 22 56 28 196 226 182 109 147 60 207 95 231 121 126 149 101 25 36 73 226 247 56 7 135 204 12 1 24 90 107 201 61 64 31 220 32 128 90 235 231 90 235 75 173 245 61 215 231 132 16 107 69 156 125 14 172 71 185 95 0 7 85 48 73 146 103 105 154 42 165 20 122 125 142 93 110 89 107 41 132 12 170 119 171 122 67 1 30 37 73 82 197 113 12 82 74 232 224 214 73 30 90 219 85 41 134 213 27 130 13 2 120 118 118 118 160 148 82 82 74 236 224 252 118 66 14 174 167 48 122 237 236 11 218 81 192 187 66 136 43 41 37 72 41 65 8 193 171 186 96 116 144 94 107 89 171 233 141 182 141 57 60 184 130 81 20 29 74 41 185 91 58 185 107 43 228 14 181 214 66 152 115 221 111 191 53 193 152 25 119 82 80 74 57 33 162 168 219 136 209 63 216 129 132 227 44 92 171 220 126 176 23 5 105 21 137 191 170 91 107 33 180 48 180 215 90 11 136 216 7 140 67 230 160 219 231 220 154 206 126 62 57 208 192 50 246 103 109 160 118 159 146 188 107 145 172 149 115 87 167 84 87 205 232 169 134 254 150 226 61 13 247 65 186 207 52 4 220 182 4 247 132 195 45 255 233 133 244 157 216 89 65 47 223 232 15 239 229 155 138 102 16 192 27 114 106 163 9 247 189 185 121 47 78 189 206 252 4 101 61 43 62 242 252 57 1 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glass16Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 128 0 0 0 40 8 6 0 0 0 54 113 242 72 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 11 21 12 196 35 155 77 0 0 5 21 73 68 65 84 120 218 237 90 75 114 172 72 12 172 164 217 121 231 8 175 124 170 185 206 156 199 199 180 201 183 129 182 16 250 21 208 139 55 83 138 232 104 155 104 10 149 148 74 125 138 214 134 12 25 50 100 200 144 33 67 134 12 25 50 100 200 144 33 67 134 12 25 50 100 200 144 33 67 134 12 25 242 223 20 172 159 33 255 83 153 191 190 190 254 49 64 177 191 0 160 181 214 72 210 89 135 157 160 59 172 109 172 207 155 129 94 21 254 5 65 123 155 238 243 231 231 231 191 98 81 233 140 157 115 94 96 44 56 27 98 240 157 1 4 138 217 208 1 2 94 216 27 141 123 120 209 177 40 216 170 186 31 87 151 249 227 227 3 133 135 192 121 0 94 0 0 136 181 173 111 22 215 195 73 195 245 58 203 210 81 254 230 10 16 112 1 0 90 23 83 143 249 253 253 29 5 4 94 165 213 170 195 90 226 124 111 131 25 0 154 36 51 146 232 208 143 201 158 51 93 61 227 51 177 35 94 0 130 3 32 231 183 183 55 156 160 167 59 35 40 2 66 196 0 12 64 219 75 255 145 163 206 128 133 142 147 121 34 192 174 0 32 10 148 214 90 227 252 120 60 166 2 181 227 38 48 160 152 6 154 2 1 141 107 173 192 0 189 58 223 81 0 50 168 11 122 158 113 23 0 194 103 207 173 181 73 22 126 166 38 191 244 121 5 8 189 69 206 174 248 91 139 210 195 119 1 80 184 106 164 34 35 208 3 129 210 149 39 156 127 135 189 77 93 231 239 239 239 71 130 216 157 50 65 103 16 42 104 220 86 217 228 214 25 186 81 69 146 211 52 221 202 86 86 32 172 14 68 82 35 80 175 33 90 219 180 42 119 246 129 130 190 40 216 219 220 227 76 242 17 208 234 65 153 245 198 83 117 131 84 74 0 9 73 167 209 150 101 9 219 192 159 159 159 8 96 237 42 8 0 60 255 247 2 224 137 212 61 120 88 109 17 1 108 251 236 2 177 1 214 174 214 119 94 150 101 178 20 21 27 110 186 176 90 13 82 105 13 209 153 78 220 153 128 120 158 101 60 61 163 130 81 249 223 1 6 228 63 101 181 30 160 161 47 171 204 152 236 11 101 0 108 134 85 6 166 166 151 213 152 176 40 199 51 144 229 108 121 111 161 182 128 88 155 94 75 168 116 148 122 30 140 86 108 1 123 106 33 107 237 131 126 43 72 33 106 1 24 232 153 146 231 180 236 57 6 253 71 251 197 76 18 235 141 116 232 175 20 169 74 41 136 226 199 117 178 163 176 231 192 112 184 178 25 56 218 108 194 2 72 138 65 136 98 14 193 218 52 174 63 157 191 44 139 140 246 195 179 69 186 65 194 72 52 236 148 217 253 56 8 18 206 7 201 131 209 183 133 214 223 29 82 160 50 58 117 132 139 205 232 235 16 107 203 72 241 214 183 134 26 79 67 6 96 106 218 57 26 40 78 90 143 162 15 14 253 187 215 5 64 105 236 171 41 91 84 82 141 215 49 185 193 101 233 55 91 11 137 155 159 136 221 42 84 47 202 172 235 219 102 182 179 36 141 88 43 117 88 185 60 171 128 139 185 158 43 197 178 147 25 74 213 181 90 251 176 166 222 171 102 0 21 181 233 158 3 157 97 4 174 207 0 193 194 27 114 55 15 82 27 66 178 71 161 136 138 206 150 220 73 149 114 176 7 190 86 88 187 90 24 69 51 124 24 197 177 151 186 104 140 138 189 17 112 120 110 96 176 108 212 78 118 157 209 204 209 24 212 51 106 96 108 56 147 47 89 4 153 138 90 180 156 229 244 40 151 58 209 152 29 36 69 64 184 50 130 245 102 242 240 138 184 10 43 25 54 163 19 56 53 6 56 57 89 66 101 186 229 20 80 94 123 7 89 232 24 17 142 147 122 33 24 116 157 154 103 24 85 185 117 168 101 1 54 172 67 116 125 228 253 205 61 101 239 134 73 65 209 250 59 124 138 250 87 167 167 45 25 74 12 53 74 83 48 131 53 24 232 82 154 118 57 191 67 179 223 23 104 107 186 123 126 172 117 156 181 186 106 150 227 178 72 135 60 50 173 88 206 119 236 158 234 50 71 83 12 117 189 68 41 219 6 167 105 98 144 171 41 35 34 160 122 26 57 180 21 122 221 30 250 47 119 2 94 254 215 209 170 234 163 74 192 32 104 245 74 19 39 207 118 25 11 76 89 165 232 61 71 221 131 66 84 186 167 98 198 161 206 225 119 193 111 94 242 78 99 199 192 8 157 255 235 130 212 59 194 118 253 161 206 23 118 39 166 107 64 213 207 31 110 182 27 18 3 82 205 26 228 255 135 205 20 35 194 60 35 16 3 174 146 83 87 61 100 15 109 234 227 48 79 246 82 13 12 186 135 72 41 122 250 185 75 81 155 62 94 61 144 57 57 96 65 78 231 130 131 167 122 101 195 224 25 133 185 27 179 250 236 205 137 86 97 41 157 27 165 156 140 122 171 145 30 76 55 225 220 139 102 159 97 64 125 179 208 114 31 78 33 141 97 216 147 1 122 95 88 64 197 233 201 129 145 21 193 140 246 167 82 0 149 211 245 52 140 237 254 183 123 211 179 4 17 205 46 200 140 195 53 93 144 34 97 42 84 82 116 4 2 121 207 44 242 198 214 172 235 220 123 38 13 156 189 87 183 73 116 122 251 94 202 58 81 67 153 142 163 55 178 126 97 29 194 158 217 128 55 135 150 69 161 180 235 164 105 71 158 211 203 107 186 8 179 138 178 224 224 71 163 156 206 167 203 137 6 107 80 178 130 147 102 66 6 242 62 193 104 183 39 85 100 71 189 187 147 87 111 142 239 188 13 101 250 101 154 166 102 248 238 249 247 31 73 143 37 138 130 229 207 57 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glass18Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 40 8 6 0 0 0 140 254 184 109 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 11 21 12 196 35 155 77 0 0 4 32 73 68 65 84 88 195 237 151 61 79 43 71 20 134 207 57 243 101 91 217 37 248 18 16 4 233 34 132 248 1 185 69 80 148 95 128 160 136 162 72 20 252 8 20 81 33 138 20 105 211 166 10 29 5 210 173 104 83 196 186 66 138 210 220 144 40 244 185 162 176 73 129 101 192 114 252 177 51 39 5 59 100 188 119 119 249 184 137 162 72 62 210 104 118 109 121 252 236 123 206 121 103 22 96 18 147 152 196 36 38 49 137 73 76 226 255 28 152 142 119 9 254 55 1 229 225 225 225 103 119 255 196 236 135 29 14 135 157 209 104 212 106 183 219 23 251 251 251 221 255 10 26 27 141 198 235 28 192 145 115 46 177 214 98 146 36 42 73 146 63 7 131 193 111 189 94 239 213 197 197 197 79 123 123 123 173 28 16 46 249 236 233 128 103 103 103 63 143 61 122 10 233 156 3 231 28 90 107 33 73 18 24 14 135 110 48 24 92 245 251 125 217 237 118 207 219 237 246 203 131 131 131 239 79 79 79 109 6 174 232 250 105 128 205 102 243 151 112 145 20 16 3 72 72 146 4 70 163 17 12 135 67 30 12 6 208 235 245 46 111 110 110 110 186 221 46 52 155 205 239 118 119 119 127 8 128 24 0 220 63 5 138 87 87 87 191 190 85 64 124 187 142 115 14 152 25 172 181 96 173 245 144 208 239 247 185 215 235 65 167 211 57 191 190 190 134 203 203 203 55 71 71 71 95 55 26 141 30 0 216 0 210 101 192 31 13 41 133 16 148 91 229 204 32 132 0 102 6 41 37 56 231 64 107 13 198 24 63 216 24 243 220 24 211 113 206 201 237 237 237 111 227 56 222 59 62 62 254 35 133 116 193 252 100 72 9 0 185 128 136 136 193 53 32 34 16 17 16 17 11 33 64 41 197 74 41 22 66 212 149 82 31 159 159 159 255 184 177 177 241 77 187 221 254 242 228 228 164 13 0 73 186 182 13 64 31 221 233 100 173 21 225 112 206 145 115 206 207 196 204 130 153 5 0 16 34 18 17 9 33 4 41 165 68 165 82 17 81 20 81 28 199 149 197 197 197 79 141 49 111 182 182 182 190 138 227 184 6 0 6 0 84 42 130 4 0 145 2 227 99 252 151 60 72 10 19 194 137 16 212 223 51 51 33 162 64 68 146 82 10 99 140 168 213 106 20 199 177 94 88 88 120 17 69 145 217 217 217 217 74 1 13 0 232 12 224 163 32 137 153 239 70 6 134 172 181 121 67 88 107 137 153 9 0 72 8 65 198 24 170 213 106 98 122 122 250 253 40 138 222 91 94 94 254 124 109 109 109 17 0 42 1 164 122 10 228 152 130 129 146 200 204 24 44 230 31 2 153 25 189 218 233 226 68 68 164 181 166 106 181 74 179 179 179 207 153 249 247 245 245 245 47 114 0 85 78 170 161 12 82 166 32 99 253 193 204 128 136 156 253 161 247 199 244 154 1 128 17 145 137 8 133 16 172 181 134 74 165 194 51 51 51 75 0 176 50 63 63 255 178 213 106 117 114 154 35 244 75 44 107 152 172 212 152 129 25 27 97 115 135 106 166 159 163 16 130 180 214 52 53 53 85 39 162 155 205 205 205 79 82 21 43 5 77 131 247 165 154 242 64 60 76 129 63 82 78 106 16 17 81 74 137 82 74 76 211 93 93 90 90 250 40 128 243 169 214 5 93 93 232 131 185 54 232 83 25 216 97 246 152 118 183 227 132 94 169 148 2 41 37 198 113 252 108 110 110 206 131 113 102 119 9 141 156 211 25 243 252 49 239 9 30 228 79 161 143 251 148 227 173 81 162 82 10 180 214 164 181 214 43 43 43 31 4 202 101 155 69 220 167 32 149 29 94 179 234 101 82 143 193 110 227 47 145 136 144 254 14 187 186 186 250 97 14 156 12 0 75 109 135 242 82 232 211 85 2 143 69 170 250 45 81 8 1 136 8 245 122 253 89 10 164 50 128 50 7 174 176 6 49 239 52 147 133 15 58 56 188 71 14 139 241 86 69 70 68 84 74 201 40 138 226 0 168 72 65 44 219 73 30 250 78 130 143 184 71 34 2 165 148 33 34 95 111 50 152 31 188 245 81 198 56 185 160 254 176 96 134 28 187 241 169 70 34 18 213 106 181 26 192 132 202 21 29 30 198 64 233 93 149 43 171 87 68 68 191 103 7 64 161 114 247 167 184 232 141 172 44 245 190 246 210 250 43 106 152 240 59 12 128 176 64 189 220 20 203 241 250 190 251 115 14 188 237 233 111 100 136 161 53 97 0 138 15 61 209 188 85 131 89 224 236 253 67 74 193 63 84 198 204 203 70 161 117 253 5 166 31 92 201 65 216 58 201 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glass25Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 128 8 6 0 0 0 121 177 43 238 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 11 21 12 196 35 155 77 0 0 5 185 73 68 65 84 120 218 205 91 75 110 228 58 12 36 21 175 178 12 144 77 110 247 14 240 174 149 91 198 53 139 177 12 153 162 40 218 33 213 99 32 152 116 247 196 93 230 183 84 162 152 158 95 252 253 253 253 223 215 215 215 255 159 159 159 244 241 241 65 239 239 239 244 246 246 198 68 196 63 63 63 101 223 247 246 135 137 136 0 48 17 113 189 73 41 133 234 251 204 124 254 91 223 43 148 112 29 32 92 215 190 239 127 159 150 25 157 5 152 145 2 176 222 95 123 179 90 108 244 90 2 45 193 128 218 159 225 85 74 129 247 158 37 8 148 249 57 51 83 41 133 206 224 186 113 149 96 119 158 128 102 86 244 94 27 229 94 154 133 89 137 61 30 197 238 150 144 16 90 28 90 177 105 89 58 36 139 121 22 127 218 239 198 67 44 113 241 25 147 109 77 20 245 145 87 38 73 103 129 26 99 134 5 215 37 73 83 61 166 110 107 43 141 209 113 144 5 208 101 93 111 43 4 16 227 98 229 11 207 216 147 159 57 192 161 130 11 143 193 182 64 51 51 61 104 28 41 101 70 5 91 45 37 75 203 172 203 0 184 100 254 175 98 240 160 74 208 190 240 176 32 27 225 192 50 33 170 91 255 254 138 16 178 208 198 13 60 44 231 174 219 51 92 204 213 197 149 69 27 73 2 229 253 112 62 8 173 59 84 138 85 173 38 98 239 210 105 14 112 154 171 41 210 197 51 87 63 42 89 191 2 232 101 198 34 51 213 62 61 34 32 37 216 122 241 107 24 202 191 172 24 156 2 142 6 248 196 154 108 245 245 178 0 16 140 100 80 151 3 21 36 51 135 90 16 35 208 109 135 120 213 170 206 5 114 148 181 22 211 142 46 212 29 93 106 63 175 170 129 199 162 213 205 89 49 136 86 119 169 5 252 0 134 59 122 78 102 29 148 214 114 37 79 86 12 14 65 30 110 197 200 138 198 3 132 201 111 176 64 74 0 141 122 5 13 156 76 166 104 62 216 90 10 218 231 86 28 202 66 205 204 233 218 204 172 7 98 6 178 252 43 160 86 244 98 173 76 224 6 32 245 158 81 226 17 43 242 26 2 150 157 191 142 65 30 168 85 166 254 194 204 24 20 102 150 22 223 2 45 200 79 129 53 150 150 235 27 148 132 184 115 37 70 125 79 132 65 231 137 48 11 42 226 100 200 131 111 9 73 114 203 186 202 255 231 72 54 35 213 2 15 223 155 130 76 43 212 162 183 194 3 212 34 11 81 46 214 216 50 12 213 192 187 178 75 91 213 161 1 114 18 132 250 99 172 89 164 42 129 48 128 26 67 57 104 11 6 178 136 119 121 138 148 69 83 11 88 35 168 51 202 213 198 229 22 5 74 139 169 250 69 0 76 177 83 185 95 88 29 196 232 198 119 238 161 116 147 179 37 134 186 120 196 94 26 165 128 29 244 11 209 73 2 75 52 58 11 110 179 187 217 244 97 201 23 187 36 138 220 76 100 186 110 65 140 182 191 102 189 58 222 130 6 49 189 180 194 3 56 188 234 68 100 153 225 9 195 238 182 101 181 29 10 237 117 218 110 167 2 224 246 168 64 216 94 221 200 154 19 215 155 173 50 83 250 192 175 111 118 20 248 232 193 30 40 12 199 162 91 203 119 220 165 4 226 162 104 163 237 218 250 112 91 176 229 88 3 124 0 161 182 133 121 24 55 128 88 109 166 1 209 74 87 26 71 116 39 91 36 89 104 9 67 103 57 97 45 118 104 53 8 163 252 130 230 119 153 125 236 124 158 22 190 35 137 148 192 196 144 73 210 186 22 173 144 132 235 206 245 37 227 229 242 96 139 44 49 181 215 30 0 184 1 201 3 166 125 105 49 226 189 144 86 7 178 245 230 83 233 82 226 237 178 255 47 172 138 125 223 105 223 247 248 50 51 90 231 106 194 145 76 16 237 111 67 203 140 252 194 227 53 143 128 2 144 154 52 50 59 9 6 32 79 182 223 2 81 216 116 26 155 113 19 4 57 80 59 235 199 17 42 255 19 230 114 107 229 151 162 242 91 130 229 77 11 175 217 39 49 52 233 225 92 245 209 38 177 2 224 69 191 214 172 100 120 129 95 186 211 52 137 77 48 243 18 11 90 146 200 108 72 124 217 86 24 158 102 243 246 143 184 147 87 2 188 179 178 155 46 162 182 197 110 149 90 206 212 213 37 25 20 126 217 117 104 197 4 38 110 172 2 73 206 121 109 201 101 228 110 199 233 22 247 91 130 123 49 217 156 225 17 184 246 223 72 9 248 137 30 51 154 120 235 134 195 95 145 197 173 59 59 208 237 177 181 104 11 98 86 78 228 122 248 96 213 52 176 38 1 224 21 71 134 136 124 154 161 170 215 100 17 214 206 66 94 117 85 38 88 164 70 173 109 72 179 2 142 103 86 107 55 23 83 182 33 70 191 91 238 29 237 223 165 205 205 120 200 192 96 25 112 153 243 218 98 66 174 63 237 213 164 44 79 220 170 73 33 231 159 71 13 246 12 103 245 31 215 174 195 229 145 46 102 35 89 58 151 58 7 110 169 36 196 223 116 10 201 210 164 179 8 107 183 203 52 155 230 48 64 33 43 139 213 117 175 117 118 78 36 136 28 190 200 145 62 246 125 183 142 97 144 114 156 13 218 131 132 30 91 211 54 100 130 68 39 164 14 85 140 92 61 56 191 164 233 138 97 147 232 228 5 55 34 174 163 131 130 75 79 228 136 195 128 67 118 253 210 41 224 59 139 246 232 101 103 103 69 71 242 76 79 104 191 196 130 147 125 227 203 32 198 43 93 172 49 162 142 153 103 0 4 17 161 153 213 186 204 240 91 131 101 90 38 103 16 214 145 137 112 195 156 103 252 150 53 33 7 109 134 97 186 110 142 162 91 26 205 178 142 85 66 89 27 35 179 204 120 230 176 70 110 158 90 49 109 10 184 57 112 165 233 55 238 120 92 50 42 111 49 230 108 128 183 190 248 238 217 146 44 109 70 59 203 212 205 88 55 96 151 106 212 51 122 165 209 125 90 9 240 50 1 34 230 102 32 18 103 58 174 28 13 208 53 200 141 155 153 146 217 73 92 211 190 51 43 166 145 5 41 4 181 238 21 115 93 230 3 101 185 120 212 69 224 21 144 234 235 146 144 193 228 116 45 20 87 119 175 151 176 25 71 173 185 128 202 82 22 248 97 183 128 149 52 37 211 106 222 73 143 193 48 16 17 17 253 1 222 135 215 226 79 221 68 93 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glass26Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 128 0 0 0 128 8 6 0 0 0 195 62 97 203 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 11 21 12 196 35 155 77 0 0 24 156 73 68 65 84 120 218 197 93 219 114 228 64 170 44 20 250 255 95 60 207 251 19 102 31 198 234 65 40 19 146 82 207 158 142 112 216 110 187 165 82 65 113 73 110 246 159 255 252 231 255 214 159 151 175 181 150 187 175 181 214 50 51 95 225 101 102 159 31 175 223 221 221 86 122 93 159 143 215 4 47 246 190 229 159 195 125 243 223 243 253 217 207 236 190 94 173 41 63 219 239 58 236 250 30 126 70 207 238 191 63 63 158 243 119 95 45 239 39 184 78 188 198 237 231 159 159 159 101 102 63 228 218 183 107 30 199 241 121 158 139 102 215 189 221 221 206 180 105 158 31 138 17 95 124 25 33 182 21 76 80 189 60 17 199 197 53 64 226 71 102 237 158 201 221 151 153 249 239 6 58 98 146 64 124 250 124 145 0 242 67 23 215 235 94 63 63 63 235 56 142 15 227 101 134 57 192 9 179 244 115 252 90 211 197 179 211 194 174 223 156 96 40 157 210 169 251 156 20 240 51 36 126 36 242 245 21 62 231 213 201 4 95 236 158 94 72 202 157 151 117 167 63 74 0 182 119 103 36 106 88 148 229 127 86 78 200 155 191 167 251 184 202 12 249 225 210 9 115 36 1 144 154 98 34 59 94 39 94 247 58 253 81 58 50 166 250 253 108 121 237 9 193 143 227 240 47 48 208 90 107 221 84 192 165 215 225 77 47 17 248 146 99 125 40 65 230 226 230 121 18 188 177 79 92 176 79 12 16 189 85 71 128 72 30 212 159 85 226 62 169 151 210 102 66 226 93 125 157 133 190 103 139 27 235 236 40 242 27 70 178 205 107 163 207 34 70 128 255 243 243 243 243 57 89 3 163 213 130 104 175 140 83 202 96 191 123 1 215 22 15 99 248 217 210 223 95 139 129 115 253 155 151 87 162 46 24 82 182 254 253 203 147 138 248 188 127 17 62 51 2 210 151 191 242 223 137 87 34 73 131 244 89 15 106 163 60 237 204 8 180 63 175 27 31 100 157 223 121 72 103 226 200 202 208 187 217 5 13 243 89 165 199 131 43 181 71 81 124 239 150 161 0 241 169 91 8 92 60 7 251 16 239 121 17 195 68 79 66 214 255 201 70 179 236 113 0 198 82 165 170 31 108 161 68 127 185 187 27 122 72 98 229 51 226 83 111 225 165 84 240 202 144 11 68 243 32 238 29 16 31 89 246 159 29 255 101 134 206 27 120 124 62 74 20 17 47 161 4 44 112 137 202 179 50 170 2 128 21 108 64 108 169 190 247 18 137 111 226 67 251 208 22 240 66 2 68 113 239 234 51 101 187 37 238 205 165 210 6 254 186 39 123 200 6 222 192 231 190 64 74 25 115 7 217 235 32 167 189 244 151 243 77 131 84 176 110 209 68 66 84 152 128 114 45 36 5 232 105 20 136 239 2 238 240 17 1 65 15 51 201 225 205 169 119 65 13 25 177 63 62 167 63 73 128 177 17 232 192 14 112 38 9 38 30 129 170 30 138 147 220 158 44 213 32 254 165 148 13 65 166 238 122 81 31 143 220 55 162 195 141 236 69 198 19 44 221 91 149 34 158 25 224 1 109 230 152 64 100 140 134 248 150 244 30 123 248 17 26 6 238 233 249 100 69 115 184 194 91 179 229 76 136 239 67 200 251 113 221 14 243 45 84 64 73 200 36 234 87 21 87 232 238 159 189 128 199 6 38 95 53 186 36 166 108 200 183 48 5 198 48 136 248 232 119 70 108 22 252 106 236 18 7 130 192 34 227 252 170 69 103 46 100 248 31 116 239 207 33 66 7 174 209 253 210 233 191 158 251 68 254 111 220 192 228 87 218 210 34 121 223 115 226 53 68 108 199 5 154 136 125 235 12 205 40 41 47 123 32 50 194 239 62 26 251 140 32 109 140 32 137 190 193 4 181 27 24 95 63 63 63 55 61 183 250 128 135 71 151 177 32 146 87 106 245 247 75 1 72 170 211 238 130 148 130 140 210 108 166 103 151 249 250 202 174 158 153 121 120 207 145 128 138 70 100 250 254 249 59 209 253 149 11 88 26 237 31 47 0 157 126 116 227 224 255 230 5 150 190 119 243 62 98 154 85 249 210 211 215 245 12 102 230 199 113 220 36 26 203 53 72 198 148 77 164 93 56 253 204 62 241 132 171 64 38 184 126 47 52 89 103 237 27 128 168 243 33 179 115 42 22 195 42 243 41 130 254 39 193 18 160 225 185 79 99 139 214 61 52 64 163 140 13 73 18 31 219 130 157 176 24 31 248 249 249 153 218 45 157 49 199 60 129 219 223 42 115 134 24 128 242 129 57 119 93 161 11 45 251 69 64 74 70 200 15 240 150 33 178 181 46 232 103 168 195 195 251 142 62 151 237 159 227 56 86 37 49 9 227 179 32 148 1 38 136 96 146 197 191 17 88 184 211 253 14 226 9 222 50 128 224 250 198 180 34 119 247 117 28 199 2 177 248 197 164 66 1 146 228 8 93 231 243 91 96 68 103 39 63 157 198 172 167 13 225 3 191 217 52 158 36 66 197 4 18 198 144 61 169 64 204 85 49 65 246 34 10 15 229 246 121 244 204 148 1 20 110 2 92 233 0 26 149 225 227 12 161 198 13 174 24 1 234 130 191 174 152 41 162 56 168 0 35 198 164 41 120 71 54 110 147 104 246 181 150 197 244 44 224 78 83 73 145 37 193 70 86 22 221 235 51 157 144 206 232 112 230 246 92 122 248 10 81 46 61 50 23 109 76 234 102 70 253 219 49 67 34 126 135 60 122 100 130 235 217 46 98 13 240 9 91 117 24 92 97 130 155 61 146 212 194 18 113 254 124 250 203 156 204 163 218 60 197 162 191 44 108 98 237 82 119 41 82 61 56 24 21 134 255 19 44 103 103 174 31 113 135 110 57 141 1 55 191 253 111 148 96 21 241 195 223 182 142 34 83 33 32 19 251 230 17 188 53 150 225 179 100 127 159 220 9 38 56 68 98 134 16 106 246 203 47 99 209 179 91 153 78 161 87 238 33 250 191 132 92 150 121 12 89 116 162 224 85 124 15 24 163 182 64 186 117 37 225 118 136 134 152 160 81 205 70 24 94 98 136 227 186 184 34 238 222 6 98 8 76 11 141 64 34 170 93 220 196 7 67 0 226 35 64 232 246 30 0 162 28 92 131 230 248 35 0 40 30 184 252 119 97 31 229 240 117 92 95 229 129 41 84 247 33 19 184 130 197 19 162 149 198 90 222 220 75 151 22 214 241 231 237 20 182 174 80 65 118 178 80 138 124 203 4 187 103 106 64 131 73 50 201 237 57 205 172 101 0 127 243 0 136 9 126 13 69 7 240 102 180 41 228 223 11 38 25 101 24 49 230 80 129 42 245 179 93 226 105 33 9 189 144 2 190 75 175 131 109 38 59 192 76 183 49 241 60 12 80 24 208 233 134 126 143 167 31 48 197 87 3 83 89 122 68 91 33 25 205 55 137 160 184 107 104 127 94 50 65 199 156 38 171 128 156 31 48 208 81 55 64 39 155 250 13 42 104 81 135 3 139 29 89 225 38 226 227 95 97 134 74 250 40 68 191 164 0 240 6 90 3 28 48 199 132 129 30 235 61 58 49 247 5 172 94 54 218 10 137 97 191 80 172 23 196 223 46 92 121 225 98 61 164 64 0 193 110 54 67 14 68 197 223 17 180 157 220 101 184 222 28 144 171 14 41 163 227 241 37 2 86 122 205 39 140 192 12 174 4 201 90 231 54 189 32 190 189 97 228 6 55 160 82 10 48 129 39 120 56 3 112 40 3 73 82 9 144 1 64 62 219 183 44 216 181 94 134 118 83 50 133 85 27 174 72 172 140 97 12 224 95 21 25 188 233 220 128 98 110 85 86 41 146 0 20 181 182 210 13 134 131 167 153 37 172 82 183 217 76 84 10 165 136 114 235 236 148 193 73 255 74 117 101 92 127 10 70 153 224 146 201 41 228 139 71 8 125 241 30 3 108 31 62 52 62 35 158 205 176 248 137 213 95 48 67 21 37 219 58 113 77 198 17 75 36 221 213 243 210 169 18 196 63 251 93 246 245 73 32 169 147 68 241 253 207 207 231 10 85 187 236 193 166 25 188 67 119 143 149 141 125 235 134 114 93 126 85 184 178 147 115 247 43 21 150 24 28 219 170 132 174 62 87 184 230 159 159 79 196 177 49 83 166 51 112 166 4 223 217 252 233 53 1 42 121 3 162 152 4 98 5 156 19 130 11 107 165 17 201 29 143 164 99 130 102 255 252 68 22 181 253 205 64 80 8 48 209 99 72 60 142 74 153 6 196 207 134 82 5 148 196 231 206 12 233 111 236 8 17 160 50 161 86 240 65 167 203 229 124 195 4 7 91 36 64 184 186 162 67 19 9 166 36 89 90 241 30 43 41 123 108 56 33 62 77 56 69 65 170 137 183 51 137 127 228 50 46 22 162 174 158 47 67 228 59 162 249 4 70 131 175 148 51 39 100 202 200 37 92 195 211 109 234 201 103 247 22 137 26 211 179 162 37 63 214 249 232 100 71 27 32 22 132 32 105 42 170 90 171 116 126 33 13 30 118 204 25 141 46 196 4 241 193 226 135 19 140 105 83 38 16 26 25 236 248 205 143 172 165 42 39 14 229 9 118 186 184 18 181 69 72 221 136 168 255 26 254 32 170 33 103 54 128 23 76 16 141 169 15 7 93 15 27 24 129 49 193 174 49 247 198 53 148 202 194 54 97 97 255 50 193 182 210 185 85 195 176 177 65 236 68 198 92 242 33 125 241 102 68 158 24 161 35 252 215 54 76 236 84 18 179 120 91 166 68 61 0 68 3 216 166 210 44 238 113 87 112 219 68 12 119 188 3 203 54 64 213 13 204 22 175 63 179 200 8 96 163 31 22 63 40 174 144 171 98 153 107 151 54 229 86 184 162 24 102 3 194 67 175 6 36 107 150 217 187 32 114 248 209 178 205 189 253 5 54 3 215 118 162 11 129 102 71 172 243 196 77 228 39 38 184 45 120 90 85 179 33 250 183 68 101 67 92 111 78 191 5 98 86 196 239 178 148 243 223 157 24 147 147 214 50 149 244 252 123 48 129 75 98 12 9 235 44 118 16 80 122 211 247 71 78 69 203 61 117 21 223 191 99 140 34 44 61 85 103 166 156 200 198 229 69 52 80 106 45 218 131 113 78 136 128 224 80 180 40 251 82 30 243 224 212 187 0 250 248 6 35 60 186 167 166 83 250 193 76 72 119 210 174 59 90 89 175 64 164 49 162 203 182 45 117 110 108 250 163 59 5 9 22 149 76 144 10 47 114 173 28 219 4 72 80 225 196 79 211 210 152 65 252 72 75 43 208 58 149 48 106 229 209 13 166 168 236 161 204 160 201 174 187 169 176 51 186 78 217 133 98 1 144 80 177 210 109 30 5 146 170 52 244 162 162 184 36 252 203 168 101 103 43 124 78 107 149 149 84 25 127 47 84 160 131 234 35 39 246 128 53 133 169 183 207 156 200 111 142 98 39 18 91 8 137 122 133 144 117 254 183 208 253 235 113 239 93 226 55 140 193 92 198 7 241 171 210 248 2 68 98 42 35 62 159 173 103 91 158 174 219 88 198 108 218 189 62 68 4 169 34 138 156 233 211 248 186 223 70 191 190 1 73 223 226 14 145 248 4 187 71 134 41 34 86 30 40 145 27 100 48 215 246 81 189 124 125 191 190 132 231 127 148 135 179 100 130 69 164 67 169 191 186 141 207 133 142 77 217 51 60 149 72 191 126 33 139 169 212 207 49 45 109 88 4 194 154 86 63 234 254 179 193 151 36 157 140 116 230 251 3 151 244 115 239 19 16 150 25 65 82 244 235 122 139 25 72 217 24 81 194 165 1 213 202 157 184 114 109 191 12 1 11 42 167 34 190 20 142 38 106 105 45 161 33 244 52 235 72 173 102 94 41 197 236 140 128 70 78 0 33 0 145 131 126 55 143 231 100 117 253 73 2 200 193 31 224 146 121 66 210 34 202 200 58 120 41 118 7 42 0 149 146 58 73 242 38 179 175 114 179 72 47 102 48 33 230 182 88 101 196 136 15 2 94 183 216 207 153 140 189 219 13 51 100 89 229 84 48 81 77 212 132 188 169 133 157 96 57 170 119 109 8 35 0 97 106 40 9 18 241 219 198 12 64 74 230 200 169 163 126 129 196 3 123 184 147 185 99 120 215 164 67 64 58 255 186 129 228 164 177 30 245 29 198 238 137 64 159 7 87 78 60 73 245 150 12 199 107 19 11 12 194 27 27 131 26 130 68 82 176 14 171 176 242 39 181 156 119 208 69 100 100 32 131 130 217 78 236 63 152 224 76 109 202 172 48 190 172 74 1 39 29 55 51 19 172 162 148 122 234 57 56 178 47 98 132 13 168 133 73 174 2 26 118 5 19 62 208 154 43 53 25 108 22 75 39 151 5 197 178 84 165 107 26 204 38 250 35 53 209 124 192 157 82 103 130 159 143 195 152 170 219 72 98 12 150 213 214 155 190 7 170 125 18 233 250 251 229 224 61 20 183 240 159 159 31 213 149 46 39 171 229 226 89 21 74 63 24 247 16 31 119 18 216 201 13 17 189 193 179 13 180 158 223 2 7 66 218 149 129 70 9 163 22 56 47 152 21 53 211 68 205 48 215 100 61 106 146 105 131 219 252 149 118 160 198 76 25 21 119 69 63 58 34 57 145 18 10 104 164 64 153 221 195 63 26 57 8 167 217 39 189 0 95 66 189 143 254 71 100 111 62 251 182 147 170 198 214 109 102 126 128 96 193 90 95 104 209 154 164 138 175 126 78 15 125 248 234 65 80 231 143 132 25 236 48 193 99 61 69 206 4 124 143 13 144 2 189 131 217 120 217 220 170 183 61 205 85 31 0 106 239 116 21 165 25 184 121 57 58 46 50 65 53 183 15 65 162 150 190 152 241 245 90 175 71 255 154 221 39 122 0 234 158 84 6 90 156 62 146 14 78 150 156 190 132 102 16 241 112 176 191 127 98 1 76 5 76 116 36 169 67 43 253 226 69 134 44 167 135 64 126 189 178 70 90 1 180 230 117 13 16 227 103 167 124 114 18 147 221 229 149 113 217 168 17 87 14 207 195 8 204 221 170 81 187 114 0 221 62 184 106 16 204 113 21 54 237 68 94 117 93 70 4 251 155 189 1 137 14 188 134 237 220 150 14 148 137 239 165 46 230 222 28 36 103 30 70 49 255 24 74 144 3 249 240 164 93 185 51 67 80 140 26 222 22 20 218 164 125 179 25 226 106 78 226 173 183 79 98 4 196 16 227 134 11 191 136 228 45 241 19 29 154 0 209 194 166 148 132 9 28 72 162 170 210 169 51 208 253 92 207 97 81 177 69 249 212 10 31 69 170 126 153 0 225 232 255 122 170 104 110 70 85 13 99 120 128 72 64 226 229 10 107 35 9 156 237 172 95 246 55 210 22 6 118 29 45 58 145 61 94 108 106 88 151 25 91 17 159 165 145 67 36 42 246 85 200 155 244 182 63 17 153 197 67 223 31 74 23 248 252 96 212 219 103 56 3 202 172 78 145 70 207 200 43 139 210 38 194 123 190 95 172 120 102 177 16 51 243 115 225 64 78 57 24 10 20 53 44 240 185 54 16 113 61 72 8 226 88 148 64 111 152 160 56 213 171 64 212 124 112 109 43 250 11 69 232 252 147 60 146 102 252 210 225 150 249 127 179 93 86 132 191 97 214 16 97 134 63 29 66 34 39 145 69 89 191 31 6 39 143 46 109 194 247 163 173 123 238 144 189 51 97 140 137 123 225 89 148 140 219 110 109 48 188 27 226 19 204 184 102 182 19 245 176 138 105 236 168 224 245 243 251 109 106 88 22 43 161 35 87 181 0 180 65 168 208 114 103 156 106 174 168 221 25 47 163 4 155 104 154 123 240 199 51 51 180 147 191 64 143 129 108 36 150 35 231 65 133 83 140 176 202 93 209 20 102 62 1 82 181 126 126 126 76 97 130 28 51 200 225 78 69 138 228 205 232 12 164 205 86 42 75 85 1 177 101 252 11 151 111 45 92 44 91 169 72 239 36 228 212 77 82 242 3 14 242 161 54 120 147 209 193 223 83 123 139 198 13 54 241 27 249 124 95 97 140 23 237 86 178 187 201 24 173 43 6 129 99 247 138 248 4 116 197 139 234 166 27 173 79 129 115 16 23 83 49 26 146 63 80 140 187 35 148 43 134 232 68 18 84 163 107 201 73 247 141 196 75 201 43 90 56 25 212 27 72 87 233 178 198 154 90 180 67 184 207 170 130 37 76 42 114 230 5 8 198 151 239 158 208 66 52 190 242 255 11 233 228 95 88 227 67 196 71 23 48 231 248 55 3 168 182 93 221 29 28 0 94 44 49 129 173 123 177 72 89 25 147 39 113 137 0 69 235 134 190 1 7 215 125 150 14 195 242 87 131 10 34 201 66 167 146 37 194 111 99 26 138 228 168 94 104 226 217 153 13 185 69 82 152 114 94 31 240 253 17 40 114 179 168 131 113 41 113 108 85 226 164 170 1 181 204 172 112 249 188 2 130 208 116 180 166 249 246 74 195 165 109 48 9 101 183 205 238 227 247 235 254 167 42 218 210 224 58 134 216 85 167 22 14 80 222 181 104 95 124 182 138 220 141 197 112 94 151 146 195 168 214 96 138 76 97 59 140 114 121 91 103 106 117 174 118 232 128 227 204 80 106 115 12 122 44 61 212 124 83 51 221 56 153 127 97 59 100 53 240 141 186 198 42 228 254 134 9 152 1 217 160 161 127 230 41 231 41 155 85 18 101 76 86 96 237 202 193 160 135 114 238 14 112 157 22 208 159 80 68 23 201 44 206 116 177 66 248 141 110 157 21 225 191 53 35 153 26 234 141 209 203 114 29 254 68 34 3 68 249 225 158 60 220 32 234 142 140 144 13 197 178 173 123 97 37 109 254 152 71 174 176 144 49 200 49 44 241 241 132 177 211 169 96 3 180 141 253 111 155 33 77 196 183 89 234 56 177 195 4 234 199 207 5 154 8 92 226 72 236 229 39 131 36 49 50 134 160 212 78 239 10 1 162 46 97 196 58 81 76 38 117 182 16 50 185 198 184 83 137 23 205 23 190 132 124 66 6 240 52 160 137 185 72 187 88 60 109 130 84 17 179 168 149 67 161 101 104 205 239 52 127 238 122 7 168 70 150 216 179 16 230 8 84 213 77 10 45 72 206 2 197 1 24 104 211 149 115 201 13 144 18 62 110 133 88 87 49 0 169 232 132 52 127 182 23 39 171 131 162 209 124 229 178 175 225 166 241 199 80 210 5 92 123 13 8 90 243 66 77 201 23 39 83 57 145 75 244 168 157 83 36 33 72 130 116 166 99 255 1 184 100 29 35 236 72 27 177 209 21 115 211 247 144 192 201 102 169 42 138 112 162 66 220 138 9 32 152 228 96 36 121 158 102 62 8 45 171 147 186 225 243 45 28 17 125 116 38 143 210 161 232 169 228 170 36 72 46 105 21 198 127 206 11 120 137 135 51 206 148 27 65 32 155 67 73 24 5 73 22 153 9 30 27 37 84 33 79 160 91 101 30 16 108 75 159 154 86 248 63 160 197 141 248 57 81 246 92 117 208 102 210 51 255 107 1 155 152 165 140 90 167 228 23 201 143 27 175 169 144 54 182 41 37 31 45 95 114 251 250 162 244 189 132 169 17 3 43 179 151 115 20 244 104 192 24 185 200 176 120 24 31 18 255 54 194 61 169 54 88 164 90 212 28 122 200 109 216 145 98 183 231 29 60 159 15 175 15 153 231 202 141 220 88 190 85 106 56 74 129 179 209 197 140 11 169 120 76 1 156 181 234 81 111 222 64 151 57 89 180 188 247 63 24 110 181 171 254 110 88 67 74 230 124 205 28 10 252 12 246 194 144 123 120 162 198 208 4 190 28 77 222 216 132 53 169 225 68 152 96 20 98 221 136 39 48 156 166 50 246 16 241 61 54 209 110 220 62 239 140 93 116 170 89 160 173 234 34 2 7 71 18 66 56 225 110 10 128 132 222 54 109 227 194 23 12 210 129 38 239 143 51 8 251 130 232 98 53 188 50 87 69 163 113 175 54 56 100 15 134 200 179 9 211 28 102 171 236 147 3 88 168 112 33 161 218 244 113 36 152 245 186 217 135 255 107 86 176 80 120 169 192 168 170 43 182 128 23 90 94 35 151 140 169 158 210 173 221 59 104 102 53 193 76 142 133 235 205 86 2 107 242 131 62 198 193 231 150 173 27 196 94 223 32 62 136 68 62 2 91 59 146 40 170 74 97 92 110 22 253 190 129 155 64 163 55 138 254 205 78 102 183 186 194 115 192 49 159 28 182 162 161 19 74 250 24 251 245 133 129 19 193 147 199 28 220 93 80 171 3 162 254 197 139 68 83 209 152 90 136 163 108 16 31 218 104 39 139 140 125 161 253 9 114 71 218 72 30 195 243 51 150 158 195 186 168 66 6 141 113 235 214 82 77 29 125 57 85 180 98 2 75 19 217 170 68 148 88 179 81 22 155 18 187 203 179 17 56 162 244 53 90 182 48 0 23 72 29 67 134 82 9 149 22 106 8 49 235 163 24 149 181 165 155 158 232 201 255 11 182 168 129 124 10 203 182 192 149 55 153 198 239 172 100 237 79 91 215 58 98 140 115 42 18 17 102 45 138 224 156 77 92 2 73 68 50 181 86 86 117 242 167 77 44 132 52 45 232 1 20 149 195 57 216 101 21 110 95 100 81 203 250 190 83 9 135 198 216 120 216 55 202 28 98 179 1 196 24 58 19 87 183 60 122 226 121 176 141 122 100 23 45 82 77 83 233 98 194 91 208 253 203 157 63 46 72 59 220 23 18 191 25 29 107 204 24 156 16 63 255 237 84 137 145 27 51 163 93 41 130 25 22 74 156 39 35 82 110 167 62 116 21 81 184 149 141 126 151 196 0 203 10 2 61 15 34 242 102 0 51 113 129 73 23 233 203 60 46 174 233 82 210 243 235 28 136 255 202 248 169 226 239 42 98 88 238 149 72 124 26 241 43 128 40 6 46 141 243 3 87 145 247 23 213 165 105 117 234 112 96 85 37 250 27 163 22 174 241 156 88 179 44 11 55 167 177 49 171 180 128 114 203 251 15 136 175 186 127 74 210 134 92 225 12 188 18 141 171 55 79 242 226 243 6 24 225 31 208 126 54 2 125 205 7 31 85 197 13 38 138 32 47 184 94 246 60 134 210 192 138 77 155 182 197 249 6 241 111 125 17 68 3 110 90 31 1 25 196 204 240 204 32 100 48 17 184 241 102 100 129 133 73 217 187 77 144 198 54 78 125 231 14 185 210 249 83 65 38 201 73 43 141 84 208 73 28 118 255 218 197 98 6 159 251 139 4 10 181 118 213 136 248 71 102 177 160 255 203 204 222 60 197 60 21 156 142 114 245 11 166 126 91 185 60 130 174 65 246 79 53 136 243 150 59 185 137 72 122 181 191 107 133 88 64 48 80 148 198 16 212 229 218 93 32 130 70 129 251 246 113 171 222 64 191 100 162 87 137 193 47 222 42 215 130 167 99 195 147 234 69 226 199 164 231 95 187 7 104 47 47 6 80 244 51 74 100 176 98 192 68 213 124 177 218 124 99 46 104 46 97 99 46 32 105 121 223 89 202 182 203 76 34 16 85 102 255 230 52 49 114 0 213 106 104 117 174 192 141 1 156 192 152 222 233 62 214 135 118 231 149 39 116 230 239 77 6 140 21 222 199 250 242 11 149 180 45 4 146 41 173 90 10 70 120 227 57 72 253 138 209 192 8 56 188 16 244 161 125 107 157 50 212 174 98 130 86 10 20 174 231 116 205 214 157 30 228 93 228 206 163 197 58 157 184 115 206 140 196 226 48 154 50 221 29 237 227 201 172 217 93 98 10 117 117 157 72 53 128 134 65 224 168 136 246 197 107 200 188 178 138 70 88 138 209 137 250 13 21 72 233 191 108 133 219 226 25 215 193 56 10 253 92 54 34 222 4 50 152 126 50 85 149 174 126 96 243 255 106 99 43 79 131 173 209 254 255 150 134 61 163 179 32 62 3 120 70 184 116 1 14 149 186 26 204 199 99 45 109 111 192 70 48 80 33 28 188 41 5 226 179 148 216 6 24 187 55 238 13 132 226 25 40 73 164 177 23 164 230 158 168 89 116 78 213 102 189 122 164 94 63 36 163 69 81 7 21 209 111 235 120 209 26 118 196 4 139 119 18 191 125 174 98 130 42 129 53 244 239 41 199 191 111 118 78 69 24 203 58 86 143 113 183 237 77 136 202 24 161 83 205 128 42 133 16 246 5 226 43 174 83 213 221 100 251 254 105 96 196 20 75 241 194 125 44 247 251 16 46 124 101 114 168 147 190 232 2 170 202 26 209 82 183 204 24 100 24 195 195 93 219 56 45 202 224 200 199 223 128 69 142 152 163 178 13 24 8 101 128 201 165 170 164 138 118 39 217 108 148 78 221 70 167 134 98 30 53 76 94 197 32 134 110 30 193 216 16 84 129 21 52 92 147 49 246 37 254 187 230 16 153 9 80 9 92 55 179 89 201 188 238 170 135 78 176 25 147 238 23 112 81 164 114 198 8 145 209 67 73 118 198 176 210 103 52 159 183 152 5 80 117 25 181 220 221 123 9 121 143 235 30 19 144 210 215 80 4 114 167 9 198 153 57 87 117 117 144 33 146 115 226 42 67 166 16 91 116 104 245 189 170 218 20 9 66 79 10 138 141 23 12 241 191 24 95 67 19 89 6 174 247 220 246 216 128 106 101 253 194 108 2 84 56 153 109 143 233 252 63 22 236 64 170 161 35 254 196 64 20 161 87 54 188 10 230 2 126 19 94 239 212 219 169 136 203 166 213 138 199 58 64 208 1 236 49 125 28 204 189 183 2 11 40 139 40 4 194 60 58 153 54 68 55 197 183 38 42 195 132 158 71 206 196 190 78 55 239 140 234 118 56 85 86 1 84 236 22 126 228 106 116 217 99 65 105 26 72 134 37 77 52 108 42 136 22 229 23 216 230 169 222 234 118 142 140 213 2 64 179 225 254 170 77 167 183 166 134 141 252 244 64 52 121 36 12 112 217 156 24 159 183 13 35 222 193 20 72 170 222 27 49 7 56 253 89 26 50 38 168 82 216 90 212 14 140 146 89 96 132 76 182 9 74 41 112 16 93 236 204 210 84 252 224 181 202 182 45 106 158 92 91 146 62 208 223 165 14 206 128 15 179 39 88 125 193 196 88 68 9 37 69 150 239 136 248 96 223 103 70 32 237 129 50 159 85 3 123 14 147 17 245 74 154 117 167 158 104 15 226 23 147 69 30 215 13 134 217 3 117 36 51 131 90 160 137 172 223 132 196 80 73 13 116 217 79 71 231 106 136 177 127 197 170 166 181 255 10 19 124 115 86 208 183 64 34 209 24 181 198 245 99 9 183 148 30 41 95 224 6 3 167 158 72 173 228 61 190 188 111 45 88 146 231 17 23 115 112 17 35 122 163 46 34 231 91 145 246 205 54 214 146 161 245 88 79 81 191 95 17 31 101 53 49 40 251 33 101 174 245 8 42 185 203 92 126 28 194 99 239 112 108 7 118 242 134 171 150 108 27 87 8 217 74 134 12 203 72 220 166 63 177 106 167 88 131 82 86 54 146 21 170 6 2 65 96 136 84 41 177 179 20 96 101 239 199 154 183 101 49 133 232 131 193 76 121 84 154 2 66 121 34 122 182 23 70 201 43 42 227 119 82 36 22 128 178 255 107 10 64 91 187 165 169 0 98 39 149 246 86 56 131 222 184 80 140 172 123 119 212 192 238 103 23 72 62 25 207 246 21 236 24 223 28 10 241 181 134 87 67 76 97 187 5 94 158 247 148 59 133 28 235 89 157 250 208 87 57 221 186 128 133 85 183 107 156 110 86 100 44 59 178 41 138 4 214 82 2 177 47 164 114 54 93 208 10 199 184 53 125 96 49 129 98 94 240 227 125 84 71 17 175 251 95 221 160 180 159 135 68 242 150 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glass28Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 128 8 6 0 0 0 121 177 43 238 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 11 21 13 179 36 171 219 0 0 7 67 73 68 65 84 120 218 189 92 75 110 229 70 12 36 27 186 190 143 147 189 115 148 236 12 120 227 69 226 4 137 33 102 49 146 134 77 241 223 242 8 48 158 45 251 73 245 138 159 38 171 41 227 219 219 219 31 192 14 68 60 94 126 188 178 239 175 131 136 216 183 116 189 238 251 14 95 95 95 240 249 249 9 31 31 31 244 254 254 142 175 175 175 191 191 188 188 252 6 0 255 2 192 63 0 240 9 0 127 1 192 159 199 235 223 199 249 255 0 224 11 0 118 0 160 227 11 54 16 7 17 1 34 18 17 33 34 158 119 71 184 31 116 156 39 168 29 200 94 81 156 187 29 131 161 37 193 208 197 142 241 5 242 125 202 207 215 69 186 199 166 220 128 155 244 100 9 216 57 212 238 73 68 96 48 138 14 139 225 121 9 16 21 80 210 204 164 129 147 167 140 191 197 14 131 218 133 229 69 79 211 161 0 134 214 123 21 208 105 214 38 128 251 190 195 25 12 44 124 73 68 238 196 94 145 205 22 115 23 64 14 78 56 245 105 102 201 30 158 81 110 93 116 53 48 34 31 156 110 130 136 192 83 78 50 133 68 110 147 102 245 150 7 21 70 175 8 62 129 122 249 143 147 199 19 122 1 248 45 15 154 224 20 54 173 220 232 69 47 5 128 168 196 96 194 175 206 85 38 138 96 226 105 42 201 26 169 62 40 215 218 200 199 24 147 60 242 165 37 208 185 49 117 243 32 68 23 230 41 230 12 32 17 249 150 153 41 105 114 219 7 149 200 66 45 136 88 17 113 2 37 6 154 20 54 35 159 13 243 32 70 62 33 83 27 207 133 103 5 196 74 52 18 43 80 20 48 228 49 136 141 69 253 198 222 190 239 81 36 83 213 255 38 31 28 99 92 111 220 247 189 180 52 29 236 33 3 9 10 56 106 212 142 63 124 112 140 57 29 138 159 163 244 115 91 222 152 159 182 114 223 205 196 140 49 100 140 150 242 149 199 174 193 94 57 138 179 229 208 84 77 11 166 200 169 104 90 249 112 36 216 2 89 81 7 55 175 130 244 1 122 224 216 239 202 245 220 145 134 150 203 174 161 212 117 88 240 197 179 23 129 76 209 209 2 104 148 238 164 148 245 104 153 153 175 36 129 121 91 0 49 248 226 200 48 225 139 143 30 195 104 128 60 147 98 230 220 74 96 152 197 194 81 153 32 91 99 53 22 65 244 39 80 40 215 214 0 102 88 57 193 52 64 81 80 113 215 0 26 133 42 111 170 38 129 137 11 77 28 188 178 228 209 35 12 38 147 182 119 30 209 167 153 190 13 32 111 71 97 110 150 177 209 126 62 11 112 202 51 179 137 191 37 253 108 90 67 20 200 24 38 163 74 142 164 85 224 67 81 20 58 235 174 105 222 206 245 52 6 169 242 9 29 231 71 193 168 6 26 43 140 110 153 6 41 227 224 71 208 72 145 147 68 1 226 1 54 77 92 238 246 139 101 212 99 38 134 5 19 115 198 80 68 184 89 202 101 192 111 22 27 158 115 59 53 34 106 9 91 1 150 247 193 100 105 94 50 83 98 123 34 125 189 77 10 65 198 133 40 219 220 159 230 103 32 45 6 97 149 193 91 250 97 73 28 53 147 38 132 243 50 80 47 72 56 123 200 202 44 12 252 109 90 6 87 107 197 97 52 56 157 181 21 171 193 150 102 80 38 89 193 2 79 29 83 73 104 173 10 71 148 99 33 189 96 184 146 40 229 211 245 70 37 173 160 177 130 84 89 198 172 15 242 32 64 69 68 66 35 98 91 165 228 82 185 101 129 19 130 120 230 38 81 1 146 46 22 110 190 193 193 89 81 42 210 202 4 70 136 153 88 200 133 104 49 136 154 131 23 155 244 137 93 166 27 46 155 216 3 23 73 192 147 62 115 142 5 112 112 199 50 133 93 144 155 161 98 97 36 24 41 236 80 176 30 247 74 126 1 14 163 236 175 36 94 226 162 17 209 165 186 237 162 104 165 118 162 22 66 145 230 51 183 225 10 126 115 69 60 39 7 92 73 76 223 12 214 172 130 20 20 45 135 172 42 91 113 129 214 94 93 53 202 136 5 5 223 96 228 1 226 49 70 21 38 203 141 187 230 131 34 31 18 83 93 9 252 177 150 176 41 27 73 80 29 105 68 50 165 205 219 164 24 36 175 229 140 4 75 111 192 66 49 115 121 67 113 120 44 241 92 198 133 205 2 123 222 110 39 85 210 12 56 107 172 201 146 72 198 24 248 86 101 196 74 245 193 246 182 134 34 88 122 230 109 41 172 29 5 20 199 24 147 36 28 173 223 43 10 43 106 57 202 170 68 102 137 16 241 103 55 128 82 92 63 235 74 50 114 32 101 124 16 139 41 198 26 157 34 214 201 145 225 147 101 6 93 128 231 141 156 154 142 64 140 74 25 107 249 82 219 233 245 22 104 56 190 172 184 93 165 255 145 158 132 95 240 28 52 210 114 27 219 126 184 204 111 5 10 235 20 81 169 55 83 42 195 86 109 172 69 74 145 249 79 78 124 96 66 229 122 180 88 176 154 113 84 186 172 74 227 254 92 53 227 128 86 1 48 19 187 59 170 79 1 172 76 181 113 112 35 0 100 2 221 140 30 195 83 15 72 73 236 215 20 48 235 75 248 192 110 153 57 173 88 112 7 22 5 80 74 40 87 228 4 72 73 229 79 101 247 76 157 56 117 75 247 61 103 13 100 42 205 128 161 162 170 32 3 193 136 140 190 185 101 94 179 30 204 228 192 149 245 181 157 7 61 246 36 56 57 233 177 210 191 100 20 86 111 173 245 64 123 19 193 143 32 29 93 112 134 232 249 248 177 57 230 140 6 180 201 106 146 88 241 80 106 210 87 131 4 35 160 14 195 109 160 35 249 38 76 38 93 171 134 108 79 126 140 162 255 100 132 72 15 8 173 164 25 42 130 147 42 23 74 197 53 200 153 84 49 49 4 221 28 44 164 18 90 1 185 82 15 202 81 188 155 170 197 158 115 106 247 201 195 211 0 29 77 79 5 231 176 223 206 147 195 243 155 64 36 119 10 25 138 252 112 169 39 161 130 89 45 214 158 29 17 53 234 60 50 150 58 210 88 59 132 116 74 108 144 151 62 196 102 72 25 143 28 198 82 87 86 249 111 102 83 202 251 202 84 18 100 75 56 103 165 241 149 133 12 51 129 41 47 1 137 21 30 59 52 116 234 145 104 126 204 8 118 228 57 18 31 186 44 187 77 0 21 51 152 27 59 194 21 174 31 14 49 147 148 97 138 181 199 53 44 113 220 24 254 38 165 212 239 236 197 229 131 196 114 226 192 185 163 49 22 80 76 220 30 17 45 237 229 26 79 30 154 32 86 231 250 75 197 130 5 206 11 105 209 184 151 215 230 205 48 31 6 202 194 41 13 187 238 241 93 107 241 99 14 110 40 88 37 151 26 150 24 105 60 103 2 7 115 145 240 222 5 27 50 88 149 131 177 193 34 148 244 193 70 147 68 124 28 234 156 121 56 30 153 253 150 198 221 203 95 83 17 192 148 48 237 209 220 111 145 64 182 160 159 85 43 21 71 149 141 62 44 253 138 40 214 38 146 176 224 107 143 85 212 174 174 156 0 249 72 138 26 5 169 227 246 59 15 164 17 48 107 12 42 79 52 100 54 110 188 37 206 203 167 165 98 33 26 236 185 253 78 41 211 210 224 187 125 177 246 184 248 244 149 140 232 82 34 238 20 11 209 179 37 124 15 217 26 168 208 54 113 36 203 185 141 156 130 105 31 235 70 159 202 131 152 140 240 114 244 175 154 216 117 244 159 255 85 227 86 14 202 61 226 103 84 254 238 39 53 158 97 66 163 216 89 87 183 52 199 85 216 147 131 144 214 134 54 26 143 180 213 1 90 149 139 241 208 202 175 12 166 201 7 213 249 104 39 247 241 18 236 177 135 91 204 198 189 153 30 50 75 88 102 251 53 245 84 216 77 154 48 242 99 84 94 113 221 195 154 199 46 109 203 142 85 230 130 73 35 107 189 94 74 212 225 118 63 143 80 231 239 30 73 218 155 242 47 8 38 144 15 55 66 173 193 158 201 7 3 165 63 229 10 202 255 137 139 2 196 4 253 63 40 87 252 40 206 103 93 98 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glass45Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 40 8 6 0 0 0 140 254 184 109 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 11 21 14 42 45 250 97 0 0 4 1 73 68 65 84 88 195 237 152 207 79 35 55 20 199 223 179 61 63 146 77 218 18 45 32 16 75 80 118 37 56 178 229 196 10 137 195 138 253 27 42 113 218 30 123 232 191 193 127 194 191 192 189 85 43 85 149 40 55 216 30 86 203 33 68 170 122 104 165 9 33 227 31 175 7 236 145 227 78 66 232 12 169 84 213 210 147 61 182 99 127 244 245 60 191 55 65 248 231 5 79 79 79 223 175 175 175 127 187 178 178 130 157 78 7 154 205 38 50 198 24 0 48 34 98 90 107 52 198 48 34 66 99 12 3 0 32 34 116 11 16 17 34 22 143 232 215 174 159 65 181 130 222 194 19 155 251 101 90 255 148 245 192 131 174 12 56 171 208 60 160 68 52 115 17 81 137 192 91 60 216 156 136 8 157 249 176 222 60 156 71 77 86 21 208 65 218 154 28 140 7 70 110 158 55 7 2 232 137 223 250 227 149 1 141 49 210 24 83 118 164 20 108 74 37 112 244 208 22 149 0 181 214 127 26 99 198 198 24 167 16 121 202 82 160 78 168 58 205 243 234 84 5 252 67 107 173 140 49 228 65 22 227 86 89 167 116 1 253 24 231 170 228 36 163 209 168 175 181 230 90 107 208 90 211 35 174 147 9 32 255 90 177 206 81 172 85 73 193 126 191 127 45 165 76 148 82 160 181 134 50 21 137 168 184 215 240 190 208 156 10 86 119 146 147 147 147 187 60 207 7 82 74 146 82 22 144 30 76 1 121 31 96 192 141 145 171 3 224 191 57 81 229 139 250 246 246 246 167 209 104 244 91 158 231 40 165 68 167 162 139 50 22 210 181 41 140 62 79 170 32 0 64 150 101 223 143 199 99 61 30 143 33 207 115 80 74 249 94 234 67 146 7 249 80 212 41 32 121 213 56 156 101 217 96 119 119 247 235 40 138 134 105 154 62 139 162 136 217 226 148 66 34 98 182 46 128 3 199 128 41 209 5 43 3 94 95 95 195 209 209 81 43 142 227 103 105 154 174 11 33 48 138 34 64 68 134 136 24 132 54 68 196 9 199 153 5 72 68 213 1 1 0 215 214 214 62 110 108 108 124 195 24 235 39 73 210 17 66 160 85 144 249 243 194 148 202 115 154 105 160 181 0 194 249 249 249 248 224 224 64 198 113 252 146 115 46 132 16 13 198 24 50 198 156 98 206 165 31 76 20 188 249 128 136 192 161 122 65 0 96 23 23 23 31 246 247 247 223 42 165 62 37 73 178 137 136 220 65 121 71 61 225 213 51 66 93 49 198 107 128 67 0 192 225 112 136 156 243 159 123 189 222 251 225 112 248 75 28 199 47 236 250 232 20 177 151 248 68 10 22 30 175 15 87 135 130 19 14 112 117 117 149 115 206 127 236 118 187 95 101 89 246 43 34 126 6 0 169 77 249 139 40 19 180 209 207 29 253 212 140 136 106 83 176 104 95 94 94 142 110 110 110 190 219 222 222 126 99 140 73 239 238 238 50 68 108 107 173 65 41 133 54 110 131 49 6 236 55 139 107 23 253 214 208 24 83 203 59 8 161 167 14 6 3 117 118 118 246 195 214 214 86 222 110 183 95 103 89 246 123 158 231 76 107 157 228 121 142 74 41 240 107 41 37 132 166 148 2 41 37 96 205 112 220 102 72 49 0 36 0 144 46 47 47 127 113 124 124 252 110 103 103 231 93 187 221 238 8 33 76 171 213 250 92 8 193 162 40 2 223 219 25 99 126 98 49 215 119 193 99 222 67 102 205 135 76 173 53 0 160 113 120 120 248 106 111 111 239 203 110 183 251 122 105 105 233 5 231 156 0 192 112 206 49 138 34 193 57 231 14 174 78 192 50 21 57 0 68 190 146 22 50 181 207 137 16 34 233 245 122 207 55 55 55 151 87 87 87 159 55 155 205 150 16 130 3 0 54 26 141 180 110 64 31 146 77 129 76 60 192 212 246 199 86 109 55 63 140 60 181 57 201 172 203 151 74 62 162 156 25 207 194 103 3 0 186 78 192 7 115 187 0 44 172 117 153 61 53 224 52 5 39 84 42 49 101 107 185 8 64 152 113 180 218 171 149 53 233 213 82 60 177 106 224 29 99 8 168 173 131 72 207 81 152 103 247 201 197 19 43 135 37 198 2 79 103 37 112 172 248 167 107 1 199 139 37 176 44 128 101 65 31 46 18 176 12 18 74 96 74 51 239 69 1 150 254 139 90 150 13 133 227 139 6 44 251 56 194 25 125 240 111 1 206 218 127 162 143 195 255 229 63 94 254 2 125 191 117 238 110 175 40 238 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glass46Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 128 0 0 0 40 8 6 0 0 0 54 113 242 72 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 11 21 14 42 45 250 97 0 0 7 42 73 68 65 84 120 218 237 91 203 114 228 54 12 100 43 250 197 252 111 252 43 57 218 23 31 18 215 150 83 86 231 176 226 24 2 241 162 228 89 31 118 88 165 154 183 68 2 13 160 209 212 224 249 249 249 239 246 115 176 181 70 146 13 0 73 54 49 110 47 0 28 62 144 159 111 219 54 124 191 143 101 89 218 254 29 200 215 253 180 198 115 180 201 177 207 153 226 121 83 11 177 230 62 172 73 173 221 27 16 191 239 143 135 185 127 190 180 191 111 173 213 186 182 152 223 212 60 73 194 187 86 127 127 5 48 156 136 36 212 5 33 38 1 195 160 104 173 113 89 150 14 2 253 251 155 227 239 53 138 78 11 29 47 230 140 0 48 242 51 156 116 62 60 0 236 159 235 235 98 15 204 230 5 102 117 201 122 110 139 154 20 156 104 148 160 112 35 119 71 156 254 61 206 68 115 117 113 36 101 228 83 188 214 209 63 5 12 7 28 112 158 151 50 133 243 190 103 215 193 110 202 7 204 162 191 18 24 235 140 19 118 7 51 155 20 140 26 114 231 168 143 210 254 217 104 209 17 103 69 105 143 40 137 123 122 206 85 209 159 129 128 78 54 158 46 5 17 0 215 19 70 63 128 192 42 33 21 16 108 219 38 121 192 205 104 61 213 57 70 48 29 90 136 120 78 26 70 175 207 76 225 138 199 12 32 153 229 18 209 60 62 151 202 161 196 234 235 104 128 118 94 103 149 176 85 24 152 253 49 138 120 249 190 177 64 109 60 120 142 49 140 119 64 180 170 161 37 199 39 4 234 244 216 207 113 139 86 49 247 40 210 47 39 56 199 241 84 239 13 124 76 216 143 73 169 226 170 157 174 211 142 116 182 52 166 131 110 143 101 35 115 70 226 116 211 241 87 156 159 0 3 138 224 54 207 249 138 180 161 82 151 143 156 113 116 146 118 182 240 145 181 86 122 165 195 179 167 180 245 146 213 192 2 74 229 209 138 6 56 115 173 175 96 248 179 53 82 70 248 193 249 0 116 59 7 135 152 90 206 162 250 156 146 196 6 173 45 116 25 237 143 253 40 172 159 154 4 210 35 63 78 118 8 235 87 102 248 190 136 254 61 141 212 0 8 16 36 211 170 123 188 3 56 160 74 22 156 62 190 146 185 160 34 158 154 91 104 194 167 50 93 83 217 160 92 74 140 150 244 118 237 213 112 172 71 130 44 46 64 143 153 123 4 73 147 17 175 95 214 14 219 231 0 185 168 61 149 117 50 146 26 70 151 176 36 235 68 206 71 69 143 112 202 82 115 108 9 175 204 101 163 235 47 17 175 50 116 142 27 9 188 9 26 242 162 129 64 68 225 120 111 150 232 233 72 79 74 101 0 20 25 177 213 146 73 100 3 0 133 216 68 203 241 86 122 53 64 0 131 168 150 212 73 17 165 97 43 173 3 66 240 44 56 231 180 192 141 101 89 152 145 106 101 231 131 243 91 107 92 21 217 59 92 80 168 92 25 42 233 165 106 167 76 156 146 124 117 182 232 243 233 139 236 6 9 100 236 42 8 180 243 145 241 20 35 75 82 213 234 94 235 14 41 217 233 192 134 118 82 249 96 0 140 32 234 85 165 243 179 13 116 34 13 30 63 216 141 159 145 140 238 160 219 194 43 17 111 25 217 187 148 254 110 55 98 160 65 48 225 24 46 17 116 50 197 64 206 36 105 147 164 76 149 204 33 131 69 229 203 155 179 126 63 105 157 97 129 96 149 81 20 200 189 84 251 1 86 219 97 161 78 131 192 37 80 65 203 130 98 214 57 172 97 103 233 186 44 148 8 148 168 249 72 56 10 44 156 145 68 84 38 5 103 129 138 92 56 14 211 89 213 157 83 194 254 7 16 44 250 7 70 123 115 69 63 103 53 154 103 219 70 103 143 1 186 108 21 137 209 21 197 238 224 215 253 160 241 158 181 111 193 109 219 170 173 52 162 189 8 225 55 76 216 247 168 3 104 137 215 235 135 39 149 44 10 226 24 233 217 144 71 59 191 137 116 235 92 196 185 42 156 227 146 110 96 128 149 106 175 66 247 250 153 195 89 225 65 147 96 29 174 185 24 251 255 172 244 228 123 168 101 78 162 147 37 42 162 81 69 202 204 22 15 37 187 85 136 39 117 237 174 180 124 39 165 222 126 108 73 22 184 217 205 187 102 146 45 205 121 3 248 201 1 4 8 96 200 174 152 237 117 141 30 190 179 97 56 109 73 36 167 50 89 8 140 118 207 109 123 4 129 69 20 101 138 176 13 221 130 213 183 203 247 118 238 193 164 37 149 148 126 208 61 228 122 44 201 197 2 129 210 89 152 1 87 115 0 6 226 9 102 145 102 128 201 74 127 22 111 176 36 81 168 195 35 95 151 235 122 182 231 33 29 173 202 204 41 5 82 150 199 254 29 153 41 85 230 100 18 20 144 128 212 115 211 247 9 172 189 71 221 163 51 218 156 96 96 16 115 231 80 49 92 26 189 187 252 29 138 233 172 90 55 25 117 52 65 198 25 218 55 239 78 156 76 186 213 237 180 163 55 176 3 215 233 196 88 236 132 78 17 216 245 253 253 189 51 229 131 67 164 70 175 23 34 210 155 149 122 178 214 110 80 30 251 243 206 216 103 118 26 77 198 37 196 18 35 29 34 225 41 230 124 187 163 34 229 207 1 137 27 253 0 248 241 241 49 222 166 53 94 139 34 114 203 114 113 97 199 179 173 111 111 111 122 225 36 57 44 216 50 240 4 99 181 106 174 212 107 52 232 120 162 212 88 36 199 139 2 182 218 70 22 171 186 127 193 46 122 143 133 150 214 32 222 183 64 160 175 203 200 185 149 237 245 245 245 245 85 238 176 105 7 80 223 17 147 32 15 94 109 55 84 171 129 232 40 33 231 52 8 244 189 11 78 23 195 66 170 140 68 36 88 27 104 226 230 77 189 14 26 89 233 160 213 27 251 35 52 238 237 163 226 32 97 180 103 219 236 235 203 203 203 32 149 106 199 52 255 214 164 193 249 138 65 167 50 172 144 137 35 48 205 182 59 87 122 232 102 128 216 218 172 209 157 146 46 51 30 27 183 50 225 161 52 182 227 237 92 52 120 133 167 169 12 221 149 86 102 181 109 214 167 167 167 191 164 124 42 141 188 175 218 99 255 253 68 155 102 170 234 49 140 50 113 222 197 184 206 50 225 252 106 55 99 102 163 91 104 249 76 29 34 242 15 26 136 49 175 77 157 251 96 15 53 23 90 182 145 130 152 102 246 147 162 24 51 118 248 167 227 32 180 224 254 117 75 225 10 68 141 202 45 214 8 84 199 217 157 67 38 160 96 240 93 6 243 141 14 87 5 13 14 51 219 24 199 146 92 175 210 1 217 28 160 181 246 95 65 123 182 156 225 45 178 10 128 8 108 145 227 103 75 64 182 63 193 228 209 155 43 156 185 70 160 226 68 112 68 0 40 201 188 149 177 182 214 126 36 142 105 201 66 103 80 94 201 2 173 240 216 46 128 32 211 17 170 142 137 236 226 101 148 44 250 91 33 11 120 245 60 227 5 102 0 173 173 181 183 100 83 33 139 190 10 202 189 182 40 203 6 145 243 49 225 120 78 130 166 154 5 162 57 122 101 136 69 193 170 157 44 55 83 130 80 7 64 229 203 25 15 104 73 228 207 252 213 234 108 234 63 163 14 86 58 8 78 216 3 69 32 86 178 163 231 120 4 224 138 50 128 9 128 127 10 198 141 78 194 73 50 85 185 78 213 241 152 116 226 25 208 156 177 201 87 101 37 36 101 166 122 110 68 37 224 223 73 0 84 8 207 89 195 87 211 60 46 68 242 189 6 190 120 46 51 127 153 231 73 224 186 36 112 102 161 149 197 241 164 1 239 250 151 242 11 209 255 43 64 121 166 252 221 13 0 87 38 192 59 24 242 138 193 175 128 2 191 24 104 149 140 120 105 141 145 14 240 93 17 245 29 81 255 93 131 119 180 67 9 180 104 243 127 17 199 29 35 237 49 234 246 231 87 157 108 121 216 244 247 29 127 60 76 240 24 143 241 24 143 241 187 142 255 1 48 3 124 53 192 241 141 79 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glass48Png
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 40 0 0 0 40 8 6 0 0 0 140 254 184 109 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 4 18 11 21 14 42 45 250 97 0 0 4 118 73 68 65 84 88 195 237 152 75 79 236 54 20 199 143 115 179 64 183 66 85 133 216 85 234 170 203 246 179 244 131 177 134 237 21 32 181 91 164 34 177 170 64 136 205 116 115 171 145 10 18 83 196 99 24 94 153 185 25 162 100 108 231 216 167 155 120 174 57 227 100 18 160 187 90 178 146 113 102 236 95 254 231 225 227 17 119 119 119 231 208 220 196 252 70 8 119 21 254 51 33 4 16 17 88 107 1 17 69 158 231 144 166 41 36 73 2 135 135 135 135 27 27 27 251 0 80 2 128 2 128 25 0 228 94 159 1 128 172 158 35 0 88 0 160 170 67 92 45 68 13 96 228 51 133 224 234 94 134 136 4 188 177 69 66 136 38 56 126 223 74 105 0 0 34 234 250 251 96 139 125 19 213 152 148 60 181 60 1 191 142 115 136 234 59 2 0 64 74 41 171 251 166 151 22 141 128 33 147 248 139 68 81 212 232 151 214 218 224 228 68 4 113 28 199 175 1 91 0 172 22 123 161 138 7 214 164 84 45 156 49 198 68 81 20 119 133 170 3 124 97 2 14 231 153 187 113 17 34 114 157 16 81 105 173 117 27 159 109 2 92 240 13 31 174 46 74 125 24 230 143 96 173 5 107 45 104 173 177 40 10 237 249 160 232 18 104 190 130 243 7 21 28 79 33 109 222 150 170 92 40 172 181 96 140 1 68 180 207 207 207 249 91 77 220 4 183 212 148 254 189 83 14 17 231 125 52 26 77 222 156 102 150 5 67 8 142 229 186 185 130 198 24 40 203 18 42 215 251 166 223 239 63 116 80 109 33 39 199 12 78 180 136 78 225 96 252 73 29 156 214 154 180 214 98 60 30 39 247 247 247 89 150 101 154 45 76 13 187 215 226 78 210 2 78 48 56 30 28 224 124 206 169 167 148 162 44 203 212 233 233 233 223 12 136 186 194 58 31 108 140 86 0 16 33 179 250 106 26 99 72 107 13 82 74 152 76 38 89 20 69 223 29 28 28 252 197 224 44 187 210 50 37 227 182 249 201 55 169 175 96 21 28 115 184 60 207 225 234 234 106 56 26 141 100 146 36 69 0 168 14 146 154 76 12 109 162 213 55 179 123 230 224 180 214 80 20 5 13 135 195 187 143 31 63 254 176 183 183 119 20 0 114 221 240 178 170 54 72 26 148 90 58 102 173 117 62 7 121 158 67 146 36 249 195 195 67 118 113 113 241 207 96 48 152 48 48 195 186 27 243 95 98 81 65 250 218 22 212 226 138 121 209 42 16 17 124 179 166 105 138 189 94 239 179 49 230 219 237 237 237 67 166 148 131 194 170 251 144 92 201 23 170 198 254 194 60 130 137 72 184 124 98 173 21 222 30 11 136 8 82 74 40 138 2 210 52 53 39 39 39 127 174 173 173 253 188 181 181 245 169 40 10 229 41 227 192 74 15 16 107 0 23 77 236 151 74 126 93 200 130 64 56 127 51 198 128 82 202 249 28 60 62 62 22 189 94 239 243 250 250 250 79 59 59 59 191 158 159 159 39 1 56 108 1 25 142 226 178 44 231 161 89 21 164 100 173 21 190 159 185 28 87 37 98 144 82 194 108 54 131 155 155 155 135 167 167 167 108 117 117 245 199 205 205 205 79 21 28 247 55 7 230 119 110 102 168 85 48 207 243 133 106 196 129 185 221 161 218 248 65 107 13 74 41 152 76 38 217 237 237 237 253 202 202 202 247 103 103 103 103 187 187 187 191 73 41 53 11 8 100 112 218 235 254 1 201 178 32 121 1 25 167 105 234 39 98 34 34 97 173 37 15 80 148 101 9 136 72 211 233 52 147 82 146 148 50 26 12 6 201 254 254 254 239 151 151 151 95 106 34 21 61 32 21 128 51 94 20 215 239 36 73 146 188 240 53 0 32 68 180 136 104 173 181 132 136 31 16 209 38 73 114 55 28 14 175 251 253 254 197 241 241 241 37 34 218 154 52 130 76 49 197 174 101 167 32 57 58 58 250 67 41 165 170 8 21 179 217 76 74 41 245 116 58 149 227 241 56 191 190 190 158 142 70 163 130 21 156 110 34 55 121 200 223 148 215 37 131 67 150 172 27 43 216 95 2 99 117 157 151 70 228 45 196 253 141 3 170 37 38 166 186 189 184 172 217 139 67 112 33 5 121 18 214 1 192 38 245 150 22 11 170 70 217 16 152 8 84 39 182 33 98 253 224 104 130 107 44 183 100 224 11 92 197 186 234 215 54 228 59 205 62 155 208 127 47 109 20 44 216 162 109 14 215 20 136 96 167 78 201 118 141 146 37 101 106 91 11 58 192 188 235 81 48 0 200 33 145 41 246 42 184 144 130 109 27 5 10 80 19 72 214 150 237 181 182 203 121 196 1 206 94 9 8 53 21 178 97 234 82 23 159 91 22 197 75 255 218 8 84 192 161 110 107 234 59 234 170 68 40 15 118 57 187 82 224 74 53 227 175 106 162 230 224 244 30 176 111 2 243 1 163 55 206 65 45 199 94 213 62 188 195 28 239 6 243 127 251 47 218 191 132 35 94 117 44 143 186 162 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
glassPng
	| cache |
	cache := #(nil) beMutable.
	(cache first) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 242 0 0 0 183 8 6 0 0 0 40 253 3 123 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 14 156 0 0 14 196 1 117 246 132 129 0 0 32 0 73 68 65 84 120 218 237 125 209 146 36 185 110 43 169 202 255 255 200 251 5 254 128 83 162 31 38 149 3 65 0 179 214 190 246 195 9 79 196 198 238 246 116 119 85 165 36 138 4 65 32 255 227 63 254 227 255 101 102 100 102 69 68 222 127 162 170 102 221 127 2 254 220 127 55 50 51 34 34 239 191 94 63 59 234 239 159 136 136 170 170 140 136 92 191 59 34 214 207 174 191 255 70 68 221 175 15 47 179 253 191 250 243 252 206 57 231 122 15 5 127 119 254 0 253 78 120 143 85 85 19 63 199 250 222 245 92 224 159 231 199 225 247 140 251 207 21 17 35 34 98 206 137 207 174 238 215 137 136 152 240 94 107 125 246 251 121 79 248 252 235 121 229 253 26 235 223 107 13 214 58 125 50 115 196 223 23 248 194 239 13 124 223 255 183 206 255 190 235 124 173 31 90 31 22 62 208 243 51 247 47 90 95 88 191 120 251 30 248 176 185 62 60 124 15 62 148 175 88 0 222 71 110 113 139 22 248 216 128 248 30 196 130 174 5 124 22 28 126 124 125 214 103 147 172 239 87 27 100 253 32 28 142 245 240 107 206 25 176 88 133 135 0 23 28 158 83 224 169 88 11 11 139 186 157 8 120 198 41 54 74 138 103 241 124 214 151 117 174 170 26 188 145 224 253 187 117 30 106 157 97 175 252 227 117 94 107 180 94 103 206 89 16 24 240 128 218 131 187 130 80 183 206 247 123 44 124 175 247 223 225 15 60 235 188 158 161 89 103 181 223 255 233 58 227 123 77 248 189 207 239 201 204 73 123 32 175 251 205 225 155 198 40 57 232 23 5 188 112 82 212 127 222 27 28 164 237 192 139 3 60 41 194 6 68 166 224 133 19 15 105 251 224 252 218 176 209 131 255 77 129 104 138 120 192 175 191 221 2 240 119 227 142 148 121 71 104 142 204 175 27 119 206 89 238 38 18 239 3 159 15 6 137 184 119 99 80 192 144 155 27 215 226 62 136 5 7 146 111 167 162 53 217 130 57 31 86 218 11 188 206 25 255 224 15 124 166 16 235 28 205 58 243 30 146 235 204 123 76 101 8 247 247 140 123 173 159 117 190 31 126 137 207 174 46 23 185 33 120 157 87 64 225 247 4 23 105 80 6 17 17 17 23 45 82 209 173 91 188 104 20 73 66 191 183 24 247 226 241 34 79 184 233 100 36 29 99 20 111 86 90 40 92 204 90 209 58 34 98 140 49 248 160 222 15 165 154 77 118 220 244 248 32 69 48 193 77 62 240 89 172 207 76 55 48 254 238 137 17 159 159 221 10 144 240 6 146 130 15 191 73 60 100 165 179 204 12 204 92 56 64 82 202 188 214 62 121 147 153 223 207 235 92 38 205 42 245 121 68 10 139 65 152 159 255 63 94 231 251 170 181 25 221 125 203 134 216 87 65 239 79 174 179 184 160 74 220 250 110 157 67 173 51 7 45 120 206 65 89 230 246 154 23 30 70 74 195 112 17 229 131 165 72 145 110 227 195 215 82 69 25 149 202 115 10 45 162 88 208 205 196 55 57 222 82 71 192 128 160 197 233 246 136 189 128 121 226 14 100 25 129 7 110 165 87 247 141 134 159 113 98 42 166 210 66 120 8 67 212 105 248 255 43 84 151 56 169 197 7 64 221 202 226 25 240 179 76 145 190 202 140 73 101 26 180 206 9 207 224 151 155 184 93 103 218 151 37 130 92 185 20 27 254 91 174 51 189 54 6 147 186 113 2 183 206 137 169 59 189 135 164 117 158 20 92 243 62 160 199 58 19 118 144 188 206 34 75 170 75 165 45 28 202 97 77 135 136 92 197 183 88 83 211 186 133 95 111 232 8 28 176 0 91 180 154 115 110 64 201 24 35 69 26 121 164 209 34 226 1 222 16 46 195 72 40 43 2 82 233 162 148 105 75 109 57 72 222 127 38 165 245 235 197 39 129 69 97 110 47 44 99 20 78 176 221 80 156 53 153 117 74 181 225 221 207 189 148 61 71 32 195 236 11 130 226 177 190 92 42 169 3 142 239 139 110 225 183 247 155 0 22 217 247 78 235 53 224 25 243 58 167 74 155 187 117 102 80 237 135 117 222 2 56 226 50 240 185 230 2 187 178 137 230 9 41 225 22 9 5 0 146 128 112 22 69 15 151 254 228 143 209 88 165 150 69 245 203 243 161 25 124 163 232 214 33 158 5 233 22 3 83 14 200 224 7 27 11 97 165 207 187 14 199 184 129 32 94 188 1 72 114 18 224 146 34 101 78 181 129 205 141 236 54 9 191 7 60 76 199 97 134 117 60 128 54 90 231 132 103 115 128 55 46 72 170 242 137 48 144 225 130 136 250 58 28 224 245 129 6 6 120 179 206 46 213 158 136 224 211 58 151 192 137 62 17 241 47 174 141 111 228 123 125 176 193 192 154 120 150 195 60 183 45 80 14 243 13 37 110 45 254 154 250 185 28 99 228 159 18 230 124 64 34 157 228 195 176 125 102 138 170 105 210 245 160 195 183 213 62 148 110 29 215 48 28 66 4 243 6 5 172 121 163 237 19 64 147 201 1 107 140 241 212 185 152 33 172 247 115 71 120 9 232 193 155 25 34 245 10 153 62 0 90 189 222 219 29 161 87 155 101 98 61 39 210 62 5 206 148 9 16 249 86 95 210 58 203 142 130 168 207 143 174 136 186 109 233 231 187 117 46 14 170 252 204 32 43 224 231 59 185 109 68 237 162 149 253 61 239 225 94 231 236 214 153 126 22 241 21 198 33 182 207 57 198 88 159 145 131 207 17 116 134 72 1 31 68 142 218 45 156 206 148 0 95 130 234 134 82 55 23 3 48 124 107 137 141 84 2 150 87 1 71 1 61 73 209 117 3 112 248 102 188 23 1 235 162 35 136 192 98 187 30 230 113 75 113 143 146 15 52 253 125 138 214 85 9 20 157 59 14 5 101 133 237 8 172 13 46 90 108 3 218 77 238 153 166 201 152 202 100 75 117 103 116 101 158 89 189 173 179 248 236 221 58 115 205 137 191 112 66 9 135 96 37 182 245 240 141 77 2 182 108 107 73 160 208 207 63 244 123 211 244 171 183 231 166 176 10 218 91 91 86 124 113 10 1 209 103 152 118 139 3 81 102 68 124 20 112 2 111 32 69 77 86 140 194 50 96 213 32 177 124 216 183 158 32 33 177 124 243 23 124 222 121 127 239 37 2 77 9 128 45 57 109 94 223 127 167 127 147 122 191 9 27 58 168 103 184 145 1 24 208 2 2 71 16 32 130 135 27 55 122 153 62 235 22 80 214 103 131 207 49 26 148 222 34 206 84 179 150 169 189 83 173 51 245 243 143 254 55 62 11 209 54 226 116 182 24 248 196 117 6 82 74 102 230 5 151 180 196 24 224 125 171 117 158 8 122 138 131 197 235 28 226 48 203 110 15 6 89 108 155 185 204 104 253 255 245 198 174 129 186 32 185 230 81 55 4 214 153 180 89 203 220 182 71 61 2 155 43 41 58 174 21 75 129 100 170 52 139 145 230 80 168 239 2 54 160 175 139 105 105 26 180 89 181 129 114 254 65 225 6 181 236 38 2 41 92 23 115 111 148 3 134 168 229 230 11 158 80 238 119 26 128 229 57 24 92 218 116 64 26 115 10 32 96 182 8 53 3 165 88 98 220 235 172 192 54 69 184 224 223 181 61 115 222 23 176 206 207 90 65 118 245 79 251 219 19 240 25 188 204 6 1 122 73 223 227 240 128 100 52 29 88 104 97 190 247 225 45 92 68 216 224 252 62 121 253 221 45 69 237 35 12 119 169 154 251 28 109 187 158 49 254 254 57 231 134 80 99 42 194 136 40 49 180 84 192 248 67 101 218 17 239 185 82 65 184 197 179 185 13 56 170 231 253 243 31 102 2 81 255 121 154 52 85 214 131 220 163 164 44 228 184 61 215 107 242 13 101 208 223 52 224 98 170 218 152 235 79 186 121 56 144 114 59 135 15 59 247 188 18 214 249 32 175 112 139 11 72 25 124 209 168 246 29 98 31 152 54 79 241 12 162 206 126 156 4 238 32 155 93 191 107 224 58 19 42 239 178 157 162 75 161 12 48 188 222 195 192 75 107 16 104 114 128 9 80 23 169 162 188 120 243 80 253 61 248 182 166 7 145 162 135 92 12 168 44 16 205 164 245 91 95 110 181 25 40 133 43 136 162 91 138 119 31 102 68 6 107 46 2 45 220 190 43 71 163 158 117 54 15 122 171 111 241 131 223 27 116 24 192 230 136 59 92 6 55 41 154 170 205 142 126 43 131 123 162 19 145 46 203 130 103 134 8 245 224 186 93 117 53 168 116 42 190 93 8 60 42 222 208 180 55 55 158 50 81 101 23 240 183 237 93 2 55 231 250 67 56 17 146 200 211 48 229 112 77 75 144 68 226 229 253 114 159 251 120 230 47 235 188 225 79 85 149 163 233 83 30 17 28 162 112 184 214 141 232 117 202 86 129 90 100 172 107 21 147 233 70 196 211 180 90 6 61 43 117 107 231 27 10 124 47 236 243 128 136 104 191 216 69 91 189 61 231 12 252 186 136 182 79 189 135 37 135 32 23 40 208 167 184 188 113 200 241 58 184 136 17 136 118 147 196 30 176 102 38 4 184 186 78 69 215 159 118 65 155 215 153 63 211 24 131 179 174 45 104 172 64 237 232 168 11 237 165 253 59 168 157 250 28 152 57 231 131 97 192 16 68 17 5 182 190 223 175 162 211 174 103 198 157 142 109 253 32 173 31 6 52 155 226 144 42 70 88 194 48 203 243 61 151 34 100 240 11 16 187 69 242 73 185 30 228 77 48 231 44 120 192 10 80 65 134 251 17 177 225 247 76 110 237 136 219 75 62 140 49 70 10 210 64 194 45 59 21 128 133 37 131 233 233 6 167 183 144 126 242 121 153 84 227 135 0 13 185 134 172 134 52 112 32 254 92 55 18 83 79 221 150 199 84 18 215 207 88 138 112 203 142 9 60 166 53 21 2 36 75 76 75 241 96 210 58 23 222 188 176 206 136 134 219 30 53 254 44 7 165 21 96 239 161 140 50 125 246 100 210 17 188 214 156 115 14 42 239 230 125 9 60 123 249 166 149 30 183 58 156 147 33 254 46 21 188 161 176 166 75 209 189 76 147 93 18 211 121 147 10 48 106 113 168 115 1 1 134 255 92 38 85 196 218 172 154 27 249 72 121 248 239 69 95 19 15 196 215 240 114 21 106 93 80 63 125 214 247 64 180 174 59 104 76 2 47 34 246 41 165 18 53 153 43 211 74 49 226 176 30 166 186 115 138 54 78 136 141 178 213 247 142 231 13 168 252 154 136 154 68 215 197 253 50 104 47 49 174 146 12 178 242 193 111 130 245 145 90 118 236 178 102 61 221 94 78 134 187 169 124 224 117 254 44 144 139 235 104 234 148 200 246 21 15 118 136 203 64 14 29 49 1 230 18 31 32 12 176 224 210 238 131 227 76 116 75 53 217 113 140 71 210 70 207 6 213 78 67 170 40 1 213 119 80 191 68 106 161 190 119 61 194 34 80 173 68 132 151 168 62 246 177 17 81 38 26 172 234 171 39 101 57 27 120 194 99 122 6 25 77 190 169 77 250 198 155 7 191 94 106 226 201 149 50 10 104 164 46 70 170 182 21 221 214 249 210 79 45 213 147 85 153 74 67 112 41 230 98 67 123 51 5 251 42 76 54 83 180 206 193 25 4 6 196 230 236 165 248 247 128 182 214 65 216 26 84 159 186 200 193 36 243 112 45 25 26 117 75 177 25 55 158 169 64 200 11 106 87 247 160 15 190 49 215 25 111 141 251 85 211 240 62 91 117 184 168 121 212 220 118 221 200 240 84 69 31 223 186 6 61 239 110 150 32 130 64 194 188 240 51 125 166 80 233 245 189 130 165 86 47 235 44 231 143 241 185 155 53 80 68 8 197 249 206 230 134 221 2 29 1 107 7 135 220 172 51 227 46 67 5 244 181 198 107 157 215 90 172 247 185 234 230 69 172 185 187 12 220 14 194 207 53 197 154 33 185 168 212 94 196 215 55 192 229 0 6 218 112 117 244 48 209 76 166 205 161 135 245 3 7 26 8 200 120 192 23 33 62 240 122 99 210 9 126 99 215 76 21 29 13 250 57 26 244 221 101 28 69 52 206 13 72 26 99 112 93 191 168 170 219 215 69 171 37 226 20 47 72 179 46 242 192 10 160 49 195 211 40 187 103 29 132 134 98 160 182 189 207 85 15 26 164 189 3 193 202 4 12 102 117 225 154 206 59 173 159 148 89 76 238 177 211 229 163 88 81 114 191 97 80 225 140 224 6 226 112 111 227 123 41 0 92 7 175 35 129 151 33 58 11 14 83 120 14 52 179 19 159 212 26 34 94 153 129 230 65 53 218 70 8 1 38 213 166 184 32 82 67 153 219 139 26 33 155 214 202 177 248 38 77 97 0 36 95 210 198 217 5 22 117 248 24 193 127 200 235 99 108 145 26 65 38 120 221 209 164 182 138 128 34 123 153 136 53 208 144 6 243 135 183 218 151 218 30 174 150 60 6 221 187 169 39 37 88 224 130 13 4 254 36 210 142 234 165 38 17 48 36 177 130 122 226 165 106 86 94 103 49 249 151 10 123 96 214 225 93 27 63 55 56 0 101 172 220 50 154 108 225 0 43 95 14 243 122 175 171 55 189 5 237 203 180 39 2 144 180 36 148 48 20 251 136 82 116 57 135 222 76 210 48 168 50 151 46 148 170 223 240 235 119 27 48 198 24 213 220 118 15 167 88 244 231 152 238 216 13 134 172 104 91 134 40 193 1 172 132 230 213 35 213 194 181 177 232 26 108 183 235 34 2 192 13 192 109 62 21 24 6 149 58 200 24 170 208 204 181 138 115 132 46 141 212 206 1 194 168 186 25 218 127 76 205 13 195 20 100 50 145 4 99 153 108 33 198 97 45 184 213 148 26 9 65 217 102 143 176 23 142 178 228 6 102 87 135 98 113 188 39 159 25 202 192 130 40 186 249 6 204 173 224 122 197 62 94 199 169 12 19 54 138 254 123 96 138 128 31 196 48 138 146 208 77 70 228 248 166 93 125 220 245 80 159 135 191 14 112 87 91 210 45 194 52 78 25 113 64 143 73 30 226 183 214 25 1 58 216 103 84 211 95 93 31 118 3 149 126 72 147 101 198 2 61 206 21 148 39 213 196 165 136 35 4 58 90 94 64 195 168 147 128 147 72 209 139 198 30 19 14 246 132 117 182 107 77 115 241 41 126 247 33 144 0 53 177 27 122 80 53 56 207 29 48 200 245 92 22 56 52 196 1 200 141 12 195 115 200 183 150 100 208 56 229 133 218 83 138 176 0 41 197 164 72 132 2 109 135 244 12 109 146 32 181 69 14 241 156 138 48 66 137 183 113 64 207 55 240 102 190 101 130 152 212 63 32 242 33 177 94 33 12 185 68 213 220 65 19 188 116 102 229 40 162 125 138 126 82 25 89 153 52 129 40 8 193 60 228 146 32 246 113 173 249 137 191 212 209 153 153 95 200 80 24 197 15 133 116 171 116 88 181 118 214 247 163 88 158 11 82 234 115 119 235 12 42 28 234 224 41 150 224 145 74 96 15 188 163 27 155 249 131 98 110 60 204 0 96 196 26 107 239 254 37 142 109 72 223 179 215 169 20 141 238 217 98 185 27 251 168 108 94 28 249 9 196 225 214 198 113 91 16 106 25 52 39 156 153 25 223 239 55 89 228 111 45 12 190 25 197 50 50 189 199 20 163 133 74 124 14 105 152 33 22 121 178 160 28 176 124 142 197 115 155 143 213 53 97 179 12 74 243 82 16 71 146 106 219 98 226 5 5 192 5 98 61 217 10 97 14 60 172 158 60 169 195 63 7 188 102 181 190 14 56 58 56 6 52 112 193 20 76 46 47 50 126 19 228 83 153 6 171 155 14 74 169 139 210 237 226 236 70 40 145 134 203 58 0 184 228 241 204 160 195 136 116 76 188 52 120 126 30 71 244 74 212 239 93 134 153 162 93 151 215 47 204 24 83 160 15 83 140 7 51 112 72 200 79 1 79 201 100 14 161 201 156 6 204 194 141 164 218 91 74 73 195 14 82 136 20 121 27 122 64 142 118 151 210 50 114 79 135 173 156 26 34 223 108 162 55 173 178 166 80 193 152 127 55 125 230 18 179 214 150 140 243 2 64 74 164 149 3 20 221 138 50 99 113 192 37 5 162 99 29 214 84 147 19 25 236 214 25 179 69 177 206 71 115 153 169 195 72 255 69 174 248 226 123 170 180 157 1 100 213 172 113 251 135 74 133 140 136 194 20 109 53 171 191 247 63 51 118 173 162 41 234 175 20 40 35 2 27 139 35 141 125 59 134 231 199 77 95 67 138 103 185 182 0 137 167 61 112 255 253 251 147 251 154 196 149 62 106 221 133 74 174 116 133 184 198 135 210 161 106 45 40 138 166 72 251 6 48 132 198 219 228 147 107 179 57 78 179 56 144 137 25 129 217 48 79 235 68 112 197 67 172 179 252 59 104 179 169 44 13 83 200 71 149 195 180 127 214 41 153 74 124 14 215 90 244 175 203 29 26 170 95 93 107 46 249 253 211 231 62 112 16 213 238 19 1 60 213 127 227 97 116 106 180 130 44 21 226 123 171 170 234 162 105 152 73 64 214 51 230 69 233 65 26 228 183 171 237 108 218 70 81 38 69 189 40 39 65 86 186 215 145 240 233 189 109 195 11 162 117 129 192 93 1 41 192 146 102 144 88 143 15 91 212 101 44 20 239 90 15 78 17 148 217 63 51 26 209 120 236 103 223 53 235 51 158 137 66 232 124 59 10 197 207 44 47 193 194 202 155 155 218 8 2 53 10 28 163 142 7 246 120 59 217 92 183 216 216 67 150 194 118 92 222 136 231 117 116 35 224 25 205 38 235 56 120 0 88 139 19 35 174 26 180 92 246 184 9 139 82 135 190 174 208 115 174 252 75 139 100 55 142 121 92 17 73 54 165 17 230 3 227 134 33 104 178 99 153 97 11 166 227 125 91 189 48 243 249 38 71 119 149 10 57 234 34 189 86 66 93 116 240 211 121 150 88 213 124 113 142 237 13 4 102 8 217 117 125 93 110 91 57 30 122 80 42 233 218 115 201 184 209 57 17 185 99 75 44 198 104 112 130 20 245 239 67 86 34 217 98 55 184 82 98 44 179 12 226 203 223 147 162 230 14 69 70 81 109 201 213 237 129 195 190 189 191 49 198 82 124 229 110 134 107 183 61 237 215 151 193 147 109 29 47 129 138 49 115 100 155 96 162 5 79 70 254 84 196 224 244 142 38 87 84 99 255 16 43 167 135 200 90 75 171 52 56 64 34 81 155 177 232 157 85 78 4 0 40 223 164 142 216 173 3 131 213 74 113 33 227 152 166 173 193 155 38 85 45 245 66 170 73 179 97 113 130 73 213 222 71 171 142 245 191 169 67 161 132 217 179 83 129 161 223 119 8 35 146 126 88 49 3 15 73 55 194 178 168 187 89 131 246 17 31 92 20 162 87 239 73 201 85 97 22 48 68 74 127 12 199 8 187 158 35 56 128 118 246 92 239 135 50 8 117 9 212 133 138 248 116 136 19 140 186 234 158 19 29 148 118 28 68 126 110 210 59 245 9 32 151 28 173 36 158 227 228 112 143 233 24 148 4 33 26 234 27 80 8 117 97 59 180 29 102 240 192 220 6 33 110 73 36 161 240 51 83 253 245 122 233 149 170 73 164 164 246 74 137 57 228 32 241 190 50 246 52 110 70 252 8 162 102 88 34 169 95 155 44 205 131 183 55 165 136 106 2 140 219 121 216 254 68 206 194 20 165 211 113 155 34 66 205 65 30 164 158 156 26 140 90 3 212 33 95 55 241 135 130 247 6 170 113 155 202 76 61 45 4 254 56 204 20 160 6 131 188 151 170 17 57 18 18 120 52 104 58 197 201 233 38 11 240 17 226 183 177 170 76 95 183 37 124 220 139 62 105 115 150 72 129 167 186 60 5 57 164 69 111 213 109 44 218 118 170 55 140 55 90 137 180 83 182 249 0 124 41 186 121 134 34 216 56 167 9 231 109 37 218 26 74 72 47 73 202 70 2 122 162 94 110 9 34 76 118 32 108 161 76 121 132 207 106 170 203 129 123 210 38 133 85 28 129 17 231 224 14 103 8 56 212 49 12 179 237 80 248 80 189 125 81 43 179 231 90 188 28 252 237 146 185 48 122 136 20 109 146 31 208 128 126 98 209 96 185 146 70 89 223 56 141 116 201 198 232 81 158 68 194 34 4 35 255 36 128 137 107 30 233 189 228 110 82 106 107 37 112 90 135 1 248 210 224 3 170 206 204 165 62 209 16 0 88 254 85 234 124 99 10 204 108 49 149 1 25 70 153 187 121 182 160 32 52 184 138 128 174 53 52 159 20 168 93 127 56 201 207 41 132 159 17 183 122 164 200 68 55 177 135 226 244 162 108 107 129 87 14 38 221 40 38 252 243 89 23 11 5 189 108 158 127 41 129 69 104 51 167 56 103 199 96 77 102 214 104 110 190 130 233 143 4 240 33 12 77 141 219 33 234 16 179 179 194 209 71 52 205 127 9 98 9 149 196 208 172 59 9 86 108 54 163 209 83 27 37 144 39 4 2 36 23 22 157 10 232 189 70 232 73 167 52 195 19 174 189 17 166 127 29 192 44 154 225 167 188 170 105 5 85 231 93 245 227 218 29 65 152 152 85 242 251 27 201 27 53 132 160 2 93 177 143 179 120 150 131 2 245 161 162 210 76 212 77 0 35 31 57 233 134 64 165 196 12 83 72 57 177 100 85 54 129 232 143 28 46 189 97 139 146 33 159 86 245 223 232 112 41 65 62 30 146 182 190 198 244 239 16 117 49 34 173 3 110 103 148 25 250 220 160 200 160 141 124 156 108 119 24 208 59 151 89 91 136 88 18 33 197 5 39 25 217 249 118 19 11 86 38 112 166 72 73 89 81 116 11 26 174 237 2 217 215 160 215 148 98 139 236 216 200 96 84 83 219 31 237 20 236 49 3 37 42 163 247 13 155 107 93 129 46 60 196 1 87 154 218 246 6 102 249 32 40 55 22 50 205 135 244 227 74 153 19 75 212 154 97 46 43 10 225 183 76 125 238 37 135 91 140 90 171 217 216 73 105 204 164 84 20 237 10 75 40 85 20 51 83 148 25 52 166 12 68 161 219 14 141 241 82 114 210 161 51 34 62 212 46 65 240 99 134 151 100 45 192 2 84 100 94 8 231 0 242 61 3 60 233 22 165 152 74 4 101 1 45 112 153 17 187 181 25 146 22 120 80 31 92 5 99 21 36 42 51 63 6 220 81 193 109 19 20 84 183 133 51 25 32 166 31 222 190 201 50 81 225 121 199 156 186 167 0 182 22 23 90 141 231 114 63 153 247 44 238 141 28 127 103 83 93 150 113 116 44 196 50 15 186 200 230 15 156 139 16 231 74 225 26 117 17 64 133 62 176 19 55 47 83 46 241 195 240 100 82 104 123 212 173 205 178 102 56 201 228 42 141 56 125 140 49 166 105 113 164 171 249 8 60 193 140 97 82 45 181 30 242 32 64 101 203 10 96 48 99 99 151 221 145 249 171 82 100 117 240 168 221 198 55 161 227 240 242 1 76 146 42 114 166 110 138 6 120 212 229 141 15 180 2 5 71 156 194 113 42 222 200 145 65 129 199 116 131 21 56 11 192 254 221 65 102 8 147 202 194 18 248 201 230 237 13 195 52 91 155 238 22 138 72 58 120 107 157 213 77 46 113 1 35 121 219 73 19 57 94 64 65 251 119 9 225 63 98 10 23 166 102 132 124 38 213 112 195 164 37 146 248 175 30 32 21 253 216 55 59 184 218 204 136 226 212 144 83 77 34 64 96 138 157 100 223 49 41 83 80 27 230 80 11 229 76 65 244 109 219 33 113 97 40 142 19 52 178 215 42 80 74 85 191 5 244 207 103 120 101 145 116 155 169 209 25 59 234 110 76 183 97 194 169 26 1 137 233 14 52 100 35 156 154 30 242 197 92 62 80 234 172 130 197 236 24 97 220 34 10 99 58 215 0 156 73 206 21 21 141 39 245 13 234 165 9 180 219 231 38 80 171 232 247 44 1 202 137 217 240 165 124 129 56 141 36 193 181 130 91 152 9 230 75 32 44 27 162 197 68 66 199 24 99 124 191 223 114 183 55 215 219 192 235 101 178 60 30 0 23 116 74 13 75 252 216 98 57 90 0 124 155 58 68 188 235 209 54 164 14 9 158 169 175 11 178 131 66 85 15 64 201 40 146 74 116 249 46 53 158 90 49 78 181 72 86 197 92 239 97 213 178 27 129 143 215 8 49 16 115 83 167 163 160 138 30 55 103 46 236 5 166 64 51 22 242 15 232 51 191 221 150 173 241 157 35 223 52 32 169 36 42 1 141 227 160 212 93 84 72 203 73 25 152 184 153 226 230 92 198 101 91 221 164 36 110 196 205 51 22 65 3 110 203 161 210 107 222 228 52 154 150 2 136 8 72 93 3 54 21 131 76 33 200 11 197 117 39 247 204 197 205 220 245 74 75 0 22 99 57 95 80 31 184 51 191 110 229 95 133 167 114 215 238 80 99 137 105 184 188 91 207 23 228 110 6 216 151 28 19 99 140 141 16 187 237 8 210 196 187 78 209 114 225 226 51 97 232 197 225 0 92 227 111 136 252 10 42 198 11 90 209 92 187 181 87 103 156 89 146 118 222 188 49 46 228 172 234 104 101 93 38 71 159 102 19 61 32 17 177 175 106 61 140 57 231 80 55 43 61 224 9 41 201 2 142 150 22 116 137 13 54 20 107 75 113 125 21 217 130 52 198 6 54 237 25 132 227 246 154 145 82 229 62 238 170 161 182 1 114 178 29 225 150 147 171 9 183 193 10 162 6 170 57 224 97 148 47 75 108 156 84 189 98 204 200 120 110 59 78 206 242 160 250 121 196 110 46 128 19 112 211 56 105 224 120 171 154 30 59 244 182 69 48 101 25 37 7 10 110 115 234 228 137 133 126 197 82 198 182 1 205 234 101 79 32 195 175 147 100 198 247 53 233 130 233 246 224 54 217 117 49 76 207 233 167 128 230 149 136 125 9 20 49 12 130 125 48 122 64 27 169 222 82 19 213 67 84 202 22 98 24 34 12 129 227 25 227 52 155 192 178 153 56 243 65 32 132 168 147 202 138 69 109 92 206 24 234 13 253 101 251 216 48 131 34 192 79 102 190 54 183 248 172 1 250 93 231 77 58 140 197 93 129 216 93 22 165 223 241 11 200 197 170 167 172 44 58 197 222 59 8 70 141 94 120 59 54 40 228 155 31 215 78 19 48 121 77 216 0 113 155 120 123 51 28 20 86 64 241 194 152 123 156 38 28 122 38 103 141 213 38 20 183 175 35 31 216 225 116 188 97 69 237 20 194 56 61 141 68 45 214 55 7 83 73 45 36 171 139 40 70 85 252 174 102 193 27 35 169 93 180 137 32 24 20 122 186 212 93 8 225 205 216 53 160 139 245 157 186 116 141 133 241 220 225 19 74 38 219 232 41 107 124 49 195 9 215 209 0 135 71 77 184 102 243 9 4 26 148 162 59 188 128 123 64 199 207 220 125 216 9 45 200 100 109 109 65 68 57 82 101 26 129 181 102 245 1 46 28 130 161 198 252 121 231 57 125 156 191 193 244 59 1 0 160 176 24 223 70 219 130 209 112 250 12 237 6 128 109 11 217 26 89 208 63 164 109 155 35 32 161 23 97 210 69 62 132 78 79 121 51 110 107 90 39 111 245 171 101 75 177 14 49 88 122 30 193 81 57 111 208 173 200 60 227 73 253 207 250 177 157 193 128 81 189 0 94 114 154 9 95 23 37 107 97 109 167 232 255 15 103 80 176 210 94 114 103 12 65 50 218 68 32 148 41 2 239 47 170 139 227 87 194 78 156 194 0 138 148 163 68 19 138 28 30 145 208 162 155 198 36 118 104 74 163 3 188 188 204 45 27 226 208 69 104 190 177 68 112 213 239 194 134 63 145 203 241 239 145 162 38 83 241 14 197 21 214 174 188 86 51 140 36 15 128 39 50 83 136 222 67 73 181 120 54 52 151 54 87 116 40 246 58 240 157 130 38 130 48 66 12 49 20 45 209 248 95 23 26 201 135 24 43 21 6 239 76 74 153 128 80 15 245 51 2 113 182 233 181 49 167 47 81 39 242 148 220 54 180 32 132 33 17 240 227 122 156 137 37 17 70 215 43 60 103 91 61 55 214 250 98 105 102 199 56 99 192 183 8 189 159 188 209 149 82 131 242 52 182 55 50 19 65 150 93 9 212 21 135 19 34 143 148 65 68 103 101 196 50 156 104 37 63 228 110 55 174 253 241 31 117 219 15 234 157 43 235 155 231 119 141 191 86 147 242 153 40 226 139 240 70 62 178 8 170 127 115 220 127 176 244 32 23 70 201 221 38 65 125 60 71 83 61 71 4 38 233 102 123 27 248 72 70 172 41 141 196 64 57 4 110 130 251 104 134 31 120 8 0 223 54 0 139 70 55 55 39 20 248 218 160 225 125 105 89 35 110 99 52 117 75 46 43 76 29 29 209 204 175 67 23 227 67 222 222 193 165 10 117 6 242 168 145 141 127 77 153 219 72 129 77 140 68 150 66 0 85 159 152 156 222 121 242 102 98 116 189 133 191 163 89 220 99 226 5 198 222 164 49 216 15 136 98 41 196 23 9 51 171 13 242 50 138 105 251 235 226 185 108 114 167 70 77 66 233 56 135 66 123 99 167 66 174 219 103 10 50 2 154 164 185 20 112 162 50 6 51 181 132 7 180 234 30 28 198 231 176 190 56 45 22 33 168 190 38 45 78 115 235 191 9 12 78 5 40 242 122 50 56 168 50 67 81 154 102 195 150 67 203 214 39 48 45 27 26 146 146 78 212 13 0 52 61 183 62 178 250 128 142 113 164 190 127 181 160 78 12 74 162 129 157 249 22 83 231 166 40 56 100 170 11 81 145 35 249 12 97 133 18 126 178 70 214 142 98 90 73 169 113 140 59 37 158 70 112 252 72 203 132 98 201 79 27 16 134 12 240 48 42 57 221 16 153 87 24 26 237 161 65 206 173 32 232 35 39 163 178 13 38 97 235 118 8 214 104 79 203 60 129 36 193 134 141 24 33 214 57 127 40 135 236 156 129 33 124 176 170 200 0 204 99 147 25 54 122 228 150 24 100 248 214 45 39 0 3 231 21 52 71 252 130 56 71 211 130 81 154 195 211 180 22 228 13 36 106 1 158 221 85 26 75 249 210 63 228 133 27 180 70 83 4 16 39 46 200 181 99 170 155 96 153 153 43 244 17 231 76 131 40 155 24 169 127 64 202 145 51 60 131 134 234 95 158 251 81 75 118 152 15 72 61 5 160 187 232 19 140 125 227 112 1 93 228 245 95 162 222 110 200 184 80 228 148 253 100 209 46 99 37 141 99 47 114 106 43 36 132 147 201 65 172 136 131 63 11 23 142 243 176 238 180 208 142 204 76 249 123 25 9 229 135 107 189 233 242 46 182 145 34 19 32 252 46 70 238 242 165 61 163 218 38 88 71 13 82 88 148 145 149 80 201 20 198 91 37 208 63 190 253 146 167 150 154 12 91 81 255 182 20 85 208 62 179 105 143 20 169 113 148 24 61 124 51 178 67 244 27 111 162 237 166 117 106 148 56 171 219 172 213 54 131 11 244 202 108 230 147 19 202 152 193 125 93 110 177 168 192 177 2 1 162 234 4 88 241 32 138 187 177 216 199 217 233 182 187 158 246 209 31 87 101 25 117 106 156 113 125 10 210 78 10 178 139 226 70 200 247 72 84 211 113 145 70 243 38 19 107 252 155 130 80 189 96 80 170 145 208 41 37 109 131 72 42 153 98 41 9 159 228 214 3 43 19 190 28 206 124 249 90 138 190 104 9 118 86 231 51 156 139 128 97 108 104 249 179 74 151 14 50 4 79 38 124 220 181 221 132 103 58 4 98 157 226 118 155 148 25 216 22 29 14 117 224 45 161 210 242 251 125 124 0 197 94 159 145 217 93 220 42 59 100 126 120 152 55 78 115 131 106 230 159 93 203 236 144 82 102 187 220 166 115 115 148 130 235 25 176 14 218 139 87 151 171 173 227 102 54 98 9 58 21 121 135 223 195 24 35 198 253 224 7 60 220 47 203 42 48 202 107 8 5 174 182 86 8 248 38 100 47 68 255 248 80 13 52 141 38 111 32 85 223 30 17 47 200 114 70 209 19 89 179 204 105 61 129 18 137 82 156 200 48 154 199 12 14 81 125 167 208 240 17 222 195 122 70 196 87 184 25 132 1 24 143 73 47 148 120 18 109 175 231 31 17 184 163 1 157 38 28 226 128 247 143 35 178 219 51 37 241 250 33 140 211 85 73 33 157 43 57 123 231 120 128 181 109 227 77 213 145 74 30 100 250 71 239 105 227 21 119 236 75 12 230 3 240 22 57 240 193 235 124 113 58 11 170 153 79 29 4 124 84 137 12 43 100 142 83 111 209 231 195 141 181 13 101 80 157 148 93 58 36 196 214 19 135 40 80 142 135 173 96 20 31 26 63 3 80 86 121 252 14 5 247 38 80 43 227 222 136 56 123 204 7 129 245 184 210 12 76 168 146 166 32 213 101 87 15 183 185 142 158 188 144 56 58 250 176 65 66 249 113 170 80 182 53 60 31 168 155 165 181 181 180 168 117 134 24 70 137 91 40 41 205 93 66 144 243 244 105 219 58 39 242 226 129 181 112 206 155 71 109 106 0 224 117 240 38 151 9 157 226 142 114 116 164 125 148 161 249 245 210 248 237 122 9 35 74 205 35 5 154 119 16 68 248 255 69 109 140 136 103 210 109 138 223 51 4 147 197 205 231 202 118 151 40 17 80 64 220 41 39 190 137 214 37 127 47 12 125 171 186 252 104 185 49 91 142 65 47 78 115 87 109 185 152 104 134 48 16 66 36 158 55 205 52 4 155 128 122 56 197 77 236 112 14 62 8 131 164 153 18 14 11 138 57 184 32 122 28 98 167 216 74 235 96 113 12 110 47 177 170 43 14 255 48 138 44 0 215 163 227 64 222 213 188 111 126 49 52 31 6 151 217 30 60 206 165 224 126 190 4 184 177 69 171 170 26 75 25 67 165 178 106 242 6 23 102 140 241 40 37 178 166 149 152 59 229 158 221 48 65 162 75 35 15 36 16 28 10 93 84 12 131 134 75 167 121 76 119 136 61 37 185 228 60 158 231 122 243 70 82 119 251 253 8 174 252 105 185 14 22 32 148 98 250 148 129 76 202 8 102 68 212 237 154 121 56 89 24 151 14 164 84 114 48 156 16 128 183 223 41 144 233 163 141 199 64 23 149 37 74 203 108 52 45 47 28 139 237 190 15 71 59 15 61 118 182 159 37 59 161 184 75 212 165 34 82 241 66 145 85 189 249 23 214 91 170 253 177 178 173 11 251 174 247 70 225 27 166 107 129 132 1 10 88 146 150 73 17 199 215 85 253 132 45 162 23 128 73 246 223 214 34 83 123 35 5 130 235 250 125 229 2 135 184 153 90 110 9 252 123 186 241 65 2 0 25 192 147 70 107 164 251 149 226 48 7 247 127 185 181 65 229 69 138 150 204 131 16 99 58 252 249 124 22 35 73 90 6 221 58 96 108 51 202 183 125 178 185 57 77 26 133 96 95 97 90 254 33 247 10 201 58 163 222 122 154 244 189 3 243 186 253 135 34 125 211 164 192 217 100 182 172 128 195 237 83 153 1 33 182 130 17 202 57 242 37 168 241 63 84 56 129 226 57 69 202 161 108 79 208 96 93 0 68 10 13 85 125 207 21 124 166 82 201 228 27 19 144 96 69 129 59 40 131 119 144 27 130 4 194 116 72 213 30 80 150 36 27 13 16 34 234 1 12 82 45 152 180 54 91 89 193 19 72 11 36 83 233 185 234 17 223 3 47 7 115 140 0 206 129 244 193 251 16 111 66 141 112 67 203 52 217 136 224 241 231 102 41 40 148 229 45 104 143 166 186 97 249 217 198 41 21 148 244 253 110 125 221 84 160 195 10 156 62 183 186 24 14 119 77 104 135 150 32 52 73 160 12 91 177 56 143 28 99 140 92 11 218 92 55 78 110 166 168 95 151 192 218 225 23 15 3 146 33 128 179 93 250 216 195 166 25 221 120 16 75 247 0 0 32 0 73 68 65 84 141 207 76 82 64 27 243 71 101 2 18 225 56 133 10 134 16 184 203 208 134 234 67 213 81 162 149 194 115 195 213 176 146 242 5 21 77 58 200 78 158 198 189 70 190 24 134 109 155 20 230 199 23 195 43 104 124 47 105 246 250 16 10 96 138 38 131 108 100 16 190 137 52 242 12 60 55 88 26 192 9 203 129 192 189 254 38 101 108 178 76 14 20 10 67 9 211 98 156 161 25 130 37 74 54 53 67 176 181 99 47 188 241 156 47 80 120 158 244 81 47 25 228 18 71 17 121 243 43 37 253 128 186 154 111 229 36 69 69 180 124 69 184 94 82 4 243 132 140 215 131 250 208 103 43 74 121 62 2 173 12 70 189 63 159 79 204 57 15 107 85 76 83 199 24 227 126 214 95 98 4 165 99 208 220 193 228 27 189 123 195 209 107 166 205 53 13 211 107 132 153 32 67 190 183 56 24 168 108 58 20 153 101 17 68 24 208 4 82 140 98 69 97 39 160 212 156 186 168 238 170 33 181 240 51 58 234 79 193 32 59 192 49 65 126 81 173 203 130 155 30 247 230 12 237 126 226 48 154 131 1 230 74 220 170 138 139 102 91 227 165 6 136 216 103 147 67 160 173 69 46 132 195 248 2 97 10 54 34 226 139 173 48 56 172 83 49 202 184 6 106 84 54 67 169 44 138 77 59 1 20 219 246 192 29 84 182 215 116 172 40 19 12 159 247 125 107 36 143 27 4 156 166 142 86 62 187 33 64 25 7 246 177 254 118 146 3 66 57 192 143 246 67 54 45 167 142 167 204 159 97 196 174 247 165 92 38 21 197 183 126 49 80 32 13 239 169 152 120 148 69 168 172 203 234 248 56 177 2 211 118 123 227 185 171 203 78 177 220 236 192 140 200 28 234 18 35 118 111 169 28 35 130 69 233 212 211 52 191 5 2 16 220 40 151 150 227 173 96 100 115 211 248 52 185 41 23 165 53 182 9 221 99 122 117 255 255 23 192 155 217 164 85 37 90 29 136 214 186 7 190 250 242 179 75 227 20 185 230 254 140 31 62 36 56 172 0 237 47 78 131 93 173 53 64 142 104 170 58 159 41 165 44 173 35 196 222 11 16 98 220 23 99 245 108 137 88 179 17 45 72 16 81 249 121 133 232 34 160 66 170 26 35 100 141 185 9 55 164 12 32 144 113 12 211 130 84 150 170 241 131 247 149 58 196 41 184 223 161 52 201 32 75 218 232 182 87 156 195 246 50 109 238 252 148 176 5 33 122 207 118 252 177 187 185 196 141 167 34 102 189 136 156 111 194 229 72 16 33 135 135 141 124 33 120 218 155 147 134 177 38 97 110 173 28 118 95 105 102 104 193 186 228 222 38 166 190 180 169 135 32 10 56 98 201 49 254 38 50 170 103 130 141 45 64 129 212 81 128 52 79 3 4 69 151 62 222 245 52 103 46 121 130 240 37 235 67 254 172 98 138 173 76 157 26 80 138 29 140 176 174 29 68 40 242 1 8 210 62 42 209 50 147 148 97 231 124 201 101 41 211 64 41 112 215 156 51 174 31 124 129 34 34 230 146 62 85 47 202 68 13 26 28 127 30 32 46 20 55 211 27 25 214 52 233 163 42 252 173 107 160 24 125 83 125 100 71 172 119 8 38 19 243 221 97 66 110 241 227 178 209 252 222 99 222 21 84 55 24 48 66 199 10 57 209 211 164 239 135 188 19 72 229 150 18 142 111 218 48 69 238 13 137 4 19 26 212 87 65 48 76 95 159 1 51 202 96 83 177 251 240 251 147 231 159 77 73 144 34 37 127 196 254 72 28 195 218 229 198 238 255 141 170 179 69 29 138 131 243 16 47 68 7 4 130 185 101 117 9 164 239 205 23 40 155 116 123 83 86 88 242 63 220 76 231 5 140 115 2 102 82 243 59 141 106 198 145 53 16 176 48 98 31 58 112 158 68 3 144 203 41 16 69 197 1 47 81 26 41 123 204 160 207 137 211 65 165 106 48 213 54 187 59 10 168 162 130 254 84 155 250 41 30 98 206 30 4 209 161 4 240 199 104 106 9 246 88 80 70 164 28 56 48 27 121 176 146 101 47 43 90 97 172 42 194 211 92 65 130 127 33 192 51 53 112 131 107 136 236 59 4 232 210 5 62 33 195 204 1 252 152 143 134 195 140 207 73 25 2 90 9 33 116 76 193 41 193 0 89 170 245 82 87 252 67 95 32 213 39 21 169 236 211 87 188 95 105 136 154 53 28 107 166 241 144 178 102 226 74 166 55 78 241 180 18 7 191 171 175 145 38 234 90 86 35 200 244 11 111 73 213 107 70 169 94 165 86 162 64 17 84 203 192 128 181 54 230 93 123 191 10 218 147 116 12 223 198 152 42 14 124 102 116 227 87 252 145 254 125 250 185 78 160 80 152 215 109 156 100 82 43 221 68 231 56 16 10 233 32 236 39 79 22 177 199 128 228 50 48 35 223 180 79 193 220 96 33 215 176 98 104 166 160 230 71 154 37 42 170 148 58 83 108 254 198 115 209 10 212 197 231 124 197 15 190 64 204 58 49 190 71 180 239 38 143 235 117 180 180 103 163 3 241 1 61 148 153 227 91 204 66 18 31 84 245 252 126 77 97 88 129 3 221 51 102 151 6 154 129 247 0 160 237 43 156 30 142 64 38 148 60 240 144 162 45 143 18 19 76 165 25 230 202 18 17 16 57 160 76 8 130 165 234 71 165 108 66 246 164 147 214 119 61 143 85 231 141 16 156 124 133 3 136 75 133 251 250 83 145 154 194 171 98 170 190 124 81 25 185 245 66 29 222 3 128 47 102 101 163 171 139 41 3 73 190 204 232 253 75 127 175 43 126 240 5 50 156 104 229 207 139 237 162 229 213 84 88 211 8 230 21 35 173 234 198 78 168 51 28 106 201 117 74 18 208 208 121 248 176 100 141 138 210 61 140 127 70 103 6 84 6 180 99 62 162 188 8 78 243 238 214 29 167 197 159 245 204 190 223 239 36 193 248 161 252 133 201 42 133 251 180 219 103 165 17 68 212 237 194 219 180 28 23 153 107 127 8 130 86 28 30 210 205 100 207 49 38 6 49 150 66 66 19 27 69 192 173 179 17 42 176 117 59 177 203 248 243 42 1 135 1 157 18 101 10 128 242 69 37 92 37 241 34 72 163 140 186 217 240 94 120 163 24 165 252 195 36 218 213 5 70 64 254 184 129 73 131 9 209 226 86 192 30 65 3 120 175 92 191 21 65 245 193 160 72 3 120 185 212 182 104 148 143 111 224 82 61 192 23 115 175 112 237 134 208 243 210 200 188 75 72 217 38 164 248 82 36 113 125 238 239 247 187 152 88 184 150 131 122 211 35 78 205 113 212 163 114 222 206 7 162 140 147 68 177 75 31 43 208 169 12 7 0 177 26 103 146 192 183 172 148 102 130 159 119 153 142 221 111 166 5 133 235 87 66 80 96 128 247 152 242 47 75 113 51 59 183 198 131 49 135 1 123 184 55 6 8 89 10 176 224 169 17 64 169 127 114 93 17 167 242 200 17 41 149 134 52 205 193 134 105 95 193 68 95 168 52 178 104 218 230 57 232 64 205 219 82 50 110 75 80 38 178 136 250 171 63 62 242 101 224 20 126 247 230 127 60 231 140 249 231 79 116 1 197 145 88 194 107 170 29 42 46 74 95 153 133 16 132 201 251 218 152 243 251 253 62 111 52 225 79 120 170 108 194 38 118 230 110 17 122 186 172 73 116 202 93 24 135 8 189 83 5 17 36 16 137 190 131 65 130 196 114 4 40 185 97 48 55 179 175 140 171 73 198 105 110 199 164 16 158 53 31 174 12 88 207 232 194 91 43 72 62 132 210 83 126 178 60 119 105 221 235 67 248 2 53 234 141 17 47 179 155 103 233 185 165 44 147 62 195 246 217 80 123 42 180 219 94 215 200 79 231 181 228 16 88 68 48 239 91 113 51 145 159 115 38 142 136 82 125 63 99 183 33 9 209 130 82 64 83 9 225 0 69 161 61 196 206 21 113 159 235 124 34 234 108 175 13 214 159 220 75 79 49 23 62 28 96 106 250 174 69 106 29 11 228 82 162 9 56 84 192 226 12 233 240 147 198 126 53 164 82 193 94 187 174 253 53 17 172 163 174 196 134 204 195 247 40 219 213 164 148 123 243 190 194 125 119 53 125 44 148 68 41 2 47 156 48 158 74 11 42 180 144 55 223 28 169 4 232 84 195 191 113 240 11 36 52 136 97 4 182 190 89 65 108 115 174 23 94 81 197 132 133 48 163 111 29 168 183 48 3 104 238 35 251 205 201 193 168 222 219 98 206 141 187 39 61 67 155 201 163 42 199 6 6 178 207 115 236 170 35 165 130 18 54 111 95 122 202 172 44 34 109 86 5 57 165 216 115 75 8 2 48 141 244 192 20 241 243 81 25 193 67 57 197 251 203 40 169 134 57 100 114 184 1 206 201 120 113 143 88 61 246 108 184 20 236 228 145 8 186 174 245 184 222 208 64 126 8 138 17 164 104 102 66 168 237 23 165 202 33 228 80 77 16 12 174 119 183 193 8 158 141 160 118 81 188 244 197 17 181 159 120 240 132 21 104 174 91 138 55 1 78 131 41 173 37 163 103 175 172 78 142 0 155 153 95 120 198 159 232 189 181 130 114 105 62 1 238 16 31 173 143 56 13 244 58 94 193 67 4 194 122 252 135 224 119 136 7 208 32 199 32 9 169 98 226 204 139 123 225 230 53 5 138 40 155 173 17 103 20 113 142 212 114 171 114 43 231 72 116 33 26 71 200 237 57 46 100 31 178 45 4 140 165 3 204 21 122 8 63 169 198 255 66 111 145 199 253 182 182 3 165 33 46 194 21 169 73 166 2 179 104 16 99 224 173 74 253 69 229 172 240 108 22 172 241 138 175 134 61 109 227 84 110 138 150 77 33 48 68 224 202 116 40 40 28 202 217 145 255 69 128 219 162 183 219 156 220 162 193 172 105 169 51 222 183 247 32 66 199 67 50 65 175 99 247 190 110 225 137 64 47 107 154 65 142 32 239 105 76 115 157 81 26 205 108 183 45 50 108 215 128 230 214 214 239 133 26 215 118 44 128 230 155 44 176 71 103 64 117 87 84 41 150 252 44 80 153 197 83 47 202 201 33 75 233 41 44 63 214 219 190 130 44 95 232 0 99 159 50 69 51 188 186 158 236 250 222 187 14 148 204 44 172 35 132 109 101 8 123 147 96 113 61 209 234 225 108 0 131 64 26 85 19 169 84 162 62 231 189 241 63 247 102 94 200 228 151 110 156 169 106 123 101 214 46 168 149 219 70 36 100 122 83 163 88 192 76 236 202 152 188 153 177 172 248 23 244 43 7 77 96 69 51 2 250 0 65 132 162 99 223 53 28 210 175 158 37 30 20 241 245 137 253 103 149 198 43 109 115 46 173 148 25 128 72 243 184 77 180 172 188 30 178 11 12 246 224 84 158 108 185 153 64 133 251 47 76 7 40 161 28 200 240 179 9 71 127 253 162 9 139 36 136 191 168 62 156 188 32 70 142 37 5 16 22 194 243 149 15 76 42 244 156 95 135 105 124 78 226 150 220 3 156 148 40 63 236 16 173 165 163 181 98 36 137 138 54 209 164 90 87 222 248 235 119 129 5 11 7 141 37 80 56 225 48 63 155 140 9 12 92 62 96 224 165 233 164 175 120 63 67 221 196 32 46 87 63 144 106 74 116 4 142 1 28 177 190 206 47 90 14 43 80 191 187 248 53 238 160 83 2 103 224 223 155 230 150 84 214 58 69 147 89 209 100 71 51 196 252 51 101 42 114 92 18 158 223 80 64 167 84 209 84 217 102 51 117 82 130 108 160 106 81 220 156 10 161 84 202 136 101 184 202 37 250 187 82 176 77 237 45 226 215 110 84 68 1 128 29 28 112 197 235 142 136 248 126 191 133 20 70 193 160 146 183 193 186 201 152 128 195 194 119 68 159 100 241 66 86 65 177 7 228 190 117 167 40 43 212 144 250 84 172 51 225 127 244 136 170 211 173 187 14 208 160 236 231 152 97 38 169 226 8 173 128 25 102 194 141 235 216 3 35 105 24 120 37 106 236 100 189 180 187 20 217 0 115 118 66 49 60 4 213 165 225 11 39 221 92 51 123 71 27 16 121 27 12 186 194 143 156 21 138 127 65 154 23 93 111 77 25 109 81 106 139 58 73 82 119 154 132 232 42 188 60 79 154 180 230 232 1 139 180 246 152 234 225 129 14 67 3 124 192 161 49 198 196 201 27 170 161 210 145 27 84 253 137 253 217 187 29 213 57 123 44 149 145 201 65 143 39 150 238 239 249 215 10 166 6 64 67 37 144 120 75 233 4 1 39 9 156 76 162 40 118 101 79 53 124 243 163 43 162 82 75 110 243 136 140 208 174 175 9 104 107 125 75 244 225 185 103 126 168 136 138 146 45 105 44 113 195 16 144 9 41 20 68 149 191 215 241 231 138 211 140 124 107 52 115 13 131 211 39 74 162 71 68 16 190 145 139 250 164 161 102 144 133 40 248 193 183 22 87 177 179 52 117 227 129 234 115 218 113 74 34 178 23 213 112 111 232 250 161 134 73 169 48 247 53 91 19 236 5 240 96 79 22 223 11 60 176 47 123 19 227 205 10 26 103 229 130 6 162 184 0 150 77 241 57 15 207 235 16 34 12 52 157 21 14 128 84 45 31 83 22 117 254 77 191 174 175 114 22 193 117 99 224 115 176 32 6 119 2 184 100 51 159 79 217 182 38 233 223 49 167 254 216 243 23 53 168 147 17 77 209 52 47 158 165 36 194 247 225 222 78 244 206 4 164 116 75 201 1 221 155 36 23 138 164 10 182 62 57 148 37 9 68 146 233 36 203 207 26 139 209 52 244 189 86 40 93 101 45 20 220 38 240 104 81 48 79 109 26 101 21 131 172 60 126 79 27 9 74 221 82 120 147 10 164 186 132 247 179 98 129 61 53 54 168 118 78 34 192 240 141 168 92 8 149 243 100 54 41 53 118 55 148 42 107 134 158 161 86 173 173 163 133 202 235 239 6 132 132 11 198 118 232 185 43 195 117 46 214 224 102 2 11 215 112 10 78 198 246 57 174 230 166 10 149 10 153 26 121 240 48 133 26 25 35 186 100 208 33 142 134 236 126 176 177 186 244 143 111 38 17 193 212 251 8 135 142 190 48 203 16 45 229 122 30 83 175 202 204 248 126 191 236 169 53 194 107 105 171 197 27 152 14 47 254 52 4 135 205 137 162 163 127 114 154 45 128 207 0 98 195 54 45 196 6 2 36 38 241 197 218 151 130 229 175 38 243 157 134 244 108 178 176 108 0 198 250 133 251 46 0 214 124 217 39 110 122 207 241 186 195 153 16 138 223 63 217 47 58 78 25 170 184 204 1 62 128 39 69 187 60 107 243 220 24 64 6 133 86 174 237 214 120 188 73 127 148 60 169 125 143 142 108 160 208 106 5 22 224 198 21 8 106 42 187 22 141 19 30 164 16 151 138 170 122 79 141 222 45 164 124 66 218 254 37 32 48 83 152 239 26 46 241 193 141 7 225 186 103 42 238 190 85 134 104 163 29 195 244 192 68 155 119 187 46 126 56 80 63 153 196 155 50 42 73 152 160 13 220 112 187 143 55 242 136 120 86 18 200 19 24 75 25 89 91 6 206 148 224 6 11 63 28 239 241 50 76 156 169 64 48 26 241 99 244 52 12 73 68 29 46 167 225 107 149 24 141 169 215 63 217 8 82 37 195 24 187 15 215 155 142 221 203 105 174 33 10 39 37 76 148 78 46 53 62 204 198 82 200 237 10 14 208 158 26 138 197 181 20 68 176 140 185 209 240 143 10 86 6 213 237 110 185 32 243 56 166 97 182 22 188 66 89 67 129 87 217 28 228 120 57 196 204 61 72 33 24 184 173 111 99 243 243 128 189 99 140 184 51 159 46 0 37 113 224 55 254 130 11 68 138 67 192 103 132 74 179 9 207 49 17 181 222 16 93 236 185 98 11 128 132 235 143 86 8 221 50 73 145 46 68 192 112 7 133 7 221 7 110 26 34 150 200 90 52 188 68 171 172 167 227 175 254 176 50 200 62 104 151 29 9 197 100 16 37 162 182 114 252 147 192 199 45 161 139 135 248 65 86 239 160 59 133 10 38 171 95 32 117 48 69 80 226 94 166 4 14 145 1 182 218 90 166 236 56 90 48 166 220 65 146 11 18 78 74 201 26 139 121 120 215 142 28 44 242 240 178 190 219 62 225 32 135 42 157 2 251 96 69 144 116 146 204 226 118 63 196 51 120 208 11 89 116 162 20 126 192 174 173 101 36 28 1 149 216 219 81 164 115 150 38 228 81 45 209 195 141 147 49 34 138 19 89 132 156 50 65 36 12 82 30 52 134 103 189 157 220 173 164 102 158 233 225 178 222 216 182 192 203 94 20 82 84 14 22 184 217 6 28 228 109 67 44 221 43 46 77 150 248 0 105 74 103 156 243 185 108 231 170 232 161 124 208 2 218 108 65 4 147 52 229 0 235 146 161 73 125 210 12 252 115 121 40 19 118 83 243 31 115 243 34 99 113 235 203 179 203 72 32 9 83 70 150 240 102 86 235 203 193 34 168 223 190 89 251 132 240 15 55 53 153 20 188 184 184 134 16 224 86 168 252 157 234 59 164 19 34 207 122 138 94 180 77 137 216 75 217 16 248 221 194 48 175 123 152 250 133 163 249 52 60 220 80 40 183 184 81 49 173 102 38 147 58 248 171 206 220 134 169 201 31 56 155 215 80 168 244 35 51 43 94 71 110 186 206 187 72 153 154 175 145 65 210 164 158 172 192 169 214 151 187 33 194 43 58 89 140 142 220 35 109 139 72 220 202 12 136 206 198 142 149 1 215 18 166 245 219 250 242 116 22 93 6 133 36 168 213 231 23 222 87 236 76 177 4 35 228 91 21 19 119 219 100 226 51 143 44 88 68 169 254 155 9 18 64 48 80 163 88 40 86 143 173 39 62 96 131 249 166 28 189 56 106 54 117 74 153 127 35 123 39 201 168 92 185 10 164 97 16 29 139 12 232 48 182 131 190 206 176 140 162 244 168 170 201 212 76 6 25 81 74 24 25 88 240 181 164 148 57 154 84 185 126 48 40 107 61 161 104 125 217 230 149 251 204 159 102 194 41 95 64 198 174 155 32 165 139 81 179 188 91 95 211 94 82 136 126 129 107 202 179 190 138 69 199 117 110 102 126 238 54 171 19 211 216 244 193 80 36 3 117 219 97 248 72 205 88 63 55 114 82 58 113 104 66 139 91 47 155 150 149 146 187 77 19 13 199 91 157 201 86 52 14 109 21 145 187 12 16 18 36 76 151 172 72 114 167 69 140 98 118 42 30 27 147 105 41 68 112 244 52 4 6 126 13 150 145 229 13 60 72 37 131 181 179 146 74 27 182 159 25 161 109 75 24 91 216 178 26 16 118 47 77 154 58 50 180 129 114 174 47 109 30 228 102 87 54 6 79 47 237 169 162 146 233 109 125 149 216 164 42 15 48 203 41 158 241 126 89 223 52 181 109 145 251 69 144 102 156 236 14 9 85 214 63 110 140 141 115 159 237 53 242 212 137 0 190 14 112 135 116 179 240 231 230 15 168 100 145 16 253 17 145 133 195 59 47 120 138 131 47 15 251 156 115 222 227 47 124 107 108 81 148 211 226 252 51 188 204 74 136 199 2 154 12 135 29 10 139 38 190 214 103 152 212 146 224 26 121 26 130 131 146 149 9 209 34 60 60 150 85 75 141 9 61 102 125 71 115 136 143 145 196 56 231 136 235 135 30 175 250 124 33 132 179 221 250 114 134 112 140 13 174 246 34 186 114 190 172 175 106 49 42 7 202 201 200 190 90 27 236 239 139 116 62 34 98 92 11 120 48 202 4 156 122 40 87 245 67 41 33 118 87 64 36 132 176 150 112 117 253 65 78 209 27 0 138 217 83 147 2 200 129 148 243 205 73 160 140 235 87 150 153 143 173 38 138 175 155 125 152 244 245 168 241 145 183 173 50 154 46 246 10 123 208 195 214 135 82 75 220 96 243 165 150 236 244 207 255 241 250 18 162 92 226 118 59 56 8 20 252 83 13 87 224 195 89 245 173 91 95 69 67 22 105 127 190 116 93 120 125 241 243 56 71 149 201 192 163 33 26 109 231 137 7 68 22 62 194 194 2 220 223 226 84 15 101 86 102 144 49 56 29 100 117 40 31 41 86 84 215 8 33 193 195 155 214 1 52 230 70 78 179 185 15 36 213 164 235 133 200 178 82 58 84 19 41 224 248 144 134 169 86 162 183 24 208 183 223 130 215 156 19 235 171 1 86 157 91 13 10 204 163 124 81 98 81 30 190 131 48 132 73 27 244 191 179 190 232 35 245 223 90 223 174 207 45 100 116 219 57 121 94 95 238 255 154 20 187 132 82 204 17 108 72 229 230 121 38 113 58 111 60 60 4 28 89 132 0 62 99 247 188 14 229 190 194 150 49 79 218 74 245 222 177 81 59 93 42 37 158 199 95 67 235 144 56 181 176 194 213 65 93 203 193 8 147 165 65 198 203 44 190 35 253 187 8 137 81 124 171 119 238 20 251 19 167 178 72 210 204 108 169 126 230 45 47 52 201 47 40 41 88 68 116 15 79 48 139 232 16 15 225 237 52 27 203 208 255 177 245 85 24 93 131 70 207 151 53 145 235 214 172 111 82 143 28 189 194 210 128 193 193 235 171 122 232 194 212 1 179 173 89 231 96 117 41 108 68 8 36 28 23 214 181 108 77 30 36 228 79 237 192 7 120 2 138 86 2 152 177 183 161 0 132 58 97 240 173 254 96 136 62 78 41 209 32 95 39 53 232 208 153 131 61 160 140 234 116 40 6 20 69 91 172 71 3 236 67 151 15 178 26 175 67 183 10 69 152 153 172 22 201 0 21 176 171 6 149 50 10 31 224 65 132 255 237 245 181 62 89 156 253 153 82 227 117 125 85 251 139 59 3 221 250 242 30 17 1 30 179 138 129 45 68 183 190 33 108 108 32 251 178 235 139 78 149 8 132 146 213 79 48 32 122 145 46 244 65 107 132 69 158 28 217 56 234 52 192 196 1 138 41 199 10 7 209 59 224 203 44 232 81 231 208 237 171 120 171 131 221 12 5 49 194 213 191 135 192 249 45 14 199 18 172 24 97 75 212 104 37 110 197 48 0 202 16 64 149 26 207 84 147 69 255 183 190 255 102 235 59 231 220 106 160 132 244 121 123 209 251 143 82 23 44 156 175 229 90 132 125 120 77 223 77 18 52 94 132 217 39 63 180 31 252 148 83 16 29 30 41 21 154 66 74 106 11 73 229 66 245 117 37 215 99 54 73 8 34 204 68 61 105 49 254 38 83 102 6 173 214 77 207 166 228 255 183 190 255 182 235 91 151 232 95 241 28 114 193 247 12 140 50 232 100 32 34 116 65 11 130 31 206 87 32 117 101 172 50 92 4 125 94 7 36 89 186 246 211 246 80 119 30 203 254 30 104 146 169 132 161 245 49 120 64 160 205 66 196 145 202 232 38 117 144 219 94 52 153 148 116 219 177 45 77 177 13 142 104 63 33 177 164 91 95 28 55 76 229 16 104 214 87 125 174 111 24 29 172 95 214 151 203 32 195 188 99 163 53 124 145 20 206 141 199 250 66 207 57 77 90 141 3 34 219 156 187 88 95 71 98 250 39 235 139 96 20 211 106 11 200 41 71 16 187 212 230 166 8 179 106 61 38 111 164 131 241 153 72 162 64 18 1 195 183 195 7 29 145 128 251 138 4 108 164 32 171 28 130 106 228 100 239 88 59 14 252 90 156 217 69 233 11 54 253 82 239 161 35 180 40 162 130 3 140 132 220 82 137 62 109 25 148 119 136 182 6 218 221 148 64 186 131 230 141 179 33 246 76 7 210 252 128 84 171 158 46 147 94 178 33 35 101 183 190 10 208 53 217 197 192 27 29 8 33 245 235 44 187 153 142 235 230 247 149 228 85 8 193 192 138 248 51 143 140 133 183 154 151 100 103 195 131 13 99 54 225 0 144 32 74 249 188 232 30 172 171 141 142 65 113 60 136 235 65 45 144 73 32 149 92 67 101 115 67 48 83 169 107 113 13 146 208 157 226 125 31 140 40 16 237 115 232 234 65 178 49 245 234 166 247 109 158 229 97 27 67 150 54 71 123 131 205 225 127 88 223 173 149 102 212 30 3 29 58 233 61 169 33 137 0 177 132 127 180 190 113 74 78 149 235 70 25 147 128 135 221 166 214 151 110 224 98 116 255 101 125 83 173 47 175 45 18 72 154 115 150 107 140 81 230 244 2 0 72 163 105 212 13 122 71 52 82 44 32 13 243 235 108 113 135 58 150 96 52 97 20 147 41 54 34 130 228 10 239 136 15 197 202 25 139 233 4 25 12 34 236 155 249 181 234 189 26 253 43 158 90 98 153 88 188 57 90 7 66 60 140 56 144 98 12 236 164 244 171 105 225 28 229 142 200 4 36 169 166 233 36 184 174 1 10 5 240 16 79 25 71 200 50 233 246 102 80 69 146 83 197 182 48 102 125 177 111 30 206 149 146 14 224 16 83 110 219 250 154 169 47 166 81 31 207 244 50 11 40 31 50 110 120 247 115 47 233 210 241 0 48 106 115 131 157 180 182 149 138 167 165 105 10 121 213 238 253 38 57 48 200 247 78 53 228 192 137 47 182 172 81 105 51 168 137 76 74 251 146 82 226 124 145 94 58 22 94 140 11 70 102 78 167 13 142 81 131 230 118 135 120 158 202 120 207 213 180 46 128 7 107 69 171 117 198 247 127 243 97 158 111 68 165 79 150 50 22 19 85 202 117 178 67 224 121 70 123 224 158 163 245 13 129 61 180 235 187 70 92 255 193 250 98 32 41 101 233 138 203 119 53 155 132 95 96 227 26 55 42 15 71 129 78 183 240 214 119 21 106 155 142 201 163 136 254 69 253 66 167 197 173 20 18 81 139 169 192 51 72 141 228 89 114 200 74 183 152 15 123 147 66 14 114 254 253 51 159 248 227 248 192 202 161 3 216 70 67 140 64 30 61 97 243 220 182 64 25 90 191 138 55 205 193 209 86 180 76 210 100 86 235 27 161 169 142 111 89 149 74 45 139 112 8 244 103 114 204 174 140 222 205 179 104 14 59 26 140 230 16 247 19 235 171 210 249 165 91 198 103 104 8 22 158 123 175 174 143 47 111 100 229 42 144 166 134 181 55 92 156 226 119 209 153 147 57 36 210 221 30 38 181 107 7 198 217 145 66 212 138 236 247 187 1 149 113 210 19 39 1 55 216 78 8 184 53 158 247 128 243 192 235 253 0 33 195 105 75 39 177 174 100 234 11 130 246 213 184 131 88 0 70 240 207 37 39 93 21 100 99 12 212 241 10 70 103 197 254 41 21 124 57 184 240 192 62 215 177 63 172 111 80 134 150 198 180 46 49 69 134 218 247 11 132 141 73 243 214 15 175 121 149 36 152 33 184 245 101 173 106 104 137 185 125 118 180 165 224 130 89 162 138 19 92 77 102 68 204 161 174 107 82 208 64 174 111 190 12 74 229 75 19 63 196 166 155 78 169 67 160 190 178 230 122 241 27 87 55 187 2 234 38 57 32 142 220 109 6 24 242 239 4 195 59 33 61 105 28 111 254 94 222 78 10 171 192 158 162 186 77 41 5 124 144 117 33 40 23 66 177 34 4 0 119 184 3 82 218 206 1 91 186 130 188 173 175 179 251 49 235 171 204 235 75 204 187 15 52 170 199 217 101 236 119 135 87 130 145 217 72 156 10 47 140 135 72 102 163 24 14 58 136 31 212 154 90 251 254 185 88 46 53 151 137 67 205 1 146 57 238 150 117 136 115 163 139 180 29 42 238 173 197 46 87 43 251 102 108 151 34 30 244 97 119 201 70 219 196 132 252 222 223 123 145 45 171 83 41 73 145 58 61 206 134 44 162 6 223 59 57 195 80 196 10 133 18 99 144 197 182 138 203 140 226 148 193 9 26 184 24 166 221 226 232 179 51 34 62 10 0 37 58 104 40 180 149 199 248 92 102 197 229 59 235 187 145 228 207 49 48 34 108 94 30 65 201 101 37 76 235 171 166 215 82 89 20 173 50 108 81 155 69 111 157 215 151 65 197 20 98 29 44 107 197 189 99 190 176 142 224 123 133 195 228 197 11 25 153 19 89 128 115 47 210 25 132 55 117 231 97 163 177 38 66 4 216 102 109 71 140 202 227 20 130 9 143 183 110 236 194 114 255 149 254 246 36 221 231 117 8 134 80 33 29 111 8 61 236 216 65 25 129 157 242 89 212 61 129 116 187 94 106 18 162 237 250 172 21 52 96 16 187 210 69 116 117 29 81 39 121 48 1 237 111 213 188 178 74 167 15 253 108 245 252 72 157 38 96 125 103 156 44 49 206 80 54 132 249 158 74 27 212 178 155 113 154 19 108 153 29 183 248 48 96 136 154 125 190 224 9 155 248 199 101 14 174 250 16 33 154 237 71 109 204 245 39 221 60 135 238 21 181 115 248 176 151 176 132 89 35 104 7 121 133 91 92 64 202 224 13 170 96 127 172 153 48 109 158 74 107 76 140 243 72 224 142 69 235 224 117 150 197 139 11 112 188 81 83 128 136 71 175 122 185 38 82 90 202 55 243 16 228 159 20 130 137 42 67 40 146 157 9 37 54 200 192 166 240 202 182 204 46 28 49 228 26 212 41 206 40 109 47 212 253 34 196 27 167 143 164 198 183 241 244 198 103 50 171 234 195 140 62 234 63 207 206 48 143 113 157 208 234 43 220 49 40 66 215 255 72 246 114 191 149 65 1 129 96 166 139 206 241 87 100 0 17 234 193 249 190 25 82 79 34 75 28 150 26 228 27 171 106 179 12 178 97 1 96 4 117 187 139 6 234 25 20 153 235 15 213 151 200 85 78 197 176 161 186 166 4 73 36 94 222 47 247 185 143 103 110 210 125 222 112 91 16 83 107 21 100 46 96 192 53 86 122 97 82 8 107 176 113 64 75 209 67 102 253 231 7 68 51 105 253 214 95 95 237 66 214 213 130 108 104 75 229 239 61 185 41 107 174 49 81 18 19 220 102 202 69 16 60 234 90 146 141 42 2 61 135 1 230 142 184 195 101 112 179 190 10 99 57 204 195 100 205 130 53 51 33 192 213 33 156 93 127 218 45 182 150 3 251 187 152 99 12 142 214 91 208 88 11 108 14 217 131 246 198 169 155 133 105 55 138 190 63 181 15 74 208 18 117 174 190 223 175 162 225 109 58 208 132 218 99 137 242 72 163 26 208 76 201 207 74 198 144 26 108 111 250 148 71 38 6 217 84 184 214 141 232 117 186 245 181 178 53 170 167 11 136 184 51 59 27 20 243 156 166 122 139 2 47 75 157 248 171 233 85 80 170 148 176 104 169 57 103 144 21 46 63 215 68 107 32 49 111 160 206 89 49 61 154 241 18 6 55 97 157 183 103 112 17 195 71 221 150 165 4 188 153 189 3 8 4 135 172 163 159 251 70 24 65 94 49 169 71 44 174 235 132 197 46 188 121 33 186 77 18 168 43 243 90 25 134 206 183 22 230 30 202 40 3 34 37 147 21 224 181 230 156 115 80 90 56 215 164 206 186 157 64 183 186 4 234 93 164 125 37 117 164 133 178 69 24 51 57 85 107 77 98 169 73 94 56 215 131 28 204 111 43 210 142 56 194 138 171 108 50 21 98 125 149 129 155 13 106 183 152 251 145 249 192 62 159 10 192 138 221 168 65 138 69 114 122 107 246 115 49 16 38 158 199 65 243 108 40 203 210 7 156 241 159 171 105 157 48 163 196 242 67 1 205 91 19 81 147 104 126 60 27 122 220 236 124 59 55 234 32 209 44 242 145 90 118 236 50 113 240 220 191 131 123 236 132 196 34 136 242 252 236 24 227 19 127 135 204 153 192 98 141 178 227 180 3 61 222 19 29 74 233 128 160 130 47 83 9 197 96 124 53 25 214 66 229 25 140 10 48 61 31 2 145 86 245 188 188 217 185 158 53 29 131 114 244 224 102 220 113 147 177 53 235 204 19 72 143 224 127 236 38 109 107 125 147 141 225 145 113 166 252 204 132 134 60 155 42 148 11 94 2 63 154 140 90 43 129 181 50 12 169 84 16 56 35 139 236 153 108 80 210 18 27 101 147 68 101 180 149 110 235 124 233 167 42 147 55 217 211 108 8 46 202 243 172 200 82 167 27 185 44 174 81 121 58 139 196 246 202 77 194 152 244 248 209 122 18 252 113 201 116 50 116 213 46 237 62 56 206 68 183 84 19 90 37 236 100 113 163 103 131 106 167 33 85 148 104 185 117 45 59 217 113 129 250 222 245 250 75 152 180 113 166 38 81 125 236 99 147 15 116 137 190 113 184 182 19 3 191 60 142 201 107 123 133 167 227 29 105 145 80 203 60 14 171 18 0 87 135 4 110 112 150 29 13 135 146 178 221 8 138 226 51 115 72 176 125 14 153 24 82 98 40 74 207 18 193 19 210 218 202 197 174 9 176 249 36 36 31 63 215 20 181 28 27 137 85 104 205 235 50 207 144 129 36 20 110 83 30 88 86 169 17 209 108 113 72 92 75 134 59 21 214 125 83 4 93 20 118 44 129 134 151 168 193 187 219 221 17 55 36 127 126 129 106 43 123 52 65 167 4 64 149 66 83 93 9 255 113 182 210 5 251 224 54 40 206 193 139 172 170 232 166 62 250 156 111 189 209 32 52 52 136 177 82 166 163 127 20 240 47 178 49 146 17 230 8 11 116 227 205 251 224 77 90 240 201 189 57 167 16 209 176 136 152 65 114 40 82 220 64 28 182 191 240 189 20 0 53 131 15 162 48 253 78 209 226 11 131 96 62 30 66 230 103 222 126 15 146 75 236 36 17 59 97 224 77 194 172 191 31 73 46 156 242 68 83 234 33 69 81 98 9 148 154 142 183 253 36 50 142 34 26 231 22 8 65 216 254 169 165 23 188 129 95 23 45 211 136 83 188 32 205 186 56 125 235 18 19 132 79 237 126 81 175 182 85 34 20 189 230 20 74 129 111 189 50 181 25 203 168 61 34 10 168 122 169 73 4 12 91 23 82 95 243 168 89 153 33 37 4 11 164 181 170 16 29 175 155 143 91 75 72 141 122 167 199 123 8 239 233 92 63 28 132 77 4 2 110 255 173 181 166 8 27 144 178 13 118 141 196 155 23 152 84 74 129 52 149 230 85 51 17 231 4 244 34 204 144 138 41 55 24 200 204 151 242 175 51 71 15 117 248 24 193 71 167 10 40 175 148 251 3 175 111 24 208 144 47 195 16 217 92 64 125 46 137 52 17 49 47 130 206 145 49 84 134 241 82 113 142 208 165 145 218 57 64 24 85 55 67 219 224 16 19 119 30 59 172 26 169 64 28 38 91 136 49 58 11 110 53 165 198 230 12 233 54 7 164 136 44 100 80 55 160 179 144 205 197 241 158 200 244 9 173 46 169 14 183 5 230 140 194 35 95 134 3 110 213 136 93 246 54 248 61 133 156 126 12 135 148 51 206 81 4 154 13 33 56 113 232 47 45 129 200 49 70 53 183 221 51 27 32 250 176 76 119 236 6 67 82 164 247 27 24 199 73 167 144 227 125 36 151 184 54 22 93 131 20 165 207 128 76 206 149 24 248 204 198 5 253 75 212 12 198 49 67 213 164 71 176 194 246 19 27 38 142 4 156 68 138 94 108 40 135 117 39 40 128 218 58 137 230 105 83 252 238 163 134 129 218 189 154 20 181 76 107 69 33 162 5 160 75 225 176 129 243 39 22 136 174 51 254 86 138 21 108 87 122 120 109 185 118 26 123 10 195 205 178 25 164 197 169 31 117 40 115 136 94 126 134 209 250 70 239 235 245 251 73 225 181 45 199 4 78 99 35 14 232 110 201 67 252 214 58 35 96 22 249 2 106 250 171 227 83 28 78 41 47 210 71 214 118 232 186 161 245 132 250 242 11 145 141 209 191 16 17 74 166 195 10 226 95 223 143 98 121 141 56 249 81 95 144 101 235 38 86 14 42 28 111 160 80 145 65 117 10 192 161 58 154 98 35 171 186 161 183 192 29 198 141 53 214 97 6 43 205 82 169 191 112 142 176 207 22 211 228 216 71 236 240 35 14 69 88 128 210 96 210 181 20 100 119 146 134 71 32 109 83 233 153 224 248 158 0 0 32 0 73 68 65 84 249 114 73 193 157 134 118 125 215 205 124 203 4 149 0 45 19 89 83 200 111 16 251 182 232 18 8 90 167 114 7 57 252 192 76 138 126 82 25 121 168 52 129 40 168 19 113 200 37 161 207 1 110 221 139 39 117 214 30 6 95 222 0 159 237 16 55 143 2 142 142 222 36 251 46 5 209 124 40 45 201 248 77 144 79 69 40 70 13 7 165 212 69 233 246 161 131 44 20 12 163 97 49 45 192 131 199 51 25 213 68 58 38 110 54 158 187 197 209 158 18 245 93 119 51 165 104 215 177 128 223 97 186 215 120 127 41 3 50 94 251 204 204 248 126 191 201 34 127 107 147 98 80 97 164 222 0 56 21 39 203 201 137 207 37 117 84 56 88 79 22 134 4 182 222 17 132 221 37 194 200 52 4 253 65 229 90 10 226 8 91 5 23 19 168 40 0 62 54 185 124 30 225 53 183 128 118 29 213 53 245 73 95 14 144 245 151 109 14 96 198 233 129 204 169 165 140 116 14 240 160 64 180 121 200 98 27 199 137 12 138 82 32 148 57 55 249 97 29 158 196 156 141 175 77 14 8 231 115 163 45 190 167 74 219 25 120 50 237 56 126 150 33 218 89 202 152 172 126 204 128 14 91 89 129 63 108 181 56 112 208 21 240 148 76 230 96 16 84 125 111 156 186 235 201 184 142 115 196 112 131 20 34 69 102 251 217 78 32 207 113 192 121 206 186 156 170 41 103 168 162 55 173 178 166 80 193 120 253 238 209 64 243 79 235 68 112 76 15 100 192 253 29 192 243 42 186 99 10 249 168 37 184 94 39 24 95 29 226 115 79 95 231 175 128 248 38 112 230 14 13 213 175 135 250 4 46 24 190 127 250 220 71 253 164 218 4 98 225 83 253 55 30 70 167 98 169 44 100 197 247 22 121 22 173 158 233 247 254 103 198 174 73 53 69 253 149 162 91 128 245 247 179 206 55 61 115 136 54 219 50 64 71 138 103 185 246 30 137 228 21 174 45 29 178 7 228 162 177 206 20 7 227 25 156 160 153 129 80 235 200 45 66 69 209 20 229 219 128 125 60 222 38 159 92 155 205 113 215 197 197 186 184 245 121 221 53 235 51 214 133 66 232 124 59 10 162 133 245 247 20 58 204 69 228 133 224 26 8 211 124 66 74 177 199 219 201 230 186 137 11 236 33 75 225 51 78 139 132 7 242 129 98 194 51 154 77 214 113 244 15 177 22 39 70 92 53 104 185 236 113 27 203 78 213 166 221 14 43 0 89 207 184 38 165 122 111 100 132 174 229 232 212 54 145 48 145 47 125 211 173 108 235 134 105 232 189 109 195 11 162 5 137 251 235 25 138 33 190 190 106 209 241 179 84 12 175 109 29 5 14 161 210 232 163 165 68 210 194 214 252 1 75 167 11 163 129 97 160 108 86 21 174 151 199 184 209 57 17 185 99 31 44 226 102 234 139 20 245 239 10 4 73 114 167 142 240 94 98 44 179 12 226 203 223 147 162 230 14 69 70 81 237 140 133 18 195 97 223 222 223 24 35 192 57 181 58 162 61 4 216 41 140 216 226 237 208 233 10 234 212 81 35 106 172 157 138 163 241 76 116 32 81 154 213 65 45 134 236 208 89 104 193 116 188 111 171 23 102 62 223 228 44 77 149 52 142 130 76 175 149 128 111 28 252 116 158 37 86 216 77 156 227 183 131 178 167 116 173 87 62 196 168 107 141 52 72 149 179 31 16 63 235 6 19 178 169 232 115 249 195 100 142 36 246 195 97 196 116 120 112 90 185 14 135 176 58 233 110 214 160 222 34 31 92 20 162 87 239 73 201 220 96 22 48 68 26 118 144 234 133 157 75 9 203 210 9 255 30 36 31 155 102 243 148 218 60 142 78 122 119 20 24 116 170 240 194 239 33 202 138 162 9 52 69 208 57 76 7 216 60 156 52 211 30 159 97 97 78 87 106 45 27 20 26 7 61 162 193 123 156 169 194 33 150 177 82 92 216 167 211 180 175 56 248 167 194 68 94 72 53 71 32 186 176 207 105 108 45 220 108 233 241 240 205 176 68 82 63 239 224 145 226 237 77 41 162 154 28 225 54 0 182 77 176 215 57 69 202 117 220 166 136 80 243 230 0 126 183 83 145 80 11 143 250 197 235 214 250 208 162 111 32 7 183 169 204 212 211 198 133 198 195 76 1 106 8 112 232 9 54 116 136 179 208 197 237 175 29 44 102 86 7 145 159 201 54 78 69 6 200 37 71 43 137 231 177 121 141 217 19 58 118 122 109 154 204 177 0 223 105 197 23 66 12 30 52 89 93 136 91 18 73 40 252 204 84 127 189 94 56 15 106 162 48 169 77 90 60 80 178 158 229 229 60 113 20 179 71 8 233 37 73 217 72 32 64 212 203 45 65 132 201 14 84 147 148 73 171 176 151 58 213 166 226 158 180 73 97 85 111 113 196 41 100 119 152 100 3 88 54 12 179 237 80 146 80 61 65 81 43 179 87 83 188 28 252 52 169 48 214 154 131 190 142 135 123 208 148 153 147 211 77 22 224 35 228 254 48 239 110 8 23 110 239 213 77 254 113 237 162 18 120 75 53 98 252 109 23 70 221 198 162 109 39 253 162 113 16 72 148 143 178 205 7 32 26 27 156 15 69 176 121 117 154 232 228 69 140 190 176 210 224 42 2 186 214 208 124 210 2 187 254 112 146 159 83 8 63 35 134 247 229 112 122 83 131 225 148 77 132 145 143 141 222 38 244 232 67 11 32 3 83 165 207 218 144 20 244 178 121 254 165 132 217 160 205 156 220 82 163 0 147 76 146 32 145 134 231 166 36 95 175 1 188 0 254 253 74 226 104 125 227 52 123 104 99 230 41 111 49 97 245 131 207 118 18 192 196 216 133 244 94 114 55 41 181 181 18 184 233 195 0 124 46 40 42 188 40 151 138 76 67 228 97 25 103 169 243 141 165 44 239 17 149 1 13 96 244 184 233 144 106 90 65 213 121 222 188 164 52 101 216 91 69 204 42 249 253 141 228 141 26 66 80 15 136 94 42 148 96 251 160 5 62 84 84 154 73 156 9 32 198 35 67 219 16 47 148 152 97 10 9 24 150 186 201 102 115 229 203 205 135 190 200 9 32 226 1 236 153 118 136 58 196 236 172 208 189 151 106 16 107 22 78 196 215 173 166 69 25 92 171 211 32 16 75 27 29 18 75 8 228 9 129 0 201 105 71 199 17 122 175 220 162 226 178 69 158 27 85 154 154 254 117 204 57 227 226 40 45 154 208 43 106 15 74 45 165 72 27 59 54 50 24 213 212 4 71 59 5 123 204 64 137 202 232 253 134 230 146 198 1 154 225 16 7 92 105 106 219 27 152 229 131 32 237 92 200 52 31 210 143 250 172 40 233 75 1 227 208 12 115 89 81 8 191 101 234 115 47 57 220 35 219 232 208 110 228 197 171 62 58 29 46 37 200 199 98 7 214 215 152 254 29 162 46 198 142 201 128 219 25 101 134 62 55 184 201 23 210 113 178 221 97 224 217 95 102 218 1 63 61 233 185 203 90 90 101 104 156 165 138 192 91 38 112 166 40 45 89 81 52 34 64 33 196 249 248 222 200 232 199 128 59 234 161 108 66 100 234 182 112 226 228 196 16 194 219 55 89 94 38 60 239 152 83 247 20 192 214 226 66 171 177 62 238 39 243 13 130 64 86 142 191 51 109 46 203 56 144 206 216 85 24 147 4 14 134 192 6 108 153 96 232 149 92 223 90 241 61 50 211 123 218 52 108 128 38 68 7 85 154 202 159 83 213 172 69 84 216 237 208 24 47 37 39 1 60 35 226 67 109 79 92 235 25 94 90 185 0 11 80 25 214 234 84 12 24 162 97 160 54 93 112 229 5 198 178 128 214 164 204 168 236 10 234 73 129 122 80 31 252 57 200 101 242 253 174 177 127 76 251 192 13 61 226 20 142 83 239 83 142 12 138 58 174 27 172 64 14 49 251 254 6 137 168 79 74 39 75 212 93 155 39 48 42 67 96 170 118 15 152 39 29 188 79 252 241 14 82 55 185 196 5 140 228 237 47 41 241 1 60 65 219 104 9 225 43 49 5 108 235 32 90 206 224 204 17 180 121 50 41 180 61 234 214 102 89 179 216 100 86 151 70 156 62 198 24 211 180 42 211 97 55 4 130 226 122 77 194 68 214 62 28 4 62 109 89 1 12 102 32 33 165 96 125 51 252 248 234 164 247 138 18 189 146 69 169 180 220 241 89 146 84 145 51 117 171 75 16 32 184 73 222 9 221 81 86 250 55 221 134 9 167 106 6 207 167 59 208 36 227 115 76 46 97 77 201 105 7 165 206 42 88 204 142 17 198 45 162 48 166 115 13 48 146 228 92 209 202 210 220 160 158 66 85 121 150 149 65 173 162 223 179 132 235 38 222 162 112 56 153 106 152 84 195 13 83 94 72 226 191 10 132 4 204 200 231 45 82 248 195 240 76 176 2 121 36 115 210 243 14 186 137 149 69 45 15 143 72 115 63 225 3 173 128 175 108 218 180 60 57 150 66 77 86 165 211 105 112 152 128 254 249 84 193 254 114 128 146 81 50 148 232 242 157 162 60 181 98 156 106 145 172 138 185 162 224 170 101 55 226 15 209 242 54 29 48 115 83 167 163 174 137 30 55 71 60 246 16 82 160 153 114 149 175 116 121 173 71 76 59 160 107 187 101 26 112 69 18 28 160 253 123 80 234 148 191 23 255 30 18 208 43 248 157 60 72 176 132 254 178 33 90 76 36 116 140 49 198 247 251 45 119 123 115 189 13 252 124 30 122 193 3 224 130 78 169 97 137 31 91 165 71 43 143 111 83 135 136 119 92 139 134 212 33 193 51 245 117 65 90 218 50 197 203 180 59 212 88 98 39 222 246 160 124 32 119 51 192 190 228 152 52 225 154 138 88 49 199 226 178 168 159 104 185 112 109 146 64 150 119 56 64 8 182 18 15 26 140 78 252 206 249 75 189 12 136 135 32 82 40 179 186 67 88 176 9 8 169 14 113 104 37 150 80 135 29 14 33 223 156 203 184 108 195 63 148 196 141 184 121 198 34 104 192 109 57 84 122 205 155 156 70 76 83 0 138 1 169 107 192 229 192 32 83 8 18 82 113 221 201 61 243 102 45 203 0 173 12 60 14 16 111 12 225 241 20 230 178 168 38 232 75 50 203 213 44 248 81 143 242 188 103 156 156 229 65 117 210 136 93 148 28 39 103 166 81 224 199 177 56 53 117 114 232 109 139 69 96 249 21 7 38 108 243 173 232 165 3 115 180 236 30 192 233 96 26 173 98 9 162 9 102 80 39 229 138 239 107 210 198 84 145 58 68 175 82 177 140 184 172 145 204 52 98 95 213 10 106 115 206 161 110 86 10 148 19 74 139 5 28 45 45 104 69 27 29 138 181 165 56 251 138 108 65 26 99 3 201 55 12 194 241 179 51 207 144 215 12 85 74 139 246 116 154 150 147 195 118 182 193 10 162 248 170 121 254 97 20 108 159 155 249 90 41 20 243 126 137 132 160 204 162 183 95 120 215 121 147 14 99 49 154 72 53 155 244 59 126 1 185 88 45 145 21 9 39 213 33 138 176 146 141 206 112 59 54 72 125 81 12 82 238 65 111 183 43 221 194 201 147 50 111 70 101 194 66 36 94 24 115 71 187 141 211 79 209 98 83 34 246 37 186 1 97 16 236 96 182 21 104 156 213 91 137 161 184 0 74 161 70 12 67 132 33 112 60 99 156 38 152 187 84 155 191 119 32 160 73 212 73 101 169 164 46 32 206 24 234 173 139 195 246 177 33 6 69 174 248 65 0 128 116 179 58 179 241 162 27 108 3 28 112 131 50 195 41 78 189 235 54 69 189 39 135 20 8 52 88 91 216 212 25 220 34 56 126 230 238 195 78 104 93 108 51 203 33 232 151 42 85 166 209 57 107 114 29 224 194 33 24 106 204 187 117 158 211 199 230 121 65 193 229 172 177 249 61 37 8 40 157 44 78 168 126 40 35 222 148 225 112 160 78 35 81 139 56 197 193 56 84 1 153 213 69 20 163 42 126 87 165 225 0 159 212 46 218 68 16 12 10 61 93 234 46 4 45 103 144 34 42 130 107 163 73 233 164 70 147 1 188 228 52 19 180 63 10 37 107 97 177 166 232 27 14 118 97 196 250 0 245 193 208 255 137 81 88 140 142 44 104 160 122 147 84 23 199 175 141 254 56 133 1 164 105 118 156 162 9 69 14 143 72 104 9 67 91 226 82 39 29 35 138 163 62 97 33 42 83 113 130 124 91 224 37 145 137 25 218 213 3 91 65 74 233 100 105 68 35 25 102 115 139 36 20 50 76 217 199 135 208 233 88 111 198 109 77 11 244 173 126 117 204 180 67 79 28 172 121 143 61 165 156 55 40 187 229 121 129 73 60 134 227 214 191 8 97 86 148 186 66 3 234 16 227 104 198 133 0 163 211 4 132 122 168 159 17 136 179 77 175 141 169 117 137 58 145 167 107 182 161 5 33 40 87 236 102 1 223 159 198 111 56 155 62 60 183 89 212 115 99 173 47 150 116 117 140 51 6 138 138 208 251 110 254 183 84 169 34 82 122 6 178 14 134 95 8 31 103 178 73 193 17 212 13 124 20 234 50 179 185 1 93 233 51 68 204 157 97 36 121 0 4 149 153 66 120 42 105 154 86 237 182 55 26 103 137 52 193 121 118 10 154 8 166 10 49 196 191 224 50 166 207 66 133 97 134 144 127 65 64 195 217 157 152 219 41 25 177 166 52 18 31 240 16 245 22 18 17 102 248 129 135 0 240 109 3 176 48 37 92 7 150 13 231 238 128 54 148 136 90 156 94 61 44 76 135 239 125 43 43 76 29 29 209 204 189 2 250 249 33 79 224 224 82 133 58 3 29 63 247 112 103 48 168 124 168 84 26 54 209 184 255 81 157 129 16 64 37 102 102 172 112 90 134 19 173 228 135 220 237 198 181 63 254 163 110 251 65 189 243 84 24 200 250 251 241 215 106 82 62 19 69 124 17 222 200 71 22 65 245 111 142 251 15 150 30 228 194 120 188 191 139 17 88 246 51 138 83 62 182 94 82 192 137 202 24 204 212 18 222 177 10 117 60 140 207 215 67 186 89 55 9 218 117 7 69 208 164 197 105 110 253 55 129 193 169 128 8 190 77 24 28 84 55 138 72 105 179 97 203 149 96 85 173 118 198 36 9 218 196 121 99 64 211 83 96 3 83 244 93 213 109 164 192 38 238 40 148 66 242 85 159 24 128 169 193 239 233 254 60 200 236 43 193 36 83 65 105 35 165 32 143 189 235 6 24 100 186 84 231 6 9 51 171 157 249 50 138 105 251 235 226 185 56 217 226 160 139 131 113 1 166 49 231 101 34 118 24 250 221 161 93 204 173 32 232 35 39 163 178 77 45 99 123 164 176 200 104 107 201 253 197 164 65 239 141 24 129 110 135 130 169 227 210 168 206 28 92 17 62 88 85 100 64 173 180 201 12 27 29 99 75 40 48 124 235 106 82 249 78 55 60 196 77 123 48 142 212 247 175 22 212 137 65 73 84 191 92 61 201 72 56 245 174 171 75 117 33 187 225 140 108 134 176 52 10 63 33 39 49 32 49 173 164 100 129 198 157 18 79 99 28 112 172 137 80 44 249 233 34 129 97 33 188 84 15 57 221 203 128 89 199 0 188 195 124 64 34 38 0 221 69 31 89 236 27 135 219 8 34 175 255 18 101 111 67 198 133 34 167 236 39 139 118 25 43 105 28 183 20 167 103 44 61 202 8 59 183 5 216 102 20 54 170 243 190 237 180 208 142 136 174 124 129 140 244 42 14 121 164 176 54 105 83 124 147 53 240 1 155 166 69 40 111 32 81 211 151 112 206 148 243 201 13 15 128 3 240 160 179 63 69 0 113 226 130 140 1 165 202 232 150 153 185 234 34 224 188 120 8 87 82 162 46 119 72 57 114 255 103 144 56 6 3 5 7 250 250 194 34 194 57 222 249 231 204 206 18 245 234 134 92 66 68 153 130 209 243 40 158 162 40 183 98 10 5 144 254 233 240 187 154 203 58 19 190 244 95 173 184 2 163 221 172 51 77 237 171 106 234 96 55 40 158 134 61 182 213 94 238 61 138 49 60 196 65 54 220 64 245 102 9 69 47 146 83 234 40 169 70 76 228 145 179 29 32 37 116 0 122 132 57 108 235 220 140 198 114 189 152 52 2 249 75 154 173 52 192 120 78 93 246 222 77 155 179 72 162 88 201 220 42 23 148 99 15 173 155 63 196 92 2 238 129 75 220 110 147 34 138 133 246 145 12 142 209 70 165 229 247 135 249 0 138 189 106 9 102 119 149 121 211 216 139 227 52 150 69 209 171 153 127 118 45 179 67 130 149 109 54 27 196 87 29 240 109 38 216 52 249 187 247 184 213 151 55 35 10 23 111 170 5 229 247 112 183 121 240 25 111 50 177 13 243 75 89 163 166 232 1 43 176 173 4 144 57 200 156 78 141 13 22 105 125 135 232 20 28 179 189 111 65 216 60 91 230 55 148 96 103 181 126 225 139 72 101 108 104 249 179 74 151 14 32 2 37 117 29 80 127 108 194 51 29 66 215 46 113 196 80 246 13 69 42 61 241 31 21 241 26 208 105 194 33 14 56 196 56 90 183 61 16 18 175 31 226 246 85 169 136 116 188 227 236 157 227 1 214 182 111 53 166 33 149 60 200 244 15 92 107 21 232 221 141 140 155 96 64 157 38 7 62 4 0 247 129 236 107 222 101 75 117 40 175 33 6 185 218 186 220 77 134 29 17 18 253 227 207 58 160 91 144 228 1 165 234 219 227 38 15 178 156 81 52 99 214 44 115 154 109 144 153 40 229 152 195 120 64 181 140 112 143 56 165 16 82 161 81 6 125 95 225 74 114 0 172 23 163 112 66 26 229 232 195 6 9 108 199 169 66 217 230 254 124 160 110 150 214 214 210 34 200 29 107 159 18 183 208 6 116 45 87 129 133 238 10 118 148 26 92 98 228 187 26 199 190 163 54 53 192 209 58 120 147 211 206 14 132 82 142 142 64 237 99 54 22 167 210 135 254 56 9 255 163 106 230 131 103 0 175 92 126 78 133 72 179 218 133 232 215 227 222 218 134 50 8 239 200 174 206 22 166 9 137 67 20 40 199 195 86 48 138 15 141 159 1 40 171 135 146 10 154 201 209 243 31 216 57 128 236 200 233 113 217 114 136 202 140 237 159 181 247 176 147 99 46 137 13 181 46 234 29 203 27 228 62 112 170 246 80 180 50 149 254 12 146 116 73 56 44 56 4 238 30 254 113 136 157 210 99 144 63 114 152 129 110 198 4 88 13 18 135 6 24 69 22 64 205 129 84 146 231 45 23 147 191 24 154 15 209 126 56 30 60 206 165 188 128 40 120 83 40 53 143 20 168 252 65 16 225 255 23 107 143 157 139 164 219 20 191 103 8 70 154 155 207 149 237 46 81 34 160 17 128 83 64 173 23 241 201 228 239 5 241 134 16 107 125 180 220 152 45 199 160 23 151 171 107 175 45 38 154 33 254 4 155 61 92 34 114 77 138 36 51 34 234 118 219 59 20 240 141 186 63 82 42 249 33 78 88 184 237 119 10 100 250 128 255 241 150 230 27 142 17 106 184 17 93 203 11 199 233 186 239 195 209 206 67 199 153 237 103 201 134 36 238 212 118 169 136 212 11 96 36 123 243 47 172 183 84 82 173 148 109 201 46 196 18 87 95 202 24 42 149 85 147 55 120 104 199 24 143 226 41 107 90 137 249 113 126 255 195 4 9 155 70 42 68 31 28 10 163 97 180 41 52 92 17 153 54 115 119 6 189 194 72 93 197 41 116 112 244 230 141 164 238 246 251 9 60 30 43 16 25 209 133 7 236 218 222 44 67 228 148 150 164 104 201 44 18 200 86 95 125 62 159 197 72 146 86 35 183 14 24 219 140 242 109 159 108 110 78 147 70 33 216 87 152 150 127 200 189 66 178 206 168 39 151 38 125 239 192 188 14 24 65 145 190 105 82 224 108 110 68 86 206 224 182 139 204 128 176 38 195 190 235 189 81 248 134 105 111 111 3 248 177 36 45 147 34 142 175 43 28 4 91 68 47 0 147 124 222 43 24 80 155 242 80 4 49 192 151 115 188 84 222 101 175 220 18 248 247 116 99 192 4 0 242 58 75 195 68 210 253 74 113 152 183 33 108 217 35 190 137 242 7 227 132 128 145 129 244 193 251 16 111 2 111 112 67 203 52 217 136 224 109 64 10 66 249 132 20 61 45 18 225 184 16 36 3 115 200 207 18 231 26 191 127 168 54 129 49 137 235 176 2 167 207 173 54 212 225 202 7 226 111 37 136 16 18 40 83 166 100 110 163 64 48 75 160 51 42 52 222 41 82 14 101 123 130 6 235 2 32 82 93 13 197 95 88 193 103 42 149 76 190 49 1 9 86 84 214 131 250 123 239 41 183 206 33 196 19 14 196 158 254 187 212 94 51 251 121 123 207 180 54 91 89 193 147 132 11 36 91 129 254 50 236 155 140 31 168 143 113 74 198 36 204 157 46 134 87 208 248 94 210 204 230 33 20 192 20 77 6 217 200 32 124 19 119 227 217 89 6 102 27 192 9 203 129 39 120 145 122 103 54 173 13 229 50 152 166 69 164 158 65 16 199 93 49 139 74 164 122 138 123 92 194 176 108 201 247 36 126 182 151 219 165 76 127 52 233 125 79 162 50 58 113 58 182 101 221 46 125 161 49 118 244 117 133 20 16 247 243 51 26 125 52 35 227 28 224 14 194 83 107 202 80 125 40 60 68 180 68 29 191 194 165 249 29 156 145 116 144 55 180 246 18 12 29 238 31 143 48 147 39 236 68 47 230 39 55 168 95 48 117 10 25 50 156 210 24 86 20 34 136 165 230 91 69 86 88 230 6 56 106 28 53 7 44 24 100 7 56 70 207 103 107 231 81 79 241 73 179 33 24 205 208 174 9 174 182 115 108 36 43 8 183 14 137 243 247 10 207 147 62 112 15 211 129 192 81 68 222 252 202 17 35 160 174 230 91 57 73 25 21 159 21 182 221 36 213 55 79 200 120 5 188 15 125 182 162 210 229 35 186 14 193 168 247 231 243 137 57 231 97 173 138 229 230 24 99 220 207 250 75 123 88 98 16 16 76 190 209 187 176 28 189 230 204 252 211 126 34 7 132 114 64 1 205 72 102 211 114 234 120 202 27 221 113 105 58 209 33 80 233 38 63 136 250 69 120 29 181 127 227 175 61 202 118 16 41 139 80 209 218 234 248 56 177 2 211 118 147 90 218 10 57 167 22 205 241 178 102 141 20 59 136 103 91 227 165 150 143 216 103 147 67 160 173 69 46 132 195 248 123 225 103 29 17 241 197 86 24 28 214 73 135 88 34 250 141 202 102 40 181 84 177 158 19 64 177 45 150 223 65 101 123 77 39 172 104 130 225 243 190 111 246 218 184 65 192 105 234 104 229 151 29 2 92 117 96 223 118 217 94 141 160 222 0 25 147 169 234 3 240 33 146 210 58 66 236 189 0 33 198 244 99 172 158 45 53 228 55 162 5 9 169 41 31 160 16 232 35 42 43 170 49 66 214 166 154 112 67 202 0 2 25 199 48 173 11 101 169 26 63 120 95 169 67 156 130 251 29 74 147 12 178 164 36 192 146 71 236 222 82 57 70 246 139 214 235 89 147 155 57 134 207 187 92 90 142 217 157 145 205 77 227 211 228 166 213 148 214 216 38 116 143 101 210 253 255 95 0 97 103 83 30 149 104 89 98 215 197 5 206 213 151 159 93 57 166 200 53 247 103 252 240 65 199 161 35 104 127 109 229 236 197 192 10 211 242 32 197 45 180 245 100 230 19 180 46 54 146 122 152 1 116 181 119 239 122 154 35 94 158 224 93 201 250 144 211 34 49 253 82 166 78 69 214 218 193 8 235 218 65 132 34 31 128 32 245 18 75 180 204 36 213 208 57 95 114 58 203 52 80 90 240 149 141 240 176 189 76 155 59 63 37 108 37 170 89 103 215 75 239 110 46 113 227 169 204 167 94 204 10 54 3 2 36 136 144 195 195 70 190 16 60 252 205 73 195 88 12 109 114 65 78 180 98 149 139 161 133 39 147 57 10 88 194 210 229 52 4 225 71 118 83 174 230 218 63 100 97 64 42 183 148 112 124 211 134 41 114 111 72 36 152 208 192 129 122 120 97 250 129 12 152 81 6 155 138 21 132 223 159 60 255 108 74 130 20 41 249 35 246 71 67 245 214 102 51 118 223 96 84 171 44 66 54 143 94 105 188 52 72 17 64 82 45 171 23 127 175 136 136 185 36 140 85 240 96 162 6 9 64 60 129 16 3 46 147 98 154 236 47 77 250 168 0 60 235 254 41 70 88 211 12 42 188 77 121 241 58 179 31 153 155 191 158 200 202 82 58 112 97 148 112 160 204 84 192 47 58 86 200 201 188 139 210 102 38 58 148 0 12 36 26 74 172 19 102 250 184 105 163 199 86 102 189 169 101 75 41 90 97 172 42 146 116 251 6 9 254 133 0 207 20 81 31 249 191 200 218 65 128 46 221 45 36 228 91 121 225 143 249 104 56 204 248 156 148 145 152 149 16 66 167 5 120 46 155 47 16 83 80 255 129 191 87 54 233 246 166 162 177 228 127 152 20 195 129 56 206 73 182 73 228 136 52 170 25 71 214 64 0 225 136 125 232 192 121 139 13 232 64 76 209 25 80 28 240 18 16 135 178 185 61 128 197 37 210 207 24 142 232 160 60 183 207 221 81 64 21 21 60 27 155 250 41 30 226 170 170 43 244 80 117 144 181 233 38 80 143 51 197 241 87 190 5 23 239 11 15 127 56 97 51 97 122 53 195 232 121 209 24 91 242 3 20 210 65 216 79 158 44 98 79 198 222 233 6 5 226 36 186 239 236 249 27 44 228 26 86 144 237 11 106 126 164 89 162 162 202 1 220 113 250 38 188 170 66 129 65 174 7 172 64 36 245 154 29 146 70 90 108 235 179 142 104 168 161 124 208 27 15 41 107 38 174 100 122 227 28 195 45 113 240 187 250 26 105 162 174 101 53 130 204 251 240 150 84 189 102 148 234 85 99 148 10 220 68 213 27 12 88 43 248 220 181 183 20 180 191 132 1 185 123 72 206 249 96 194 195 43 85 63 42 69 4 178 39 157 128 6 22 0 22 171 206 27 161 231 57 173 126 147 209 56 138 16 60 89 145 178 165 152 17 198 224 83 148 126 38 13 80 59 167 135 173 61 179 80 223 174 46 166 12 36 249 16 208 251 159 209 76 133 69 227 239 197 169 184 241 61 162 125 55 121 92 47 26 60 225 121 198 176 206 232 161 204 92 253 98 54 161 8 88 170 119 255 107 41 194 10 28 232 158 49 187 114 206 8 87 4 236 219 175 112 108 57 2 153 80 228 193 117 71 91 30 37 38 184 9 68 92 100 149 194 125 218 237 70 162 17 68 212 237 194 219 180 28 23 153 107 6 120 120 86 28 30 210 135 100 175 34 38 20 112 13 70 242 183 91 107 209 181 108 68 249 16 93 221 78 236 50 254 188 33 102 125 7 32 172 202 20 0 229 139 74 184 74 226 6 74 165 168 72 104 183 53 140 71 127 47 195 137 86 254 188 216 46 90 94 77 133 216 132 96 94 49 210 170 110 236 4 188 192 117 31 24 111 72 2 12 59 47 46 150 158 82 217 86 15 227 159 89 22 3 134 3 90 74 31 81 94 240 94 91 98 26 92 55 127 214 51 251 126 191 147 140 31 134 242 9 191 214 23 190 223 239 98 98 97 141 55 168 167 53 226 212 42 70 61 42 231 9 123 160 110 56 73 20 187 100 170 2 157 202 244 14 177 198 115 226 234 124 203 74 73 23 248 121 23 33 67 164 178 7 249 64 220 194 155 138 8 162 148 224 89 164 124 143 82 220 204 206 173 241 96 204 25 67 248 50 142 23 135 217 187 171 239 141 128 252 113 3 147 150 26 162 197 173 128 61 62 87 120 175 140 195 20 181 220 130 193 205 6 240 114 169 109 209 72 46 223 192 165 122 249 47 38 125 225 218 134 161 231 165 145 121 151 80 122 77 56 135 82 36 113 196 41 105 194 37 96 10 244 185 170 106 126 191 223 185 26 222 32 215 147 13 197 46 97 19 59 115 183 8 61 149 210 4 200 114 27 237 16 161 119 170 32 130 4 34 209 119 16 86 151 53 160 0 51 182 218 237 102 4 149 113 67 56 12 195 5 41 132 103 84 135 43 3 66 203 220 30 165 7 139 53 32 144 8 252 236 109 188 21 215 90 144 63 178 33 51 224 156 175 187 221 112 141 145 83 81 180 87 138 166 230 2 159 179 42 173 184 189 72 153 200 26 184 89 253 241 145 47 131 227 240 187 183 185 133 57 103 204 249 28 143 118 0 163 145 72 126 253 218 26 32 186 226 156 155 228 55 89 16 101 15 226 62 215 7 212 224 223 22 22 172 63 185 7 151 98 158 116 56 160 197 244 93 139 212 58 22 200 165 68 19 112 168 128 83 208 116 117 87 99 191 26 18 38 222 107 215 69 76 152 8 214 17 154 185 33 243 240 61 202 118 53 41 229 222 188 175 248 16 43 127 175 197 104 99 86 22 82 35 41 106 30 230 4 124 147 186 67 34 246 68 59 131 125 150 158 219 179 154 244 25 182 207 6 7 223 185 102 118 132 156 116 94 75 174 147 130 157 136 59 187 221 76 228 231 156 137 35 162 84 223 207 216 237 132 66 180 160 20 96 188 97 37 215 247 251 61 40 112 236 15 27 187 90 65 169 15 131 205 219 151 158 50 43 139 72 155 85 65 60 40 246 234 17 130 0 76 35 61 176 8 252 124 84 70 48 153 255 72 79 141 2 99 152 67 38 135 27 160 158 30 47 238 17 171 199 158 77 15 150 157 60 18 193 26 196 43 154 254 237 160 214 33 79 32 241 128 132 74 239 43 180 32 63 223 28 135 144 160 233 107 87 227 196 25 72 76 18 195 8 108 125 179 130 24 202 239 166 240 138 42 38 30 133 25 97 237 64 189 133 25 0 73 7 217 111 78 214 73 245 222 22 115 110 220 61 233 25 218 76 62 230 156 27 33 196 186 46 154 67 156 162 71 121 216 77 118 244 191 21 36 176 30 255 225 161 29 226 1 116 243 12 146 158 41 110 184 255 160 158 153 16 77 183 135 205 82 183 84 127 58 251 21 4 89 208 225 34 93 122 229 232 156 11 241 133 40 141 64 147 115 142 104 81 125 14 102 138 217 23 130 46 42 4 23 219 82 8 4 0 248 214 54 201 76 112 189 187 13 70 240 108 4 181 139 226 165 47 142 235 60 241 224 9 75 223 92 217 38 7 115 156 6 83 154 105 70 207 94 89 22 29 1 54 51 191 240 140 63 209 120 107 93 107 227 223 167 126 16 161 227 105 78 163 215 177 184 69 214 38 91 17 48 9 136 58 178 96 33 247 146 206 40 141 102 61 219 22 25 182 107 64 115 107 235 247 66 125 103 145 78 160 7 38 11 236 81 239 89 161 178 42 133 75 126 22 168 204 226 91 182 199 109 156 226 6 103 178 5 183 169 112 83 15 241 25 170 170 190 192 17 224 113 191 237 115 80 57 225 50 149 34 53 201 84 96 22 13 98 12 188 85 137 39 80 10 71 88 159 11 177 154 226 20 111 47 191 248 1 79 209 122 45 4 120 9 36 157 174 155 1 135 114 118 67 60 34 192 109 89 152 187 100 120 239 96 214 116 193 109 83 17 241 47 232 87 14 154 220 136 102 116 236 1 130 8 125 195 190 107 56 132 80 245 95 241 160 136 175 79 236 63 171 52 30 93 40 48 82 99 74 166 68 196 197 245 192 109 162 101 1 244 144 93 96 32 0 167 121 100 203 205 4 170 136 221 224 44 12 37 116 51 95 119 217 145 64 239 83 17 240 33 162 79 149 62 27 51 50 89 179 223 117 160 100 102 33 30 32 236 103 67 216 20 5 139 235 137 86 15 103 3 24 4 210 168 154 72 165 18 245 57 239 11 236 115 95 74 171 195 240 165 204 113 170 172 71 153 181 11 106 229 118 161 16 50 189 169 202 44 128 53 118 133 219 237 82 186 68 93 180 54 229 87 68 174 161 34 11 136 203 213 15 205 248 18 72 226 65 220 23 68 15 231 51 43 135 21 168 223 93 252 26 247 166 43 81 159 240 239 77 115 75 42 107 157 162 201 172 104 162 234 12 49 255 76 153 138 28 151 132 231 55 20 64 162 70 16 99 23 110 87 14 144 136 137 132 2 45 157 51 2 62 91 225 221 204 7 38 21 122 206 175 195 116 92 39 113 75 46 32 78 18 152 131 102 136 214 210 209 34 53 146 68 69 151 193 164 90 87 222 248 235 119 129 149 18 7 141 37 80 56 225 48 63 151 5 19 145 184 124 184 238 91 119 138 116 68 13 169 79 197 86 17 254 71 143 168 58 211 229 238 3 52 40 106 150 160 12 242 109 174 20 48 195 76 198 112 29 123 212 86 13 115 167 68 141 157 172 179 116 151 34 27 96 78 22 35 206 38 83 161 187 188 81 211 205 53 179 119 180 1 159 14 169 92 149 109 54 211 99 135 251 161 154 24 34 208 80 117 26 148 194 105 25 174 114 137 254 174 20 94 84 119 4 241 228 55 74 177 0 192 14 14 184 226 117 71 68 124 191 223 66 42 50 129 120 135 9 60 62 19 150 238 89 102 142 152 121 17 13 154 197 11 89 5 197 94 116 87 68 252 107 45 130 41 188 81 9 36 222 82 58 209 184 79 2 53 146 40 138 93 186 84 13 79 245 64 83 85 106 201 109 30 113 147 112 134 241 230 107 91 139 243 42 124 142 185 103 126 168 136 138 84 47 105 44 113 195 16 144 65 37 20 68 149 47 144 67 167 221 84 90 17 25 198 250 123 81 48 75 2 159 6 131 90 38 40 43 71 144 10 47 207 147 166 60 57 122 192 34 173 61 166 243 212 58 11 58 47 174 243 196 9 58 194 66 210 145 148 84 93 140 189 247 123 255 116 206 30 75 101 100 114 208 227 41 177 57 231 188 184 25 142 81 23 180 145 202 189 24 162 184 0 150 77 129 62 134 242 215 81 15 149 9 9 46 28 115 203 199 164 83 82 194 53 78 194 126 55 147 171 28 9 16 53 103 192 100 240 32 61 163 174 124 99 154 207 167 108 91 147 116 179 152 139 235 6 239 57 253 83 159 159 205 186 83 73 244 136 76 128 111 228 162 62 105 168 25 100 33 238 127 240 173 197 179 113 150 166 110 60 240 159 172 115 210 64 74 17 22 243 134 174 31 106 152 148 10 51 63 161 53 179 95 64 45 114 43 240 189 192 3 251 94 6 9 69 25 30 85 223 50 122 200 44 176 167 198 6 181 191 73 141 243 48 166 88 155 146 135 168 203 178 73 169 17 21 85 106 142 25 122 134 90 181 182 142 214 11 167 175 110 176 64 184 96 108 135 158 209 92 174 115 177 6 119 198 219 112 155 78 209 203 101 78 115 26 175 166 50 22 159 197 51 209 52 184 193 196 6 166 119 38 116 60 182 148 28 80 250 73 178 191 184 55 216 194 232 80 150 36 16 73 150 133 44 63 107 172 130 143 217 243 142 3 129 160 225 75 93 61 129 15 143 130 121 42 248 43 171 152 136 125 148 150 123 221 91 7 232 106 110 58 5 74 36 235 106 45 18 55 126 63 11 143 211 16 250 23 107 95 122 200 191 154 83 119 26 210 179 137 222 217 0 19 245 11 103 86 0 51 217 8 245 111 27 145 166 126 28 175 59 156 121 153 248 253 147 253 162 227 148 175 137 230 166 10 85 210 152 26 121 240 48 133 26 253 36 186 100 208 33 142 102 104 229 96 99 117 101 28 223 76 34 19 81 239 35 92 151 227 133 89 134 93 15 174 231 177 100 168 204 140 239 247 203 158 90 35 188 150 182 10 194 3 203 218 53 7 1 193 97 115 162 168 170 188 40 250 69 211 131 83 7 0 229 111 159 105 154 251 86 25 2 126 63 134 233 129 193 50 111 152 63 126 56 80 63 153 75 155 244 43 73 152 160 93 112 184 221 199 27 121 68 60 43 9 228 137 218 172 140 172 45 3 103 106 80 159 133 31 84 112 115 24 71 137 116 244 248 244 121 0 0 6 51 73 68 65 84 211 89 167 108 101 30 145 126 56 224 115 118 82 134 193 245 86 198 40 153 97 251 30 29 105 72 161 213 10 44 192 11 72 116 66 82 217 181 104 156 240 32 133 184 146 82 225 54 106 132 246 177 48 134 180 253 139 251 234 202 204 143 250 144 6 213 237 110 185 32 211 41 166 97 182 214 157 66 89 67 129 87 217 28 228 120 57 196 220 179 76 33 24 136 153 68 103 15 242 128 68 99 140 184 35 102 23 128 146 184 179 91 223 211 5 34 213 123 228 212 153 82 186 9 207 49 13 46 224 4 6 131 144 81 107 50 238 236 80 76 80 237 44 84 14 145 57 177 206 255 36 160 151 202 40 141 177 251 112 189 233 216 189 156 230 26 162 112 82 194 68 233 228 82 227 195 108 44 213 129 89 193 1 218 83 67 177 184 150 130 8 150 49 99 140 135 16 130 212 193 20 31 134 123 153 18 112 64 6 216 106 107 153 116 229 104 193 152 52 9 155 227 72 56 41 37 135 42 230 104 93 27 99 240 112 56 151 6 2 229 140 16 254 192 112 163 114 111 21 205 223 138 28 17 211 8 34 240 237 126 12 221 243 160 23 178 232 68 10 157 162 247 93 216 115 197 86 30 9 215 31 173 16 186 101 146 50 22 21 48 220 65 97 193 138 129 193 159 136 37 178 22 13 47 181 44 235 233 248 171 35 222 173 179 44 117 94 46 141 80 46 27 220 173 17 153 218 182 95 111 9 93 60 196 15 114 126 159 163 41 212 108 159 120 113 81 84 219 82 7 197 172 162 148 12 15 90 0 60 31 68 48 73 147 70 112 175 19 205 173 147 102 103 159 77 167 76 216 49 170 57 212 22 172 54 236 152 164 16 2 228 64 83 46 83 17 237 178 109 1 151 125 236 34 209 179 207 86 236 179 200 35 200 138 197 104 54 151 169 47 37 230 1 130 128 65 8 53 166 225 10 184 59 170 45 33 115 108 137 30 110 44 148 59 27 56 145 69 29 16 181 206 10 41 15 26 167 125 91 231 48 25 66 71 110 98 189 177 45 80 195 58 51 201 233 152 174 91 251 113 236 183 212 147 225 178 92 48 212 227 31 212 134 191 212 166 235 188 139 148 169 249 26 25 36 77 234 201 10 156 42 229 101 20 85 120 204 38 139 209 145 123 164 109 17 137 232 207 64 202 108 236 88 25 168 41 97 118 141 233 86 242 116 22 109 162 66 242 196 234 15 10 239 43 118 166 72 144 180 125 75 235 16 84 60 168 145 202 95 75 144 12 182 125 32 56 241 232 222 137 46 16 165 64 82 85 178 225 58 155 65 28 119 240 152 215 61 12 14 193 89 217 52 124 250 80 40 183 184 81 183 117 14 210 240 22 7 63 105 157 185 51 179 121 77 137 215 56 80 233 0 185 104 241 58 15 69 51 249 96 53 45 153 214 19 10 235 17 242 190 25 43 234 64 148 253 52 19 78 249 2 78 116 40 164 148 60 69 173 99 4 187 28 209 164 25 148 199 97 250 34 68 247 171 216 55 92 231 102 230 231 110 207 184 33 252 77 31 12 135 235 81 239 25 134 22 212 140 181 66 98 138 25 67 156 225 16 93 116 108 145 69 200 10 145 220 80 82 253 95 241 87 128 145 89 90 165 8 50 47 120 67 153 127 35 11 47 201 168 92 174 179 97 2 42 144 176 104 168 35 227 118 205 48 224 37 6 199 81 85 147 169 153 12 50 162 148 48 172 23 126 45 169 244 221 94 247 162 7 59 66 219 150 112 77 178 69 67 16 118 47 77 154 58 34 251 64 57 215 151 54 0 114 179 43 27 131 167 151 246 212 161 99 181 102 100 113 227 220 105 175 19 169 83 229 1 70 199 71 16 158 111 199 31 136 11 65 253 228 160 67 82 2 209 103 221 109 231 39 157 84 22 28 154 208 226 214 203 166 101 165 228 110 211 100 53 227 173 206 100 43 26 215 53 121 89 103 5 12 254 178 206 195 119 232 142 204 103 27 111 37 26 109 183 206 195 116 17 92 201 52 72 237 134 245 211 146 74 155 191 243 200 66 86 38 68 107 225 240 102 85 80 60 19 1 72 79 233 1 56 154 67 172 156 232 203 248 27 119 27 35 196 231 11 33 156 141 163 152 243 30 111 82 96 199 49 54 184 218 18 232 230 199 23 162 160 105 114 107 66 57 80 78 70 246 213 218 96 127 95 164 243 207 141 218 53 201 21 103 128 167 199 4 240 117 128 59 102 157 51 60 125 84 9 71 148 33 131 28 29 13 167 58 74 7 255 151 117 62 124 159 185 85 6 64 97 222 227 186 111 235 44 109 88 105 157 139 38 190 214 103 152 212 90 228 26 121 50 81 233 98 59 16 74 45 241 133 231 75 45 217 233 38 39 166 7 226 239 171 89 220 82 158 199 170 119 73 155 38 213 112 5 62 249 85 147 16 232 166 148 45 59 31 168 124 65 107 7 215 114 88 158 24 39 134 201 192 163 33 40 4 60 91 222 124 5 125 254 48 103 89 137 192 77 133 126 179 226 73 236 174 128 255 229 117 230 20 189 1 160 212 51 58 214 153 112 138 237 230 116 235 172 16 254 48 2 144 225 117 222 120 157 55 236 130 107 124 92 103 149 209 116 177 87 216 252 214 213 32 121 140 240 178 197 233 112 45 5 5 34 220 191 112 66 61 137 62 82 142 48 81 108 119 242 210 83 60 126 135 144 209 109 231 107 111 128 2 17 71 231 189 180 45 178 80 152 80 172 169 33 228 137 120 80 253 153 17 6 214 216 35 180 15 228 0 244 202 13 229 218 208 140 240 109 96 26 221 36 184 206 243 255 195 58 63 126 194 255 221 117 118 2 11 10 132 101 135 148 183 117 86 138 165 106 178 12 28 31 210 48 213 74 112 4 2 250 246 91 240 154 115 34 78 50 192 114 119 195 146 112 157 85 233 120 129 236 204 214 191 21 222 78 179 177 12 149 182 172 252 53 180 134 137 83 35 73 162 228 170 182 111 208 232 217 220 90 225 90 78 92 35 170 182 19 166 155 162 103 188 161 243 115 206 79 120 107 207 164 233 38 214 115 154 212 243 100 30 122 9 45 48 213 78 115 189 254 164 122 239 216 168 157 46 213 255 212 58 171 64 67 191 83 173 115 26 100 188 76 16 119 235 220 237 153 99 188 117 129 78 188 206 181 75 179 164 104 77 225 190 158 115 41 111 252 165 219 39 5 139 136 238 225 17 216 181 245 180 196 194 78 64 73 75 20 236 54 74 10 160 64 41 84 74 127 29 190 53 76 138 130 126 63 206 253 189 20 74 136 136 162 234 100 185 182 150 216 24 152 85 12 108 61 136 241 201 132 91 110 138 200 58 131 228 125 131 172 72 129 61 55 68 109 197 233 30 169 20 229 234 213 254 111 175 179 28 77 164 225 145 82 45 153 95 215 185 49 249 203 95 214 217 184 168 4 244 140 177 94 29 203 204 188 91 103 40 91 75 4 68 187 206 88 246 193 58 39 101 93 184 31 235 63 1 224 30 107 37 159 190 132 195 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache first! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
gradientPng
	| cache |
	cache := #(nil) beMutable.
	(cache at: 1) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 0 10 0 0 2 88 8 2 0 0 0 212 137 224 63 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 9 112 72 89 115 0 0 13 215 0 0 13 215 1 66 40 155 120 0 0 0 7 116 73 77 69 7 217 3 1 6 39 17 178 1 20 215 0 0 16 191 73 68 65 84 120 218 165 92 219 178 28 71 8 67 184 255 255 151 149 135 6 33 122 214 15 174 164 42 113 188 103 119 118 166 185 9 33 78 196 255 252 7 246 223 127 248 20 246 103 177 174 135 248 241 3 255 154 245 39 190 239 196 126 15 250 139 0 216 79 239 167 137 8 6 34 24 124 238 170 222 245 189 82 253 116 46 27 64 204 223 78 220 235 1 96 125 150 186 33 50 163 94 102 4 237 134 235 2 201 123 53 222 171 245 21 130 247 223 196 28 33 131 253 115 70 4 129 56 245 85 244 35 162 254 204 126 111 63 25 8 51 70 174 99 188 119 48 183 30 25 172 243 0 250 146 247 111 140 64 252 193 188 30 254 244 247 57 18 17 68 157 114 125 20 253 83 68 214 49 16 4 238 217 220 19 39 121 143 69 247 117 111 44 200 50 16 200 63 245 222 40 107 220 55 160 205 118 214 25 7 35 8 29 19 153 64 4 121 191 74 55 70 61 8 144 208 201 149 199 64 103 156 8 246 97 173 243 99 29 106 29 9 175 195 149 233 0 48 16 76 217 162 254 229 184 31 129 178 24 249 58 127 4 219 160 247 33 89 255 237 152 64 32 78 244 177 212 183 95 175 233 15 101 240 19 47 102 196 3 224 30 137 62 7 115 136 115 93 46 162 205 166 59 36 25 125 241 136 32 235 59 121 255 2 0 145 172 7 139 49 93 27 140 129 51 193 119 95 229 196 34 200 227 33 28 43 105 176 158 123 61 233 245 166 190 193 179 242 144 220 17 245 104 57 207 245 35 167 48 99 108 79 79 17 8 34 144 237 92 113 195 184 19 11 25 184 1 140 118 162 122 44 90 180 102 68 80 119 50 94 91 22 56 252 149 118 81 49 126 79 109 156 237 13 231 244 31 124 223 154 127 73 241 117 24 25 230 201 12 75 105 97 126 78 93 124 158 10 17 145 180 207 240 189 1 36 86 121 160 82 75 159 249 39 175 115 146 100 221 154 18 76 123 19 120 147 228 185 62 137 235 166 100 135 89 229 176 131 251 25 90 66 45 39 142 78 61 237 166 109 84 222 196 16 17 71 78 75 229 135 107 88 202 21 73 86 245 9 78 204 4 136 115 19 183 206 171 110 253 198 26 34 163 227 138 58 56 180 199 145 217 190 213 30 1 93 198 146 199 228 52 174 112 72 183 113 231 206 121 71 46 231 129 12 173 106 224 117 208 203 14 111 110 65 191 166 220 168 236 193 250 116 127 39 100 144 250 51 49 69 75 97 220 214 6 178 44 213 201 137 74 90 136 32 143 252 236 158 107 123 209 189 2 210 50 117 249 3 27 11 4 227 212 113 194 34 177 156 234 198 55 230 165 78 230 83 241 84 160 25 187 6 223 103 205 122 30 98 106 122 140 205 179 140 91 229 141 126 196 224 205 169 236 178 228 225 141 107 80 79 104 203 90 113 75 108 151 125 37 173 251 132 236 248 46 199 213 237 221 131 2 208 15 102 21 14 240 52 148 19 211 83 49 174 95 223 106 208 31 189 69 133 242 197 10 34 130 85 86 111 56 208 115 88 6 42 108 28 130 233 10 73 197 236 243 193 32 121 35 212 146 116 21 249 190 123 247 22 88 222 229 147 21 203 151 31 76 154 158 197 84 184 149 4 51 62 181 198 46 193 140 157 133 55 214 69 254 13 117 83 183 246 65 224 133 187 238 153 11 110 172 74 161 7 227 231 178 147 163 143 33 42 50 228 140 5 191 242 218 151 83 249 198 34 237 45 228 128 236 142 239 155 71 210 188 148 24 24 123 93 231 243 220 152 56 32 131 217 176 59 240 122 60 208 40 151 193 183 238 223 176 206 199 28 234 10 44 97 95 63 1 148 126 208 232 42 251 53 33 33 232 24 130 55 12 176 173 170 16 135 44 230 224 27 79 129 174 164 131 249 127 197 216 237 97 216 65 181 218 20 150 65 1 168 149 185 183 86 167 127 234 252 166 165 32 219 211 49 160 232 190 11 86 172 111 62 231 120 215 141 213 32 113 203 218 69 247 13 242 0 117 91 176 98 113 63 12 212 27 232 65 147 202 53 88 15 140 32 131 247 206 167 106 247 45 245 251 179 252 134 138 98 8 81 51 226 192 176 51 193 110 88 234 139 146 142 207 89 136 83 167 148 245 92 141 27 80 192 188 77 50 168 20 27 247 223 24 131 250 40 62 173 213 141 49 10 188 141 207 41 76 83 133 37 224 23 166 117 115 80 249 176 134 171 35 212 91 17 198 6 181 105 93 230 115 135 136 64 146 14 247 104 121 177 111 77 24 199 27 171 251 150 115 191 115 234 46 149 27 219 207 101 233 130 247 84 241 224 209 207 40 192 48 152 59 146 171 177 165 225 89 20 0 103 55 10 177 143 133 17 199 122 245 240 99 129 121 170 80 174 39 207 223 16 122 145 23 25 15 176 222 213 98 170 1 29 45 127 126 188 51 8 198 98 79 5 129 59 83 250 75 79 177 70 23 232 11 4 171 155 50 11 33 13 128 82 216 68 177 113 218 222 83 125 203 72 236 150 137 131 9 16 4 73 133 114 14 198 236 126 103 250 111 48 187 69 37 237 234 114 136 83 168 151 176 198 99 82 220 177 14 232 115 238 108 16 92 153 118 247 44 129 200 29 54 150 3 209 225 63 49 64 171 191 29 130 216 132 210 106 200 242 173 97 140 141 176 135 194 162 136 18 193 195 83 207 236 129 8 149 93 100 40 35 81 84 198 176 26 73 4 56 137 220 97 31 3 121 91 118 90 174 172 242 193 110 238 131 98 57 238 137 19 109 246 20 236 238 246 164 16 114 199 55 212 67 27 76 14 53 30 23 168 145 184 54 39 13 48 51 167 231 69 119 129 131 168 170 64 195 129 65 223 28 34 174 65 25 139 1 64 35 59 172 2 61 229 38 54 8 54 138 5 43 36 207 143 198 218 232 145 179 16 42 186 76 169 233 177 108 50 78 42 168 156 197 128 81 48 188 124 238 118 22 167 219 94 236 28 82 85 227 120 198 176 34 194 0 200 230 91 250 134 64 157 216 245 84 231 32 65 246 217 215 31 231 195 42 242 155 184 236 168 8 167 195 242 39 131 171 192 201 13 80 23 164 91 24 57 62 221 13 2 9 187 181 38 114 39 19 36 95 114 24 134 199 218 153 176 115 173 46 144 202 52 220 156 40 67 246 166 183 213 235 96 114 181 44 214 163 138 25 92 173 202 100 119 110 190 37 182 203 122 55 71 111 35 7 81 17 57 212 248 15 56 202 27 37 220 124 247 132 201 233 38 142 92 132 72 3 147 105 76 205 211 208 76 70 170 114 98 72 139 33 41 46 175 168 219 158 120 37 13 35 11 95 15 134 70 113 30 55 72 6 60 139 90 41 116 127 129 18 141 242 20 191 152 177 105 14 97 86 193 185 219 231 99 177 25 20 194 174 239 173 132 69 195 78 188 196 66 144 239 108 131 247 96 229 200 206 180 88 183 144 138 220 49 12 39 137 77 248 43 99 14 241 119 35 148 83 92 7 193 147 55 221 11 251 55 240 237 231 68 4 15 135 85 168 150 177 206 224 18 11 176 210 193 178 83 40 105 95 172 168 84 13 24 184 215 119 119 251 124 251 40 3 148 105 119 220 136 18 67 154 28 79 214 150 246 202 61 126 100 100 90 26 113 178 54 194 169 226 137 49 60 51 159 176 129 200 75 129 253 128 115 52 6 57 156 90 92 228 188 149 94 172 81 14 13 126 195 8 148 124 248 2 179 31 80 61 240 212 95 208 152 184 38 231 99 15 36 38 205 225 176 169 23 114 125 78 109 11 24 78 200 169 126 198 237 191 189 46 78 241 22 45 129 191 207 9 223 230 254 23 194 222 7 237 8 155 185 202 4 94 216 182 224 59 30 182 134 3 161 241 165 92 186 179 192 244 20 220 19 192 28 150 225 7 68 96 222 140 4 181 240 187 210 39 201 129 43 230 166 152 86 145 51 246 131 218 109 240 242 169 195 47 193 27 30 34 24 41 202 142 180 246 133 77 175 175 142 97 29 30 6 229 66 8 223 168 176 64 28 17 100 238 194 115 168 161 108 142 237 133 202 76 130 150 252 209 3 59 3 109 188 229 117 189 212 148 7 220 200 94 140 104 159 65 108 78 113 46 190 253 200 104 233 20 104 117 200 160 222 34 235 153 233 128 195 137 98 159 127 214 185 21 237 84 117 140 67 37 80 108 245 205 210 89 159 156 145 26 170 159 130 104 102 54 35 48 95 48 15 134 97 216 221 172 213 158 187 123 14 165 210 124 11 172 59 236 90 169 252 195 228 140 244 84 68 213 39 221 9 215 229 94 0 246 220 145 240 172 136 205 42 218 76 228 12 106 49 67 137 205 201 25 181 243 77 75 51 85 20 167 130 208 132 36 208 84 239 142 250 193 123 194 169 155 17 80 181 77 99 83 102 56 221 245 225 150 185 58 153 205 18 20 218 195 167 125 52 207 51 64 198 39 41 202 98 228 203 109 247 223 166 80 249 156 164 176 205 77 123 180 57 50 173 202 99 170 129 93 218 42 3 243 67 148 10 163 162 152 131 93 23 201 25 98 34 159 84 78 31 138 168 204 193 68 20 238 182 249 157 83 34 54 83 244 35 81 99 141 75 119 217 182 212 154 230 98 136 29 254 17 60 111 58 34 204 10 88 117 12 91 252 17 100 126 46 75 159 222 231 148 118 101 21 52 184 47 32 218 73 115 202 120 247 125 167 58 25 33 229 106 40 7 97 91 235 1 197 112 245 38 167 236 179 89 121 220 2 132 91 191 129 53 198 165 198 144 183 163 34 123 230 66 101 54 235 191 7 23 0 198 110 84 218 179 39 223 220 197 130 84 70 117 152 66 197 225 158 116 13 13 130 115 0 149 56 120 142 158 40 251 130 232 54 119 236 198 91 199 240 214 112 78 248 99 13 27 161 105 242 253 150 140 166 129 59 163 84 163 14 193 88 21 19 225 91 182 166 226 0 120 39 69 104 253 17 47 105 201 107 225 57 115 29 250 132 32 70 56 51 157 95 86 254 69 247 77 164 179 116 103 49 142 88 44 65 4 206 35 192 10 103 99 90 246 211 15 204 13 190 56 8 27 15 26 35 101 146 136 31 138 11 68 0 185 94 33 93 26 192 176 1 183 152 125 26 95 158 162 24 43 206 53 91 240 14 26 22 159 133 52 110 16 97 141 150 9 215 99 93 164 137 216 179 67 155 3 78 247 174 131 233 111 6 128 28 22 162 25 110 141 13 248 240 76 197 67 249 208 17 79 97 223 41 242 225 91 248 144 224 95 132 93 103 115 159 247 124 129 51 167 77 55 204 196 95 204 75 226 17 152 192 83 191 230 68 177 28 73 222 150 79 179 225 90 148 242 150 61 134 5 109 50 120 4 146 154 127 108 154 173 231 130 131 101 52 174 196 210 183 64 68 48 31 117 79 26 88 231 76 248 123 202 116 62 88 164 103 250 83 191 227 17 183 13 90 76 137 191 160 153 187 210 13 35 139 227 35 173 211 154 134 49 157 138 239 50 14 118 118 203 235 61 0 158 50 117 251 137 148 16 73 10 149 174 60 104 78 83 42 140 25 255 163 201 90 165 192 198 247 85 194 174 222 225 1 89 138 9 144 232 193 0 86 244 207 5 52 62 115 10 220 96 95 54 108 86 227 111 96 157 232 236 80 38 130 145 116 188 250 53 210 67 20 75 109 153 100 124 122 250 145 138 204 208 81 108 138 83 226 162 122 73 35 218 250 13 168 220 210 124 71 177 38 58 216 236 35 160 177 46 165 142 243 110 14 11 152 119 19 118 104 130 153 74 108 24 120 40 56 55 56 219 169 219 228 151 193 181 119 228 204 244 23 153 93 47 37 221 152 38 78 186 224 226 204 40 28 38 95 165 141 75 77 223 18 107 66 48 178 128 41 165 51 107 1 42 43 154 60 114 225 85 105 107 204 135 104 205 197 25 5 1 86 86 98 43 208 192 81 179 206 128 10 197 51 173 124 183 249 55 29 42 223 156 102 8 123 84 127 59 145 12 132 246 206 151 214 122 37 223 166 2 48 141 98 126 147 57 63 115 193 39 223 226 203 113 225 135 200 100 13 29 183 27 134 4 13 6 71 38 217 150 206 131 31 77 32 76 250 155 93 238 203 214 80 118 103 247 130 221 58 18 35 247 42 0 152 144 177 10 10 223 126 121 63 24 167 145 169 129 39 43 51 129 131 170 58 239 117 238 195 25 161 175 169 106 234 29 228 97 59 41 151 74 154 26 66 225 163 237 14 41 208 115 100 128 94 230 171 92 94 110 143 79 131 56 93 91 250 184 195 21 224 247 108 207 26 199 63 184 171 123 127 197 168 81 243 156 129 231 22 65 193 90 228 81 202 197 176 246 130 56 41 82 113 203 60 169 185 32 183 186 202 160 122 205 230 232 217 44 104 173 195 185 100 195 12 201 100 126 46 29 215 38 146 36 227 156 234 217 106 249 234 20 128 82 245 142 204 135 239 64 55 215 228 14 123 224 210 138 195 15 94 42 118 71 163 90 225 21 132 141 53 91 175 184 171 164 78 23 137 105 66 224 67 145 114 38 58 105 230 195 102 73 41 129 53 160 146 87 130 200 119 231 194 165 32 96 178 21 204 15 198 175 1 24 240 140 183 23 104 205 189 188 128 221 0 196 225 122 240 151 243 77 188 125 253 202 62 185 85 206 116 46 86 122 197 45 126 179 47 75 238 121 60 246 184 39 119 51 16 92 210 119 169 29 65 223 9 24 42 168 99 211 231 64 84 10 207 143 180 99 205 32 115 157 103 199 189 250 158 132 143 63 27 125 217 153 87 227 44 69 150 145 177 24 65 131 99 188 207 66 129 162 171 153 9 159 228 242 21 184 57 132 198 183 210 136 1 60 134 169 105 107 41 149 96 210 8 46 155 179 182 195 30 137 233 103 120 52 179 48 28 186 198 211 250 153 155 241 179 164 215 190 14 49 0 253 182 231 98 90 196 156 176 192 106 142 248 195 135 181 232 42 216 170 48 46 138 76 64 84 53 102 57 81 23 187 92 85 127 221 255 86 245 218 130 199 132 198 249 181 16 192 112 253 218 107 43 107 77 211 64 168 33 38 78 163 201 61 133 70 107 74 239 152 24 37 209 163 248 38 19 162 165 42 12 156 84 237 168 63 195 80 52 30 164 201 146 19 189 57 82 99 207 162 198 75 72 120 46 23 198 97 35 75 68 118 99 178 192 255 237 137 228 48 77 48 68 106 254 213 19 104 110 217 143 19 130 221 112 8 146 230 146 88 240 25 33 252 36 45 57 166 57 143 180 11 155 192 204 216 19 38 108 154 49 71 73 245 157 109 92 148 251 64 181 153 242 209 21 11 80 229 150 100 179 157 169 9 64 219 84 49 162 216 87 13 102 224 3 198 225 35 122 29 249 13 9 156 157 77 103 99 162 226 27 175 190 217 25 179 230 207 63 27 75 92 66 107 188 135 174 196 133 95 44 50 20 161 63 184 142 153 55 157 95 19 205 65 49 174 227 218 90 14 93 28 107 239 110 21 151 140 61 1 93 135 82 35 75 219 202 178 177 100 179 53 55 95 137 77 150 130 164 238 156 150 14 92 33 86 26 112 208 83 53 102 133 238 102 7 233 110 57 59 94 124 132 152 168 109 27 146 3 38 121 202 137 218 223 124 13 174 198 196 240 193 209 26 75 240 19 68 182 20 133 158 73 154 204 81 58 13 146 129 35 39 159 17 170 25 32 141 79 193 170 195 37 119 114 201 25 45 32 9 34 14 92 153 97 158 236 66 14 27 248 47 229 161 58 104 172 33 179 92 35 103 249 111 231 133 107 227 94 78 187 79 196 65 46 247 244 243 138 43 170 186 3 210 5 0 131 60 164 137 41 1 30 227 41 22 48 145 38 86 227 225 119 4 51 43 215 236 93 197 68 252 89 83 251 34 65 60 10 234 193 182 100 28 62 195 103 81 96 65 31 231 161 201 25 72 143 28 99 83 215 29 223 125 34 96 51 150 224 174 192 156 126 159 181 170 74 73 173 118 74 117 1 81 242 201 199 92 187 115 137 95 108 234 194 200 248 145 234 225 154 131 111 254 233 213 213 53 244 219 251 113 190 24 23 79 219 112 243 73 170 105 55 182 71 243 65 206 148 201 90 136 217 23 254 138 41 104 170 169 218 202 49 62 102 183 72 199 247 82 99 71 217 32 108 60 122 65 49 131 187 221 34 118 51 144 63 171 35 159 51 255 201 66 243 103 45 225 51 116 252 81 126 105 0 60 126 219 250 158 57 241 161 239 39 3 104 254 189 201 127 74 253 166 253 37 95 165 46 209 9 82 180 28 96 27 180 148 183 52 104 178 129 69 47 120 213 192 147 156 209 150 22 207 218 222 28 153 178 114 68 143 196 114 38 250 132 4 122 236 171 164 88 63 24 189 84 251 119 205 144 249 90 142 178 199 44 237 60 252 213 232 232 242 93 103 213 6 38 109 209 249 99 171 31 107 241 239 222 156 250 80 184 236 222 136 246 82 59 74 55 226 2 122 3 7 33 138 26 43 187 246 118 41 107 73 84 90 174 123 197 187 10 65 193 13 216 82 35 139 242 132 169 64 111 61 237 26 155 90 146 180 72 34 154 45 59 163 115 236 222 196 102 123 60 176 57 11 141 112 68 173 228 211 48 32 103 48 75 220 234 15 91 134 133 230 217 48 147 96 246 244 159 249 161 49 69 8 188 204 0 115 224 215 6 16 61 23 140 223 172 38 159 158 72 237 212 90 101 28 186 196 166 40 177 20 11 52 82 211 54 41 59 237 205 116 93 191 49 161 118 183 114 166 82 189 94 214 210 125 22 37 50 45 156 239 105 154 102 16 120 90 4 145 212 180 157 189 245 123 7 20 192 191 167 242 210 221 255 210 230 193 248 150 217 1 137 253 155 36 110 124 243 219 254 151 251 165 253 234 136 31 219 136 105 128 202 23 178 44 66 123 91 14 46 17 193 172 58 241 173 50 179 148 183 204 187 137 244 152 125 255 206 122 244 95 153 17 72 135 175 228 203 237 103 184 86 200 134 177 23 140 26 221 42 49 128 42 91 99 38 56 25 226 76 99 46 53 224 240 157 28 138 27 243 219 75 236 195 236 233 154 137 32 224 107 235 151 180 236 153 213 87 89 223 164 165 118 234 215 218 112 9 80 201 151 89 16 1 119 240 248 7 22 16 72 206 212 7 142 159 85 222 213 178 15 62 137 25 43 72 237 104 157 151 132 31 7 214 14 120 223 179 79 205 80 27 236 238 210 54 44 240 138 73 107 241 85 186 58 238 178 197 25 136 240 161 92 221 207 165 219 164 183 61 183 241 136 77 205 59 156 213 228 222 71 15 45 19 10 226 140 108 151 246 43 44 154 254 104 250 77 18 239 201 114 5 223 65 19 40 99 203 157 206 219 115 243 170 147 36 34 241 1 74 83 8 189 239 91 61 48 248 44 107 52 178 204 103 177 68 59 48 247 61 255 1 213 253 193 152 100 6 84 192 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache at: 1! !

!CCLibrary methodsFor: 'uploaded' stamp: ''!
logoPng
	| cache |
	cache := #(nil) beMutable.
	(cache at: 1) isNil ifTrue: [
		cache at: 1 put: #(137 80 78 71 13 10 26 10 0 0 0 13 73 72 68 82 0 0 1 244 0 0 0 147 8 6 0 0 0 120 80 235 220 0 0 0 1 115 82 71 66 0 174 206 28 233 0 0 0 6 98 75 71 68 0 255 0 255 0 255 160 189 167 147 0 0 0 9 112 72 89 115 0 0 46 21 0 0 46 21 1 35 154 74 179 0 0 0 7 116 73 77 69 7 217 2 7 9 0 12 24 149 251 58 0 0 32 0 73 68 65 84 120 218 236 125 121 152 28 85 217 253 57 221 51 33 11 132 45 97 171 38 236 171 136 178 200 142 236 8 90 133 128 108 46 32 104 21 224 167 178 40 24 55 20 20 145 77 217 252 64 232 246 67 80 84 84 20 236 70 5 65 192 31 251 42 32 8 136 172 85 16 18 246 132 144 100 150 243 251 163 222 219 125 167 153 153 76 38 147 100 102 210 247 121 242 4 38 61 221 213 247 222 247 61 239 122 94 162 181 90 107 148 173 90 165 180 41 128 207 72 218 139 228 120 73 87 71 73 246 189 214 206 180 86 107 181 214 2 232 145 13 1 124 26 192 71 36 45 7 224 23 81 146 157 57 156 159 153 173 99 107 173 17 46 116 8 227 20 213 114 176 18 128 35 73 158 4 96 245 166 151 205 13 227 116 108 107 183 90 171 181 90 107 62 122 100 121 146 135 75 58 25 192 20 0 32 115 152 148 4 146 99 195 56 157 59 92 191 71 161 117 148 173 53 82 5 208 132 108 187 106 57 248 19 201 215 0 252 72 202 193 92 146 156 16 74 186 177 181 99 173 213 90 173 213 207 218 166 86 41 253 22 192 155 18 46 34 185 166 249 187 242 94 115 195 112 6 243 150 135 222 90 35 114 85 203 1 0 172 77 242 122 9 155 2 16 153 27 210 146 36 129 0 94 1 112 9 128 179 162 36 155 211 218 181 214 106 173 214 234 69 151 172 10 224 90 146 219 153 7 14 167 71 0 80 194 116 146 151 1 248 97 24 167 179 171 229 0 81 146 181 0 189 181 90 107 8 61 243 101 37 189 5 144 133 2 88 44 2 221 221 64 87 151 68 82 0 78 11 227 244 123 195 93 248 90 171 181 90 107 137 234 146 101 1 204 148 114 135 160 88 4 36 160 171 43 255 127 73 103 70 73 246 141 145 244 157 90 128 222 90 35 205 51 39 128 217 0 151 41 22 193 66 1 232 236 204 5 145 196 52 73 27 1 120 187 5 228 173 213 90 173 213 143 83 80 0 52 71 66 91 177 72 79 143 8 36 95 147 180 78 148 100 51 71 218 119 107 229 208 91 107 196 8 97 148 100 32 249 10 192 177 30 152 11 0 72 220 26 198 233 234 36 91 96 222 90 173 213 90 125 234 145 48 78 33 233 159 18 218 10 5 146 236 1 230 143 135 113 58 137 228 204 145 248 253 90 128 222 90 35 194 51 15 227 20 181 74 233 78 9 147 11 5 32 7 115 9 16 145 231 183 118 115 175 107 173 214 106 173 214 234 75 143 84 203 193 37 0 55 35 217 228 20 240 170 48 78 223 231 64 127 36 174 86 200 189 181 70 132 69 93 171 148 206 4 52 21 32 218 218 28 152 131 18 142 142 146 172 220 218 169 214 106 173 214 154 159 30 169 150 131 163 1 94 74 2 197 98 174 71 72 82 210 233 81 146 157 50 146 193 188 5 232 173 53 82 192 124 111 64 55 72 68 123 187 3 115 18 192 39 195 56 253 77 107 167 90 171 181 90 107 0 30 250 30 0 110 34 115 167 160 163 163 14 230 223 24 238 132 49 45 64 111 173 209 2 234 129 164 212 121 230 93 93 249 207 37 125 42 74 178 95 183 118 168 181 90 171 181 250 91 127 255 229 154 120 231 221 238 77 0 60 222 0 115 0 16 72 126 63 140 211 239 140 150 239 58 234 0 189 57 100 82 45 7 171 145 220 4 192 134 146 38 146 28 7 224 117 0 47 3 120 49 140 211 123 91 87 126 88 90 211 176 179 154 45 65 109 109 96 87 87 189 154 61 9 227 180 210 106 75 91 42 12 186 30 242 108 6 222 70 36 55 2 176 44 128 241 0 102 72 122 25 64 22 37 217 189 254 29 106 221 143 150 30 1 176 28 128 183 1 168 173 141 204 157 2 65 194 79 162 36 251 242 104 250 190 28 77 2 159 135 102 113 34 128 157 36 181 3 104 39 89 48 210 176 252 11 243 61 95 89 146 230 1 120 11 192 225 81 146 221 232 93 134 195 163 36 251 69 75 44 22 255 153 74 106 35 217 33 65 197 34 216 221 13 72 16 160 239 71 73 246 221 150 178 30 253 0 94 171 148 62 10 224 171 146 182 37 217 110 50 77 146 240 101 218 151 107 35 4 153 7 224 77 146 7 133 113 122 187 25 135 144 180 71 148 100 55 183 118 121 233 1 243 40 201 80 45 7 175 3 88 177 88 36 114 61 34 0 184 54 74 178 3 70 122 206 124 84 0 122 147 208 159 11 224 72 0 203 75 106 51 225 214 2 126 55 71 18 4 179 228 166 74 250 95 0 5 146 107 132 113 250 114 75 60 22 175 16 214 42 165 23 37 4 197 34 40 1 221 221 18 201 107 195 56 61 112 180 9 97 107 245 56 255 159 0 56 140 228 10 146 138 78 62 217 139 37 254 94 33 134 199 242 69 167 6 222 145 116 17 201 175 219 203 54 0 240 116 235 254 44 53 247 233 78 128 219 23 172 159 171 187 91 32 121 111 24 167 219 142 70 61 50 98 0 189 9 196 191 106 150 251 234 125 8 188 36 249 255 63 13 57 21 232 91 36 39 0 88 7 192 74 166 4 68 230 61 205 0 208 213 165 186 197 111 150 220 7 162 36 123 164 37 26 139 85 8 175 5 240 113 146 40 20 242 51 33 241 66 24 103 107 181 192 124 116 25 110 246 223 223 4 240 37 0 171 247 134 219 142 134 211 243 196 95 6 48 93 210 155 0 38 146 92 23 192 242 121 24 149 205 242 236 116 131 117 69 104 91 63 44 223 90 163 58 218 115 25 128 4 128 233 17 136 196 139 97 156 174 53 90 35 124 28 1 135 226 42 157 39 75 186 6 192 135 72 142 149 234 130 218 195 189 6 240 87 73 151 1 120 8 192 43 81 146 189 219 215 251 2 88 69 210 110 36 127 35 73 133 66 222 151 232 229 106 111 14 227 116 207 22 136 44 214 243 62 17 208 143 1 90 91 9 64 162 75 82 123 148 100 106 237 208 136 63 95 215 62 20 0 184 6 192 22 36 199 52 99 184 129 47 0 84 1 148 73 62 2 224 149 48 78 231 244 241 190 4 176 170 164 189 73 94 33 9 197 98 206 203 237 10 41 1 148 195 56 61 186 117 10 75 197 61 251 10 160 31 1 80 177 72 90 123 218 91 146 86 4 48 106 211 117 195 150 88 198 138 25 0 224 35 181 74 233 73 73 211 73 238 76 114 172 103 185 59 111 250 108 73 239 151 84 12 227 116 223 40 201 254 72 242 185 190 192 28 128 3 232 233 81 146 93 13 96 44 137 105 221 221 249 191 181 181 213 63 97 143 106 57 104 107 129 249 98 59 243 93 1 248 96 174 220 235 210 196 22 152 143 124 143 220 100 246 192 106 57 248 15 128 20 192 182 14 204 101 83 117 204 27 63 29 192 251 72 50 74 178 253 162 36 171 2 120 190 47 48 55 121 22 128 105 81 146 93 41 105 89 0 51 93 180 173 33 207 185 183 214 90 163 219 96 172 150 131 189 123 130 121 30 133 5 176 222 104 6 243 97 233 161 123 57 212 195 1 156 46 105 138 75 134 57 175 220 60 242 95 1 56 55 140 211 135 134 64 209 20 73 190 44 97 50 137 122 123 84 119 55 64 98 69 73 111 182 10 176 22 173 16 2 88 11 208 115 78 8 187 186 234 94 218 70 36 159 106 25 85 35 23 200 77 158 143 6 112 138 164 146 47 207 158 14 250 57 201 243 195 56 125 216 247 228 23 34 2 240 58 137 21 201 220 56 116 242 12 104 227 40 201 158 108 157 204 168 213 35 43 74 154 1 176 224 58 99 172 162 125 231 40 201 110 31 237 123 80 24 102 135 1 146 159 171 85 74 47 3 184 82 210 154 46 151 109 222 120 7 128 207 145 156 16 198 233 167 37 61 52 20 202 6 192 163 0 38 249 233 59 203 193 201 114 110 45 105 89 132 10 95 210 88 73 143 231 21 237 174 173 4 148 116 100 148 100 45 48 31 185 202 21 0 190 80 45 7 211 37 93 42 41 240 115 228 36 231 146 252 52 128 49 81 146 29 229 192 220 60 238 65 131 121 173 82 122 145 228 138 128 171 106 54 26 162 188 239 56 240 162 127 173 53 138 244 136 113 180 255 199 129 185 171 104 151 240 245 165 1 204 1 160 109 56 8 190 9 239 129 181 74 233 124 0 107 2 117 110 93 7 228 255 5 240 213 40 201 254 228 255 238 194 2 173 181 52 252 20 192 38 170 247 193 80 221 221 245 162 154 122 152 166 181 22 169 247 118 159 132 113 94 123 26 72 252 62 74 178 43 90 187 52 50 207 84 210 97 181 74 233 199 86 184 42 175 173 12 36 31 147 244 181 40 201 254 50 212 122 164 86 41 253 1 64 224 62 203 82 241 246 241 20 128 149 90 6 250 232 91 166 71 30 144 180 178 27 167 108 41 212 235 162 36 59 107 105 217 135 37 230 161 59 11 94 210 22 213 114 240 79 228 5 50 165 166 151 61 3 96 207 40 201 54 32 249 167 69 160 124 246 3 112 140 25 16 4 240 185 92 3 192 247 34 38 180 196 101 145 10 225 79 36 109 86 40 228 161 87 11 139 62 31 198 233 193 173 29 26 121 30 57 201 109 171 229 224 9 0 191 150 180 26 73 191 96 245 41 0 187 132 113 250 126 0 127 25 202 207 183 48 251 167 0 28 224 213 214 236 108 195 123 234 226 12 96 92 235 180 70 229 253 59 15 192 150 133 66 94 8 217 221 45 1 122 54 74 178 253 151 166 136 204 98 7 116 111 115 87 172 150 131 223 145 124 16 192 230 158 192 65 210 203 146 14 9 227 116 125 146 55 59 129 29 202 103 168 85 74 147 72 94 231 192 156 228 165 0 126 101 249 150 250 146 244 122 75 92 22 217 93 56 0 208 23 27 121 78 137 196 92 0 235 122 33 219 214 26 1 75 210 26 181 74 169 6 224 110 0 27 58 32 55 112 205 36 125 60 140 211 141 73 254 195 25 115 67 124 151 86 34 121 21 26 45 172 167 133 113 122 59 201 206 134 60 75 200 9 164 90 107 20 25 146 181 74 105 23 64 39 0 146 155 194 200 124 109 187 180 17 80 45 118 64 183 48 247 73 0 94 7 120 144 243 131 93 158 92 210 183 162 36 11 0 252 110 168 129 220 93 0 11 9 222 234 21 229 60 21 198 233 177 185 18 242 68 63 7 251 199 90 98 51 244 66 104 148 188 127 0 32 55 61 205 20 241 110 36 187 91 121 243 145 227 149 215 42 165 83 72 100 146 62 102 158 177 243 138 59 1 124 53 140 211 53 1 252 105 81 201 179 61 199 147 86 41 79 0 143 133 113 122 170 189 164 219 147 103 2 120 163 149 67 31 53 14 1 36 45 35 233 230 156 30 58 175 191 177 194 233 61 194 56 157 177 180 165 87 184 184 4 223 242 91 59 2 184 65 194 4 50 207 148 58 98 23 73 85 0 251 45 142 3 168 150 131 111 144 60 35 119 44 212 77 114 25 0 93 146 38 0 156 213 196 42 180 146 164 55 90 121 183 161 19 66 51 234 158 5 176 86 91 27 217 160 99 228 233 97 156 158 210 218 165 17 3 232 31 6 112 147 164 246 70 229 58 68 138 18 126 27 37 217 161 139 233 78 157 6 224 20 139 8 48 74 50 122 247 172 171 80 96 33 151 103 0 208 70 81 146 61 213 58 189 81 163 79 94 1 176 74 91 27 45 111 46 0 56 61 74 178 165 82 143 44 22 15 93 210 152 106 57 248 185 164 219 37 141 207 1 147 150 171 214 75 146 54 142 146 108 191 1 176 59 14 133 53 31 24 152 195 172 249 169 146 186 194 56 5 201 21 242 39 115 22 61 33 105 78 11 204 135 54 66 83 171 148 46 7 176 118 177 72 71 235 10 128 119 180 192 124 196 120 228 227 107 149 210 31 1 220 6 160 173 80 200 137 216 114 163 76 169 132 245 162 36 59 116 113 164 77 170 229 96 93 0 223 49 175 140 36 15 241 138 45 183 39 89 104 200 179 0 224 217 214 73 142 124 167 192 238 225 217 36 86 41 20 136 92 143 228 17 213 40 201 78 89 90 163 48 133 69 189 233 213 114 176 91 158 23 229 17 121 174 52 247 200 12 234 203 81 146 149 72 62 9 96 145 179 177 89 91 67 213 60 115 145 124 58 74 178 31 57 192 150 244 5 160 222 178 6 64 239 244 71 78 211 90 11 126 39 106 149 210 78 0 142 116 233 141 156 142 145 239 132 113 186 83 43 111 62 188 207 206 10 207 246 4 244 142 164 253 205 248 101 174 72 73 146 231 70 73 54 5 121 49 235 34 149 103 175 8 239 118 139 14 128 100 26 198 233 239 12 204 1 224 155 141 150 53 128 228 125 81 146 117 180 78 115 84 56 5 83 0 157 12 64 133 66 14 230 121 217 6 183 91 154 7 55 45 202 182 181 182 90 165 244 11 9 135 25 72 82 146 186 187 65 146 153 164 77 163 36 123 123 113 210 170 86 203 193 255 144 220 194 132 27 0 62 211 19 68 244 45 0 254 68 158 22 77 228 16 2 130 133 64 175 7 232 198 161 186 240 236 158 14 48 90 107 216 174 49 181 74 233 58 9 251 0 168 147 181 24 96 190 4 96 163 48 78 223 113 10 119 81 47 51 46 62 47 105 117 7 232 146 62 232 192 222 254 125 111 0 234 238 166 163 145 109 69 128 70 65 148 200 28 179 231 1 170 189 29 236 236 204 237 53 73 91 68 73 54 107 105 222 159 33 245 208 61 175 124 3 18 29 146 14 37 115 143 215 194 170 4 120 77 24 167 37 16 111 47 14 175 220 127 46 0 255 107 130 15 73 255 8 227 244 158 48 78 221 5 217 64 114 94 163 68 2 36 127 219 42 160 25 82 171 250 239 0 39 186 126 115 0 4 120 106 148 100 119 183 210 26 195 83 121 154 252 108 74 114 174 164 143 56 121 182 65 23 0 116 89 24 167 37 73 239 44 230 72 207 242 36 43 245 6 115 233 161 40 201 94 115 58 165 86 41 125 128 228 24 151 214 177 215 221 210 58 213 145 15 230 181 74 233 151 102 84 178 179 51 55 42 37 157 17 37 217 63 151 246 61 226 34 216 236 147 36 156 3 72 185 48 73 18 8 112 182 164 237 162 36 123 116 9 93 134 171 1 28 226 253 104 35 73 79 145 116 207 157 218 184 78 71 72 240 131 48 78 191 221 18 163 33 83 194 59 187 150 165 156 167 93 0 112 119 148 100 219 47 14 37 208 90 131 219 183 106 57 152 10 224 76 199 175 159 135 215 69 9 239 0 216 56 74 178 116 73 201 179 164 131 61 64 111 139 146 172 203 139 184 205 147 212 94 40 208 21 183 126 46 140 211 203 91 39 59 114 238 94 31 255 54 69 210 243 36 85 44 58 106 87 76 15 227 116 213 69 109 68 142 4 167 131 67 252 165 239 7 184 21 89 15 201 41 39 118 224 99 97 156 110 182 36 148 171 155 170 6 224 21 111 94 242 45 81 146 237 238 61 247 182 0 239 182 92 12 72 204 3 176 204 226 138 32 140 18 192 38 201 229 0 236 0 96 123 73 235 147 92 55 239 28 192 56 228 35 107 11 109 109 185 199 100 131 51 222 4 48 111 1 63 170 147 100 23 128 78 73 157 36 231 73 154 3 96 14 73 107 81 18 1 188 64 242 44 228 45 76 93 173 19 90 96 185 41 2 120 76 210 134 36 233 134 229 88 138 228 225 40 201 62 184 164 148 92 173 82 218 28 192 195 158 60 63 24 37 217 86 222 191 239 41 233 111 6 230 202 235 229 84 108 69 129 70 140 30 153 32 105 59 0 59 33 103 234 92 23 192 178 0 198 147 92 31 200 231 109 116 119 187 73 122 122 61 231 27 24 248 252 38 167 67 122 209 35 115 237 223 220 202 36 157 5 224 209 40 201 134 189 30 225 16 9 216 10 128 94 149 88 32 97 194 95 31 164 114 118 148 100 83 151 240 37 185 9 192 238 94 127 236 135 36 221 111 57 221 177 36 223 53 32 144 181 190 76 138 146 172 69 40 51 240 243 159 8 232 13 9 5 163 215 236 181 97 65 2 218 219 13 149 59 23 249 99 201 181 48 181 78 104 193 188 144 106 57 152 66 242 121 151 33 247 198 216 2 192 73 97 156 254 104 73 70 62 170 229 224 111 0 247 176 118 87 144 92 62 140 211 183 237 223 198 88 122 64 0 97 175 153 76 242 213 150 113 62 236 245 200 24 73 211 1 44 143 6 65 80 175 171 88 204 239 227 162 214 35 94 81 229 218 97 156 62 63 220 247 112 161 138 226 110 188 162 132 185 243 180 23 128 27 165 60 36 151 43 107 57 114 137 247 71 73 246 175 37 172 164 150 37 185 135 105 120 0 120 36 74 178 251 61 75 205 167 160 164 17 219 180 192 124 128 235 218 75 3 72 42 1 44 20 10 121 241 227 64 126 207 221 149 190 45 232 190 5 204 45 139 166 212 255 110 50 208 9 224 231 173 19 26 248 50 48 63 0 192 31 36 160 88 204 79 193 228 185 83 82 41 74 178 87 150 84 228 234 234 139 214 192 248 177 220 140 228 158 78 158 73 62 30 198 233 219 215 94 26 96 255 99 50 144 252 143 201 181 145 85 225 19 81 146 189 218 58 221 17 177 118 34 185 188 233 7 14 196 19 29 136 30 241 59 29 154 245 72 111 250 164 231 127 11 18 46 136 146 236 249 145 176 129 11 85 20 55 175 3 103 231 96 46 181 181 229 155 99 5 101 111 75 106 15 227 244 95 195 224 59 254 188 41 20 115 134 7 246 95 1 176 171 167 28 254 30 37 217 25 45 185 26 248 50 37 58 205 81 230 246 108 19 122 239 31 235 23 237 241 167 171 235 189 127 58 59 123 254 233 232 200 255 52 126 166 250 239 186 247 180 226 24 231 158 95 23 37 217 81 173 86 184 5 50 126 207 33 81 103 239 203 229 25 34 249 86 24 167 237 14 204 151 212 58 244 203 47 1 192 73 185 172 214 213 250 151 107 149 18 246 63 38 67 173 82 58 7 192 148 122 120 134 172 68 73 246 135 86 97 235 136 89 127 55 35 76 62 184 250 250 163 14 210 104 200 252 252 244 72 179 62 105 232 17 201 127 173 36 116 119 203 192 188 62 225 243 214 40 201 78 24 41 119 136 11 33 252 215 145 216 15 104 20 39 24 149 234 67 126 62 107 24 40 169 89 36 198 187 235 16 198 41 45 188 115 132 164 43 44 191 70 146 79 134 113 186 113 171 136 106 208 225 178 181 1 60 235 152 255 28 32 248 150 177 85 164 122 51 176 229 121 227 244 172 103 1 192 52 107 111 124 9 228 75 144 50 146 47 2 72 37 189 8 224 21 0 93 150 55 239 182 55 115 204 127 221 97 156 118 45 205 253 168 131 56 191 235 0 237 151 131 57 235 213 195 64 158 159 30 46 114 81 45 7 150 22 3 72 188 26 198 233 100 123 254 99 1 92 226 189 244 222 48 78 183 109 221 129 17 103 84 78 33 241 188 35 246 106 107 123 175 167 221 83 143 52 212 137 213 83 52 231 251 94 145 244 18 201 12 121 62 252 37 0 41 128 23 73 190 40 233 101 0 221 78 143 24 134 201 233 148 40 201 58 71 18 38 180 13 82 248 31 4 180 133 89 242 38 252 2 128 43 163 36 59 114 184 8 81 173 82 250 8 160 9 36 93 117 110 217 126 126 156 164 11 92 255 42 128 105 97 156 110 220 234 133 30 244 62 35 140 211 231 106 149 82 27 160 61 37 254 181 179 51 239 114 104 2 115 0 250 33 128 31 155 192 116 1 120 87 194 202 81 146 78 171 150 3 70 73 166 161 122 174 150 34 31 208 185 161 86 41 61 0 96 75 103 156 119 212 169 87 116 133 147 231 37 45 23 213 114 0 146 159 246 10 225 0 240 70 251 30 223 144 116 134 163 159 5 48 13 192 182 173 59 48 242 86 148 100 47 84 203 65 209 210 42 55 116 117 161 14 234 166 71 92 141 206 89 0 126 44 161 19 80 23 128 46 9 93 86 208 214 5 96 200 230 65 140 36 76 224 32 148 192 99 128 54 37 161 98 145 117 48 39 121 106 24 167 167 13 39 107 166 90 14 254 12 112 95 207 114 219 74 210 215 1 28 12 43 186 200 9 10 176 14 73 181 192 124 225 149 174 163 118 149 112 164 19 68 227 88 22 201 175 135 113 122 182 7 36 219 2 184 94 210 202 102 85 95 23 198 233 254 173 157 92 124 103 85 45 7 255 34 249 62 175 191 220 69 73 78 137 146 236 244 97 38 207 191 6 120 168 145 84 1 224 186 0 46 5 176 23 26 174 218 11 146 214 30 74 195 176 181 150 140 161 89 45 7 95 3 120 86 91 91 163 86 198 170 218 175 136 146 236 200 214 78 189 119 21 6 42 252 182 209 255 6 176 105 222 3 232 135 229 112 92 24 167 167 13 67 15 119 131 58 43 123 14 24 127 36 121 176 141 118 36 128 251 163 36 91 27 64 11 204 135 208 35 150 180 130 255 243 28 204 49 171 9 204 143 0 116 183 164 149 138 69 194 50 224 31 175 150 131 211 71 18 40 46 200 207 135 161 225 245 196 123 193 92 144 116 236 112 3 115 147 225 109 242 170 117 0 96 39 128 91 1 236 229 77 89 187 43 140 211 181 224 114 57 173 53 108 0 122 48 30 49 201 177 249 223 126 61 7 186 163 36 59 178 85 27 211 251 106 27 200 97 152 2 126 28 192 198 164 154 192 92 113 148 100 63 27 166 121 134 149 243 177 184 245 156 203 20 103 201 75 250 118 148 100 63 24 9 249 145 106 57 56 63 15 55 106 146 253 232 57 0 159 140 146 236 238 225 148 35 180 176 40 0 237 239 114 89 142 150 17 224 102 78 88 171 229 224 75 0 46 130 229 107 141 149 143 70 54 243 129 145 226 65 144 220 161 86 41 93 38 105 61 83 62 111 73 250 91 148 100 7 15 231 123 101 158 249 19 0 54 106 6 115 128 135 71 73 250 75 95 177 14 151 37 105 221 124 16 12 208 221 173 54 0 83 72 186 72 219 255 132 113 122 73 171 6 102 137 203 198 185 0 142 144 52 217 233 42 73 71 1 184 117 160 186 202 12 226 9 146 78 115 249 112 163 137 134 132 41 173 212 104 63 70 239 0 45 249 219 1 237 232 216 121 188 48 123 18 198 105 101 184 22 158 212 42 165 185 0 218 221 247 180 103 126 23 192 78 97 156 62 56 92 159 219 219 247 227 0 252 64 210 178 0 84 40 228 183 59 103 190 2 36 124 46 74 178 203 135 217 158 63 10 224 125 142 222 213 15 181 27 224 239 0 224 14 0 114 173 41 54 164 197 85 169 239 20 37 217 29 195 92 105 77 4 112 11 160 45 165 252 92 92 72 208 238 216 12 73 171 1 232 30 166 114 113 63 128 173 122 1 243 207 134 113 122 229 48 54 108 213 220 154 44 233 29 146 219 134 113 250 88 75 157 47 57 227 182 90 14 190 0 224 44 0 203 53 235 42 91 39 68 73 118 193 2 188 239 181 18 62 238 218 210 242 57 231 248 101 24 167 135 183 118 125 16 128 238 121 230 215 72 56 176 80 64 51 152 159 24 198 233 249 195 217 34 174 150 131 195 72 94 32 105 21 83 4 167 1 56 117 4 120 228 43 145 188 77 210 102 100 46 28 142 197 206 117 224 53 122 175 53 14 192 156 97 82 132 184 175 164 63 23 10 68 161 224 152 197 48 23 192 120 88 90 163 90 14 166 3 152 212 214 198 30 96 110 244 156 15 134 113 186 213 18 122 246 15 133 113 122 223 252 140 172 106 57 248 30 201 83 114 32 7 11 5 212 219 245 114 128 113 56 163 139 162 36 59 126 24 222 173 191 145 216 51 159 124 232 136 57 4 128 95 12 227 244 226 97 46 23 71 144 60 15 192 74 86 132 251 245 40 201 206 106 121 229 11 14 192 182 159 203 146 220 79 210 222 0 2 146 171 73 154 72 178 93 82 23 201 111 135 113 122 197 124 222 111 5 0 183 74 250 128 43 170 108 214 85 174 34 93 210 50 36 231 205 239 172 170 229 96 95 146 127 6 28 77 52 68 226 221 48 78 39 180 78 112 225 60 244 19 0 156 71 230 237 3 94 152 253 220 40 201 78 30 137 45 33 195 85 248 61 75 247 83 36 175 146 212 3 200 109 214 47 27 21 190 112 181 1 215 132 113 122 240 146 142 40 0 24 67 98 174 68 180 183 247 184 43 165 40 201 50 251 142 235 72 122 166 80 104 144 16 25 152 139 228 180 48 78 215 88 204 211 247 28 72 95 13 224 16 51 250 222 227 165 90 190 110 28 128 187 36 125 192 129 97 254 252 121 215 163 51 78 154 218 102 86 10 227 244 141 97 116 183 206 36 57 53 47 104 109 12 182 32 241 253 48 78 191 211 82 135 75 5 136 31 68 242 96 73 123 144 88 217 181 135 213 1 129 141 216 135 253 223 178 110 138 94 47 239 123 8 128 171 125 227 182 161 171 100 50 193 186 133 75 242 150 48 78 247 232 79 30 73 142 145 52 27 64 161 189 157 116 6 167 132 205 144 207 58 111 29 104 63 171 208 207 230 110 67 226 60 215 11 104 22 151 0 93 31 37 217 201 181 74 105 68 182 132 12 71 48 247 102 77 255 31 201 171 96 185 229 60 28 42 229 97 43 205 0 116 8 128 9 0 14 167 45 73 7 85 203 193 18 165 55 141 146 12 36 111 131 17 146 56 78 2 18 231 57 48 183 189 127 22 64 135 148 19 58 116 118 186 72 3 159 4 80 90 92 96 238 138 214 72 110 92 171 148 102 2 60 196 114 179 2 116 133 205 108 247 215 22 128 102 74 216 188 80 104 200 67 103 167 96 248 125 54 160 117 44 53 242 174 247 123 235 13 151 59 95 171 148 246 37 57 21 150 234 112 68 26 36 174 10 227 244 59 45 242 149 209 187 36 237 90 171 148 174 182 148 197 239 108 168 205 202 185 97 154 223 231 182 182 156 150 185 173 205 177 175 57 166 61 245 42 59 181 74 233 82 7 230 109 109 104 214 85 175 1 56 148 228 178 0 62 110 178 70 0 187 219 140 128 62 245 8 128 95 3 44 22 139 100 195 203 231 181 81 146 181 192 124 48 128 94 45 7 168 150 131 229 72 220 99 135 229 49 192 233 141 40 201 194 86 81 194 34 241 18 239 5 120 20 0 180 181 229 249 231 70 207 37 191 29 37 217 170 0 126 23 198 233 108 146 111 56 102 54 179 128 199 47 10 171 190 233 57 219 170 229 96 253 62 94 251 225 124 152 130 203 37 11 36 186 195 56 253 74 51 80 144 60 18 224 227 142 213 141 196 143 194 56 221 68 82 247 226 186 83 86 159 176 149 164 127 75 152 80 44 214 185 161 173 130 26 31 246 190 247 97 0 30 148 80 40 22 81 31 82 98 175 123 24 192 26 97 156 78 37 248 92 148 100 239 176 62 122 27 114 243 185 135 193 29 155 32 233 207 78 249 26 187 150 72 254 55 140 211 207 140 84 227 188 181 230 43 195 199 86 203 193 52 0 183 120 147 233 128 60 252 93 111 3 107 176 44 58 67 181 126 191 63 31 37 217 59 205 186 170 86 41 221 37 233 104 167 171 164 30 186 234 212 40 201 38 147 252 173 121 246 175 53 82 82 2 108 232 85 31 184 179 59 128 3 27 181 29 18 160 153 97 156 30 208 58 205 129 173 182 222 192 37 39 154 80 189 2 185 163 163 78 148 191 170 103 73 181 214 208 120 138 237 213 114 240 52 128 41 133 66 125 74 157 203 41 191 33 225 67 81 146 62 211 244 171 87 247 164 88 165 6 41 240 129 164 15 3 216 29 192 102 36 199 73 122 130 228 61 0 238 168 150 131 199 144 19 192 68 36 175 150 132 106 57 248 108 148 100 87 58 208 151 52 6 208 109 46 146 227 4 91 194 38 189 221 21 73 191 138 146 236 87 205 32 178 184 239 148 164 95 218 51 187 46 8 151 235 123 59 140 211 51 236 124 78 176 156 173 92 206 63 151 5 81 194 233 81 146 157 226 12 31 65 168 150 131 125 0 140 111 76 237 227 59 75 88 161 187 106 252 76 82 93 249 230 198 57 41 233 3 173 252 243 168 4 242 227 1 156 239 116 131 165 129 40 105 22 128 155 0 152 176 41 32 185 126 119 183 54 115 98 97 137 163 110 146 31 15 227 236 122 175 150 10 146 10 213 114 240 140 164 181 92 218 204 211 85 111 73 216 38 74 210 255 152 124 213 213 156 211 83 166 179 212 143 145 253 187 156 70 156 180 34 56 74 56 172 197 246 55 72 64 183 77 61 89 210 6 174 61 36 87 208 162 132 157 162 36 235 108 109 217 208 129 57 201 49 0 166 73 90 193 43 36 115 235 206 48 78 119 116 128 225 25 91 199 75 154 80 40 208 21 157 204 9 227 116 246 130 40 248 90 165 244 126 0 103 3 218 199 76 2 47 119 198 15 72 56 180 65 203 202 58 216 153 133 127 34 128 43 129 122 11 218 57 82 94 12 99 94 55 45 87 246 159 94 140 151 54 146 123 85 203 65 59 128 191 214 42 165 121 139 27 76 236 57 8 96 67 82 245 137 78 230 165 16 192 46 246 186 211 72 124 199 143 152 216 56 96 1 220 55 74 210 27 220 30 216 62 45 3 224 47 54 229 139 230 5 61 178 36 1 211 206 250 28 9 19 11 5 250 211 169 40 105 115 223 251 90 138 193 175 126 62 181 74 169 16 198 105 119 243 207 71 208 243 31 37 233 255 12 192 29 209 14 73 222 0 224 59 81 146 221 219 207 251 28 1 224 16 0 79 132 113 118 146 127 135 170 229 0 146 138 0 166 3 92 169 88 68 93 87 153 14 186 47 140 211 109 122 209 85 199 74 90 209 69 6 72 118 2 152 211 135 92 94 36 97 37 167 215 186 187 1 0 183 69 73 246 231 22 90 12 2 208 237 48 74 0 206 118 69 63 182 169 36 121 125 24 167 119 180 182 107 193 133 172 90 14 182 70 206 57 62 79 210 11 81 146 205 180 151 21 115 30 97 174 80 40 176 62 114 214 114 87 87 70 73 246 89 47 183 238 4 228 51 146 206 247 10 77 0 224 192 129 62 143 164 85 171 229 224 255 36 125 52 55 216 115 37 239 10 188 252 73 67 82 221 96 128 85 114 187 81 149 23 120 222 249 122 36 142 115 175 233 232 200 121 144 195 56 221 189 90 9 16 197 61 172 234 229 1 204 144 212 238 121 201 203 12 37 168 15 68 9 219 62 150 0 20 10 5 223 99 7 72 60 22 198 217 195 181 74 233 235 64 29 204 45 52 41 0 120 7 121 94 124 122 147 50 90 193 206 18 121 238 79 34 57 39 140 179 199 6 250 204 181 74 169 61 140 211 142 33 190 135 171 73 56 201 157 177 87 121 124 97 148 100 143 182 228 180 4 0 172 85 74 199 0 56 91 210 114 118 175 47 150 244 67 0 233 226 4 118 175 120 113 77 139 134 206 5 240 86 148 100 47 244 103 180 85 203 193 78 36 111 150 52 198 205 166 48 48 255 13 128 207 132 113 218 53 0 34 150 43 195 56 189 178 57 69 230 246 8 192 116 9 43 53 198 150 90 194 143 248 117 24 103 159 242 158 221 165 16 15 147 112 73 78 226 5 117 119 139 36 15 11 227 84 189 56 54 43 2 250 18 208 163 170 93 0 119 31 202 253 175 85 74 155 0 24 39 105 30 128 25 75 122 216 208 162 88 108 250 194 247 73 216 170 173 13 254 216 196 57 97 156 142 107 133 61 234 123 212 46 105 92 148 100 111 247 182 39 222 133 222 137 228 95 242 66 41 103 161 10 18 94 0 176 1 201 84 210 36 87 201 158 123 127 32 240 222 138 227 90 165 68 73 63 2 120 162 159 95 34 249 34 132 181 4 245 121 54 222 243 124 141 228 89 104 176 104 177 185 224 165 80 104 120 218 126 187 175 229 200 0 232 206 40 201 118 244 158 235 49 9 155 56 15 214 222 238 179 102 144 52 239 219 45 18 118 245 170 219 69 226 156 48 78 167 46 228 121 124 24 192 41 146 174 6 240 11 0 115 7 176 23 127 4 184 127 19 71 52 0 237 1 96 109 146 63 115 96 238 114 140 128 166 71 73 182 170 103 92 57 5 182 5 201 7 37 161 80 160 171 216 167 164 41 36 95 156 159 50 50 133 249 13 0 207 132 113 122 245 80 69 33 242 103 12 102 72 92 217 201 179 221 177 78 73 99 49 76 123 228 23 181 129 221 108 240 0 120 74 210 114 126 127 187 235 84 144 116 42 128 95 2 232 32 217 33 169 195 254 187 11 64 39 114 206 240 206 102 144 234 3 164 215 142 146 236 185 254 0 170 90 14 38 1 248 9 137 67 115 76 86 61 122 38 169 158 234 242 238 241 106 0 174 35 185 141 147 107 3 243 251 1 236 20 37 217 220 133 1 68 239 217 167 3 152 92 44 210 218 76 229 210 106 63 140 146 236 155 189 0 244 89 146 190 70 230 81 71 115 12 95 146 20 56 163 186 233 115 238 149 180 117 91 155 43 132 19 0 190 18 198 233 106 125 202 140 132 208 140 243 48 78 123 53 188 60 89 221 192 244 195 22 77 186 120 14 201 181 194 56 157 62 234 0 189 90 14 246 4 240 183 70 110 164 222 142 179 19 128 59 150 230 60 155 119 177 119 5 112 139 253 120 247 40 201 110 233 197 211 90 49 15 189 98 91 127 228 159 3 70 91 51 36 77 118 97 118 11 229 82 194 241 81 146 93 216 116 41 55 71 94 124 229 194 195 14 248 95 9 227 116 181 190 12 45 79 232 3 0 143 2 88 193 148 22 37 189 14 160 70 242 74 73 15 1 216 18 192 5 36 54 5 40 7 0 13 176 171 71 14 86 6 240 186 189 239 129 0 174 241 83 5 36 178 48 78 75 125 40 171 217 36 199 57 16 237 232 144 72 94 30 198 233 231 23 2 184 62 78 242 218 122 83 12 113 114 24 167 231 206 231 44 75 18 94 116 140 135 254 119 36 121 62 160 19 37 168 189 61 207 227 25 152 191 16 37 217 90 142 9 207 238 194 178 36 207 5 112 140 139 110 228 133 102 32 128 221 195 56 189 101 254 128 91 90 11 192 179 166 132 131 40 201 94 26 194 212 194 246 0 239 180 25 245 117 226 30 64 235 70 73 246 236 82 38 191 235 74 58 147 228 86 0 214 146 84 116 162 228 136 129 252 185 218 70 51 234 21 114 229 175 237 133 212 198 1 191 251 251 90 0 23 146 188 197 121 207 181 74 105 21 73 127 0 176 35 201 155 194 56 221 171 15 57 61 134 228 79 221 77 246 243 206 246 254 55 132 113 186 143 247 123 95 34 121 81 147 129 254 22 128 189 162 36 187 111 168 60 219 106 57 120 16 192 22 205 186 10 224 87 194 56 61 175 105 159 55 3 240 160 164 182 122 15 142 72 41 55 134 155 159 201 140 217 8 192 159 156 163 98 122 4 0 158 12 227 116 227 126 158 107 61 0 143 144 28 47 233 155 81 146 253 176 151 215 140 33 121 161 164 99 204 227 239 109 95 167 134 113 122 118 147 158 31 7 96 93 0 211 162 36 123 109 36 221 117 191 202 253 98 35 6 176 28 6 41 233 133 48 78 151 90 48 175 23 60 73 147 107 149 210 75 6 230 178 252 212 15 124 161 180 139 176 175 164 215 37 109 227 207 255 246 73 71 36 205 113 96 238 12 39 3 243 79 57 48 175 150 3 86 203 193 58 213 114 240 56 128 135 29 247 188 203 81 75 186 179 63 48 247 66 203 95 38 153 146 116 96 46 73 167 71 73 182 50 201 207 134 113 122 115 148 100 175 3 184 41 74 178 247 1 124 38 127 255 198 251 152 98 163 164 207 71 73 246 186 151 15 187 38 15 49 215 133 28 0 54 232 109 15 107 149 210 201 0 198 185 16 183 75 229 0 248 127 131 105 151 114 231 66 226 183 82 29 152 37 233 67 253 129 104 62 13 14 47 90 52 130 157 157 146 171 239 243 207 199 0 0 32 0 73 68 65 84 89 48 81 63 49 175 4 239 1 230 79 68 73 182 150 219 83 73 43 84 203 193 151 73 206 116 149 190 110 126 51 160 119 0 172 221 23 152 55 158 155 237 181 74 105 170 164 231 92 148 100 168 192 220 107 201 187 221 79 167 228 138 95 255 94 218 192 220 214 127 72 30 100 74 186 216 0 102 194 181 135 54 27 221 46 79 236 128 204 213 20 245 225 15 217 212 77 236 15 224 75 166 47 219 170 229 224 219 18 94 1 184 3 64 72 234 173 7 123 98 181 28 204 0 240 83 41 191 151 254 168 80 53 194 104 177 157 239 42 213 114 240 58 201 11 189 135 160 164 91 162 36 91 129 224 125 206 152 88 216 59 84 45 7 255 75 230 96 222 208 85 32 192 207 56 48 175 150 3 214 42 165 181 107 149 210 195 230 56 180 25 148 163 187 27 148 116 111 148 100 171 86 43 239 237 140 178 255 47 91 31 187 99 131 115 169 196 23 123 123 166 90 165 52 177 90 14 170 36 159 6 56 206 254 249 140 90 165 212 222 244 236 235 1 120 87 210 209 222 236 14 244 156 214 135 153 14 204 109 173 86 45 7 191 34 49 27 224 191 72 188 90 171 148 118 27 113 30 186 181 29 221 230 14 206 121 100 0 150 11 227 116 214 82 236 153 79 64 62 99 249 112 192 133 82 235 150 221 33 97 156 254 206 83 212 53 0 31 243 4 220 221 161 119 45 111 220 6 96 174 21 194 209 17 245 152 151 112 16 201 235 37 77 34 121 60 128 147 252 55 113 66 77 114 58 128 29 195 56 253 111 47 66 88 52 97 26 139 188 22 226 94 244 108 103 123 23 192 68 73 157 125 120 244 203 147 120 67 202 43 191 189 80 180 12 212 54 245 246 229 91 18 78 119 96 145 247 158 242 250 48 78 195 62 246 241 77 73 19 93 215 68 163 18 94 109 81 146 117 13 82 233 60 3 96 237 28 124 235 17 132 117 0 60 215 79 26 228 102 128 187 229 180 180 18 192 14 0 29 0 38 184 57 238 141 58 2 1 192 147 81 146 109 92 171 148 150 7 176 171 164 115 72 110 224 31 174 29 205 187 0 46 143 146 236 139 189 124 119 154 199 210 14 96 44 128 175 1 152 234 157 45 0 236 8 224 206 161 10 129 215 42 165 15 72 250 167 147 231 60 26 2 74 24 67 178 99 105 50 208 107 149 210 100 73 211 201 70 167 66 243 242 91 182 122 102 161 212 67 85 186 104 135 87 92 8 0 51 37 205 34 249 146 164 59 162 36 59 190 86 41 237 2 232 86 137 34 235 61 218 32 249 82 24 167 129 247 108 187 32 103 89 243 229 156 22 222 239 114 195 73 36 125 34 74 178 63 84 203 193 1 0 254 224 117 181 80 210 28 146 59 14 53 149 117 173 82 218 26 192 125 240 120 11 76 87 29 66 178 42 105 37 0 199 1 152 234 68 161 30 202 104 68 33 119 139 146 236 241 94 222 187 104 81 146 83 37 125 163 97 24 213 191 255 19 97 156 110 210 20 17 107 7 112 36 128 203 0 214 101 213 228 180 28 37 217 209 158 135 253 125 0 223 70 99 162 166 19 236 185 182 159 203 32 175 135 89 61 74 178 153 121 212 78 15 1 152 228 126 199 222 91 0 238 139 146 108 219 145 6 232 191 151 116 160 187 240 54 36 227 63 81 146 109 184 52 2 185 89 121 63 33 241 69 39 148 46 114 97 23 251 218 40 201 14 176 189 91 65 210 52 7 212 30 160 223 69 114 87 87 232 100 160 223 41 161 208 214 230 4 4 0 48 215 46 152 203 151 9 77 181 13 166 244 31 204 173 82 20 36 77 0 48 25 192 100 146 43 27 161 73 227 80 61 186 39 19 250 199 162 36 219 172 175 48 156 9 203 60 63 220 238 3 175 25 8 153 9 198 178 128 102 186 54 181 142 14 8 208 236 40 201 150 237 109 31 73 30 38 233 215 197 98 61 100 231 218 92 78 10 227 244 71 131 84 54 223 149 112 170 239 241 147 56 45 140 211 83 251 57 211 189 1 220 96 85 251 6 112 90 37 74 178 25 46 172 104 5 60 206 51 119 81 0 88 62 83 228 123 1 193 20 239 111 140 214 178 104 74 97 18 128 201 102 160 245 8 207 194 203 117 146 124 19 192 106 146 230 14 101 62 187 86 41 221 11 224 67 142 67 194 106 97 150 24 173 238 48 0 245 219 0 124 216 69 115 28 93 175 31 94 55 175 109 46 128 89 0 110 38 249 176 164 20 192 90 0 118 38 185 189 213 195 168 189 189 7 203 222 218 97 156 62 111 159 179 29 160 59 36 22 92 8 185 33 71 234 140 146 108 140 243 106 73 94 33 233 112 7 206 150 118 121 135 228 126 97 156 254 189 151 251 123 49 128 47 88 104 223 201 101 143 186 142 33 220 175 118 0 243 28 111 129 55 82 119 46 128 101 188 60 116 83 181 77 125 61 2 224 223 6 218 19 108 168 212 100 146 147 6 160 171 126 30 37 217 81 77 213 251 159 5 240 115 39 183 206 145 176 226 185 110 73 99 162 36 115 221 9 143 75 218 164 73 214 158 37 185 167 17 91 249 123 58 150 196 75 18 86 204 135 252 52 244 188 189 55 144 215 52 125 119 160 105 89 223 129 88 130 128 30 200 41 104 167 112 135 58 167 55 194 0 189 136 188 248 133 206 42 7 234 224 69 0 180 144 246 30 0 110 50 11 219 93 250 87 72 150 36 117 185 226 41 251 249 219 0 150 107 107 35 186 250 240 73 29 152 112 104 120 223 156 208 255 34 140 211 35 250 185 136 5 51 42 218 92 119 67 131 95 29 32 17 135 113 250 51 111 111 126 5 240 48 175 77 13 0 191 32 233 167 125 120 254 111 3 92 214 245 123 59 35 33 140 83 14 226 92 220 62 117 73 96 123 59 105 185 248 238 48 78 219 250 249 142 171 74 152 150 167 65 234 181 33 23 132 113 122 66 181 28 236 65 226 38 87 124 212 188 255 121 24 84 214 163 190 80 39 227 170 143 93 75 209 21 97 156 30 53 148 85 188 182 63 43 2 124 157 132 241 2 212 131 182 99 150 230 182 211 90 165 20 74 170 2 57 53 113 35 157 36 72 152 11 96 151 40 201 238 153 207 254 150 73 198 174 99 192 244 228 22 81 146 253 211 254 253 73 128 27 58 62 9 7 58 102 188 29 0 224 90 0 237 146 94 3 176 156 203 191 155 172 30 28 37 217 53 62 24 120 117 57 255 144 176 83 94 159 81 143 70 221 22 37 217 174 67 237 200 88 109 193 107 82 222 158 102 233 177 69 166 171 154 76 130 169 77 33 112 87 171 50 83 106 164 65 60 199 10 18 38 154 151 61 1 192 235 94 23 13 77 135 111 209 219 224 30 211 123 93 142 98 219 175 161 240 244 252 218 81 146 61 63 192 251 85 144 180 45 128 103 205 208 234 94 18 192 222 86 171 148 14 146 132 70 238 92 32 153 133 113 250 18 150 222 37 7 136 14 204 45 60 78 0 155 25 80 127 23 192 169 94 232 11 0 62 26 37 217 95 154 243 68 181 74 233 56 146 203 53 17 44 204 239 114 207 15 29 208 135 165 11 239 153 46 136 146 236 132 222 126 255 250 159 149 156 66 122 218 66 245 245 106 246 188 85 43 159 26 230 192 252 79 151 5 32 177 62 201 79 58 129 182 86 174 231 163 36 253 105 31 151 252 195 185 226 242 39 170 137 238 61 22 116 217 190 191 106 81 14 43 160 201 41 37 231 179 87 207 184 144 105 119 55 105 97 210 19 108 223 174 151 80 231 159 111 222 198 134 135 14 46 152 162 106 20 76 217 231 48 39 10 210 87 195 56 189 220 191 31 67 181 108 127 182 112 21 247 22 74 166 165 122 150 118 14 137 227 93 213 181 3 115 187 227 105 148 164 107 14 240 61 158 118 206 177 19 63 146 190 158 124 10 192 134 141 84 84 253 190 223 22 198 233 181 181 74 105 89 73 51 125 89 181 30 241 125 93 165 188 15 0 22 62 190 19 192 246 94 52 138 36 174 139 146 108 255 161 222 32 75 75 29 1 112 37 191 6 104 97 117 85 223 122 139 245 207 0 244 118 148 100 103 247 242 76 179 106 149 18 92 196 195 55 196 0 28 26 37 217 204 106 57 216 6 192 61 78 15 154 236 125 55 140 211 239 245 243 28 203 1 121 205 130 15 230 158 158 95 51 74 178 249 10 231 117 151 5 40 22 104 105 157 250 103 171 90 14 86 95 18 109 113 109 0 182 115 138 203 109 178 164 95 47 197 150 124 143 1 27 29 29 206 42 20 72 126 37 140 211 199 170 229 224 122 73 31 117 160 111 20 154 235 55 135 91 204 59 111 7 116 129 229 166 13 52 4 9 39 34 103 97 243 1 89 102 53 118 35 111 137 153 3 224 93 146 179 141 229 233 109 146 51 1 204 180 162 172 46 251 221 131 1 252 178 169 224 227 130 40 201 78 232 203 74 252 216 231 83 84 203 193 159 37 173 211 40 116 243 199 105 2 146 182 113 175 223 239 232 12 213 114 240 211 156 113 140 142 9 13 0 14 236 199 203 252 179 179 172 61 37 208 17 198 233 111 22 212 122 181 189 156 10 96 229 66 161 30 158 19 128 91 162 36 251 71 63 191 119 182 164 241 174 66 151 68 55 128 137 6 126 247 0 88 166 49 120 72 0 240 83 0 255 238 197 192 235 6 208 77 178 59 79 79 96 182 164 217 36 223 149 84 63 23 0 111 91 94 51 215 12 121 72 64 0 186 157 210 94 196 189 205 135 1 249 176 140 220 187 34 0 253 207 210 90 216 106 94 231 151 36 237 9 64 93 93 244 169 111 159 9 227 116 253 5 56 143 175 53 25 209 239 54 181 60 201 7 60 43 34 123 45 140 211 93 171 229 96 19 73 143 163 81 231 70 146 91 133 113 250 96 63 207 126 41 137 237 125 131 24 192 189 97 156 238 63 212 119 168 49 128 72 87 0 240 116 21 32 233 43 166 143 252 239 222 155 174 154 141 188 158 100 150 147 5 211 83 51 221 239 147 236 182 124 245 102 46 34 108 29 4 135 12 228 57 27 35 138 241 223 48 206 126 91 45 7 223 6 240 125 23 233 48 195 121 141 48 78 95 94 208 61 106 164 81 184 83 24 167 233 252 116 148 87 208 251 10 172 214 64 34 186 186 68 0 211 106 149 82 209 17 21 45 182 144 123 173 82 186 3 192 14 142 64 195 10 156 184 52 183 169 85 203 65 72 178 234 9 167 72 76 183 202 242 251 73 110 229 229 177 190 30 37 217 89 253 180 143 61 10 240 125 46 23 101 134 193 7 194 56 125 100 136 132 240 88 73 151 184 66 17 139 239 93 30 198 233 231 251 187 144 181 74 201 21 142 52 133 151 235 237 87 223 10 227 244 135 158 145 179 29 137 187 156 151 99 121 193 62 11 70 106 149 210 166 0 30 115 149 214 94 206 177 223 150 174 190 4 199 188 135 78 120 83 152 76 136 215 136 146 236 229 62 126 111 27 18 247 120 165 13 0 248 161 48 78 239 183 246 194 215 114 43 29 180 74 253 199 162 36 123 255 8 191 187 179 72 78 240 140 148 238 40 201 138 75 171 113 142 188 214 100 58 26 41 40 39 207 51 194 56 93 117 32 74 223 191 127 36 10 133 130 43 196 196 113 81 146 253 196 123 157 252 201 148 22 18 46 145 220 4 192 223 208 72 187 188 78 50 8 227 116 78 111 159 111 242 246 9 18 191 119 35 73 77 222 222 138 146 108 197 69 21 202 173 150 131 59 0 108 239 15 70 33 177 69 24 167 255 28 138 179 176 104 229 120 0 239 0 121 61 131 181 139 222 27 198 233 118 125 0 230 58 0 158 105 180 199 214 11 231 218 36 253 140 228 103 189 179 253 61 128 131 7 200 253 176 146 164 215 122 82 216 66 128 206 137 146 108 234 252 238 133 55 25 238 77 128 227 92 58 192 57 129 142 183 62 74 178 121 139 243 206 23 144 23 60 121 214 15 94 95 202 123 206 219 73 254 169 201 65 35 128 82 181 28 60 5 192 7 243 29 230 3 230 43 3 220 204 13 253 176 223 251 121 24 167 143 12 128 185 105 32 151 242 96 228 85 248 42 20 234 96 254 240 252 192 188 90 14 142 236 13 204 93 17 85 206 85 174 51 157 5 106 124 224 23 59 192 119 60 203 0 246 238 173 237 204 126 118 175 123 189 123 127 64 211 194 56 189 101 48 223 189 90 14 158 0 88 244 200 39 100 67 107 94 238 237 243 171 229 96 156 113 210 187 194 24 72 248 137 129 57 36 61 43 137 121 197 123 254 157 73 238 52 10 174 240 4 255 76 45 154 176 84 46 211 99 207 168 231 140 80 145 232 0 16 12 212 131 51 48 255 95 18 245 41 96 22 211 188 202 218 33 81 45 7 223 112 105 29 47 55 127 46 128 61 36 253 77 249 34 128 63 3 88 57 140 211 57 222 51 246 246 220 23 250 195 116 12 196 206 104 14 203 15 149 225 83 171 148 38 147 220 161 103 225 167 102 3 56 195 211 55 11 123 22 144 244 68 30 181 163 21 219 145 176 150 188 222 246 29 192 153 230 253 154 222 33 1 108 34 233 175 200 73 172 92 180 238 115 97 156 30 220 156 138 236 235 89 36 93 103 122 211 165 154 69 106 54 201 169 3 185 23 36 55 3 48 155 228 56 63 29 224 165 98 238 88 220 96 238 0 125 229 158 121 17 190 178 180 9 190 215 187 184 23 242 54 51 15 232 4 146 187 90 184 108 3 47 172 179 90 148 100 119 205 71 192 158 200 9 76 122 92 198 120 40 194 101 146 118 151 84 239 195 54 175 186 91 210 214 243 1 243 253 73 94 238 226 126 166 120 252 28 55 0 110 24 37 153 92 81 159 245 98 110 225 229 101 33 233 186 40 201 222 234 237 115 72 174 106 97 110 53 90 124 4 0 251 244 165 196 230 35 60 27 229 127 242 114 54 11 247 19 192 57 189 41 26 27 231 122 187 235 2 178 175 250 84 148 100 95 182 151 108 6 96 98 161 64 57 2 17 9 251 134 113 250 214 8 191 199 203 52 138 51 235 161 204 185 75 169 103 142 106 57 248 183 164 101 155 88 224 8 96 205 48 78 59 7 114 15 61 238 128 47 184 105 162 86 86 249 163 40 201 222 136 146 204 25 188 83 27 247 83 34 249 4 201 7 72 94 225 233 140 47 71 73 246 49 206 39 249 92 171 148 118 35 185 70 161 208 232 157 6 132 48 78 207 25 106 157 103 107 47 73 79 218 112 34 23 6 23 201 241 0 246 173 85 74 191 24 10 39 175 86 41 173 76 114 205 66 193 233 30 8 208 181 97 156 254 171 15 163 124 13 18 135 144 62 131 28 110 2 112 30 201 61 209 32 219 250 80 148 100 151 15 100 106 160 25 96 107 146 220 201 181 167 229 209 57 18 224 106 97 156 246 169 159 188 123 245 29 73 143 74 42 52 59 69 150 214 131 164 157 151 196 221 111 147 212 238 13 250 0 122 206 115 94 42 132 223 138 79 254 132 156 181 72 141 134 12 9 121 62 245 50 228 116 173 178 124 208 42 97 156 206 157 143 176 172 2 112 146 139 124 216 250 224 96 251 174 155 158 121 61 0 55 231 140 102 121 11 13 41 2 92 61 74 210 174 126 158 107 79 146 127 244 4 225 53 0 43 146 40 56 14 101 0 55 250 131 85 108 111 46 204 173 100 55 5 73 144 240 137 126 12 147 135 129 70 123 144 23 57 120 120 65 207 38 87 192 122 36 143 32 208 79 91 124 34 140 211 121 125 124 207 147 37 109 233 90 124 72 206 10 227 116 35 167 196 36 221 1 160 206 159 79 242 229 48 206 254 58 10 232 141 139 126 253 135 125 215 103 150 70 207 188 86 41 221 45 105 99 111 72 137 3 132 109 23 132 234 211 222 235 81 0 116 29 42 22 157 250 134 103 76 126 69 210 242 197 34 235 134 187 164 43 0 252 218 251 252 143 132 113 122 227 0 13 218 207 249 181 39 102 80 12 137 158 179 255 94 95 210 247 171 229 96 7 0 129 181 151 201 10 40 93 161 218 215 0 93 75 114 90 24 167 179 134 72 54 30 233 233 157 131 0 190 212 219 123 91 84 228 52 201 245 193 75 22 109 154 73 242 0 143 11 98 157 48 78 159 27 232 72 111 123 223 59 73 122 253 245 32 160 143 132 113 54 171 63 157 110 119 225 33 0 31 68 207 190 123 54 25 140 87 69 73 166 37 113 247 89 45 7 47 145 92 221 229 57 73 44 21 253 170 94 94 108 77 146 15 32 207 181 121 145 138 186 2 248 143 7 230 51 72 150 0 116 12 32 79 115 11 160 93 44 79 4 18 175 74 152 236 136 18 22 226 185 199 146 120 215 0 206 175 248 220 53 74 178 219 250 121 158 221 37 221 236 93 192 103 73 30 35 225 198 198 184 79 0 249 240 130 57 182 55 32 185 27 128 191 55 10 115 4 146 255 215 23 101 107 181 28 76 0 48 139 204 123 218 93 174 155 228 186 205 125 160 3 84 68 159 146 116 149 235 99 119 132 30 54 253 169 7 31 185 41 216 173 37 221 231 141 141 236 150 180 34 128 153 22 113 152 40 225 45 223 100 35 177 86 24 167 47 140 146 123 45 215 126 104 145 145 135 162 36 219 114 41 50 204 215 67 94 241 188 178 15 230 182 142 9 227 244 178 5 220 207 143 2 188 222 241 67 152 111 185 125 148 100 119 123 175 121 19 192 196 6 80 233 105 0 235 215 185 79 201 61 122 235 45 239 231 187 92 43 105 63 199 11 226 245 202 159 96 157 43 131 217 159 221 0 156 38 105 115 146 203 55 77 100 235 146 80 244 114 255 111 71 73 182 252 16 159 207 100 73 175 24 235 158 203 157 95 17 198 233 81 125 24 242 37 18 47 122 92 246 144 112 23 128 237 61 29 86 138 146 44 91 192 243 220 6 192 61 94 78 30 48 206 149 254 34 167 70 190 246 23 228 100 93 238 243 143 6 112 153 203 195 231 53 104 57 179 104 148 100 175 46 9 57 40 144 124 198 111 65 176 193 13 75 5 152 215 42 165 43 72 190 128 156 8 164 17 182 104 171 91 197 242 192 252 37 146 107 12 4 204 171 229 96 57 64 187 2 46 223 6 73 120 191 11 207 13 86 97 229 0 139 55 37 202 85 154 91 232 252 162 40 201 110 235 139 70 181 86 41 237 229 192 220 66 127 247 69 73 182 46 128 27 217 131 189 82 159 9 227 116 142 83 24 246 247 37 121 175 102 15 208 63 186 175 207 34 115 229 231 245 169 11 192 237 11 10 230 246 125 219 1 93 213 51 55 153 167 27 162 36 235 1 230 110 196 163 164 219 29 89 135 121 74 59 57 48 183 245 211 252 249 28 47 190 30 25 45 96 110 107 86 211 121 76 89 138 188 242 107 144 183 97 174 100 109 152 108 132 118 113 71 24 167 151 13 148 106 216 238 223 120 146 215 187 173 180 80 251 69 81 146 221 109 169 40 199 74 182 188 203 173 147 16 201 245 61 165 255 225 5 1 115 147 196 153 78 210 26 243 32 36 73 199 14 4 204 61 154 212 141 106 149 82 181 86 41 189 45 233 239 200 9 114 38 122 159 115 26 128 173 1 21 253 190 114 146 67 90 24 106 134 246 35 121 212 206 159 117 174 175 245 150 50 51 29 121 158 68 53 134 187 80 0 182 247 140 144 213 22 20 204 77 30 110 37 41 55 224 202 116 226 38 189 69 78 188 16 251 207 37 221 6 96 156 209 200 190 140 60 85 253 38 208 200 159 155 62 158 23 37 217 171 131 161 180 30 18 64 55 107 86 141 203 195 73 163 217 138 183 245 233 106 57 120 13 192 17 158 176 214 61 115 143 2 146 118 129 58 72 174 35 169 107 32 128 76 242 253 141 138 113 129 228 219 36 167 13 182 176 196 11 39 61 40 113 76 177 232 104 15 33 18 239 146 60 174 175 252 81 181 28 132 0 110 68 131 137 233 250 48 78 183 169 150 131 125 172 253 195 9 50 73 94 229 41 3 71 255 184 81 161 224 40 111 1 128 23 132 113 218 213 203 196 36 84 203 193 88 64 187 184 96 152 11 103 145 60 112 48 10 58 15 101 82 254 153 152 65 241 30 227 197 242 230 119 217 92 114 199 111 253 197 40 201 238 246 218 8 139 128 62 41 185 142 3 144 228 62 163 233 142 27 107 157 99 185 18 122 210 255 142 58 195 220 254 78 12 180 14 244 231 30 52 12 243 124 96 206 64 195 198 141 84 79 94 29 111 10 219 181 185 29 231 228 209 114 231 39 229 32 222 208 25 94 161 214 65 81 146 253 191 65 156 97 205 42 228 235 119 62 231 120 231 198 213 114 176 247 0 192 226 248 188 136 20 79 0 8 1 44 231 165 28 110 148 180 75 148 100 140 146 236 52 0 99 26 122 79 144 52 43 140 211 23 134 18 144 36 173 0 96 85 107 55 53 35 159 151 70 73 54 163 55 16 173 150 131 77 73 30 100 231 230 100 190 30 222 38 57 101 48 61 222 213 114 176 191 132 113 100 189 165 147 36 191 128 166 150 60 239 185 183 172 85 74 211 1 124 214 51 36 46 15 227 52 176 25 24 31 245 123 233 109 127 51 207 25 90 252 128 158 179 39 137 30 253 225 42 213 114 48 102 52 10 62 128 237 107 149 210 191 145 143 68 92 209 42 79 33 233 101 18 93 174 197 202 81 54 230 255 36 74 90 57 140 211 142 129 30 146 164 111 250 189 221 0 246 239 175 216 98 126 203 194 223 95 0 184 69 161 144 147 221 52 8 16 184 105 95 239 93 45 7 177 241 46 187 203 248 147 40 201 66 163 158 252 115 227 25 37 9 91 135 113 90 191 136 246 126 87 120 173 108 150 59 215 73 125 89 213 36 143 178 202 92 167 220 4 224 175 97 156 206 88 208 243 178 59 120 102 163 67 160 254 158 31 107 246 206 237 119 206 116 195 89 76 176 46 139 146 236 226 38 15 126 89 169 65 46 2 168 19 192 203 163 12 231 202 64 110 176 20 10 32 128 101 154 100 96 212 200 51 201 221 106 149 210 83 0 46 243 139 223 28 152 123 233 168 29 195 56 157 55 80 239 214 238 242 147 0 199 3 96 222 202 171 57 174 103 221 189 79 181 28 252 82 210 88 55 80 197 163 148 37 128 19 163 36 187 102 144 209 134 171 73 214 61 102 39 131 22 191 191 170 57 50 229 129 225 217 213 114 208 65 242 124 146 27 122 178 0 0 223 7 176 90 24 167 251 144 252 135 167 171 190 108 180 167 206 161 59 98 32 197 101 11 104 160 220 35 129 46 103 109 222 249 212 126 188 243 43 45 119 142 6 193 77 221 72 218 90 210 139 131 188 51 215 184 34 101 51 94 94 15 227 244 210 94 38 192 161 86 41 93 66 242 1 163 111 118 134 68 24 198 233 231 188 231 62 164 39 89 24 1 224 132 37 41 27 133 40 201 110 53 226 18 179 68 9 55 15 122 20 121 228 91 213 42 165 187 0 220 41 105 35 54 166 112 16 192 41 36 127 32 177 232 4 178 193 144 36 87 205 62 107 1 47 240 199 26 33 24 116 132 113 122 107 173 18 12 90 121 213 42 165 73 36 46 118 6 135 3 75 146 215 59 30 233 94 194 109 167 0 40 123 96 126 162 171 242 38 185 147 99 171 53 222 129 183 162 36 123 192 187 204 168 150 131 41 128 54 109 20 182 1 18 46 140 146 172 179 15 227 161 0 232 98 175 114 212 177 100 29 180 32 96 226 148 73 238 165 52 136 58 60 131 226 198 38 37 102 121 78 76 245 66 237 183 134 113 122 76 47 30 252 238 128 92 171 138 0 124 122 20 182 104 62 224 131 0 160 66 173 82 58 109 52 204 62 247 228 121 251 90 165 244 128 133 145 215 247 166 105 201 247 204 237 254 252 61 140 211 59 7 42 107 102 60 223 147 191 47 220 96 143 57 18 150 247 66 251 168 85 74 99 0 124 210 121 231 77 235 194 40 201 206 95 72 175 246 199 62 207 124 46 251 164 164 73 181 74 233 166 38 99 255 252 90 165 36 73 39 3 40 162 103 191 251 255 132 113 202 40 201 190 131 156 0 165 135 241 111 172 141 206 99 157 27 198 233 31 135 152 176 102 130 132 13 61 150 91 73 184 58 74 178 183 122 155 95 94 171 148 246 1 176 85 161 144 171 104 231 88 89 170 240 0 0 15 12 230 46 147 60 22 121 138 153 30 35 228 230 94 148 199 237 123 84 45 7 179 36 29 235 25 17 247 72 90 33 140 211 235 189 59 176 162 117 1 212 245 19 128 206 40 201 254 180 68 1 221 254 78 36 151 3 146 36 29 52 26 4 95 210 110 213 114 112 23 201 251 141 103 183 78 13 40 233 159 36 215 181 153 194 63 121 239 48 5 64 194 46 97 156 190 178 128 159 189 138 179 138 237 175 105 249 37 24 156 66 181 203 123 7 172 23 211 13 14 176 222 248 200 183 114 29 24 214 42 165 171 36 125 143 102 145 0 56 208 87 48 146 174 119 131 72 252 22 11 39 96 246 119 181 217 59 39 121 90 63 185 243 181 37 250 116 144 66 62 211 248 157 5 17 64 27 85 251 12 128 61 93 232 212 133 60 37 156 22 37 89 167 207 196 39 105 85 146 85 87 4 39 233 233 48 78 119 235 227 57 143 117 45 48 121 59 50 175 29 77 158 171 157 93 23 192 67 189 233 97 146 244 157 209 224 165 75 218 187 90 14 30 36 121 167 164 45 60 89 134 164 7 156 145 234 77 67 35 128 189 6 146 234 242 234 106 254 31 128 15 153 34 135 57 59 227 163 36 235 240 189 72 73 119 1 40 20 139 110 50 151 51 142 117 123 148 100 199 47 236 119 141 146 236 171 36 94 232 238 150 156 65 157 235 39 2 208 30 213 114 112 113 173 82 154 90 45 7 2 112 188 129 143 51 222 95 6 240 153 48 78 87 14 227 244 146 38 93 226 127 231 30 45 203 0 94 93 4 103 246 23 243 138 253 52 215 177 189 221 69 27 79 252 75 47 205 225 159 227 5 97 156 94 187 160 96 110 209 190 54 64 151 56 82 44 219 207 123 154 114 240 235 212 42 165 27 0 252 9 192 120 207 43 255 106 148 100 219 147 124 171 41 37 243 254 156 98 185 17 110 183 121 244 75 116 21 236 130 254 10 208 179 221 221 57 81 61 192 177 181 74 233 206 17 44 248 7 212 42 165 231 72 254 29 64 51 144 207 34 249 185 40 201 182 180 66 173 223 231 189 220 245 201 84 38 20 58 171 63 74 209 126 62 123 121 151 87 49 7 115 161 162 29 181 74 105 91 73 27 58 207 215 194 248 4 248 203 48 78 229 79 248 65 206 205 255 152 164 79 153 41 60 27 192 251 163 36 251 163 119 193 223 7 227 87 55 1 155 29 37 217 191 170 158 210 171 150 131 101 0 108 238 13 156 17 192 43 194 56 125 189 47 129 146 116 166 11 103 25 43 28 115 143 120 224 6 88 181 28 28 133 60 111 185 54 172 162 216 206 197 25 48 223 247 45 106 251 238 143 153 192 131 228 116 146 27 247 19 50 220 185 225 237 19 32 186 70 131 231 218 172 192 36 93 67 226 45 111 86 60 106 149 210 181 174 115 97 132 121 227 168 150 131 67 107 149 82 6 224 6 228 45 67 62 103 247 219 0 14 5 240 180 21 99 186 105 121 146 244 133 40 201 186 7 194 4 135 124 126 249 35 146 118 244 200 85 94 14 227 116 130 31 41 50 239 252 131 36 182 44 20 26 249 211 188 151 25 175 70 73 182 243 194 146 176 120 207 180 11 73 54 122 155 235 173 108 178 220 239 153 22 157 240 219 80 143 177 28 239 85 3 240 90 39 185 58 26 91 191 29 138 103 247 34 103 227 0 238 236 17 139 11 192 253 97 156 190 217 71 189 207 41 0 87 118 41 12 215 123 46 233 190 48 78 7 21 202 182 207 249 150 75 181 121 133 127 59 216 75 166 212 42 165 203 145 19 16 237 237 69 123 30 6 48 41 140 211 31 55 71 53 44 37 179 171 177 115 186 221 4 128 243 135 106 255 22 10 208 237 242 108 155 123 47 245 164 203 246 57 251 209 240 86 94 222 5 10 106 149 210 215 106 149 146 0 252 65 210 20 187 180 86 240 166 46 0 103 70 73 54 81 210 229 246 251 219 74 185 39 216 40 108 0 37 61 20 37 217 215 7 121 56 203 55 70 111 18 0 22 214 48 186 206 41 42 160 30 202 238 14 227 244 240 38 229 252 62 228 252 226 110 116 224 127 173 192 177 153 180 225 127 93 152 208 34 212 135 214 42 37 68 61 149 222 95 1 160 137 16 231 123 253 84 209 183 147 56 216 181 129 153 179 240 142 164 129 14 248 153 88 171 148 254 6 224 255 188 84 8 218 218 234 17 4 146 156 17 37 89 125 130 157 129 211 99 0 86 182 136 200 108 73 27 244 85 184 88 45 7 148 52 174 161 87 242 237 28 170 251 55 92 150 41 176 174 252 254 211 40 109 41 0 31 175 85 74 201 72 1 117 73 83 170 229 224 20 147 231 223 0 90 221 31 69 11 160 19 192 247 194 56 93 129 228 45 0 15 117 192 97 173 149 221 36 47 29 200 119 205 7 39 241 121 0 155 121 3 117 30 138 146 108 141 102 227 208 188 243 219 92 5 182 201 164 172 128 107 203 129 246 67 15 228 28 195 56 125 14 192 103 1 249 97 98 248 115 221 157 110 147 244 221 40 201 38 71 73 182 32 109 121 43 53 246 64 0 112 215 96 159 189 57 116 109 239 115 142 79 172 101 70 254 71 250 0 255 241 36 190 231 167 21 243 125 229 27 81 146 109 51 24 93 108 198 87 59 201 83 155 106 28 102 3 216 167 86 41 253 21 192 243 200 139 222 224 69 249 190 22 198 233 22 102 32 245 117 63 63 217 152 201 158 255 36 74 178 211 151 116 10 175 205 83 2 51 170 229 96 115 146 143 88 207 37 72 158 81 45 7 237 81 146 125 111 56 10 61 201 177 54 209 235 12 0 91 185 252 183 3 5 19 204 121 36 127 17 198 105 236 253 158 251 207 155 242 11 151 3 145 93 160 206 48 78 7 45 152 172 19 147 213 21 207 75 131 185 136 214 83 251 62 11 41 215 195 98 230 149 204 115 67 100 76 136 18 228 133 65 46 231 83 139 146 44 106 158 209 11 96 21 18 187 0 116 30 197 156 40 201 106 189 60 194 142 61 189 115 220 16 37 217 51 253 120 82 107 56 11 216 206 64 0 247 158 31 23 178 129 243 33 0 174 182 130 31 127 196 40 154 206 43 241 149 106 173 82 186 65 210 166 22 26 235 68 206 226 55 179 63 143 187 241 158 116 28 231 11 227 129 108 97 6 241 3 195 20 212 223 174 85 74 91 145 120 0 13 250 219 203 170 229 96 124 148 100 23 44 226 1 49 11 4 4 94 10 101 2 128 15 3 56 23 192 166 30 141 166 223 225 48 143 228 207 194 56 253 162 167 92 143 131 17 31 53 238 31 246 114 195 112 230 115 142 83 204 59 43 24 152 19 192 181 97 156 30 208 155 14 168 150 131 211 0 78 116 5 91 94 113 234 97 81 146 189 56 212 251 19 198 233 149 213 114 112 0 160 253 187 187 27 50 230 13 79 145 132 73 81 146 45 112 184 183 121 242 25 6 81 32 234 238 17 201 101 170 229 224 195 36 31 69 62 152 100 28 128 47 90 68 209 172 104 77 11 227 236 245 94 190 35 170 229 224 90 137 245 118 87 107 41 163 132 173 7 171 139 77 79 124 223 39 233 177 246 215 113 128 174 183 22 67 52 56 106 240 0 201 237 242 180 21 250 155 131 81 4 176 177 251 127 27 244 243 234 112 144 253 66 147 34 120 212 114 3 221 102 169 8 192 105 181 74 233 161 106 57 88 165 57 20 182 132 194 111 19 170 229 96 167 106 57 248 11 128 119 37 220 32 97 43 255 226 24 240 205 36 121 105 148 100 203 248 96 238 29 244 87 1 46 235 78 210 134 115 16 192 251 23 146 21 105 150 3 95 179 250 86 25 196 247 28 95 45 7 95 37 249 47 87 232 213 36 120 47 218 5 95 165 86 41 253 23 57 147 157 187 149 199 55 131 185 119 57 247 243 138 165 72 178 220 236 193 212 42 165 75 1 182 251 156 237 142 223 184 47 161 1 80 47 54 51 75 188 91 210 157 189 253 142 71 165 25 212 42 165 127 75 186 186 39 230 242 41 160 81 225 234 245 218 95 231 121 1 151 0 216 219 12 128 78 0 83 36 189 220 223 153 25 115 147 239 145 23 6 122 151 253 61 170 150 131 173 171 229 224 57 73 15 74 186 191 90 14 214 29 174 94 174 77 242 218 206 58 53 156 65 115 126 173 82 186 49 143 36 45 153 40 131 255 153 36 39 214 42 165 157 171 229 224 102 0 179 36 252 25 192 38 78 158 213 48 143 103 74 186 48 74 178 177 62 152 215 42 165 34 201 111 55 228 88 0 248 174 164 62 103 6 120 41 158 61 37 61 239 244 160 129 249 169 81 146 29 208 172 208 205 139 44 2 248 86 46 60 126 123 43 175 11 227 244 234 69 161 243 106 149 210 126 36 247 7 32 71 92 226 244 75 238 201 146 0 94 182 92 241 130 126 204 155 190 163 0 96 149 5 61 67 73 227 106 149 210 241 0 230 144 188 209 139 8 30 234 10 173 93 129 44 128 173 251 240 206 119 37 177 151 235 224 177 239 72 0 167 69 73 246 204 194 165 197 52 213 231 90 47 20 128 182 54 176 137 29 245 53 0 97 24 167 31 210 124 162 118 246 189 119 110 116 30 212 159 245 234 225 16 249 42 244 162 248 254 101 228 3 175 155 130 133 164 15 146 124 165 86 41 125 3 192 178 139 19 192 107 149 18 1 172 81 171 148 14 172 85 74 143 146 152 5 240 255 1 121 255 176 21 193 184 10 74 0 152 6 232 132 40 201 38 134 113 122 108 111 7 82 171 148 86 3 112 174 11 239 212 139 164 114 142 243 39 23 230 2 73 250 143 71 210 211 195 179 28 64 216 118 141 90 165 116 158 164 119 0 156 99 194 214 131 245 209 232 104 215 175 150 131 223 145 124 69 210 58 166 24 103 73 90 51 74 178 11 155 115 62 158 242 60 47 111 135 145 0 116 134 113 122 124 243 119 149 116 132 3 231 124 67 249 66 24 167 143 244 103 33 75 218 193 39 194 48 165 136 222 218 65 0 76 168 85 74 231 1 72 1 108 228 125 185 119 0 108 44 105 53 191 94 192 12 35 1 160 133 139 127 79 242 88 107 57 236 66 78 93 57 109 128 103 118 156 235 209 182 15 40 86 7 6 234 99 173 255 119 6 201 251 0 76 49 99 237 221 225 206 149 30 198 233 61 36 39 192 10 158 204 8 218 19 192 155 181 74 233 56 146 227 22 39 128 87 203 1 1 148 106 149 210 161 102 208 189 37 233 31 198 72 88 239 57 110 212 120 97 154 17 170 44 223 92 108 102 239 187 73 207 206 20 66 210 199 250 34 113 242 40 60 207 36 249 55 52 10 201 58 1 236 97 189 217 189 122 161 0 158 4 80 108 107 203 173 234 156 179 29 157 146 14 28 106 101 46 105 76 173 82 186 94 210 117 246 189 232 134 136 52 228 185 94 40 55 150 228 154 11 170 183 162 36 107 30 19 124 212 2 24 98 171 87 203 193 57 86 52 120 158 23 5 114 147 217 46 119 114 156 23 11 162 195 8 89 122 219 215 171 125 18 25 171 184 191 39 74 178 83 23 18 71 78 236 217 166 218 8 229 219 51 117 74 250 89 148 100 147 92 5 123 52 159 72 128 237 241 94 206 148 106 180 22 234 43 195 161 30 167 208 199 101 154 29 37 217 36 146 87 52 42 182 37 0 63 144 52 179 90 14 126 91 171 148 214 182 226 169 161 6 243 241 146 86 175 150 131 125 45 175 218 45 33 147 240 123 0 155 57 214 48 55 163 220 158 173 3 208 180 6 50 30 0 0 32 0 73 68 65 84 163 0 55 9 227 116 13 146 23 244 119 32 146 174 113 125 142 38 36 0 56 45 140 211 207 45 236 161 68 73 214 45 233 100 207 194 56 196 70 6 246 6 224 32 185 82 173 82 58 184 86 41 189 138 156 148 224 120 47 101 32 103 116 56 1 182 34 39 2 60 200 241 74 146 124 36 140 211 137 6 146 232 195 10 222 92 210 178 249 126 145 36 31 235 197 208 249 36 137 177 142 194 210 152 182 142 28 64 154 97 249 70 46 9 138 146 236 244 218 123 219 65 198 86 203 193 209 146 102 73 58 222 15 249 73 186 45 74 178 229 242 81 132 152 232 4 207 15 13 74 90 199 200 128 62 97 223 123 46 201 21 0 204 24 104 127 177 213 78 248 5 58 167 70 125 83 61 46 83 171 148 54 172 85 74 87 147 124 23 192 13 86 68 228 0 224 241 48 78 199 219 153 13 235 21 198 233 236 40 201 38 231 224 32 162 193 109 126 190 164 217 181 74 233 202 90 165 180 102 206 204 55 52 134 184 247 179 9 36 215 168 150 131 176 86 41 221 150 207 163 231 139 18 126 13 96 227 188 242 216 221 247 122 116 109 46 128 251 1 174 21 37 217 26 0 46 237 71 185 238 7 171 138 238 234 18 140 182 248 214 230 103 241 228 110 185 106 57 120 1 192 84 15 204 255 27 37 217 24 43 162 237 43 116 187 13 201 245 92 33 156 35 77 146 180 37 193 238 161 80 230 94 203 233 250 36 231 0 216 215 117 227 217 149 253 175 139 38 54 245 167 83 210 143 6 243 153 36 191 220 16 51 237 99 161 242 190 94 187 82 173 82 250 68 173 82 154 97 245 49 95 117 97 53 251 253 147 163 36 219 211 10 121 61 35 11 0 112 80 115 10 196 246 245 103 0 87 105 144 101 73 102 27 108 183 176 209 96 73 129 171 151 233 238 206 11 158 173 106 94 36 255 98 103 30 15 226 125 143 240 140 21 1 152 230 119 65 12 192 113 235 75 126 88 171 148 218 170 229 160 189 90 14 198 152 14 106 171 85 74 133 129 190 39 7 240 33 99 1 60 45 41 112 195 46 188 240 40 144 87 3 94 6 224 58 243 44 231 2 232 180 92 180 252 15 39 89 68 62 64 162 13 64 59 201 118 0 171 74 250 8 128 143 88 24 213 235 179 110 60 159 243 216 12 124 205 43 215 171 36 207 113 83 136 6 56 219 248 83 0 174 114 252 187 157 157 142 242 155 147 36 189 182 176 130 233 229 191 223 244 104 22 9 224 88 219 163 46 146 235 0 136 37 197 78 24 208 115 128 4 0 60 66 114 115 192 31 107 218 24 245 215 221 13 146 236 148 116 120 148 100 191 25 192 252 222 31 2 152 218 96 125 211 6 81 146 61 237 63 115 173 82 154 43 169 221 13 65 49 161 27 200 29 57 22 192 197 22 77 232 12 227 180 221 139 174 76 68 206 121 124 182 39 16 174 37 164 67 210 30 142 77 43 231 75 198 109 254 108 97 107 211 131 77 14 115 53 2 111 147 92 9 64 215 130 230 214 170 229 96 15 146 55 161 206 211 193 155 36 197 0 222 37 89 0 112 176 164 99 144 23 25 194 75 101 184 252 254 28 146 39 134 113 250 83 140 192 85 45 7 43 88 158 179 212 124 30 246 191 247 3 40 219 8 225 119 37 205 181 123 214 229 15 156 48 101 219 67 158 237 207 26 86 248 180 143 164 221 61 6 181 122 162 210 143 190 120 10 191 27 192 27 146 78 139 146 236 162 129 202 115 173 82 122 0 192 150 174 240 202 128 250 236 94 114 223 69 146 95 2 112 62 26 172 137 34 249 131 48 78 79 233 47 205 102 247 184 219 31 103 106 133 119 149 48 78 147 161 138 98 88 77 201 169 128 190 11 248 169 93 8 192 73 97 156 254 184 90 14 118 1 112 171 211 95 174 87 29 192 23 195 56 189 120 144 159 253 10 201 201 110 204 44 201 47 74 250 131 165 168 214 34 25 75 74 144 247 113 247 48 180 13 19 158 33 185 41 128 185 166 251 82 146 65 91 27 208 209 1 153 11 209 38 73 30 41 15 0 76 116 237 96 13 34 160 58 217 205 79 22 114 230 5 144 211 179 186 200 20 236 46 215 194 56 61 104 33 244 251 170 128 166 185 22 56 171 99 184 66 210 145 189 180 5 22 72 142 149 52 198 100 99 181 220 41 197 198 0 54 5 176 54 201 53 1 172 234 235 126 175 131 3 189 140 131 189 131 228 223 37 253 28 192 243 81 146 117 249 119 151 11 112 209 166 0 184 79 210 228 102 16 242 148 93 143 135 152 207 131 245 248 248 158 97 229 158 224 229 108 7 11 177 206 70 206 120 246 77 255 249 6 10 180 181 74 32 137 104 111 239 65 166 127 117 148 100 135 13 101 202 64 82 187 89 217 133 134 71 40 218 54 161 153 140 194 219 159 55 0 108 31 37 217 147 181 74 233 13 0 203 59 37 226 41 18 72 154 30 37 217 170 11 112 193 229 25 100 51 154 127 183 86 41 45 15 232 77 159 55 29 208 209 81 146 149 7 32 56 147 97 52 153 94 154 230 149 124 140 106 35 38 224 165 69 68 242 58 87 120 228 9 249 214 36 238 3 234 92 235 254 72 66 151 7 254 87 24 167 11 85 231 80 45 7 63 6 112 162 103 32 248 247 177 110 72 250 207 110 202 237 178 48 78 255 103 184 20 148 45 36 128 108 134 124 20 229 42 189 24 149 162 95 221 137 70 65 161 47 207 205 163 90 253 225 83 205 242 236 133 83 229 189 93 151 164 119 72 158 27 198 233 247 7 10 226 77 247 182 11 141 28 248 188 40 201 150 105 42 6 45 146 220 86 210 237 168 55 189 200 181 120 109 0 224 141 126 128 188 206 17 47 225 64 215 117 145 183 182 146 146 150 33 57 111 40 238 130 57 60 47 72 90 211 243 202 9 240 77 228 53 34 51 45 229 52 9 192 140 198 0 30 129 100 151 164 182 193 12 126 50 195 172 29 249 148 205 98 243 25 55 159 101 19 240 188 45 105 135 40 201 30 243 112 98 61 73 79 187 231 203 163 38 184 40 74 178 227 122 249 236 103 36 173 221 214 198 186 145 4 224 222 40 201 182 29 194 212 109 65 210 177 36 159 13 227 244 47 11 59 53 174 90 14 142 5 112 73 177 72 159 189 114 146 164 57 86 47 245 49 73 31 181 150 221 101 154 116 187 184 176 99 243 222 27 45 216 58 74 178 7 220 247 42 12 32 132 236 60 181 23 194 56 93 53 74 178 2 128 95 88 171 132 43 243 167 61 108 93 248 253 138 98 255 103 238 143 155 118 83 44 54 218 147 156 50 113 36 13 198 16 212 149 79 221 193 161 81 146 181 69 73 54 145 228 55 155 159 111 0 97 71 212 42 165 223 187 92 77 87 87 61 68 55 125 40 193 220 125 22 201 14 19 148 233 110 143 92 62 167 65 45 43 111 190 50 95 36 185 78 148 100 43 229 180 147 0 128 147 0 177 163 3 234 236 204 139 98 204 91 58 48 74 178 85 7 24 198 65 173 82 218 198 51 158 8 224 183 189 252 238 221 82 99 106 144 229 153 127 59 144 251 17 37 217 12 146 39 57 141 110 38 216 170 126 154 192 243 196 230 144 92 61 140 211 247 20 30 69 73 118 191 132 47 3 68 103 167 208 217 41 116 117 213 121 201 103 35 159 164 246 129 33 240 132 190 2 224 24 79 121 201 17 237 20 139 168 151 98 185 122 68 73 223 14 227 180 237 255 183 247 229 241 114 148 85 218 207 211 125 179 16 8 4 8 129 208 77 144 93 214 1 100 240 115 196 129 79 118 172 194 13 129 1 12 42 85 128 14 3 227 0 159 27 110 191 113 153 65 113 65 252 64 187 71 22 249 144 197 5 233 38 224 128 130 17 1 17 65 70 33 236 9 161 42 178 4 72 2 132 36 119 121 190 63 234 125 187 235 54 55 201 205 221 111 223 243 252 211 247 222 190 93 93 85 111 189 231 57 231 188 231 125 14 128 79 248 241 29 239 8 227 244 175 97 156 110 131 172 133 242 207 93 132 236 19 112 108 157 179 173 196 222 251 111 217 239 197 34 80 44 102 175 185 40 92 61 61 13 195 46 18 221 128 158 145 244 254 32 74 58 194 56 221 204 147 249 64 238 173 164 69 185 37 154 53 238 111 197 122 181 60 181 86 41 125 155 100 23 50 97 38 228 170 216 143 115 75 138 175 172 203 126 56 155 49 11 192 7 154 105 91 223 94 89 251 134 113 58 84 100 190 181 155 215 229 156 211 77 9 55 4 81 178 121 16 37 175 186 185 60 19 192 35 46 56 144 235 20 214 13 160 52 208 198 79 110 27 94 39 128 201 146 210 166 156 27 224 163 208 166 12 118 35 91 176 4 192 78 65 148 108 230 151 238 114 247 241 2 184 162 214 172 82 157 221 97 156 158 221 154 62 175 87 203 159 5 176 67 161 144 9 61 185 170 118 0 56 102 168 10 175 221 181 245 56 9 232 91 156 186 223 78 245 106 121 154 43 112 236 119 33 161 171 253 0 201 211 124 208 147 235 209 190 20 89 49 244 83 0 190 71 242 104 79 230 45 243 136 173 142 81 110 217 177 175 224 14 45 75 147 189 62 231 120 227 254 90 165 244 121 191 157 119 192 222 130 139 66 11 0 62 131 76 191 118 102 95 206 71 190 147 91 63 38 167 191 1 119 1 248 145 164 43 65 244 252 248 231 43 112 253 188 87 7 59 105 14 36 249 135 188 7 10 224 229 32 74 182 28 129 104 40 112 41 76 182 102 47 0 252 23 201 179 102 108 90 88 117 208 241 139 251 250 236 247 92 170 16 0 190 31 68 201 89 3 248 254 11 1 158 239 219 16 134 113 202 150 200 160 0 160 83 66 97 210 36 160 179 83 32 121 93 16 37 39 110 224 51 113 134 164 203 90 189 250 222 209 156 110 244 85 196 235 57 214 17 0 246 146 244 117 183 60 147 79 123 127 46 140 211 175 13 129 183 93 112 75 70 123 181 102 147 72 46 68 166 182 53 110 5 150 6 16 33 78 5 240 105 0 255 34 105 139 86 226 30 68 20 113 7 128 31 133 113 122 245 80 103 55 106 149 210 25 36 47 205 205 45 229 206 187 117 25 235 28 95 52 186 1 54 78 173 105 102 100 253 4 230 13 246 220 111 189 188 140 174 110 124 84 210 143 242 36 225 150 151 142 10 162 228 87 238 60 14 65 166 13 49 57 127 77 36 95 12 162 100 214 80 62 7 110 222 253 170 175 76 12 128 43 1 124 124 242 36 190 113 196 169 207 246 53 22 155 1 88 214 146 61 88 24 68 201 142 125 124 207 170 60 233 57 236 17 68 201 130 161 124 166 93 86 99 23 0 247 184 101 58 230 174 237 27 97 156 254 159 252 103 110 250 97 9 199 158 222 216 70 185 181 164 211 220 114 233 118 77 245 56 228 211 237 107 229 178 214 204 180 203 14 45 6 240 44 128 231 73 190 32 233 69 0 203 93 182 99 57 128 85 0 58 145 21 105 118 33 83 173 219 196 245 42 216 20 192 166 146 182 32 121 60 128 217 185 227 127 50 140 211 239 112 8 111 94 193 17 195 38 0 14 4 176 63 128 61 220 62 234 173 92 10 186 219 69 2 75 37 45 36 185 80 210 253 0 238 118 17 109 143 91 171 27 114 131 85 175 150 63 34 233 114 119 147 255 132 76 72 167 123 184 35 174 220 154 58 1 116 144 44 75 122 193 85 71 119 175 107 175 108 46 141 69 119 158 26 8 137 213 42 165 215 73 78 115 17 210 19 65 148 236 214 242 254 5 36 255 61 223 211 151 196 6 245 47 207 165 39 167 0 184 94 210 177 57 67 112 171 91 83 21 128 211 195 56 173 174 135 88 38 75 122 5 192 52 111 232 114 14 162 207 237 62 20 68 201 190 131 37 117 247 157 29 174 192 174 32 233 21 146 221 65 148 244 108 200 146 78 27 18 124 129 100 65 210 116 146 111 119 243 121 119 73 179 220 154 95 129 100 143 155 179 47 2 120 26 192 34 0 127 204 154 113 104 141 155 235 221 249 117 211 161 188 151 185 103 238 58 0 199 183 218 84 103 188 87 145 60 84 210 61 97 156 106 67 28 138 122 181 60 73 210 154 156 97 222 151 228 95 130 40 233 25 172 99 226 34 195 175 145 252 140 95 155 239 110 110 152 122 23 128 191 115 218 236 101 159 10 207 173 107 172 36 121 128 164 5 27 146 165 220 128 251 73 100 26 37 219 185 12 227 42 55 142 90 207 231 79 150 112 181 95 219 119 92 179 189 164 197 125 116 103 244 199 90 142 108 119 203 243 235 59 254 64 200 188 94 45 63 227 174 131 0 242 145 181 95 30 76 130 40 217 206 157 211 123 37 157 135 76 93 180 144 187 239 189 210 229 189 107 64 154 237 38 0 220 12 224 22 0 119 145 124 76 82 143 27 179 30 146 26 14 158 169 87 203 127 145 180 167 187 190 93 56 86 12 200 112 175 75 214 42 165 93 72 238 9 224 1 223 30 112 164 13 117 254 26 71 106 29 182 86 41 237 3 224 161 102 177 161 190 16 198 233 191 183 24 238 110 9 152 52 169 81 128 166 32 74 11 131 188 214 130 91 138 125 27 128 63 228 38 80 7 214 81 204 230 200 117 85 126 50 181 150 95 248 76 3 201 91 130 40 57 102 60 61 135 227 9 227 225 94 228 210 179 91 73 186 4 192 65 0 110 33 89 113 78 223 170 129 94 139 123 134 67 23 53 221 30 198 105 247 80 220 147 92 228 216 13 128 29 29 89 218 217 247 83 207 87 195 161 41 107 72 0 127 6 112 204 250 52 23 134 122 236 251 107 43 107 149 210 171 36 55 238 232 0 59 59 37 146 175 185 221 55 173 199 158 234 10 161 159 0 240 200 112 93 75 189 90 78 0 148 250 178 35 249 14 110 46 184 154 236 239 123 235 0 160 89 86 210 42 234 179 24 153 76 117 193 139 209 140 66 86 237 16 151 1 3 128 203 105 102 171 237 141 242 103 37 125 213 71 25 249 116 123 46 173 244 92 110 59 142 0 133 97 156 222 60 88 131 32 105 10 178 253 229 5 103 144 118 15 227 244 209 245 60 164 179 1 44 201 21 47 245 144 60 75 210 111 156 148 237 229 200 138 153 252 76 155 27 198 233 143 109 164 13 107 35 206 49 122 110 123 1 248 75 243 57 167 235 38 248 166 2 196 197 146 206 4 48 63 140 211 215 199 234 125 206 178 23 120 16 200 165 219 193 175 130 184 160 63 138 145 195 116 94 202 69 214 203 28 241 29 153 239 146 214 7 122 241 185 164 171 0 124 159 228 159 144 165 192 243 203 9 223 11 162 228 236 81 190 247 187 145 124 212 157 235 146 14 155 246 109 143 15 162 185 174 184 160 143 167 247 86 18 42 20 124 202 79 36 121 199 96 35 17 191 117 207 69 218 34 121 102 16 37 143 246 227 163 127 3 16 187 109 50 39 132 113 186 40 247 222 99 0 118 173 87 203 247 33 235 136 37 146 87 213 42 165 121 0 94 154 136 169 113 195 218 49 86 159 7 55 183 254 234 186 157 189 5 192 106 18 47 73 88 3 96 99 151 198 93 13 96 89 16 37 107 90 50 17 99 242 62 215 42 165 179 36 230 151 14 58 131 56 185 96 164 199 168 197 65 248 10 201 243 145 21 126 78 39 249 254 190 119 91 53 176 0 192 15 72 254 82 210 203 97 156 174 200 29 247 67 222 89 105 52 119 2 206 31 237 231 72 210 9 126 189 158 228 86 22 161 183 119 116 14 228 58 145 0 184 40 136 146 243 114 15 195 70 153 210 83 51 221 46 233 150 48 78 143 25 164 177 66 189 90 94 150 117 158 131 72 222 17 68 201 161 253 212 9 88 231 36 207 213 36 168 185 131 2 27 92 192 103 48 140 165 12 194 120 174 213 168 85 74 147 72 174 105 70 175 0 160 199 195 56 221 109 132 207 99 42 201 47 73 250 32 201 57 200 210 232 13 253 138 124 248 237 136 253 127 72 238 147 211 61 89 16 68 201 158 107 177 59 183 74 56 162 163 3 116 29 57 31 14 227 116 239 49 96 227 23 73 154 227 82 10 143 26 161 183 183 193 56 10 217 122 162 143 198 103 134 113 250 82 238 97 248 144 132 235 243 138 121 36 183 11 162 36 25 224 195 229 201 60 5 176 173 155 60 171 92 212 161 161 52 88 181 74 105 9 201 217 46 207 0 9 59 2 88 104 81 186 193 48 178 78 9 128 19 0 94 235 21 45 157 98 228 193 146 230 15 199 124 108 113 132 254 14 192 23 92 225 166 95 47 95 27 129 47 0 112 49 128 59 73 62 21 68 73 103 174 56 207 23 184 109 30 198 233 178 62 108 155 0 223 220 69 32 249 169 32 74 46 28 229 96 237 108 0 223 205 157 255 153 150 114 111 99 144 153 222 189 27 236 52 79 230 14 87 250 45 24 157 157 141 52 210 223 6 58 201 92 228 252 20 128 217 254 20 36 205 26 202 234 213 220 181 189 34 105 155 76 166 150 0 116 90 24 167 23 216 168 27 12 35 7 87 73 126 118 214 255 129 204 236 8 86 4 81 50 127 184 72 156 228 225 245 106 249 124 0 7 186 44 160 39 113 111 235 124 160 186 134 228 37 0 110 112 242 216 43 243 129 135 195 60 0 199 100 251 230 41 100 74 130 31 201 19 167 164 51 37 161 88 100 35 221 62 6 200 124 170 164 111 1 141 142 113 127 14 227 244 7 5 123 36 219 26 135 228 8 240 190 252 3 81 171 148 54 151 176 81 54 1 26 45 39 191 61 144 106 205 220 22 145 39 0 236 144 219 107 191 91 24 167 175 13 83 84 240 138 87 16 116 9 136 83 108 184 13 134 17 143 208 103 0 248 135 70 219 168 140 80 239 25 66 226 242 182 36 172 85 74 243 106 149 210 74 73 255 45 233 112 100 210 177 173 17 249 221 200 154 204 236 232 58 109 158 11 224 94 79 230 192 155 182 41 231 183 230 82 210 169 121 177 25 39 18 118 58 64 53 5 118 244 171 209 204 136 56 193 156 197 104 42 251 189 6 224 29 181 74 9 70 232 237 141 188 170 90 67 29 206 61 164 255 4 167 232 228 246 101 18 153 202 211 64 200 181 163 86 41 61 11 96 167 156 160 199 225 65 148 60 62 92 81 1 178 125 178 249 9 191 173 13 183 193 48 226 152 43 169 177 191 155 20 6 210 240 164 47 18 151 116 116 173 82 186 169 94 45 119 73 186 9 192 81 36 55 114 5 96 202 69 226 215 3 120 175 164 201 97 156 190 51 140 211 43 156 48 84 95 4 222 11 146 54 106 177 35 112 61 70 188 125 219 8 208 126 133 2 232 187 114 2 184 120 52 90 165 214 171 101 95 128 248 24 201 173 156 35 179 156 228 118 36 87 135 113 10 75 185 183 41 156 100 165 127 104 17 198 233 181 45 255 114 137 87 245 204 181 0 124 99 67 191 135 228 108 73 79 0 152 230 187 220 0 56 57 136 146 219 135 121 31 115 25 240 26 239 0 137 63 216 168 27 12 35 139 44 122 205 118 201 184 70 87 47 134 113 50 152 73 127 96 173 82 58 29 89 198 109 74 83 157 173 151 242 95 55 128 43 0 252 36 136 146 95 247 117 144 254 218 29 146 115 91 8 126 117 190 115 26 201 139 178 116 123 163 9 206 242 161 80 9 28 8 220 146 230 163 36 119 117 123 232 23 185 166 56 171 252 245 26 161 183 47 14 200 253 156 182 68 212 219 120 69 199 92 99 141 11 195 56 233 215 90 119 78 24 227 48 0 183 161 185 142 67 0 113 24 167 215 248 212 208 48 98 107 79 230 217 60 212 173 54 228 6 195 136 6 13 211 1 237 233 5 87 156 63 255 251 13 61 78 173 82 154 227 28 131 179 0 248 157 49 141 102 32 110 9 175 147 228 53 146 174 8 227 244 206 214 104 126 0 223 9 0 83 0 117 72 77 169 106 39 72 148 39 248 247 185 152 200 219 154 31 140 214 253 174 85 74 15 145 220 205 157 231 188 32 74 130 214 160 201 8 189 125 177 147 103 186 252 254 115 71 196 239 6 164 98 49 83 168 114 233 171 207 247 55 237 227 42 217 191 46 233 211 94 235 218 145 249 137 65 148 92 231 191 103 152 140 8 0 156 36 161 195 47 23 184 249 127 247 68 149 105 53 24 70 129 204 1 96 110 179 39 123 163 150 229 243 253 12 6 38 3 56 14 192 167 124 155 232 86 56 34 175 145 188 52 136 146 91 90 73 124 48 1 131 59 135 29 243 13 169 220 53 92 150 251 158 3 1 204 206 47 39 0 188 104 20 111 187 231 235 255 8 162 228 51 125 101 64 141 208 219 20 146 182 202 121 184 189 4 101 72 126 3 104 164 219 229 186 101 117 246 243 208 155 212 171 229 223 2 216 223 171 207 185 157 33 7 3 152 63 220 215 229 210 78 95 113 215 225 183 200 32 136 146 59 108 212 13 134 145 129 115 234 143 3 232 210 237 128 132 21 97 156 60 188 182 32 192 97 191 90 165 116 46 201 147 125 192 225 77 22 154 141 83 30 4 80 13 227 244 210 92 52 61 104 18 111 133 143 198 155 187 124 0 0 79 250 236 98 189 90 190 172 217 100 5 34 121 119 16 37 47 140 150 3 149 223 35 191 182 12 168 21 197 181 47 86 228 126 126 46 247 32 204 148 180 109 54 153 178 231 26 192 239 214 213 36 198 123 197 245 106 249 80 0 175 2 216 47 247 246 50 0 37 73 243 71 72 155 158 0 182 207 245 226 22 201 239 218 112 27 12 35 142 67 10 133 44 21 237 108 201 67 125 217 13 73 211 106 149 210 113 245 106 249 101 146 15 144 60 41 71 170 62 18 127 81 210 165 36 167 6 81 242 54 0 151 230 163 233 33 182 33 168 85 74 211 37 188 179 121 30 16 128 223 6 81 178 58 247 125 251 21 10 108 100 1 37 125 107 180 20 251 90 109 235 218 238 137 17 122 155 130 228 243 185 254 2 179 114 127 223 221 123 165 185 110 147 231 173 231 112 83 235 213 242 47 0 220 142 222 251 61 127 239 250 183 47 25 193 84 119 13 96 193 23 169 144 34 128 31 141 101 105 76 131 161 157 80 175 150 125 103 50 52 235 112 0 0 63 201 71 211 146 182 175 85 74 151 144 124 157 228 13 146 102 184 191 231 123 129 63 4 224 224 32 74 182 14 227 244 19 65 148 172 30 234 72 188 21 97 156 130 228 185 217 178 99 102 71 36 16 192 73 185 107 172 248 234 125 95 167 19 198 233 207 199 122 179 34 75 185 183 41 36 213 189 7 140 222 219 215 34 223 146 52 235 24 196 238 32 74 254 184 182 245 231 90 165 20 2 184 41 183 86 238 163 250 175 133 113 250 185 225 158 124 173 209 57 201 35 209 168 110 151 72 62 28 68 201 255 216 136 27 12 35 23 45 214 171 229 247 187 200 182 209 195 29 192 101 78 143 98 31 0 87 3 216 91 125 136 167 147 92 46 233 103 97 156 70 62 98 30 73 103 4 192 38 128 190 232 3 30 167 144 185 18 192 146 156 253 252 160 95 1 112 13 115 190 56 30 198 198 34 244 54 69 24 167 175 144 124 198 77 168 67 234 213 114 217 61 168 115 189 87 237 222 91 227 189 86 63 177 234 213 114 161 94 45 239 94 175 150 95 7 112 83 206 49 0 178 238 105 187 121 50 31 193 73 8 100 109 88 59 138 69 223 0 130 4 112 202 104 236 9 53 24 38 120 192 112 80 214 33 206 23 147 113 9 128 253 107 149 210 106 73 15 101 100 254 38 34 127 30 192 63 5 81 178 185 39 115 111 123 70 210 25 1 240 77 9 242 197 110 206 27 249 123 231 168 160 94 45 31 73 114 243 98 17 244 91 122 1 84 140 208 13 163 6 39 89 56 23 153 155 41 73 207 186 34 150 94 83 76 210 237 206 75 238 32 57 163 94 45 159 6 160 27 192 35 174 121 139 155 191 162 164 122 24 167 211 1 60 62 146 215 226 10 225 182 36 121 128 55 34 174 152 239 233 32 74 30 178 202 118 131 97 100 65 114 39 159 142 118 196 189 45 192 251 73 78 206 108 134 228 68 102 32 233 25 73 115 130 40 153 45 233 218 81 182 139 59 72 56 131 36 155 217 5 172 4 240 72 142 240 175 202 178 127 13 101 184 91 131 40 121 110 92 140 139 61 154 109 79 236 231 102 30 105 163 201 175 124 192 157 173 99 225 46 183 183 113 171 6 115 55 195 113 95 121 186 154 228 190 253 108 127 58 28 142 9 50 39 131 204 181 103 4 128 57 146 158 53 66 55 24 70 6 46 27 246 1 146 63 203 17 34 188 4 115 22 59 144 36 186 1 220 31 68 201 255 202 62 87 70 24 39 163 122 222 217 114 64 233 57 9 179 58 58 200 238 238 70 61 208 102 65 148 188 234 50 129 91 2 90 234 247 214 59 188 29 192 125 99 125 253 220 34 244 9 128 32 74 46 2 176 79 46 101 238 66 238 236 71 146 7 121 50 119 158 55 29 175 251 148 252 185 97 156 78 5 240 232 104 76 66 39 83 251 89 0 133 102 69 173 0 224 63 131 40 49 50 55 24 70 142 200 61 78 4 154 10 147 158 200 123 122 188 164 186 234 65 148 116 120 50 7 48 170 100 158 125 127 138 90 165 52 87 194 214 133 130 215 157 23 37 221 25 68 201 171 185 232 252 62 191 183 222 5 52 203 130 40 25 23 100 110 17 250 196 139 214 19 41 107 49 200 62 70 190 185 231 82 0 112 108 24 167 181 49 96 72 182 0 240 18 64 76 154 148 237 23 5 4 146 147 130 40 233 178 81 53 24 70 108 46 190 135 228 47 1 20 243 130 50 185 186 183 90 24 167 199 142 65 187 7 0 59 73 122 146 164 235 217 46 0 120 35 140 211 105 45 255 219 13 160 144 101 31 4 146 97 16 37 245 241 50 70 70 232 19 107 66 170 249 64 3 36 86 3 184 67 210 114 0 247 3 248 37 128 133 36 187 124 129 200 104 121 166 181 74 9 36 59 0 116 122 85 187 108 123 137 64 114 219 32 74 254 102 35 106 48 140 8 33 150 36 61 66 98 83 47 147 234 149 225 220 235 178 32 74 54 247 228 57 22 163 217 90 165 244 58 128 141 58 58 200 204 246 9 18 182 35 153 184 26 29 144 156 39 225 232 142 14 175 219 46 191 157 109 220 40 80 218 182 181 137 67 230 219 178 87 88 46 0 124 50 136 146 163 91 137 212 79 200 209 154 152 222 40 212 42 165 7 0 192 75 212 186 37 128 211 141 204 13 134 145 153 131 245 106 249 49 0 187 250 98 212 214 117 115 23 156 223 239 63 55 22 201 188 94 45 255 76 210 180 166 72 12 0 240 7 190 137 76 78 142 246 112 100 141 39 41 65 0 62 62 222 150 244 108 13 125 226 96 91 47 4 145 195 109 173 255 52 22 30 96 103 72 46 4 184 119 115 175 40 68 242 137 48 78 171 38 34 99 48 12 31 145 35 99 181 207 213 42 165 78 73 187 122 1 22 169 161 105 174 98 177 177 206 12 244 238 41 62 214 2 153 207 33 43 226 115 206 136 68 98 113 16 37 103 230 109 94 173 82 250 62 137 142 142 14 223 223 66 68 139 80 142 69 232 134 49 51 73 189 220 107 75 109 220 31 198 232 249 30 9 232 252 150 229 1 0 216 125 172 70 1 6 67 59 64 210 198 181 74 233 105 18 179 36 202 165 159 217 221 157 137 57 145 168 72 136 91 62 246 228 88 107 140 228 82 232 239 3 244 21 191 100 215 213 37 1 88 17 68 201 246 185 12 132 175 1 248 184 139 202 233 50 129 255 55 140 211 21 227 109 252 44 66 159 0 112 4 184 45 64 229 215 191 208 162 189 60 70 200 124 31 64 183 2 148 43 94 145 83 161 154 30 68 73 143 141 166 193 48 244 228 231 94 47 34 241 26 192 173 10 5 162 217 116 69 32 113 35 128 233 0 158 202 11 202 184 185 185 112 44 145 121 189 90 70 166 89 129 95 100 118 132 236 234 202 90 60 147 156 211 199 178 226 191 145 164 175 211 113 209 206 151 198 163 96 149 69 232 19 4 36 183 240 5 30 57 111 252 249 49 230 81 239 0 232 33 9 202 246 155 203 237 153 231 14 65 148 188 110 163 104 48 12 11 138 245 106 249 9 9 59 72 128 215 122 112 226 42 148 240 142 32 74 238 117 209 236 150 104 112 94 246 234 138 106 199 146 115 82 70 166 42 233 139 105 69 130 0 222 22 68 201 138 150 255 45 144 184 200 239 158 119 175 55 6 81 178 116 60 14 164 69 232 19 7 155 103 196 222 32 115 132 113 250 242 24 34 243 89 0 158 204 210 124 94 244 129 126 18 46 50 121 87 131 97 88 230 222 145 36 86 75 120 75 161 0 184 102 37 94 130 253 106 128 29 97 156 222 235 163 89 146 51 123 111 142 18 72 142 137 212 180 91 255 223 72 210 19 18 152 21 211 74 128 8 224 136 32 74 30 200 255 191 203 42 252 179 68 181 68 231 167 143 87 123 99 132 62 113 48 101 140 26 20 103 36 240 140 36 58 157 118 191 150 117 68 24 167 15 228 38 159 193 96 24 26 226 67 173 82 186 144 196 173 0 10 29 29 153 122 100 119 183 224 130 213 48 140 211 185 200 100 160 243 152 234 27 46 58 13 119 244 213 128 101 148 34 243 73 78 47 126 138 211 97 87 86 194 135 19 130 40 185 173 245 255 235 213 242 36 146 23 163 209 170 66 34 121 87 16 37 75 199 171 189 49 66 159 32 104 77 139 145 28 43 134 101 11 0 11 37 76 105 122 212 32 128 19 195 56 189 205 70 206 96 24 218 57 231 138 193 110 7 112 62 64 248 232 212 69 168 207 145 220 50 136 146 122 95 123 202 37 45 107 218 144 6 169 115 12 216 145 2 128 165 146 166 231 237 136 164 56 140 211 235 91 63 227 8 251 236 44 45 223 171 133 106 56 158 199 215 8 125 130 128 228 50 239 85 231 188 212 141 71 217 163 158 73 242 105 9 27 55 61 106 16 192 251 131 40 185 206 70 205 96 24 218 57 39 137 245 106 249 33 9 135 146 68 86 197 238 173 130 174 9 227 116 54 128 151 129 181 238 38 121 165 143 96 97 163 81 190 166 201 36 95 150 176 105 177 72 100 100 78 74 58 57 140 211 106 95 159 169 85 74 83 0 125 51 231 142 136 228 61 65 148 44 51 66 55 140 7 44 7 160 22 146 223 122 180 38 33 201 57 0 22 75 218 180 80 64 46 50 231 145 65 148 220 104 195 101 48 12 109 20 75 178 131 228 34 9 123 23 10 64 71 7 208 213 213 168 85 249 66 24 167 39 175 131 200 189 205 120 165 119 96 32 144 156 49 138 145 249 230 36 95 149 176 153 107 135 234 201 60 8 227 244 154 190 62 231 162 243 47 231 182 229 249 110 146 135 141 247 113 182 42 247 9 50 153 37 37 110 61 41 95 24 183 51 128 167 71 225 148 222 10 224 97 183 86 231 35 115 0 250 7 0 247 216 136 25 12 67 235 64 3 40 72 122 12 192 118 133 2 89 40 248 45 161 160 132 15 135 113 122 117 63 15 247 151 22 138 7 128 217 35 109 207 130 40 129 164 57 200 106 111 228 186 163 249 52 251 187 194 56 189 107 29 182 112 6 137 79 53 51 12 32 201 223 6 81 178 114 188 143 181 69 232 19 0 206 227 78 157 54 49 114 30 246 59 71 193 184 28 69 98 129 155 68 190 235 209 107 0 222 2 224 30 43 126 51 24 134 150 204 195 56 133 164 135 0 238 224 201 60 75 179 147 18 222 179 1 100 14 73 247 122 251 225 10 201 32 105 183 145 188 30 87 3 240 46 0 207 100 218 26 13 169 214 85 0 118 88 27 153 231 108 225 149 94 231 34 187 15 66 16 37 135 180 195 78 26 35 244 9 2 146 105 78 123 217 227 232 145 242 168 221 235 167 73 222 34 193 237 111 21 0 61 13 96 51 0 139 141 204 13 134 161 133 147 53 253 37 192 189 10 5 56 50 111 68 178 1 128 121 27 120 188 229 189 107 224 8 0 187 140 164 115 82 175 150 79 3 48 159 100 222 142 44 145 180 25 128 69 235 57 198 206 0 143 69 99 239 29 9 224 167 254 94 25 161 27 198 75 148 254 50 192 238 198 35 156 21 129 236 58 18 147 16 192 212 90 165 116 31 128 175 59 231 194 191 253 155 48 78 119 2 32 35 115 131 97 88 156 233 79 0 60 150 244 123 204 27 105 246 19 73 222 60 192 121 247 168 211 68 247 182 100 255 17 10 74 138 181 74 169 6 160 10 52 10 104 1 224 193 48 78 203 0 58 251 33 11 253 11 0 78 133 18 2 208 19 198 233 135 218 165 63 132 17 250 196 194 119 178 254 197 128 83 78 218 100 184 163 114 146 59 73 122 3 192 1 64 166 62 229 10 80 62 19 198 233 161 245 106 217 246 152 27 12 195 48 255 234 213 242 102 0 190 15 64 174 0 206 187 243 23 132 113 122 221 32 122 34 204 119 78 129 235 192 198 173 235 213 242 176 20 216 230 100 105 119 1 208 69 242 61 254 61 183 253 253 91 97 156 238 223 31 59 82 175 150 15 7 184 151 83 191 243 13 88 190 152 151 130 53 66 55 140 11 184 237 29 223 35 133 238 238 204 91 151 84 172 85 74 95 24 74 239 52 119 172 73 181 74 169 2 224 73 151 13 112 169 49 172 33 185 123 24 167 255 225 50 7 54 56 6 195 16 195 205 171 63 121 25 101 215 126 24 0 234 65 148 124 117 48 199 150 116 14 144 165 238 179 101 60 65 210 151 134 131 200 73 22 106 149 210 215 72 62 238 226 1 255 125 107 72 238 17 68 201 185 235 179 35 185 181 241 255 6 224 183 234 65 194 171 65 148 124 165 157 2 10 35 244 9 130 48 78 17 198 233 51 18 126 226 163 116 100 105 171 11 124 215 161 161 152 128 174 143 249 1 110 194 69 110 82 186 6 15 124 156 228 84 73 143 218 136 24 12 195 234 192 207 149 176 83 161 224 21 224 32 146 43 131 40 9 7 91 252 21 198 233 42 146 87 72 242 235 208 0 48 183 197 161 31 20 72 162 94 45 239 43 169 27 192 167 115 17 57 1 36 97 156 78 13 162 100 65 127 109 95 189 90 190 64 106 74 219 186 165 130 247 181 155 164 52 237 209 159 88 81 58 128 105 0 94 7 160 66 193 247 254 197 119 130 40 249 228 64 90 32 230 219 16 2 152 45 105 33 128 41 36 125 225 13 0 116 147 60 49 136 146 159 246 165 62 101 48 24 134 124 174 191 0 96 166 235 139 224 35 235 131 1 204 31 170 136 180 94 45 191 38 105 227 66 129 174 79 58 110 8 162 228 248 129 218 38 87 192 7 0 37 146 15 72 154 229 53 89 29 87 245 0 248 100 16 37 23 247 215 86 121 187 4 104 73 166 138 7 116 117 9 36 23 6 81 178 99 187 141 187 69 232 19 44 74 39 185 146 100 137 204 148 217 156 20 243 57 245 106 249 93 3 156 232 172 85 74 7 32 211 124 94 66 114 74 139 18 228 115 0 166 72 250 169 143 224 13 6 195 240 57 237 181 74 233 56 128 91 21 139 217 182 80 151 141 187 62 140 211 33 35 115 71 188 187 0 128 47 144 3 240 161 90 165 116 70 238 253 13 178 35 245 106 121 63 146 43 72 38 0 102 249 204 158 35 243 23 130 40 41 2 184 216 219 178 254 156 163 179 55 215 73 148 223 174 231 236 211 206 237 56 254 22 161 79 220 137 191 35 201 167 90 254 124 177 164 115 250 233 249 110 34 233 74 146 31 232 235 125 55 17 223 26 198 233 99 118 183 13 134 145 67 189 90 126 86 66 217 169 160 249 185 184 77 24 167 207 15 131 29 121 43 128 5 64 175 165 181 27 130 40 57 190 63 217 184 122 181 60 25 192 229 146 78 242 89 89 235 88 44 0 0 6 230 73 68 65 84 189 22 27 210 5 224 224 98 145 119 31 243 177 100 32 247 226 195 146 174 42 20 178 30 238 221 221 2 201 203 131 40 249 152 17 186 161 109 188 120 183 174 180 21 128 23 154 74 75 162 139 180 127 239 186 16 253 94 210 75 174 27 218 62 0 142 146 116 10 128 25 36 139 238 255 197 70 175 34 249 73 125 38 128 31 134 113 42 75 177 27 12 35 62 191 87 147 156 236 210 203 34 121 197 112 18 88 189 90 222 6 192 223 124 215 53 103 15 186 1 60 40 233 66 146 243 37 189 4 96 43 0 123 1 56 28 192 71 73 206 144 84 116 31 105 144 185 59 14 73 158 47 233 155 3 205 42 212 42 37 2 232 33 161 98 145 116 247 98 105 16 37 179 218 213 46 25 161 79 92 47 222 175 125 79 145 244 32 128 221 29 57 251 246 137 222 67 94 103 103 182 220 228 3 128 83 37 93 19 198 105 151 221 97 131 97 84 230 245 190 0 30 44 20 178 84 187 91 219 222 83 210 35 195 89 205 93 175 150 9 224 118 0 239 206 153 134 94 134 163 15 155 242 166 136 220 253 253 12 73 255 21 198 105 247 96 136 183 94 45 223 44 225 152 98 49 187 15 14 127 31 68 201 253 237 58 254 182 134 62 65 225 39 73 16 37 171 195 56 221 3 89 33 202 19 158 204 253 164 91 11 153 55 182 143 144 172 145 44 75 42 6 81 114 21 73 35 115 131 97 148 32 233 3 126 127 184 147 85 238 14 162 228 145 225 222 154 37 73 65 148 28 10 96 59 73 127 246 100 238 109 200 186 108 138 35 249 219 72 238 44 169 35 136 146 31 146 153 8 214 64 200 220 245 58 255 24 160 99 10 133 230 119 72 186 185 157 201 220 34 116 67 175 104 221 77 134 45 92 180 126 42 128 195 72 238 144 243 156 159 150 116 55 50 169 196 251 0 44 13 227 180 211 238 160 193 48 54 80 171 148 126 3 224 127 79 154 68 116 118 2 36 170 65 148 196 163 112 30 51 72 238 12 224 52 0 135 74 218 37 183 198 190 80 210 189 36 127 238 236 201 210 48 78 215 12 209 247 130 228 36 183 109 86 197 34 216 213 5 145 88 17 68 201 140 129 236 228 49 66 55 76 4 195 97 10 111 6 195 216 155 151 143 2 216 173 88 164 47 0 11 130 40 185 121 52 131 132 145 182 35 181 74 233 1 128 251 249 162 64 23 161 191 35 140 211 123 219 125 252 141 208 13 6 131 161 77 80 175 150 255 42 105 207 140 208 1 64 111 7 112 223 68 113 190 235 213 242 55 1 157 235 211 250 61 61 2 128 106 24 167 241 68 184 126 91 67 55 24 12 134 246 193 162 44 34 117 17 27 217 57 17 200 220 105 215 31 8 232 92 0 42 20 128 76 103 131 139 195 56 141 219 165 249 138 17 186 193 96 48 76 28 180 202 42 79 107 247 11 206 9 200 220 41 101 91 212 156 188 43 1 188 163 157 154 175 172 15 29 246 252 27 12 6 67 219 224 106 18 231 102 63 10 0 183 104 247 11 118 154 26 143 73 218 40 183 212 64 9 167 134 113 186 100 34 13 190 69 232 6 131 193 208 38 8 162 228 207 0 221 174 107 66 210 81 237 126 205 245 106 249 90 0 187 22 10 68 38 117 43 72 184 50 140 211 171 38 218 248 27 161 27 12 6 67 123 225 101 175 175 78 242 148 118 190 208 90 165 116 58 128 19 128 172 131 90 79 15 4 224 209 48 78 63 210 110 157 212 250 3 171 114 55 24 12 134 246 137 86 1 224 27 18 206 243 189 202 73 238 38 233 241 118 42 142 115 100 125 16 137 223 1 205 117 115 0 107 36 205 4 240 218 68 220 86 107 17 186 193 96 48 180 9 130 40 65 16 37 231 187 58 119 33 19 113 251 104 187 145 27 201 57 0 126 39 49 71 230 162 164 157 73 190 54 81 53 50 44 66 55 24 12 134 54 67 173 82 186 19 192 193 57 253 244 141 1 172 108 7 162 171 85 74 91 146 92 42 73 29 29 244 74 112 148 244 246 48 78 239 155 200 227 110 17 186 193 96 48 180 31 14 115 100 238 35 245 203 218 129 204 235 213 242 12 71 230 112 100 14 71 230 199 78 116 50 55 66 55 24 12 134 54 132 235 120 248 93 54 241 225 122 181 252 238 241 78 230 0 94 145 164 98 145 112 100 14 73 159 8 227 180 102 163 110 41 119 131 193 96 104 91 212 42 165 133 36 223 130 102 59 211 141 0 172 26 111 209 122 179 231 58 84 44 130 221 221 25 153 3 56 39 136 146 139 109 164 45 66 55 24 12 134 118 38 115 0 216 77 190 9 121 150 122 95 224 132 88 198 3 137 251 215 29 1 229 200 92 158 204 255 197 200 220 8 221 96 48 24 218 30 46 10 95 3 224 80 184 108 44 201 237 235 213 242 83 65 148 96 44 239 211 246 114 173 181 74 233 80 9 79 73 132 39 115 100 233 134 48 136 146 75 108 148 123 195 82 238 6 131 193 208 230 168 87 203 115 1 92 41 73 174 88 110 73 24 167 229 49 126 206 95 144 244 101 146 40 20 178 86 168 36 122 0 236 19 68 201 195 54 170 70 232 6 131 193 48 33 81 171 148 230 146 188 210 255 46 105 13 201 153 146 94 29 43 107 234 181 74 9 36 11 146 22 2 152 67 18 153 2 156 124 182 97 122 24 167 107 108 52 251 134 165 220 13 6 131 161 253 201 28 78 219 252 48 183 164 46 0 147 37 173 32 249 175 99 232 84 143 0 208 13 112 142 215 102 239 233 1 92 27 212 41 70 230 70 232 6 131 193 48 161 225 11 225 130 40 249 53 201 237 0 144 164 72 74 210 183 107 149 210 34 0 163 82 44 151 43 126 123 152 228 175 178 101 1 64 202 244 217 1 125 57 136 146 237 39 74 79 115 35 116 131 193 96 48 172 19 190 39 120 16 37 137 164 41 112 189 211 29 177 111 95 171 148 186 1 252 120 36 179 6 0 32 233 255 213 171 229 46 0 123 192 123 26 89 215 180 78 73 91 135 113 250 37 231 140 216 32 26 161 27 12 6 131 33 15 146 107 130 40 217 3 192 39 37 209 109 109 35 128 83 234 213 242 235 245 106 249 135 173 17 244 48 224 39 245 106 249 13 0 39 121 46 146 160 236 252 112 1 128 105 97 156 190 144 119 70 12 235 25 87 187 5 6 131 193 48 241 224 163 222 90 165 180 61 128 187 73 110 235 222 242 228 190 6 192 35 0 254 53 136 146 223 250 168 122 48 5 116 245 106 249 72 73 255 9 96 111 0 5 146 254 187 92 1 62 127 13 224 248 32 74 94 182 168 220 8 221 96 48 24 12 3 35 219 247 2 184 49 79 234 174 253 42 0 172 4 240 20 128 121 0 234 65 148 220 213 207 99 238 43 233 125 36 223 43 105 23 100 77 98 252 49 243 223 115 15 201 143 4 81 242 248 96 157 6 35 116 131 193 96 48 76 248 104 221 69 225 39 144 188 214 87 195 211 177 175 15 161 221 207 32 249 186 164 21 0 150 59 98 134 35 235 233 0 166 3 216 44 231 16 188 9 238 248 151 146 252 86 16 37 79 26 145 27 161 27 12 6 131 97 120 136 253 31 73 158 7 32 116 196 172 65 112 134 215 146 7 201 249 0 190 45 105 94 24 167 107 44 181 110 132 110 48 24 12 134 17 32 247 122 181 60 69 210 63 146 12 36 29 5 96 87 71 204 189 162 237 92 239 117 228 162 117 72 250 35 128 91 72 206 151 244 155 48 78 101 119 215 8 221 96 48 24 12 163 28 185 187 223 231 72 218 222 41 205 205 36 89 4 208 5 160 83 210 139 0 158 35 249 100 16 37 43 214 118 12 195 208 227 255 3 219 232 150 106 22 42 125 14 0 0 0 0 73 69 78 68 174 66 96 130) asByteArray ].
	^ cache at: 1! !

!CCLibrary methodsFor: 'as yet unclassified' stamp: 'srh 4/19/2009 11:27'!
selectorsToInclude
	^ #(styleCss suJs)! !

!CCLibrary methodsFor: 'as yet unclassified' stamp: 'srh 4/18/2009 22:38'!
styleCss
	^'

* {
	font-family: verdana,sans-serif;
}

a {
	color: #b49c1c;
}

a:hover {
color: #cccccc;
}

body {
	background-image: url("/seaside/files/CCLibrary/gradient.png");
	background-repeat: repeat-x;
	background-color: #2e0d26;
}

#heading {
	position: absolute;
	top: 10px;
	height: 147px;
	left: 0.75em;
	right: 0;
	margin:0;
	font-size: 2em;
	background-image: url("/seaside/files/CCLibrary/logo.png");
	background-repeat: no-repeat;
	z-index: 1;
}

#heading h1 {
	display: none;
}


#contents,
#contents-bg {
	position: absolute;
	top: 110px;
	left: 13em;
	right: 1.5em;
	bottom: 1.5em;
}

#contents-bg {
	z-index: 0;
	overflow: hidden;
}

#nav,
#nav-bg {
	position: absolute;
	left: 1.5em;
	top: 110px;
	width: 10em;
	margin: 0;
	bottom: 1.5em;
}

#nav-bg
{
	z-index: 0;
	background-repeat: no-repeat;
}

#nav-bg .tl,
#contents-bg .tl {
	position: absolute;
	background-image: url("/seaside/files/CCLibrary/background11.png");
	left: 0;
	top: 0;
	height: 40px;
	background-repeat: no-repeat;
	width: 40px;
}

#nav-bg .tr,
#contents-bg .tr {
	position: absolute;
	background-image: url("/seaside/files/CCLibrary/background13.png");
	right: 0;
	top: 0;
	height: 40px;
	width: 40px;
	background-position: top right;
	background-repeat: no-repeat;
}

#nav-bg .l,
#contents-bg .l  {
	position: absolute;
	background-color: #5d1a4d;
	left: 0;
	top: 40px;
	bottom: 40px;
	right: 0;
	z-index: -1;
}

#nav-bg .r,
#contents-bg .r {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 40px;
	right: 40px;
	background-color: #5d1a4d;
	z-index: -1;
}


#contents-bg .bl,
#nav-bg .bl {
	position: absolute;
	background-image: url("/seaside/files/CCLibrary/background41.png");
	left: 0;
	bottom: 0;
	height: 40px;
	background-repeat: no-repeat;
	width: 	40px;
}

#nav-bg .br,
#contents-bg .br {
	position: absolute;
	background-image: url("/seaside/files/CCLibrary/background43.png");
	right: 0;
	bottom: 0;
	height: 40px;
	width: 40px;
	background-position: top right;
	background-repeat: no-repeat;
}

#nav {
	z-index: 4;
	background-color: transparent;
}

#nav ul {
	list-style: none;
	padding: 0;
	margin: 0;
	margin-top: 35px;
}

#nav li {
	margin: 0;
	padding: 0;
}
#nav a {
	text-decoration: none;
	padding: 0.5em;
	color: #b49c1c;
	font-weight: bold;
	display: block;
}

#nav a:hover {
	color: black;
	background-color: #b49c1c;
}


#contents {
	padding: 0;
margin: 0px;

	z-index: 4;
	overflow: auto;
}

#contents .tl, 
#contents .t, 
#contents .tr {
	position: absolute;
	height: 40px;
	width: 40px;
	background-repeat: no-repeat;
}

#contents .tl {
	left: 0;
	background-image: url("/seaside/files/CCLibrary/glass15.png");
}

#contents .t {
	left: 40px;
	right: 40px;
	width: auto;
	background-image: url("/seaside/files/CCLibrary/glass16.png");
	background-repeat: repeat-x;
}

#contents .tr {
	right: 0;
	background-image: url("/seaside/files/CCLibrary/glass18.png");
}

#contents .l,
#contents .m,
#contents .r {
	position: absolute;
	top: 40px;
	bottom: 40px;
	width: 40px;
	background-repeat: repeat;
}

#contents .l {
	left: 0;
	background-image: url("/seaside/files/CCLibrary/glass25.png");
}

#contents .m {
	left: 40px;
	right: 40px;
	width: auto;
	background-image: url("/seaside/files/CCLibrary/glass26.png");
	background-repeat: repeat;
}

#contents .r {
	right: 0;
	background-image: url("/seaside/files/CCLibrary/glass28.png");
}

#contents .bl, 
#contents .b, 
#contents .br {
	bottom: 0;
	position: absolute;
	height: 40px;
	width: 40px;
	background-repeat: no-repeat;
}

#contents .bl {
	left: 0;
	background-image: url("/seaside/files/CCLibrary/glass45.png");
}

#contents .b {
	left: 40px;
	right: 40px;
	width: auto;
	background-image: url("/seaside/files/CCLibrary/glass46.png");
	background-repeat: repeat-x;
}

#contents .br {
	right: 0;
	background-image: url("/seaside/files/CCLibrary/glass48.png");
}


#contents h2 {
	margin-top: 0;
	font-size: 2em;
	border-bottom-style: solid;
	border-bottom-color: #440000;
	border-bottom-width: 1px;
	display: inline-block;
	color: #000;
	margin-bottom: 0;
}

#background  {
	height: 100%;
	width: 100%;
}

#background td {
	text-align: center;
}

#background img {
	width: 40%;
	max-width: 400px;
	min-width: 200px;
}

.product-preview {
	float: left;
	border: dashed 1px grey;
	margin: 3px;
	height: 8.5em;
	width: 12em;
	padding: 3px;
}

.product-preview img {
	float: left;
	margin-right: 0.5em;
	margin-bottom: 0.5em;
}
.product-preview h3 {
	margin-top: 0;
	margin-bottom: 0;
	font-size: 1em;
	clear: both;
}
.product-preview p {
	margin-top: 0;
	margin-bottom: 0;
}

.product-preview a {
	text-decoration: none;
}

.product-preview img {
	border: none;
}

.product-details {
	margin-bottom: 2em;
}

.product-details h2 {
	margin-top: 0;
}

.product-details .image-viewer {
	float: left;
	margin-right: 1em;
	margin-bottom: 0.5em;
}

.image-viewer {
	border: solid grey 1px;
	padding: 0;
	text-align: center;
	background-color: #2d002d;
}

.image-viewer img {
	border:none;
	padding: none;
}

.image-viewer ul {
	margin: 0;
	padding: 0;
	list-style: none;
}

.image-viewer li {
	display: inline;
	margin: 0;
	padding: 0;
}

.image-viewer li img {
	opacity: 0.4;
}

.image-viewer li a img {
	opacity: 1;
}

#lightbox {
	background-color: white;
	border: solid #b49c1c 1px;
}

#lightbox h1 {
	background-color: #b49c1c;
	margin-top: 0;
	margin-bottom: 0;
	padding: 2x;
	text-align: center;
	font-size: 1.2em;
}

#lightbox .nav-buttons {
	background-color: #eeeeee;
	padding: 0.2em;
	text-align: right;
}

ul.wizard-tabs {
	list-style: none;
	margin: 0;
	padding: 0;
}

.wizard-tabs li {
	display: inline;
	margin-left: 0.5em;
	margin-right: 0.5em;
}

.wizard-tabs li.disabled {
	color: grey;
}

.cart-view {
	margin: 0.5em;
}

#confirm-order {
	padding-left: 0.5em;
	padding-right: 0.5em;
}

#confirm-order h2 {
	margin-top: 0;
	margin-bottom: 0;
	font-size: 1.2em;
}

#confirm-order div {
	margin: 0;
}
#confirm-order p {
	margin-top: 0;
}

#confirm-order dl {
	margin-top: 0.5em;
	padding: 0;
}

#confirm-order dt {
	font-weight: bold;
}

#confirm-order dd {
	margin-left: 8em;
	margin-top: -1em;
}

label {
	width: 10em;
	display: inline-block;
	text-align: right;
	margin-right: 0.5em;
}

.error label {
color: red;
}

.cc-sizes-editor div {
display: inline-block;
}

.cc-sizes-editor input {
width: 3em;
}

.cc-sizes-editor label {
width: auto;
margin-left: 0.5em;
}

.error-msgs {
border: 1px dotted red;
padding-left: 5px;
font-size: 0.8em;
margin-top: 0;
list-style: none;
}

#add-item div.item {
padding: 5px;
margin-top: 0;
}

#add-item div.item img {
float: left;
margin-right: 5px;
margin-top: 0;
}
#add-item div.item p {
margin-top: 0;
}'! !

!CCLibrary methodsFor: 'as yet unclassified' stamp: 'srh 4/19/2009 11:31'!
suJs
	|su |
	su := SULibrary new.
	^su prototypeJs, ';', su scriptaculousJs, ';', su treePatchJs.! !

WSSession subclass: #CCSession
	instanceVariableNames: 'cart root'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 3/1/2009 18:17'!
cart
	^cart! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 3/1/2009 18:17'!
initialize
	super initialize.
	self resetCart! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:08'!
mainClass
	^CCRenderLoopMain ! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 3/1/2009 18:17'!
resetCart
	cart := WSCart new! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:06'!
root: aRoot
	root := aRoot.! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:07'!
start: aRequest
	^self mainClass new
		root: root;
		start: aRequest.! !

!CCSession methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 13:13'!
urlForProduct: aProduct
	^(super urlForProduct: aProduct)
		addToPath: 'store';
		yourself! !

WARenderLoopMain subclass: #CCRenderLoopMain
	instanceVariableNames: 'root'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCRenderLoopMain methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:05'!
createRoot
	^ root ifNil: [self rootClass new]! !

!CCRenderLoopMain methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:04'!
root: aRoot
	root := aRoot.! !

Object subclass: #CCBackground
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCBackground methodsFor: 'rendering' stamp: 'srh 4/18/2009 19:40'!
renderOn: html
	html div id: 'contents-bg'; with: [
		html div class: 'tl'. html div class: 'tr'.
		html div class: 'l'.
		html table id: 'background'; with:[
			html tableRow with: [html tableData with: [
				html image url: CCLibrary / #frontpageJpg]]].
		html div class: 'r'.
		html div class: 'bl'. html div class: 'br']
! !

WAComponent subclass: #CCHistory
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCHistory methodsFor: 'as yet unclassified' stamp: 'srh 3/2/2009 07:09'!
renderContentOn: html
html heading level: 2; with: 'Elizabethan'.
html paragraph with: [
	html text: '
An early form of the corset was the Elizabethan "pair of bodies" which provided support and flattened the bust. It also provided a foundation garment over which a gown''s bodice (also called a pair of bodies) was worn. There are two surviving examples today. One is from the grave of Pfalzgrafin Dorothea Sabina von Neuberg from 1598 and the other is from Queen Elizabeth I''s effigy in 1603.'.
html anchor with: '1'.
html anchor with: '2'].
html heading level: 2; with: '17th and 18th Centuries'.
html paragraph with:[
	html text: 'From the end of the 17th century corsets or "stays" had changed slightly to give the wearer a more slender silhouette. By the mid 18th century stays had curved whalebone to shape the front of the bust and across the back to flatten the shoulder blades. They were often covered in beautiful fabric or embroidery.'.
html anchor with: '3'].
html heading level: 2; with: '19th Century'.

html paragraph with: [
	html text: 'In the beginning of the 19th century stays were unfashionable and those that could did without them. However, those who were too large for the fashionable flowing, formfitting gowns and needed something to control their excess flesh continued to wear stays. When they came back into fashion around 1809-1810 they were called by their modern name: the corset. For the first time it was not a rigid body but a curved one. It was made "... from strong cotton material (jean, later know as coutil)".'.
	html anchor with: '4'.
	html text: 'It had shoulder straps until the 1840s and later, if the wearer needed them, for a little more support for the bust. Several new inventions helped corset manufacture during the 19th century: metal eyelets in 1828, the first front opening steel busk in 1829 and the spoon busk in 1873. White corsets were considered more ladylike. Corsets were also made in grey, putty, red and black but were always lined in white'.
	html anchor with: '5']! !

WAComponent subclass: #CCHome
	instanceVariableNames: 'background'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

CCHome class
	instanceVariableNames: 'background'!

CCHome class
	instanceVariableNames: 'background'!

!CCHome methodsFor: 'initialization' stamp: 'srh 4/14/2009 20:01'!
initialize
	super initialize.
	background := CCBackground new.! !

!CCHome methodsFor: 'rendering' stamp: 'srh 4/14/2009 20:01'!
renderContentOn: html
	html render: background! !

WAComponent subclass: #CCStore
	instanceVariableNames: 'products current'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:32'!
children
	^Array with: current! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:36'!
initialRequest: aRequest
	current := products.
	aRequest at: #product
		ifPresent: [ :p |
			current := WSProductDetails for: (self store productWithId: p) ]
! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:15'!
initialize
	super initialize.
	products := WSProductList products: self store products.
	current := products.! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 3/1/2009 18:14'!
store
	^self session store! !

!CCStore methodsFor: 'as yet unclassified' stamp: 'srh 4/11/2009 12:59'!
updateUrl: aUrl
	aUrl addToPath: 'store'! !

WSStoreAdmin subclass: #CCStoreAdmin
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'CreativeCorsetry-Site'!

!CCStoreAdmin class methodsFor: 'as yet unclassified' stamp: 'srh 4/14/2009 15:37'!
applicationNamed: aString
	| application |
	application := CCApplication named: aString.
	application configuration addAncestor: WARenderLoopConfiguration new.
	application preferenceAt: #rootComponent put: self.
	^ application! !
